﻿Imports XCM
Imports XSP
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports System.IO
Imports System.Collections.Specialized
Imports System.Data

''' ---------------------------------------------
''' <summary>
''' バーコード印刷
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class BCP010F010

#Region "コンスタント"
	' グリッドカラム名
	Private Const COL_SELECTED As String = "c01024BCP010F010"			'選択
	Private Const COL_PATIENT_NO As String = "c02024BCP010F010"			'患者番号
	Private Const COL_HSP_HISTORY_NO As String = "c03024BCP010F010"		'入退院歴番号
	Private Const COL_CH_NO As String = "c04024BCP010F010"				'科歴番号
	Private Const COL_BYOREKI_NO As String = "c05024BCP010F010"			'病歴番号
	Private Const COL_PATIENT_NM As String = "c06024BCP010F010"			'患者氏名
	Private Const COL_DEPT_RNM As String = "c07024BCP010F010"			'診療科
	Private Const COL_WARD_RNM As String = "c08024BCP010F010"			'病棟
	Private Const COL_HSP_DT As String = "c09024BCP010F010"				'入院日
	Private Const COL_OUT_HSP_DT As String = "c10024BCP010F010"			'退院日
	Private Const COL_START_DT As String = "c11024BCP010F010"			'開始日
	Private Const COL_END_DT As String = "c12024BCP010F010"				'終了日
	Private Const COL_MNGSTATUS_NM As String = "c13024BCP010F010"		'管理状況
	Private Const COL_DEPT_RNM2 As String = "c14024BCP010F010"			'主科
	Private Const COL_WARD_RNM2 As String = "c15024BCP010F010"			'主病棟
	Private Const COL_HSP_DT2 As String = "c16024BCP010F010"			'入院日
	Private Const COL_OUT_HSP_DT2 As String = "c17024BCP010F010"		'退院日
	'遷移先固定ID
	Private Const CST_SHOW_XSP010F010_ID As String = "XSP010F010"
	Private Const CST_SHOW_BCP010F020_ID As String = "BCP010F020"
#End Region

#Region "変数"

	' 表示データテーブル
	Private pdtPATData As DataTable		  '患者単位
	Private pdtHSPData As DataTable		  '入退院歴単位
	Private pdtCLIData As DataTable		  '科歴単位
	' 重複起動
	Private pbExclusive As Boolean = False
	'詳細検索結果取得用データテーブル	
	Friend Schdt As DataTable
	'グリッドソート
	Private cliGridSort As clsGridSort
	'表示するもののみを列挙 0:科歴　1:入退院　2:患者
	Private dgvTrueList()() As String = Nothing

	Private pUnit As clsConst.Enum_LendUnit = Nothing
	Private pDt As DataTable = Nothing

#End Region

#Region "コンストラクタ"
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2011/02/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.pUnit = clsConst.Enum_LendUnit.Each_Hosp
	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pUnit">管理単位</param>
	''' <param name="pDt">初期表示キー情報</param>
	''' <remarks>
	''' 2011/02/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pUnit As clsConst.Enum_LendUnit, ByVal pDt As DataTable)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		Me.pUnit = pUnit
		Me.pDt = pDt
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開くイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP010F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "BCP010F010_Load", "フォームを開くイベント START")
		Dim cliGridStyle As clsGridStyle
		Try
			Me.Schdt = New DataTable
			Me.cliGridSort = New clsGridSort
			Me.dgvTrueList = {New String() {COL_SELECTED, COL_PATIENT_NO, COL_HSP_HISTORY_NO, COL_CH_NO,
											COL_BYOREKI_NO, COL_PATIENT_NM, COL_DEPT_RNM, COL_WARD_RNM, COL_START_DT, COL_END_DT,
											COL_MNGSTATUS_NM, COL_DEPT_RNM2, COL_WARD_RNM2, COL_HSP_DT2, COL_OUT_HSP_DT2},
							  New String() {COL_SELECTED, COL_PATIENT_NO, COL_HSP_HISTORY_NO,
											COL_BYOREKI_NO, COL_PATIENT_NM, COL_DEPT_RNM, COL_WARD_RNM, COL_HSP_DT, COL_OUT_HSP_DT,
											COL_MNGSTATUS_NM},
							  New String() {COL_SELECTED, COL_PATIENT_NO, COL_PATIENT_NM,
											COL_MNGSTATUS_NM}}

			cliGridStyle = New clsGridStyle
			' 排他制御登録
			If Me.setStartStatus(True) = False Then
				Me.pbExclusive = True
				Me.CancelProc()
				Return
			End If

			' 初期値設定
			'表示単位
			Select Case Me.pUnit
				Case clsConst.Enum_LendUnit.Each_Patient : Me.rdo011BCP010F010.Checked = True
				Case clsConst.Enum_LendUnit.Each_Hosp : Me.rdo012BCP010F010.Checked = True
				Case clsConst.Enum_LendUnit.Each_Dept : Me.rdo013BCP010F010.Checked = True
			End Select
			' グリッド初期処理
			'フォント設定
			cliGridStyle.setGridHeight(Me.dgv024BCP010F010)
			' 自動列追加オフ
			Me.dgv024BCP010F010.AutoGenerateColumns = False
			'一覧表示項目設定
			Me.SetdgvCol()
			'一覧表示項目設定(病歴番号:動作環境より取得)
			Me.dgv024BCP010F010.Columns(COL_BYOREKI_NO).HeaderText = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
			'件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv024BCP010F010, Me.lbl020BCP010F010, Me.lbl022BCP010F010)
		Catch ex As Exception
			'画面ロード時にエラーの場合、キャンセルして遷移元の画面に戻す
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開いた後のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP010F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, "BCP010F010_Shown", "フォームを開いた後のイベント START")
		Try
			Me.msk008BCP010F010.Select()	' フォーカスを患者番号テキストボックスにセット
			If Me.pDt IsNot Nothing Then
				Application.DoEvents()		'画面を一旦表示
				Me.setInitGridData()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じる時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "BCP010F010_FormClosing", "フォームを閉じる時のイベント START")
		Try
			' 排他制御削除（排他エラー時は削除しない）
			If Me.pbExclusive = False Then
				Me.delStartStatus()
			End If
			' 正常終了時処理
			'ワークデータの消去
			Me.delWork()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'画面戻り
			Try
				If Me.Owner IsNot Nothing Then
					Me.setCloseFlg()
					DirectCast(Me.Owner, frmBase).backForm(False)
				End If
			Catch ex As Exception
				Me.ErrorProc(ex)
			End Try

			' 解放処理・変数クリア
			If Me.Schdt IsNot Nothing Then : Me.Schdt.Dispose() : Me.Schdt = Nothing : End If
			Me.cliGridSort = Nothing
			Me.dgvTrueList = Nothing
			If Me.pDt IsNot Nothing Then : Me.pDt.Dispose() : Me.pDt = Nothing : End If
			' DataGridViewバインドクリア
			If Me.dgv024BCP010F010.DataSource IsNot Nothing Then
				DirectCast(Me.dgv024BCP010F010.DataSource, DataTable).Dispose()
				Me.dgv024BCP010F010.DataSource = Nothing
			End If
			'解放処理
			If pdtPATData IsNot Nothing Then pdtPATData.Dispose()
			If pdtHSPData IsNot Nothing Then pdtHSPData.Dispose()
			If pdtCLIData IsNot Nothing Then pdtCLIData.Dispose()
			'DataTable変数クリア
			pdtPATData = Nothing
			pdtHSPData = Nothing
			pdtCLIData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全選択ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn015BCP010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn015BCP010F010.Click
		log(clsSysMst.logLevel.NRM, "btn015BCP010F010_Click", "全選択ボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' '選択チェックボックス＝ONにする
			For Each row As DataGridViewRow In Me.dgv024BCP010F010.Rows
				row.Cells(COL_SELECTED).Value = clsConst.Enum_CheckBox_Flg.CheckOn
			Next
			' 件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv024BCP010F010, Me.lbl020BCP010F010, Me.lbl022BCP010F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全解除ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn016BCP010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn016BCP010F010.Click
		log(clsSysMst.logLevel.NRM, "btn016BCP010F010_Click", "全解除ボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' '選択チェックボックス＝offにする
			For Each row As DataGridViewRow In Me.dgv024BCP010F010.Rows
				row.Cells(COL_SELECTED).Value = clsConst.Enum_CheckBox_Flg.CheckOff
			Next
			' 件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv024BCP010F010, Me.lbl020BCP010F010, Me.lbl022BCP010F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 選択外クリアボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn017BCP010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn017BCP010F010.Click
		log(clsSysMst.logLevel.NRM, "btn017BCP010F010_Click", "選択外クリアボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' データグリッドビューにバインド
			Select Case getShowType()
				Case clsConst.Enum_LendUnit.Each_Patient		'患者単位
					If pdtPATData IsNot Nothing Then
						'未選択行データ削除処理
						pdtPATData = DelUnSelectRow(pdtPATData)
						'削除後のデータテーブルをバインド
						Me.dgv024BCP010F010.DataSource = pdtPATData
					End If
				Case clsConst.Enum_LendUnit.Each_Hosp			'入退院歴単位
					If pdtHSPData IsNot Nothing Then
						'未選択行データ削除処理
						pdtHSPData = DelUnSelectRow(pdtHSPData)
						'削除後のデータテーブルをバインド
						Me.dgv024BCP010F010.DataSource = pdtHSPData
					End If
				Case clsConst.Enum_LendUnit.Each_Dept			'科歴単位
					If pdtCLIData IsNot Nothing Then
						'未選択行データ削除処理
						pdtCLIData = DelUnSelectRow(pdtCLIData)
						'削除後のデータテーブルをバインド
						Me.dgv024BCP010F010.DataSource = pdtCLIData
					End If
			End Select
			' 件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv024BCP010F010, Me.lbl020BCP010F010, Me.lbl022BCP010F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全クリアボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn018BCP010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn018BCP010F010.Click
		log(clsSysMst.logLevel.NRM, "btn018BCP010F010_Click", "全クリアボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 現在のDGVデータソースをセット
			Dim dt As DataTable = Me.dgv024BCP010F010.DataSource
			If dt IsNot Nothing Then
				'行全部をクリア
				dt.Rows.Clear()
				'クリア後のデータテーブルをバインド
				Me.dgv024BCP010F010.DataSource = dt
				'件数表示
				Me.updDisplayCount(COL_SELECTED, Me.dgv024BCP010F010, Me.lbl020BCP010F010, Me.lbl022BCP010F010)
			End If
			' 表示単位を入力可にする
			Me.grp014BCP010F010.Enabled = True
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 初回入院のみボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn019BCP010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn019BCP010F010.Click
		log(clsSysMst.logLevel.NRM, "btn019BCP010F010_Click", "初回入院のみボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 選択チェックボックスON OFF
			Select Case getShowType()
				Case clsConst.Enum_LendUnit.Each_Hosp		'表示単位＝「入退院歴単位」のとき
					For Each row As DataGridViewRow In Me.dgv024BCP010F010.Rows
						If row.Cells(COL_HSP_HISTORY_NO).Value = 1 Then
							'入退院歴番号＝1のもののみチェック＝ＯＮにする。
							row.Cells(COL_SELECTED).Value = clsConst.Enum_CheckBox_Flg.CheckOn
						Else
							row.Cells(COL_SELECTED).Value = clsConst.Enum_CheckBox_Flg.CheckOff
						End If
					Next
				Case clsConst.Enum_LendUnit.Each_Dept		'表示単位＝「科歴単位」のとき
					For Each row As DataGridViewRow In Me.dgv024BCP010F010.Rows
						If row.Cells(COL_HSP_HISTORY_NO).Value = 1 AndAlso row.Cells(COL_CH_NO).Value = 1 Then
							'入退院歴番号＝1 かつ　科歴番号＝1のもののみチェック＝ＯＮにする。
							row.Cells(COL_SELECTED).Value = clsConst.Enum_CheckBox_Flg.CheckOn
						Else
							row.Cells(COL_SELECTED).Value = clsConst.Enum_CheckBox_Flg.CheckOff
						End If
					Next
				Case Else
			End Select
			' 件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv024BCP010F010, Me.lbl020BCP010F010, Me.lbl022BCP010F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn007BCP010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007BCP010F010.Click
		log(clsSysMst.logLevel.NRM, "btn007BCP010F010_Click", "患者番号ボタンクリックイベント START")
		Try
			'患者検索画面遷移
			Me.showPatient()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 詳細検索ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn010BCP010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn010BCP010F010.Click
		log(clsSysMst.logLevel.NRM, "btn010BCP010F010_Click", "詳細検索ボタンクリックイベント START")
		Dim ChildForm As BCP010F020
		Try
			Me.Cursor = Cursors.WaitCursor
			ChildForm = New BCP010F020(getShowType())
			Me.nextForm(ChildForm)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			ChildForm = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ﾌﾟﾚﾋﾞｭｰボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/05 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnPrnClick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005BCP010F010.Click, btn006BCP010F010.Click
		log(clsSysMst.logLevel.NRM, String.Format("{0}({1})", Reflection.MethodBase.GetCurrentMethod.Name, sender.name), "印刷ボタン START")
		Try
			Me.Cursor = Cursors.WaitCursor

			If Me.chkGridCnt = False Then
				Me.showMsg("E0005")
			Else
				' 印刷・ﾌﾟﾚﾋﾞｭｰ表示処理
				Using rBCP010R010 As New BCP010R010(Me, sender.name.Equals(Me.btn006BCP010F010.Name), Me.getShowType(), Me.dgv024BCP010F010, Me.nud002BCP010F010.Value, Me.nud004BCP010F010.Value)
					If rBCP010R010.exeReport() = True Then
						'処理なし
					End If
				End Using
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示単位ラジオボタン　クリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdoShowType_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles rdo011BCP010F010.Click, rdo012BCP010F010.Click, rdo013BCP010F010.Click
		log(clsSysMst.logLevel.NRM, "rdoShowType_Click", "表示単位ラジオボタンクリック時イベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 一覧表示項目設定
			Me.SetdgvCol()
			Me.msk008BCP010F010.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' セルコンテンツクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/09/30 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv024BCP010F010_CellContentClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv024BCP010F010.CellContentClick
		log(clsSysMst.logLevel.NRM, "dgv024BCP010F010_CellContentClick", "セルコンテンツクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If e.RowIndex <= -1 Then Return
			With DirectCast(sender, DataGridView)
				If .Columns(e.ColumnIndex).Name = COL_SELECTED Then											'チェックボックス列なら
					.CommitEdit(DataGridViewDataErrorContexts.CurrentCellChange)							'変更内容をコミット
					Me.updDisplayCount(COL_SELECTED, sender, Me.lbl020BCP010F010, Me.lbl022BCP010F010)		'件数表示
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリットマウスアップ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/01/12 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv024BCP010F010_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles dgv024BCP010F010.MouseUp
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "グリットマウスアップ START")	'イベント発生が多いのでDBGにしておく
		Try
			With DirectCast(sender, DataGridView)
				If .Rows.Count = 0 Then Return
				If .Columns(.CurrentCell.ColumnIndex).Name = COL_SELECTED AndAlso .IsCurrentCellDirty Then	'チェックボックス列 かつ 編集済みであれば
					.CommitEdit(DataGridViewDataErrorContexts.Commit)										'変更内容をコミット
					Me.updDisplayCount(COL_SELECTED, sender, Me.lbl020BCP010F010, Me.lbl022BCP010F010)		'件数表示
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧ヘッダークリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/19 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv024BCP010F010_ColumnHeaderMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv024BCP010F010.ColumnHeaderMouseClick
		log(clsSysMst.logLevel.NRM, "dgv024BCP010F010_ColumnHeaderMouseClick", "一覧ヘッダクリック START")
		Dim arSort As ArrayList = Nothing
		Try
			Me.Cursor = Cursors.WaitCursor
			If e.ColumnIndex > 0 AndAlso Me.dgv024BCP010F010.Columns(e.ColumnIndex).DataPropertyName <> sqlBCP010F010.itmSELECTED Then
				arSort = New ArrayList
'(M) STR V4-12051-000 015 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
				''ソート
				'Me.cliGridSort.Clear()
				''指定列
				'arSort.Add(New DictionaryEntry(Me.dgv024BCP010F010.Columns(e.ColumnIndex).DataPropertyName, clsGridSort.Enum_SortType.SortNone))
				Call setGridSortCriteria()
				If Me.cliGridSort.getItm(dgv024BCP010F010.Columns(e.ColumnIndex).DataPropertyName) IsNot Nothing Then				'独自ソートの存在チェック
					For Each dicDat As DictionaryEntry In Me.cliGridSort.getItm(dgv024BCP010F010.Columns(e.ColumnIndex).DataPropertyName)
						arSort.Add(dicDat)																			'独自ソートを反映
					Next
				Else
					arSort.Add(New DictionaryEntry(dgv024BCP010F010.Columns(e.ColumnIndex).DataPropertyName, clsGridSort.Enum_SortType.SortNone))
				End If
				cliGridSort = New clsGridSort
'(M) END V4-12051-000 015 2013/01/23
				If Me.dgv024BCP010F010.Columns.Contains(sqlBCP010F010.itemSORT_SEQ) = True Then
					'初期ソート
					arSort.Add(New DictionaryEntry(sqlBCP010F010.itemSORT_SEQ, clsGridSort.Enum_SortType.SortNone))
				End If
				Me.cliGridSort.Add(Me.dgv024BCP010F010.Columns(e.ColumnIndex).Name, arSort)
				Me.cliGridSort.SortRow(Me.dgv024BCP010F010, Me.dgv024BCP010F010.Columns(e.ColumnIndex).Name, e.ColumnIndex)
				'グリッドの先頭行をセレクト
				With Me.dgv024BCP010F010
					If .Rows.Count > 0 Then
						.CurrentCell = .Rows(0).Cells(0)									'現在のセルを最上左に設定
						.FirstDisplayedScrollingRowIndex = 0								'先頭行を可視する
						.Select()															'フォーカス移動
					End If
				End With
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			If arSort IsNot Nothing Then arSort.Clear()
			arSort = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータの削除
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delWork()
		log(clsSysMst.logLevel.DBG, "delWork", "ワークデータの削除 START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					'削除処理
					.setSQL(sqlBCP010R010.sqlDel_Data)
					.setParam(sqlBCP010R010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlBCP010R010.prmHOST_NM, clsConst.CST_HOST_NM)
					.execNonQuery()
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 患者検索画面遷移
	''' </summary>
	''' <remarks>
	''' 2010/10/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showPatient()
		log(clsSysMst.logLevel.DBG, "showPatient", "患者検索画面遷移 START")
		Dim ChildForm As XSP010F010
		Try
			ChildForm = New XSP010F010(CST_SHOW_XSP010F010_ID, Me.msk008BCP010F010.Name, XSP010F010.Enum_XSP010F010_Prd.prdM)
			nextForm(ChildForm)
		Catch ex As Exception
			Throw
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データ表示処理
	''' </summary>
	''' <remarks>
	''' 2010/09/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setGridData(Optional ByVal srcDT As DataTable = Nothing, Optional ByVal srcFlg As Boolean = True)
		log(clsSysMst.logLevel.DBG, "setGridData", "データ表示処理 START")
		Dim ShowType As clsConst.Enum_LendUnit
		Dim wrkDT As DataTable
		Try
			Me.Cursor = Cursors.WaitCursor
			wrkDT = New DataTable
			' 現在の表示単位を取得
			ShowType = getShowType()
			If srcFlg = True Then
				' コントロール値確定(ゼロサプレス処理）
				Me.ValidateChildren()
				'' 入力チェック(患者番号入力チェック)
				If ChkInput() = False Then Return

				wrkDT = GetData(ShowType)
			Else
				wrkDT = srcDT.Copy
			End If
			' 対象データを取得
			Using dtData As DataTable = wrkDT
				If dtData IsNot Nothing AndAlso dtData.Rows.Count > 0 Then
					'取得データをDGVにバインド
					Select Case ShowType
						Case clsConst.Enum_LendUnit.Each_Patient		'患者単位
							pdtPATData = mergeDataTable(pdtPATData, dtData, ShowType)
							Me.dgv024BCP010F010.DataSource = pdtPATData
						Case clsConst.Enum_LendUnit.Each_Hosp			'入退院歴単位
							pdtHSPData = mergeDataTable(pdtHSPData, dtData, ShowType)
							Me.dgv024BCP010F010.DataSource = pdtHSPData
						Case clsConst.Enum_LendUnit.Each_Dept			'科歴単位
							pdtCLIData = mergeDataTable(pdtCLIData, dtData, ShowType)
							Me.dgv024BCP010F010.DataSource = pdtCLIData
						Case Else

					End Select
					'表示単位を入力不可にする
					If Me.dgv024BCP010F010.DataSource IsNot Nothing AndAlso
						DirectCast(Me.dgv024BCP010F010.DataSource, DataTable).Rows.Count > 0 Then
						Me.grp014BCP010F010.Enabled = False
					End If
					Me.grp014BCP010F010.Enabled = False
					'件数表示
					Me.updDisplayCount(COL_SELECTED, Me.dgv024BCP010F010, Me.lbl020BCP010F010, Me.lbl022BCP010F010)
				Else
					'取得データが存在しない場合は、エラーメッセージ表示
					'「検索条件に対する該当データが存在しません」メッセージ
					Me.showMsg("E0010")
				End If
			End Using
			' フォーカスを患者番号テキストボックスに移動
			Me.msk008BCP010F010.Text = String.Empty
			Me.msk008BCP010F010.Select()
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
			wrkDT = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 対象データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Function GetData(ByVal ShowType As clsConst.Enum_LendUnit) As DataTable
		log(clsSysMst.logLevel.DBG, "getData", "対象データ取得 START")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' データ取得用ＳＱＬ文セット
				Select Case ShowType
					Case clsConst.Enum_LendUnit.Each_Patient		'患者単位
						db.setSQLDa(sqlBCP010F010.sqlSel_Patirnt)
					Case clsConst.Enum_LendUnit.Each_Hosp			'入退院単位
						db.setSQLDa(String.Format(sqlBCP010F010.sqlSel_HspHistry, String.Empty))
					Case clsConst.Enum_LendUnit.Each_Dept			'科歴単位
						db.setSQLDa(String.Format(sqlBCP010F010.sqlSel_CliHistry, String.Empty))
					Case Else

				End Select
				' SQLパラメータ宣言
				db.setParamDa(sqlBCP010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlBCP010F010.prmSELECTED, clsDB.Enum_dbType.dbInt)
				db.setParamDa(sqlBCP010F010.prmLENDITEM_CD, XCM.clsDB.Enum_dbType.dbNVarChar)				'貸出物コード
				' SQLパラメータに値をセット
				'検索条件
				db.setValDa(sqlBCP010F010.prmPATIENT_NO, Me.msk008BCP010F010.Text)
				'選択チェックボックス(初期表示はチェック＝ON）
				db.setValDa(sqlBCP010F010.prmSELECTED, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))
				db.setValDa(sqlBCP010F010.prmLENDITEM_CD, clsConst.Enum_Lenditem.MedicalRecord)				'貸出物コード	
				' データ取得
				db.execQueryDa(dtData)
			End Using
			'戻り値を返す
			Return dtData
		Catch ex As Exception
			Throw
		Finally
			dtData = Nothing
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルを重複分を除きマージ
	''' </summary>
	''' <param name="dtTo">マージ先データテーブル</param>
	''' <param name="dtFrom">マージ元データテーブル</param>
	''' <returns>マージ後のデータテーブル</returns>
	''' <remarks>
	''' 2010/09/30 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function mergeDataTable(ByVal dtTo As DataTable, ByVal dtFrom As DataTable, ByVal ShowType As clsConst.Enum_LendUnit) As DataTable
		log(clsSysMst.logLevel.DBG, "mergeDataTable", "データテーブルを重複分を除きマージ START")
		Dim dt As DataTable
		Dim NewRow As DataRow
		Dim cliCom As clsCom
		Dim strWhere As String = Nothing
		Dim CopyFlg As Boolean = False
		Try
			cliCom = New clsCom
			'データが取得できていないなら終了
			If dtFrom Is Nothing Then Return dtTo

			If dtTo Is Nothing OrElse dtTo.Rows.Count = 0 Then					'マージ先がなければ、複写
				Return dtFrom
			Else
				dt = dtTo.Copy()
			End If

			For Each row As DataRow In dtFrom.Rows
				Select Case ShowType
					Case clsConst.Enum_LendUnit.Each_Patient		'患者単位
						strWhere = String.Format("{0} = '{1}'",
												sqlBCP010F010.itmPATIENT_NO,
												cliCom.getDtItmValue(row(sqlBCP010F010.itmPATIENT_NO).ToString))
					Case clsConst.Enum_LendUnit.Each_Hosp			'入退院歴単位
						strWhere = String.Format("{0} = '{1}' AND {2} = {3}",
												sqlBCP010F010.itmPATIENT_NO,
												cliCom.getDtItmValue(row(sqlBCP010F010.itmPATIENT_NO).ToString),
												sqlBCP010F010.itmHSP_HISTORY_NO,
												row(sqlBCP010F010.itmHSP_HISTORY_NO).ToString)
					Case clsConst.Enum_LendUnit.Each_Dept			'科歴単位
						strWhere = String.Format("{0} = '{1}' AND {2} = {3} AND {4} = {5}",
												sqlBCP010F010.itmPATIENT_NO,
												cliCom.getDtItmValue(row(sqlBCP010F010.itmPATIENT_NO).ToString),
												sqlBCP010F010.itmHSP_HISTORY_NO,
												row(sqlBCP010F010.itmHSP_HISTORY_NO).ToString,
												sqlBCP010F010.itmCH_NO,
												row(sqlBCP010F010.itmCH_NO).ToString)
					Case Else
						strWhere = Nothing
				End Select

				If strWhere Is Nothing OrElse dtTo.Select(strWhere).Length = 0 Then		'条件一致しないデータを先頭にマージ
					NewRow = dt.NewRow
					NewRow.ItemArray = row.ItemArray
					dt.Rows.InsertAt(NewRow, 0)
					CopyFlg = True
				End If
			Next

			If CopyFlg = False AndAlso dtFrom.Rows.Count > 0 Then						'マージデータがなければエラーメッセージ
				Me.showMsg("E0012", "追加", Nothing)
				Return dtTo
			Else
				Return dt
			End If

		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
			NewRow = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データテーブル重複チェック
	''' </summary>
	''' <param name="row">データテーブル行</param>
	''' <param name="ShowType">表示単位</param>
	''' <returns>チェック結果(True:重複なし,False:重複あり)</returns>
	''' <remarks>
	''' 2010/09/30 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkDBlDataTable(ByVal row As DataRow, ByVal ShowType As clsConst.Enum_LendUnit) As Boolean
		log(clsSysMst.logLevel.DBG, "chkDBlDataTable", "データテーブル重複チェック START")
		Dim cliCom As clsCom
		Dim strWhere As String = Nothing
		Dim dt As DataTable = Nothing
		Try
			cliCom = New clsCom
			Select Case ShowType
				Case clsConst.Enum_LendUnit.Each_Patient		'患者単位
					dt = Me.pdtPATData
					strWhere = String.Format("{0} = '{1}'",
											sqlBCP010F010.itmPATIENT_NO,
											cliCom.getDtItmValue(row(sqlBCP010F010.itmPATIENT_NO).ToString))
				Case clsConst.Enum_LendUnit.Each_Hosp			'入退院歴単位
					dt = Me.pdtHSPData
					strWhere = String.Format("{0} = '{1}' AND {2} = {3}",
											sqlBCP010F010.itmPATIENT_NO,
											cliCom.getDtItmValue(row(sqlBCP010F010.itmPATIENT_NO).ToString),
											sqlBCP010F010.itmHSP_HISTORY_NO,
											row(sqlBCP010F010.itmHSP_HISTORY_NO).ToString)
				Case clsConst.Enum_LendUnit.Each_Dept			'科歴単位
					dt = Me.pdtCLIData
					strWhere = String.Format("{0} = '{1}' AND {2} = {3} AND {4} = {5}",
											sqlBCP010F010.itmPATIENT_NO,
											cliCom.getDtItmValue(row(sqlBCP010F010.itmPATIENT_NO).ToString),
											sqlBCP010F010.itmHSP_HISTORY_NO,
											row(sqlBCP010F010.itmHSP_HISTORY_NO).ToString,
											sqlBCP010F010.itmCH_NO,
											row(sqlBCP010F010.itmCH_NO).ToString)
				Case Else

			End Select

			'存在チェック
			If dt Is Nothing OrElse dt.Select(strWhere).Length > 0 Then
				Return True
			Else
				Return False
			End If
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 選択済件数と全体件数を更新
	''' </summary>
	''' <remarks>
	''' 2010/09/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub updDisplayCount(ByVal strColumnName As String, ByVal dgv As DataGridView, ByVal lblCount As Label, ByVal lblTotalCount As Label)
		log(clsSysMst.logLevel.DBG, "updDisplayCount", "選択済件数と全体件数を更新 START")
		'※True=1:False=0で判断するときは、DGVのコレクション内の
		'　選択セルのTrueValueに1、FalseValueに0を入れておく。
		Try
			If dgv.Rows IsNot Nothing Then
				Dim iSelectedCount As Integer = 0
				For Each row As DataGridViewRow In dgv.Rows
					If row.Cells(strColumnName).Value = clsConst.Enum_CheckBox_Flg.CheckOn Then
						iSelectedCount += 1
					End If
				Next
				lblCount.Text = Format(iSelectedCount, clsConst.CST_KENSU_FORMAT)
				lblTotalCount.Text = Format(dgv.Rows.Count, clsConst.CST_KENSU_FORMAT)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 現在の表示単位を取得
	''' </summary>
	''' <remarks>
	''' 2010/09/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getShowType() As clsConst.Enum_LendUnit
		log(clsSysMst.logLevel.DBG, "getShowType", "現在の表示単位を取得")
		Try
			Select Case True
				Case rdo011BCP010F010.Checked	'患者単位
					Return clsConst.Enum_LendUnit.Each_Patient
				Case rdo012BCP010F010.Checked	'入退院単位
					Return clsConst.Enum_LendUnit.Each_Hosp
				Case rdo013BCP010F010.Checked	'科歴単位
					Return clsConst.Enum_LendUnit.Each_Dept
				Case Else

			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示項目設定
	''' </summary>
	''' <remarks>
	''' 2010/09/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SetdgvCol()
		log(clsSysMst.logLevel.DBG, "SetdgvCol", "一覧表示項目設定 START")
		Dim wdgvVisible() As Boolean = Nothing
		Dim Idx As clsConst.Enum_LendUnit
		Try
			' データをDGVにバインド、表示非表示フラグ設定
			Select Case getShowType()
				Case clsConst.Enum_LendUnit.Each_Patient		'患者単位
					'データをDGVにバインド
					Me.dgv024BCP010F010.DataSource = pdtPATData
					'一覧項目表示非表示フラグ設定
					Idx = clsConst.Enum_LendUnit.Each_Patient
					'「初回入院のみ」ボタンを使用不可にする
					Me.btn019BCP010F010.Enabled = False
				Case clsConst.Enum_LendUnit.Each_Hosp			'入退院歴単位
					'データをDGVにバインド
					Me.dgv024BCP010F010.DataSource = pdtHSPData
					'一覧項目表示非表示フラグ設定
					Idx = clsConst.Enum_LendUnit.Each_Hosp
					'「初回入院のみ」ボタンを使用可にする
					Me.btn019BCP010F010.Enabled = True
				Case clsConst.Enum_LendUnit.Each_Dept			'科歴単位
					'データをDGVにバインド
					Me.dgv024BCP010F010.DataSource = pdtCLIData
					'一覧項目表示非表示フラグ設定
					Idx = clsConst.Enum_LendUnit.Each_Dept
					'「初回入院のみ」ボタンを使用可にする
					Me.btn019BCP010F010.Enabled = True
				Case Else
			End Select
			'項目表示制御
			For Each wCol As DataGridViewColumn In Me.dgv024BCP010F010.Columns
				If Array.IndexOf(dgvTrueList(Idx), wCol.Name) > -1 Then
					wCol.Visible = True
				Else
					wCol.Visible = False
				End If
			Next
			' 件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv024BCP010F010, Me.lbl020BCP010F010, Me.lbl022BCP010F010)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索入力チェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/30 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkInput() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkInput", "検索入力チェック START")
		Try
			' 患者番号入力チェック
			With Me.msk008BCP010F010
				If String.IsNullOrEmpty(.Text) = True Then
					Me.addErrList("E0001", .Name, Me.btn007BCP010F010.Text)
				End If
			End With

			If Me.getErrCount > 0 Then
				Me.nextErrForm()
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 未選択データテーブル行削除
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function DelUnSelectRow(ByVal dt As DataTable) As DataTable
		log(clsSysMst.logLevel.DBG, "delUnSelectRow", "未選択データテーブル行削除 START")
		Try
			If dt IsNot Nothing Then
				dt.AcceptChanges()
				' 未選択行をデータテーブルから削除
				For i As Integer = dt.Rows.Count - 1 To 0 Step -1
					If CInt(dt.Rows(i)(sqlBCP010F010.itmSELECTED).ToString) = clsConst.Enum_CheckBox_Flg.CheckOff Then
						dt.Rows(i).Delete()
					End If
				Next
			End If
			dt.AcceptChanges()
			Return dt
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 件数判定
	''' </summary>
	''' <remarks>
	''' 2011/02/25 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkGridCnt() As Boolean
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "件数判定 START")
		Try
			With Me.dgv024BCP010F010
				If .DataSource Is Nothing Then Return False
				With DirectCast(.DataSource, DataTable)
					If .Rows Is Nothing OrElse .Rows.Count = 0 Then Return False
					If .Select(sqlBCP010F010.itmSELECTED & "=" & clsConst.Enum_CheckBox_Flg.CheckOn).Length > 0 Then Return True
				End With
			End With
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 初期データ表示処理
	''' </summary>
	''' <remarks>
	''' 2011/02/16 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setInitGridData()
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "初期データ表示処理 START")
		Dim dtAll As DataTable = Nothing
		Try
			'キー項目の存在チェック
			If Me.pDt.Columns.Contains(sqlBCP010F010.itmPATIENT_NO) = False Then
				Me.showMsg("E0035", "引数", Nothing)
				Return
			ElseIf Me.pUnit = clsConst.Enum_LendUnit.Each_Patient Then
				'チェック終了
			ElseIf Me.pDt.Columns.Contains(sqlBCP010F010.itmHSP_HISTORY_NO) = False Then
				Me.showMsg("E0035", "引数", Nothing)
				Return
			ElseIf Me.pUnit = clsConst.Enum_LendUnit.Each_Hosp Then
				'チェック終了
			ElseIf Me.pDt.Columns.Contains(sqlBCP010F010.itmCH_NO) = False Then
				Me.showMsg("E0035", "引数", Nothing)
				Return
			End If

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' SQL設定
				Select Case Me.pUnit
					Case clsConst.Enum_LendUnit.Each_Patient
						db.setSQLDa(sqlBCP010F010.sqlSel_Patirnt)
					Case clsConst.Enum_LendUnit.Each_Hosp
						db.setSQLDa(String.Format(sqlBCP010F010.sqlSel_HspHistry, sqlBCP010F010.sqlWhere_HspHistry))
						db.setParamDa(sqlBCP010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					Case clsConst.Enum_LendUnit.Each_Dept
						db.setSQLDa(String.Format(sqlBCP010F010.sqlSel_CliHistry, sqlBCP010F010.sqlWhere_CliHistry))
						db.setParamDa(sqlBCP010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						db.setParamDa(sqlBCP010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					Case Else
						Return
				End Select

				db.setParamDa(sqlBCP010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlBCP010F010.prmSELECTED, clsDB.Enum_dbType.dbInt)
				db.setParamDa(sqlBCP010F010.prmLENDITEM_CD, XCM.clsDB.Enum_dbType.dbNVarChar)

				db.setValDa(sqlBCP010F010.prmSELECTED, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))
				db.setValDa(sqlBCP010F010.prmLENDITEM_CD, clsConst.Enum_Lenditem.MedicalRecord)

				For Each row As DataRow In Me.pDt.Rows
					' 受取データよりSQLパラメータデータ設定
					db.setValDa(sqlBCP010F010.prmPATIENT_NO, row.Item(sqlBCP010F010.itmPATIENT_NO).ToString)
					Select Case Me.pUnit
						Case clsConst.Enum_LendUnit.Each_Hosp
							db.setValDa(sqlBCP010F010.prmHSP_HISTORY_NO, row.Item(sqlBCP010F010.itmHSP_HISTORY_NO).ToString)
						Case clsConst.Enum_LendUnit.Each_Dept
							db.setValDa(sqlBCP010F010.prmHSP_HISTORY_NO, row.Item(sqlBCP010F010.itmHSP_HISTORY_NO).ToString)
							db.setValDa(sqlBCP010F010.prmCH_NO, row.Item(sqlBCP010F010.itmCH_NO).ToString)
					End Select

					' 取得結果を保持
					Using dt As New DataTable
						db.execQueryDa(dt)
						If dt Is Nothing Then
						ElseIf dtAll Is Nothing Then
							dtAll = dt.Copy
						ElseIf dt.Rows.Count > 0 Then
							dtAll.Merge(dt)
						End If
					End Using
				Next
			End Using

			' 取得結果を画面に反映
			If dtAll IsNot Nothing AndAlso dtAll.Rows.Count > 0 Then
				Select Case Me.pUnit
					Case clsConst.Enum_LendUnit.Each_Patient		'患者単位
						pdtPATData = dtAll
					Case clsConst.Enum_LendUnit.Each_Hosp			'入退院歴単位
						pdtHSPData = dtAll
					Case clsConst.Enum_LendUnit.Each_Dept			'科歴単位
						pdtCLIData = dtAll
				End Select
				Me.dgv024BCP010F010.DataSource = dtAll
				Me.grp014BCP010F010.Enabled = False

				Me.updDisplayCount(COL_SELECTED, Me.dgv024BCP010F010, Me.lbl020BCP010F010, Me.lbl022BCP010F010)
			Else
				Me.showMsg("I0001")									'該当するデータはありませんでした。
			End If
		Catch ex As Exception
			Throw
		Finally
			dtAll = Nothing
		End Try
	End Sub

'(M) STR V4-12051-000 024 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
	'''---------------------------------------------
	''' <summary>
	''' 独自ソート条件作成
	''' </summary>
	''' <remarks>
	''' 2013/01/23 新規作成　ID)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setGridSortCriteria()
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "独自ソート条件作成 START")
		Dim arData As ArrayList = Nothing
		Try
			arData = New ArrayList

			arData.Clear()
			arData.Add(New DictionaryEntry(sqlBCP010F010.itmDSPORDER, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlBCP010F010.itmWARD_CD, clsGridSort.Enum_SortType.SortNone))
			cliGridSort.Add(sqlBCP010F010.itmWARD_RNM, arData.Clone)
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(M) END V4-12051-000 024 2013/01/23

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Enterキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "Enterキー押下処理 START")
		Try
			' 患者番号でEnterキー
			If Me.ActiveControl.Equals(Me.msk008BCP010F010) Then
				log(clsSysMst.logLevel.DBG, "EnterProc", "Enterキー押下")
				'一覧表示
				Me.setGridData()
				'戻り値を返す
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
		' ベース処理実行
		Return MyBase.EnterProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/10/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		log(clsSysMst.logLevel.DBG, "F1KeyProc", "Ｆ１キー押下処理 START")
		Try
			'患者検索画面遷移
			Me.showPatient()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 START")
		Dim wrkPATIENT_NO As String				 '取得した患者番号
		Try
			Select Case de.Key.ToString
				Case CST_SHOW_XSP010F010_ID
					' 患者検索画面より戻ってきたとき
					If ret = Enum_FormReturn.OK Then
						'患者検索画面で、確定ボタンが押下されたとき（結果が存在するとき）
						'患者検索画面より、患者番号を戻す
						wrkPATIENT_NO = de.Value.PATIENT_NO
						'患者番号テキストボックスに戻り値をセット
						Me.msk008BCP010F010.Text = wrkPATIENT_NO
						'一覧表示
						Me.setGridData()
					End If
				Case CST_SHOW_BCP010F020_ID
					' 詳細検索画面より戻ってきたとき
					If ret = Enum_FormReturn.OK Then
						Me.setGridData(Me.Schdt, False)
					End If
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

End Class