﻿Imports XCM
Imports XSP
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports System.IO
Imports System.Collections.Specialized
Imports System.Data

''' ---------------------------------------------
''' <summary>
''' バーコード印刷詳細検索
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class BCP010F020

#Region "変数"
	Private OwnerForm As frmBase											'OwnerFormを取得
	Private pValueUnit As clsConst.Enum_LendUnit							'表示単位
	Private clsSch As clsSearch											   '検索共通クラス
	Private fret As Enum_FormReturn = Enum_FormReturn.CANSEL				'画面戻り値
	Private retSch As DictionaryEntry										'戻り値
	Private frmBCP010F010 As BCP010F010										'親画面

   ''' ---------------------------------------------
	''' <summary>
	''' テーブルコード
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Tbl_CD As Byte
		''' <summary>
		''' 基本情報
		''' </summary>
		XTI_BASICINFO = 1
		''' <summary>
		''' 入退院情報
		''' </summary>
		MTI_HSP = 2
		''' <summary>
		''' 科歴情報
		''' </summary>
		MTI_CH = 3
		''' <summary>
		''' 貸出物情報
		''' </summary>
		MTI_LENDITM = 4
	End Enum

	'基本情報タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_001 As datSearchInput() = _
	{
		  New datSearchInput("chk004BCP010F020", Enum_Tbl_CD.XTI_BASICINFO, sqlBCP010F020.itmX_PATIENT_NO, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("msk005BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("msk007BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk008BCP010F020", Enum_Tbl_CD.XTI_BASICINFO, sqlBCP010F020.itmX_PATIENT_KNM, clsSearch.ENUM_SEARCH_TYPE.AMBIGUOUS, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("txt009BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("lik010BCP010F020", clsSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk011BCP010F020", Enum_Tbl_CD.XTI_BASICINFO, sqlBCP010F020.itmX_GENDER_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb012BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
		})
	}
	'入退院情報タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_002 As datSearchInput() = _
	{
		  New datSearchInput("chk015BCP010F020", Enum_Tbl_CD.MTI_HSP, sqlBCP010F020.itmH_HSP_HISTORY_NO, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("num016BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New datSearchInput.clsLinkControls("num018BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New datSearchInput("chk019BCP010F020", Enum_Tbl_CD.MTI_HSP, sqlBCP010F020.itmH_BYOREKI_NO, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("msk020BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("msk022BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk023BCP010F020", Enum_Tbl_CD.MTI_HSP, sqlBCP010F020.itmH_HSP_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte024BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte026BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk027BCP010F020", Enum_Tbl_CD.MTI_HSP, sqlBCP010F020.itmH_OUT_HSP_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte028BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte030BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk031BCP010F020", Enum_Tbl_CD.MTI_HSP, sqlBCP010F020.itmH_DEPT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb032BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk034BCP010F020", Enum_Tbl_CD.MTI_HSP, sqlBCP010F020.itmH_WARD_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb035BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk037BCP010F020", Enum_Tbl_CD.MTI_HSP, sqlBCP010F020.itmH_DOCTOR_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb039BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			})
	}
	'科歴情報タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_003 As datSearchInput() = _
	{
		  New datSearchInput("chk042BCP010F020", Enum_Tbl_CD.MTI_CH, sqlBCP010F020.itmC_BYOREKI_NO, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("msk043BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("msk045BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk046BCP010F020", Enum_Tbl_CD.MTI_CH, sqlBCP010F020.itmC_START_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte047BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte049BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk050BCP010F020", Enum_Tbl_CD.MTI_CH, sqlBCP010F020.itmC_END_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte051BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte053BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk054BCP010F020", Enum_Tbl_CD.MTI_CH, sqlBCP010F020.itmC_DEPT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb055BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk057BCP010F020", Enum_Tbl_CD.MTI_CH, sqlBCP010F020.itmC_WARD_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb058BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk060BCP010F020", Enum_Tbl_CD.MTI_CH, sqlBCP010F020.itmC_DOCTOR_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb062BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			})
	}
	'カルテ情報タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_004 As datSearchInput() = _
	{
		  New datSearchInput("chk065BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_RECORD_RECEIPT_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte066BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte068BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk069BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_RECORD_MNGSTATUS_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb070BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb072BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk073BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_RECORD_KEEPLCT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb074BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb076BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk077BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_RECORD_ARG_STATUS_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb078BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb080BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk081BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_RECORD_RECIPIENT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb083BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			})
	}
	'サマリ情報タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_005 As datSearchInput() = _
	{
		  New datSearchInput("chk086BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_SUMMARY_RECEIPT_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte087BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte089BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk090BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_SUMMARY_MNGSTATUS_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb091BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb093BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk094BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_SUMMARY_KEEPLCT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb095BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb097BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk098BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_SUMMARY_MAKER_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb100BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk102BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_SUMMARY_APPROVAL_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte103BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte105BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			})
	}
	'管理物情報１タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_006 As datSearchInput() = _
	{
		  New datSearchInput("chk107BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_OTHER1_RECEIPT_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte108BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte110BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk111BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_OTHER1_MNGSTATUS_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb112BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb114BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk115BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_OTHER1_KEEPLCT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb116BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb118BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			})
	}
	'管理物情報２タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_007 As datSearchInput() = _
	{
		  New datSearchInput("chk120BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_OTHER2_RECEIPT_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte121BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte123BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk124BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_OTHER2_MNGSTATUS_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb125BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb127BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk128BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_OTHER2_KEEPLCT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb129BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb131BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			})
	}
	'管理物情報３タブ検索コントロール定義
	Private ReadOnly TABCONTROLS_008 As datSearchInput() = _
	{
		  New datSearchInput("chk133BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_OTHER2_RECEIPT_DT, clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("dte134BCP010F020", clsSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New datSearchInput.clsLinkControls("dte136BCP010F020", clsSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New datSearchInput("chk137BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_OTHER2_MNGSTATUS_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb138BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb140BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New datSearchInput("chk141BCP010F020", Enum_Tbl_CD.MTI_LENDITM, sqlBCP010F020.itmL_OTHER2_KEEPLCT_CD, clsSearch.ENUM_SEARCH_TYPE.NORNAL, _
			New datSearchInput.clsLinkControls() { _
			  New datSearchInput.clsLinkControls("cmb142BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New datSearchInput.clsLinkControls("cmb144BCP010F020", clsSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			})
	}

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/11/16 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pUnit As clsConst.Enum_LendUnit)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.pValueUnit = pUnit	  '表示単位
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じる時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP010F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "BCP010F020_FormClosing", "フォームを閉じるときのイベント START")
		Try
			'親画面戻り値(画面IDのみ返却)
			Me.retSch.Key = Me.Name
			'画面クローズフラグ
			Me.setCloseFlg()
			If Me.fret = Enum_FormReturn.CANSEL Then
				Me.OwnerForm.backForm(False)
			Else
				Me.OwnerForm.backForm(False, fret, Me.retSch)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.OwnerForm = Nothing
			frmBCP010F010 = Nothing
			clsSch = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開くイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/17 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP010F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "BCP010F020_Load", "フォームを開くイベント START")
		Dim wrkByoreki As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
		Try
			'Ownerフォームのセット
			Me.OwnerForm = Me.Owner
			frmBCP010F010 = Me.OwnerForm
			'検索コントロールリストの追加
			clsSch = New clsSearch
			clsSch.delControl()
			clsSch.addContorl(Me.TABCONTROLS_001)
			clsSch.addContorl(Me.TABCONTROLS_002)
			clsSch.addContorl(Me.TABCONTROLS_003)
			clsSch.addContorl(Me.TABCONTROLS_004)
			clsSch.addContorl(Me.TABCONTROLS_005)
			clsSch.addContorl(Me.TABCONTROLS_006)
			clsSch.addContorl(Me.TABCONTROLS_007)
			clsSch.addContorl(Me.TABCONTROLS_008)
			'コンボボックスセット
			Me.setCombo()
			'病歴番号ラベル変更
			Me.chk019BCP010F020.Text = wrkByoreki
			Me.chk042BCP010F020.Text = wrkByoreki
			'タブページを設定
			'表示単位＝「患者単位」のとき、科歴情報を非表示
			If Me.pValueUnit <> clsConst.Enum_LendUnit.Each_Dept Then Me.tab002BCP010F020.TabPages.Remove(tpg041BCP010F020)
			'貸出物情報タブ
			Me.setTabName(Me.tpg064BCP010F020, clsConst.Enum_Lenditem.MedicalRecord)	'カルテ
			Me.setTabName(Me.tpg085BCP010F020, clsConst.Enum_Lenditem.Summary)			'サマリ
			Me.setTabName(Me.tpg106BCP010F020, clsConst.Enum_Lenditem.LendItem3)		'貸出物３
			Me.setTabName(Me.tpg119BCP010F020, clsConst.Enum_Lenditem.LendItem4)		'貸出物４
			Me.setTabName(Me.tpg132BCP010F020, clsConst.Enum_Lenditem.LendItem5)		'貸出物５
			'タブ表示位置調整
			With Me.tab002BCP010F020
				.ItemSize = New Size(.ItemSize.Width, .ItemSize.Height)
			End With
			'患者番号チェックにフォーカス
			Me.chk004BCP010F020.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			wrkByoreki = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 職員検索(代表医師、受領者・作成者)ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/17 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnStaff_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
							   Handles btn038BCP010F020.Click, btn061BCP010F020.Click, btn082BCP010F020.Click, btn099BCP010F020.Click
		log(clsSysMst.logLevel.NRM, "btnStaff_Click", "職員検索(代表医師、受領者・作成者)ボタンクリック時 START")
		Try
			Select Case sender.name
				Case Me.btn038BCP010F020.Name : Me.showStaffDsp(Me.cmb039BCP010F020)		'代表医師（入退院情報）
				Case Me.btn061BCP010F020.Name : Me.showStaffDsp(Me.cmb062BCP010F020)		'代表医師（科歴情報）
				Case Me.btn082BCP010F020.Name : Me.showStaffDsp(Me.cmb083BCP010F020)		'受領者（カルテ情報）
				Case Me.btn099BCP010F020.Name : Me.showStaffDsp(Me.cmb100BCP010F020)		'作成者（サマリ情報）
				Case Else

			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/17 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn001BCP010F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001BCP010F020.Click
		log(clsSysMst.logLevel.NRM, "btn001BCP010F020_Click", "検索ボタンクリック時 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'検索処理メイン
			Me.SchMain()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物のタブ名を設定
	''' </summary>
	''' <param name="TabPage">タブページコントロール</param>
	''' <param name="LendItemCd">貸出物コード</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setTabName(ByVal TabPage As TabPage, ByVal LendItemCd As clsConst.Enum_Lenditem)
		log(clsSysMst.logLevel.DBG, "setTabName", "貸出物のタブ名を設定 START")
		Try
			Using dt As DataTable = New DataTable
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					With db
						'ＳＱＬ文
						.setSQLDa(sqlBCP010F020.sqlSel_MTM_LENDITEM)
						'パラメータ
						.setParamDa(sqlBCP010F020.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)				'貸出物コード
						.setParamDa(sqlBCP010F020.prmUNIT_CD, clsDB.Enum_dbType.dbNVarChar)					'管理（表示）単位
						'パラメータ値
						.setValDa(sqlBCP010F020.prmLENDITEM_CD, LendItemCd)									'貸出物コード
						.setValDa(sqlBCP010F020.prmUNIT_CD, pValueUnit, False)								'管理（表示）単位
						.execQueryDa(dt)

						If dt.Rows.Count > 0 AndAlso String.IsNullOrEmpty(dt.Rows(0).Item(0)) = False Then
							TabPage.Text = dt.Rows(0).Item(0)
						Else
							'タブを削除
							Me.tab002BCP010F020.TabPages.Remove(TabPage)
						End If
					End With
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンボ設定
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCombo()
		log(clsSysMst.logLevel.DBG, "setCombo", "コンボ設定 START")
		Dim cliComboCom As clsComboCom = Nothing
		Dim dt As DataTable = Nothing
		Try
			cliComboCom = New clsComboCom
			 dt = New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				'基本情報タブ
				'性別
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Gender)
				Me.cmb012BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'入退院情報・科歴情報タブ
				'診療科
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Dept_Dsp)
				Me.cmb032BCP010F020.DataSource = dt.Copy()
				Me.cmb055BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'病棟
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Ward)
				Me.cmb035BCP010F020.DataSource = dt.Copy()
				Me.cmb058BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'医師
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXOpk_Dsp)
				Me.cmb039BCP010F020.DataSource = dt.Copy()
				Me.cmb062BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'カルテ情報タブ
				'カルテ管理状況
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_1)
				Me.cmb070BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'カルテ保管場所
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_1)
				Me.cmb074BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'整理状況
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemArgStatus_1)
				Me.cmb078BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'サマリ情報タブ
				'カルテ管理状況
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_2)
				Me.cmb091BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'カルテ保管場所
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_2)
				Me.cmb095BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'カルテ情報・サマリ情報タブ（共通）
				'受領者
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Staff_Dsp)
				Me.cmb083BCP010F020.DataSource = dt.Copy()	  '受領者
				Me.cmb100BCP010F020.DataSource = dt.Copy()	  '作成者
				dt.Dispose() : dt = Nothing
				'管理物情報１タブ
				'カルテ管理状況
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_3)
				Me.cmb112BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'カルテ保管場所
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_3)
				Me.cmb116BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'管理物情報２タブ
				'カルテ管理状況
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_4)
				Me.cmb125BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'カルテ保管場所
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_4)
				Me.cmb129BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'管理物情報３タブ

				'カルテ管理状況
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_5)
				Me.cmb138BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'カルテ保管場所
				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_5)
				Me.cmb142BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'共通（ＮＯＴ）
				dt = clsConst.getNotMatch
				Me.cmb072BCP010F020.DataSource = dt.Copy()
				Me.cmb076BCP010F020.DataSource = dt.Copy()
				Me.cmb080BCP010F020.DataSource = dt.Copy()
				Me.cmb093BCP010F020.DataSource = dt.Copy()
				Me.cmb097BCP010F020.DataSource = dt.Copy()
				Me.cmb114BCP010F020.DataSource = dt.Copy()
				Me.cmb118BCP010F020.DataSource = dt.Copy()
				Me.cmb127BCP010F020.DataSource = dt.Copy()
				Me.cmb131BCP010F020.DataSource = dt.Copy()
				Me.cmb140BCP010F020.DataSource = dt.Copy()
				Me.cmb144BCP010F020.DataSource = dt.Copy()
				dt.Dispose() : dt = Nothing
				'コントロール設定
				Me.setControl(Me)
			End Using
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
			cliComboCom = Nothing
		End Try
	End Sub

	 ''' ---------------------------------------------
	 ''' <summary>
	 ''' コントロール設定
	 ''' </summary>
	 ''' <remarks>
	 ''' 2010/11/17 新規作成 ACS)常包<BR/>
	 ''' </remarks>
	 ''' ---------------------------------------------
	Public Sub setControl(ByVal ctl As Control)
		log(clsSysMst.logLevel.DBG, "setConbo", "コンボボックス設定 START")
		Try
			For Each c As Control In ctl.Controls
				Select Case True
					Case TypeOf c Is BT_MultiComboBox
						DirectCast(c, BT_MultiComboBox).setDropDownWidth()
					Case ctl.Controls.Count > 0
						'再帰呼び出し
						Me.setControl(c)
					Case Else

				End Select
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 職員検索画面表示
	''' </summary>
	''' <param name="ctl">コントロール</param>
	''' <remarks>
	''' 2010/11/17 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showStaffDsp(ByVal ctl As BT_MultiComboBox)
		log(clsSysMst.logLevel.DBG, "showStaffDsp", "職員検索画面表示 START")
		Dim ctiStaff As XSP.clsStaff
		Try
			'職員検索画面表示
			ctiStaff = New XSP.clsStaff
			With ctl
				ctiStaff.dspStaffForm(Me, .Name, .LinkControl, clsStaff.Enum_DspMode.eReference, .DoctorFlg)
			End With
		Catch ex As Exception
			Throw
		Finally
			ctiStaff = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/18 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ScarchProc() As DataTable
		log(clsSysMst.logLevel.DBG, "ScarchProc", "検索処理 START")
		Dim wrkSqlWhere As String = Nothing
		Dim wrkSql As String = Nothing
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					With db
						Select Case pValueUnit
							Case clsConst.Enum_LendUnit.Each_Patient	  '患者単位
								'入退院情報テーブルのみ条件を取得
								wrkSqlWhere = clsSch.getSqlWhere(Enum_Tbl_CD.MTI_HSP, True)
								wrkSql = String.Format(sqlBCP010F020.sqlJoin_HSP, wrkSqlWhere)
								'入退院情報以外のテーブル条件を取得
								wrkSqlWhere = clsSch.getSqlWhere(Enum_Tbl_CD.XTI_BASICINFO, False)
								wrkSqlWhere = wrkSqlWhere & clsSch.getSqlWhere(Enum_Tbl_CD.MTI_LENDITM, False)
								If Mid(wrkSqlWhere, 1, 4) = "AND " Then wrkSqlWhere = "WHERE " & Mid(wrkSqlWhere, 4)
								'取得したＳＱＬをセット
								.setSQLDa(String.Format(sqlBCP010F020.sqlSel_Patirnt, wrkSql, wrkSqlWhere))
							Case clsConst.Enum_LendUnit.Each_Hosp		  '入退院単位
								'科歴情報テーブルのみ条件を取得
								wrkSqlWhere = clsSch.getSqlWhere(Enum_Tbl_CD.MTI_CH, True)
								wrkSql = String.Format(sqlBCP010F020.sqlJoin_CH, wrkSqlWhere)
								'科歴情報以外のテーブル条件を取得
								wrkSqlWhere = clsSch.getSqlWhere(Enum_Tbl_CD.XTI_BASICINFO, False)
								wrkSqlWhere = wrkSqlWhere & clsSch.getSqlWhere(Enum_Tbl_CD.MTI_HSP, False)
								wrkSqlWhere = wrkSqlWhere & clsSch.getSqlWhere(Enum_Tbl_CD.MTI_LENDITM, False)
								If Mid(wrkSqlWhere, 1, 4) = "AND " Then wrkSqlWhere = "WHERE " & Mid(wrkSqlWhere, 4)
								'取得したＳＱＬをセット
								.setSQLDa(String.Format(sqlBCP010F020.sqlSel_HspHistry, wrkSql, wrkSqlWhere))
							Case clsConst.Enum_LendUnit.Each_Dept		  '科歴単位
								'ＳＱＬを取得
								wrkSqlWhere = clsSch.getSqlWhere(Nothing, True)
								'取得したＳＱＬをセット
								.setSQLDa(String.Format(sqlBCP010F020.sqlSel_CliHistry, wrkSqlWhere))
							Case Else

						End Select
						'パラメータセット
						clsSch.setDbParamDa(db)
						.setParamDa(sqlBCP010F020.prmLENDITEM_CD, XCM.clsDB.Enum_dbType.dbNVarChar)				   '貸出物コード
						.setParamDa(sqlBCP010F010.prmSELECTED, clsDB.Enum_dbType.dbInt)							   '選択
						.setValDa(sqlBCP010F020.prmLENDITEM_CD, clsConst.Enum_Lenditem.MedicalRecord)			   '貸出物コード	
						.setValDa(sqlBCP010F010.prmSELECTED, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))	   '選択
						'データ取得
						.execQueryDa(dt)
					End With
				End Using
				Return dt
			End Using
		Catch ex As Exception
			Throw
		Finally
			wrkSqlWhere = Nothing
			wrkSql = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理メイン
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SchMain()
		log(clsSysMst.logLevel.DBG, "SchMain", "検索処理メイン START")
		Dim dt As DataTable = Nothing
		Try
			If clsSch.getSearch(Me) = True Then
				'検索結果を取得
				dt = ScarchProc()
				If dt Is Nothing OrElse dt.Rows.Count = 0 Then
					Me.fret = Enum_FormReturn.NONE
					'「検索条件に対する該当データが存在しません。」
					Me.showMsg("E0010")
				Else
					Dim max As Integer = CType(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00055), Integer)
					If max > 0 AndAlso dt.Rows.Count > max Then
						'対象件数を絞り込んでください。
						Me.showMsg("W0003", "検索対象を", Nothing)
					Else
						Me.fret = Enum_FormReturn.OK
						frmBCP010F010.Schdt = dt
						Me.EndProc()
					End If
				End If
			Else
				'「検索条件が未指定のため検索できません」
				Me.showMsg("E0003", "検索条件が未指定の", "検索", Nothing)
				Me.fret = Enum_FormReturn.NONE
			End If

		Catch ex As Exception
			Throw
		Finally
			If dt IsNot Nothing Then : dt.Dispose() : dt = Nothing : End If
		End Try
	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' 職員検索処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function StaffFormProc() As Boolean
		log(clsSysMst.logLevel.DBG, "StaffFormProc", "職員検索処理 START")
		Try
			Me.showStaffDsp(Me.ActiveControl)
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function
	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１０キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/18 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F10KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F10KeyProc", "Ｆ10キー押下処理 START")
		Try
			If Me.tab002BCP010F020.SelectedIndex >= Me.tab002BCP010F020.TabPages.Count - 1 Then
				Me.tab002BCP010F020.SelectedIndex = 0
			Else
				Me.tab002BCP010F020.SelectedIndex += 1
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ11キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/11/18 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F11KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F11KeyProc", "Ｆ11キー押下処理 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.ValidateChildren = True Then
				'検索処理メイン
				Me.SchMain()
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class