﻿Imports System.Runtime.ConstrainedExecution
Imports System.Runtime.InteropServices
Imports System.Runtime.InteropServices.Marshal
'''---------------------------------------------
''' <summary>
''' 起動環境設定 管理クラス　修正番号：V4-15004
''' </summary>
''' <remarks>
''' Copyright 2014 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class clsCFG010F010
End Class

''' ---------------------------------------------
''' <summary>
''' ADOX.Catalog アプリケーションクラス
''' </summary>
''' ---------------------------------------------
Public Class clsADOXCatalog

#Region "解放処理"

	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		'明示的に解放処理を行う場合のみ
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub Dispose(ByVal disposing As Boolean)
		If _hWnd.IsAllocated Then
			If _hWnd.Target IsNot Nothing Then
				Try
				Finally
					Dim iRet As Integer
					Do
						iRet = ReleaseComObject(_com)
					Loop Until iRet < 1
					_com = Nothing
					If disposing Then
						_hWnd.Target = Nothing
					End If
				End Try
			End If
			_hWnd.Free()
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' デストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "コンスタント"

#End Region

#Region "変数"

	'アンマネージ メモリからマネージ オブジェクトにアクセス
	Private _hWnd As GCHandle

	' Application オブジェクト
#If True Then
	Private _com As ADOX.Catalog = Nothing
#Else
	Private _com As Object
#End If

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		MyBase.New()
		' インスタンス作成
#If True Then
		_com = New ADOX.Catalog
#Else
		_com = CreateObject("ADOX.Catalog")
#End If
		_hWnd = GCHandle.Alloc(_com)
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' ADOX.Catalog アプリケーション本体
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
#If True Then
	Public ReadOnly Property Application() As ADOX.Catalog
#Else
	Public ReadOnly Property Application() As Object
#End If
		Get
			Return _com
		End Get
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' ADOX.接続文字列の設定
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public WriteOnly Property ConnectionString() As String
		Set(value As String)
			_com.let_ActiveConnection(value)
		End Set
	End Property

#End Region

#Region "メソッド"

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' ADOC.Tables クラス
''' </summary>
''' ---------------------------------------------
Public Class clsADOXTables

#Region "解放処理"

	Inherits CriticalFinalizerObject
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub Dispose(ByVal disposing As Boolean)
		If _hWnd.IsAllocated Then
			If _hWnd.Target IsNot Nothing Then
				Dim iRet As Integer
				Do
					iRet = ReleaseComObject(_comTables)
				Loop Until iRet < 1
				_comTables = Nothing
				If disposing Then
					_hWnd.Target = Nothing
				End If
			End If
			_hWnd.Free()
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' デストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' ADOX.Tables 本体
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
#If True Then
	Public ReadOnly Property Tables() As ADOX.Tables
#Else
	Public ReadOnly Property Tables() As Object
#End If
		Get
			Return _comTables
		End Get
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' カウント
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public ReadOnly Property Count() As Integer
		Get
			Return _comTables.Count
		End Get
	End Property

#End Region

#Region "変数"

	Private _hWnd As GCHandle

	' ADOX.Tables コレクション
#If True Then
	Dim _comTables As ADOX.Tables
#Else
	Dim _comTables As Object
#End If

	'アプリケーションの解放処理を行うか行わないか
	Private bFinarizeFlg As Boolean = True

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal _com As clsADOXCatalog)
		' インスタンス作成
		_comTables = _com.Application.Tables
		_hWnd = GCHandle.Alloc(_comTables)
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' テーブル追加
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub Append(_comTable As clsADOXTable)
		Try
			_comTables.Append(_comTable.Table)
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' ADOX.Table クラス
''' </summary>
''' ---------------------------------------------
Public Class clsADOXTable

#Region "解放処理"

	Inherits CriticalFinalizerObject
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub Dispose(ByVal disposing As Boolean)
		If _hWnd.IsAllocated Then
			If _hWnd.Target IsNot Nothing Then
				Dim iRet As Integer
				Do
					iRet = ReleaseComObject(_comTable)
				Loop Until iRet < 1
				_comTable = Nothing
				If disposing Then
					_hWnd.Target = Nothing
				End If
			End If
			_hWnd.Free()
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' デストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "変数"

	Private _hWnd As GCHandle

	' Worksheet オブジェクト
#If True Then
	Dim _comTable As ADOX.Table
#Else
	Dim _comTable As Object
#End If

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		Dispose(True)
#If True Then
		_comTable = New ADOX.Table
#Else
		_comTable = CreateObject("ADOX.Table")
#End If
		_hWnd = GCHandle.Alloc(_comTable)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal _comTables As clsADOXTables, ByVal Index As Integer)
		Me.SetTable(_comTables, Index)
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' Table 本体
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
#If True Then
	Public ReadOnly Property Table() As ADOX.Table
#Else
	Public ReadOnly Property Table() As Object
#End If
		Get
			Return _comTable
		End Get
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' TableName 名称
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property Name() As String
		Get
			Return _comTable.Name
		End Get
		Set(value As String)
			_comTable.Name = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' TableName 名称
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property Catalog() As clsADOXCatalog
		Get
			Return _comTable.ParentCatalog
		End Get
		Set(value As clsADOXCatalog)
			_comTable.ParentCatalog = value.Application
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' TableType 名称
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public ReadOnly Property Type() As String
		Get
			Return _comTable.Type
		End Get
	End Property

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Table 設定
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub SetTable(ByVal _comTables As clsADOXTables, ByVal Index As Integer)
		Try
			Dispose(True)
#If True Then
			_comTable = DirectCast(_comTables.Tables(Index), ADOX.Table)
#Else
			_comTable = _comTables.Tables(Index)
#End If
			_hWnd = GCHandle.Alloc(_comTable)
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' ADOC.Properties クラス
''' </summary>
''' ---------------------------------------------
Public Class clsADOXProperties

#Region "解放処理"

	Inherits CriticalFinalizerObject
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub Dispose(ByVal disposing As Boolean)
		If _hWnd.IsAllocated Then
			If _hWnd.Target IsNot Nothing Then
				Dim iRet As Integer
				Do
					iRet = ReleaseComObject(_comProperties)
				Loop Until iRet < 1
				_comProperties = Nothing
				If disposing Then
					_hWnd.Target = Nothing
				End If
			End If
			_hWnd.Free()
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' デストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' ADOX.Tables 本体
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
#If True Then
	Public ReadOnly Property Properties() As ADOX.Properties
#Else
	Public ReadOnly Property Tables() As Object
#End If
		Get
			Return _comProperties
		End Get
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' カウント
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public ReadOnly Property Count() As Integer
		Get
			Return _comProperties.Count
		End Get
	End Property

#End Region

#Region "変数"

	Private _hWnd As GCHandle

	' ADOX.Tables コレクション
#If True Then
	Dim _comProperties As ADOX.Properties
#Else
	Dim _comProperties As Object
#End If

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal _comTable As clsADOXTable)
		' インスタンス作成
		_comProperties = _comTable.Table.Properties
		_hWnd = GCHandle.Alloc(_comProperties)
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' プロパティ変更の実行
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub Reflesh()
		Try
			_comProperties.Refresh()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' ADOX.Property クラス
''' </summary>
''' ---------------------------------------------
Public Class clsADOXProperty

#Region "解放処理"

	Inherits CriticalFinalizerObject
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub Dispose(ByVal disposing As Boolean)
		If _hWnd.IsAllocated Then
			If _hWnd.Target IsNot Nothing Then
				Dim iRet As Integer
				Do
					iRet = ReleaseComObject(_comProperty)
				Loop Until iRet < 1
				_comProperty = Nothing
				If disposing Then
					_hWnd.Target = Nothing
				End If
			End If
			_hWnd.Free()
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' デストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "変数"

	Private _hWnd As GCHandle

	' Worksheet オブジェクト
#If True Then
	Dim _comProperty As ADOX.Property
#Else
	Dim _comProperty As Object
#End If

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		'
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal _comProperties As clsADOXProperties, ByVal strPropery As String)
		Me.SetProperty(_comProperties, strPropery)
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' プロパティの設定
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property Value() As Object
		Get
			Return _comProperty.Value
		End Get
		Set(value As Object)
			_comProperty.Value = value
		End Set
	End Property

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Table 設定
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub SetProperty(ByVal _comProperties As clsADOXProperties, ByVal strPropery As String)
		Try
			Dispose(True)
#If True Then
			_comProperty = DirectCast(_comProperties.Properties.Item(strPropery), ADOX.Property)
#Else
			_comProperty = _comProperties.Properties.Item(strPropery)
#End If
			_hWnd = GCHandle.Alloc(_comProperty)
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' ADOC.Indexes クラス
''' </summary>
''' ---------------------------------------------
Public Class clsADOXIndexes

#Region "解放処理"

	Inherits CriticalFinalizerObject
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub Dispose(ByVal disposing As Boolean)
		If _hWnd.IsAllocated Then
			If _hWnd.Target IsNot Nothing Then
				Dim iRet As Integer
				Do
					iRet = ReleaseComObject(_comIndexes)
				Loop Until iRet < 1
				_comIndexes = Nothing
				If disposing Then
					_hWnd.Target = Nothing
				End If
			End If
			_hWnd.Free()
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' デストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' ADOX.Indexes 本体
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
#If True Then
	Public ReadOnly Property Indexes() As ADOX.Indexes
#Else
	Public ReadOnly Property Indexes() As Object
#End If
		Get
			Return _comIndexes
		End Get
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' カウント
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public ReadOnly Property Count() As Integer
		Get
			Return _comIndexes.Count
		End Get
	End Property

#End Region

#Region "変数"

	Private _hWnd As GCHandle

	' ADOX.Indexes コレクション
#If True Then
	Dim _comIndexes As ADOX.Indexes
#Else
	Dim _comIndexes As Object
#End If

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal _comTable As clsADOXTable)
		' インスタンス作成
		_comIndexes = _comTable.Table.Indexes
		_hWnd = GCHandle.Alloc(_comIndexes)
	End Sub

#End Region

#Region "メソッド"

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' ADOX.Index クラス
''' </summary>
''' ---------------------------------------------
Public Class clsADOXIndex

#Region "解放処理"

	Inherits CriticalFinalizerObject
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub Dispose(ByVal disposing As Boolean)
		If _hWnd.IsAllocated Then
			If _hWnd.Target IsNot Nothing Then
				Dim iRet As Integer
				Do
					iRet = ReleaseComObject(_comIndex)
				Loop Until iRet < 1
				_comIndex = Nothing
				If disposing Then
					_hWnd.Target = Nothing
				End If
			End If
			_hWnd.Free()
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' デストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "変数"

	Private _hWnd As GCHandle

	' Index オブジェクト
#If True Then
	Dim _comIndex As ADOX.Index
#Else
	Dim _comIndex As Object
#End If

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		'
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal _comIndexes As clsADOXIndexes, ByVal index As Integer)
		Me.SetIndex(_comIndexes, index)
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' プロパティの設定
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public ReadOnly Property Name() As String
		Get
			Return _comIndex.Name
		End Get
	End Property

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Index 設定
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub SetIndex(ByVal _comIndexes As clsADOXIndexes, ByVal index As Integer)
		Try
			Dispose(True)
#If True Then
			_comIndex = DirectCast(_comIndexes.Indexes.Item(index), ADOX.Index)
#Else
			_comIndex = _comIndexes.Indexes.Item(index)
#End If
			_hWnd = GCHandle.Alloc(_comIndex)
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' ADOC.Columns クラス
''' </summary>
''' ---------------------------------------------
Public Class clsADOXColumns

#Region "解放処理"

	Inherits CriticalFinalizerObject
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub Dispose(ByVal disposing As Boolean)
		If _hWnd.IsAllocated Then
			If _hWnd.Target IsNot Nothing Then
				Dim iRet As Integer
				Do
					iRet = ReleaseComObject(_comColumns)
				Loop Until iRet < 1
				_comColumns = Nothing
				If disposing Then
					_hWnd.Target = Nothing
				End If
			End If
			_hWnd.Free()
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' デストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' ADOX.Columns 本体
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
#If True Then
	Public ReadOnly Property Columns() As ADOX.Columns
#Else
	Public ReadOnly Property Columns() As Object
#End If
		Get
			Return _comColumns
		End Get
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' カウント
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public ReadOnly Property Count() As Integer
		Get
			Return _comColumns.Count
		End Get
	End Property

#End Region

#Region "変数"

	Private _hWnd As GCHandle

	' ADOX.Columns コレクション
#If True Then
	Dim _comColumns As ADOX.Columns
#Else
	Dim _comColumns As Object
#End If

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal _comTable As clsADOXTable)
		' インスタンス作成
		_comColumns = _comTable.Table.Columns
		_hWnd = GCHandle.Alloc(_comColumns)
	End Sub

#End Region

#Region "メソッド"

#End Region

End Class

''' ---------------------------------------------
''' <summary>
''' ADOX.Column クラス
''' </summary>
''' ---------------------------------------------
Public Class clsADOXColumn

#Region "解放処理"

	Inherits CriticalFinalizerObject
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub Dispose(ByVal disposing As Boolean)
		If _hWnd.IsAllocated Then
			If _hWnd.Target IsNot Nothing Then
				Dim iRet As Integer
				Do
					iRet = ReleaseComObject(_comColumn)
				Loop Until iRet < 1
				_comColumn = Nothing
				If disposing Then
					_hWnd.Target = Nothing
				End If
			End If
			_hWnd.Free()
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' デストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "変数"

	Private _hWnd As GCHandle

	' Index オブジェクト
#If True Then
	Dim _comColumn As ADOX.Column
#Else
	Dim _comColumn As Object
#End If

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		'
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal _comColumns As clsADOXColumns, ByVal index As Integer)
		Me.SetColumn(_comColumns, index)
	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' 列名の取得
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public ReadOnly Property Name() As String
		Get
			Return _comColumn.Name
		End Get
	End Property

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Column 設定
	''' </summary>
	''' <remarks>
	''' 2009/12/17 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub SetColumn(ByVal _comColumns As clsADOXColumns, ByVal index As Integer)
		Try
			Dispose(True)
#If True Then
			_comColumn = DirectCast(_comColumns.Columns.Item(index), ADOX.Column)
#Else
			_comColumn = _comColumns.Columns.Item(index)
#End If
			_hWnd = GCHandle.Alloc(_comColumn)
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class