﻿Imports XCM
Imports System.Drawing
Imports System.Windows.Forms
Imports XSP
Imports LMN
''' ---------------------------------------------
''' <summary>
''' 東京女子医大用　カルテ履歴 (修正番号：V4-14099）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights resered.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTAIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class I01010F010

#Region "変数"

	Private mFrm As frmBase

	Private cliPatient As clsXTI_BASICINFO
	Private pLoadFlg As Boolean = True
	Private fXSP070F010 As XSP070F010 = Nothing
	Private daKasiDai As DataTable = Nothing
	Private datLTI_MNGITEMINFO As datLTI_MNGITEMINFO_Join_OneRec = Nothing
	Private cliGridSort As clsGridSort = Nothing

	'管理物管理画面からの引数受け取り
	Private pValuePkjid As String = Nothing										'画面間の患者引渡ID
	Private pValueMngcd As String = Nothing										'画面間の管理物ID
	Private pValueSerialno As String = Nothing									'画面間の連番ID

	'実行フラグ、データ
	Private retArData As ArrayList
	Private retStrExeFlg As Enum_FormReturn = Enum_FormReturn.NONE

	'患者データ共通（管理物管理、貸出履歴、貸出情報、分冊登録）
	Private datLMN_BASICINFO As datXTI_BASICINFO_OneRec = Nothing

	'選択行の色を取得（OSの設定により変化する為、Load時に取得する）
	Private colorBack As Color = Nothing
	Private colorFore As Color = Nothing

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pPantientNo">患者番号</param>	
	''' <param name="pMngItem">管理物コードp</param>	
	''' <param name="pSerialNo">連番</param>
	''' <param name="pLMN_BASIC">患者情報</param>		
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pPantientNo As String, ByVal pMngItem As String, ByVal pSerialNo As Integer, _
				   ByVal pLMN_BASIC As datXTI_BASICINFO_OneRec)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'変数引き取り
		Me.pValuePkjid = pPantientNo
		Me.pValueMngcd = pMngItem
		Me.pValueSerialno = pSerialNo
		Me.datLMN_BASICINFO = pLMN_BASIC
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
    Private Sub I01010F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        log(XCM.clsSysMst.logLevel.NRM, "I01010F010_Load", "画面ロード START")
        Dim retIdx As Integer = -1
        Dim cliGridStyle As clsGridStyle = Nothing
        Dim cliMngItemInfo As clsLTI_MNGITEMINFO = Nothing
        Try
            cliPatient = New clsXTI_BASICINFO
            retArData = New ArrayList
            cliGridStyle = New clsGridStyle
			cliMngItemInfo = New clsLTI_MNGITEMINFO
			cliGridSort = New clsGridSort

            '画面情報引き継ぎ
            Me.mFrm = Me.Owner

            Me.datLTI_MNGITEMINFO = cliMngItemInfo.getMngiteminfoJoinOneRec(Me.pValuePkjid, Me.pValueMngcd, Me.pValueSerialno)
            If Me.datLTI_MNGITEMINFO Is Nothing Then
                showMsg("E0003", "管理物情報が存在しない", "表示", Nothing)
                'フォームクローズ
                Me.mFrm.setCancelFlg(True)
                Call Me.EndProc(Enum_FormReturn.OK)
                Exit Sub
            End If

            '基本のバックカラーを取得（管理物情報から取得）
            Me.colorBack = Me.dgv004I01010F010.DefaultCellStyle.BackColor
            Me.colorFore = Me.dgv004I01010F010.DefaultCellStyle.ForeColor

            cliGridStyle.setGridHeight(Me.dgv004I01010F010)

            Me.pLoadFlg = False
        Catch ex As Exception
            Me.ErrorProc(ex)
            CType(Me.Owner, frmBase).setCancelFlg(True)
            EndProc(Enum_FormReturn.CANSEL)
        Finally
            retIdx = Nothing
            cliGridStyle = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面表示
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub I01010F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        log(clsSysMst.logLevel.NRM, "I01010F010_Shown", "画面表示 START")
        Try
            Me.repaint()
        Catch ex As Exception
            Me.ErrorProc(ex)
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 終了ボタンクリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn007LMN000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007LMN000F010.Click
        log(clsSysMst.logLevel.NRM, "btn007LMN000F010_Click", "終了ボタンクリック START")
        Try
            Me.EndProc(Enum_FormReturn.CANSEL)
        Catch ex As Exception
            Me.ErrorProc(ex)
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面クローズ
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub I01010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        log(clsSysMst.logLevel.NRM, "I01010F010_FormClosing", "画面クローズ START")
        Dim retDictionary As DictionaryEntry = Nothing
        Try
            '遷移もとに返す変数を返す
            retDictionary = New DictionaryEntry(Me.Name, Me.retArData)

            'フォームクローズ設定
            Me.setCloseFlg()
            '２連続で画面を閉じるとフォームが選択されない対応
            Me.mFrm.Select()
            If Me.retStrExeFlg = Enum_FormReturn.OK Then
                '処理済み
                Me.mFrm.backForm(True, retStrExeFlg, retDictionary)
            Else
                '未処理
                Me.mFrm.backForm(False, retStrExeFlg, retDictionary)
            End If

            'クラス変数解放（Dispose）
            If Me.fXSP070F010 IsNot Nothing Then Me.fXSP070F010.Dispose()
            If Me.cliPatient IsNot Nothing Then Me.cliPatient.Dispose()
            If Me.dgv004I01010F010.DataSource IsNot Nothing Then CType(Me.dgv004I01010F010.DataSource, DataTable).Dispose()
        Catch ex As Exception
            ErrorProc(ex)
        Finally
            retDictionary = Nothing
            '変数解放（Nothing）
            Me.mFrm = Nothing
            Me.fXSP070F010 = Nothing
            Me.pLoadFlg = Nothing
            Me.pValuePkjid = Nothing
            Me.pValueMngcd = Nothing
            Me.pValueSerialno = Nothing
            Me.retArData = Nothing
            Me.retStrExeFlg = Nothing
            Me.datLMN_BASICINFO = Nothing
            Me.cliPatient = Nothing
            Me.dgv004I01010F010.DataSource = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 患者番号クリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>	
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn001I01010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001I01010F010.Click
        log(clsSysMst.logLevel.NRM, "btn001I01010F010_Click", "患者番号クリック START")
        Try
            Me.Cursor = Cursors.WaitCursor
            Me.fXSP070F010 = Nothing

            '参照モードで表示する。
            Me.fXSP070F010 = New XSP070F010(XSP000F030.Enum_XSP000F030_ExeMode.Ref, Me.btn001I01010F010.Text, , False)
            Call Me.nextForm(Me.fXSP070F010)
        Catch ex As Exception
            ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダークリックソート
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>	
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv004I01010F010_ColumnHeaderMouseClick(sender As System.Object, e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv004I01010F010.ColumnHeaderMouseClick
			log(clsSysMst.logLevel.NRM, "dgv_ColumnHeaderMouseClick", "ヘッダークリック START")
		Me.Cursor = Cursors.WaitCursor
		Dim arSort As ArrayList = Nothing
		Try
			arSort = New ArrayList

			Select Case CType(sender, DataGridView).Name
				Case Me.dgv004I01010F010.Name
					'ソート（管理物一覧）
					Me.cliGridSort.Clear()
					arSort.Add(New DictionaryEntry(Me.dgv004I01010F010.Columns(e.ColumnIndex).DataPropertyName, clsGridSort.Enum_SortType.SortNone))
					arSort.Add(New DictionaryEntry(sqlI01010F010.itmLendSerialNo, clsGridSort.Enum_SortType.SortDesc))
					Me.cliGridSort.Add(Me.dgv004I01010F010.Columns(e.ColumnIndex).Name, arSort)
					Me.cliGridSort.SortRow(Me.dgv004I01010F010, Me.dgv004I01010F010.Columns(e.ColumnIndex).Name, e.ColumnIndex)
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
			If arSort IsNot Nothing Then arSort.Clear()
			arSort = Nothing
		End Try
	End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 貸出情報を患者、管理物一件分を取得します（データクラス）
    ''' </summary>
    ''' <returns>貸出情報を患者、管理物一件分</returns>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Function getLendinfoPatient() As DataTable
        log(clsSysMst.logLevel.DBG, "getLendinfoPatient", "貸出情報を患者、管理物一件分を取得 START")

        Dim retData As DataTable = New DataTable
        Dim iRet As Long
        Try
            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Dim ret As String = getLendSerialJkn()
					.setSQLDa(sqlI01010F010.sqlI01010F010_LendInfo_Patient.Replace(sqlI01010F010.JKNSERIAL_NO, ret))	 'SELECT文設定
					.setParamDa(sqlI01010F010.prmPATIENTNO, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlI01010F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlI01010F010.prmPATIENTNO, Me.pValuePkjid)
					.setValDa(sqlI01010F010.prmMNGITEM_CD, Me.pValueMngcd)
					.execQueryDa(retData)	'値取得
				End With
            End Using
        Catch ex As Exception
            Throw
        Finally
            'メモリ解放
            iRet = Nothing
        End Try

        '返り値設定
        Return retData

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 特定の診療で表示される場合、グループで履歴を表示する
	''' </summary>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendSerialJkn() As String
		log(clsSysMst.logLevel.DBG, "getLendSerialJkn", "特定の診療で表示される場合、グループで履歴を表示 START")
		Dim GRP1 As String() = {"90", "91", "92", "93", "94", "95"}
		Dim GRP2 As String() = {"81", "82", "83", "84"}
		Dim GRP3 As String() = {"61", "62", "63", "64", "65"}
		Dim GRP4 As String() = {"14", "15", "30"}
		Dim GRP5 As String() = {"44", "45", "46"}
		Dim GRP6 As String() = {"47", "48", "49"}
		Dim GairaiSinryou As String = "000"
		Dim arSerialNo As ArrayList = Nothing
		Try
			arSerialNo = New ArrayList
			If Me.datLTI_MNGITEMINFO.MNGITEM_CD <> GairaiSinryou Then Return Me.pValueSerialno
			Select Case True
				Case Array.IndexOf(GRP1, Me.datLTI_MNGITEMINFO.DIV1_CD) <> -1 : arSerialNo.AddRange(GRP1)
				Case Array.IndexOf(GRP2, Me.datLTI_MNGITEMINFO.DIV1_CD) <> -1 : arSerialNo.AddRange(GRP2)
				Case Array.IndexOf(GRP3, Me.datLTI_MNGITEMINFO.DIV1_CD) <> -1 : arSerialNo.AddRange(GRP3)
				Case Array.IndexOf(GRP4, Me.datLTI_MNGITEMINFO.DIV1_CD) <> -1 : arSerialNo.AddRange(GRP4)
				Case Array.IndexOf(GRP5, Me.datLTI_MNGITEMINFO.DIV1_CD) <> -1 : arSerialNo.AddRange(GRP5)
				Case Array.IndexOf(GRP6, Me.datLTI_MNGITEMINFO.DIV1_CD) <> -1 : arSerialNo.AddRange(GRP6)
			End Select
			If arSerialNo.Count > 0 Then
				Dim ret As String = String.Empty
				For Each str As String In arSerialNo
					If String.IsNullOrEmpty(ret) = False Then
						ret &= ","
					End If
					ret &= str
				Next
				'シリアルNOグループの検索
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), dbData As New DataTable
					With db
						.setSQLDa(sqlI01010F010.sqlI01010F010_MngItemSerialGrp.Replace(sqlI01010F010.JKNSERIAL_NO, ret))
						.setParamDa(sqlI01010F010.prmPATIENTNO, clsDB.Enum_dbType.dbNVarChar)
						.setParamDa(sqlI01010F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
						.setParamDa(sqlI01010F010.prmMNGITEMTEXT1, clsDB.Enum_dbType.dbNVarChar)
						.setParamDa(sqlI01010F010.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlI01010F010.prmPATIENTNO, Me.pValuePkjid)
						.setValDa(sqlI01010F010.prmMNGITEM_CD, Me.pValueMngcd)
						.setValDa(sqlI01010F010.prmMNGITEMTEXT1, Me.datLTI_MNGITEMINFO.MNGITEMTEXT1)
						.setValDa(sqlI01010F010.prmBYOREKI_NO, Me.datLTI_MNGITEMINFO.BYOREKI_NO)
						.execQueryDa(dbData)
						ret = String.Empty
						For Each dtrow As DataRow In dbData.Rows
							If String.IsNullOrEmpty(ret) = False Then
								ret &= ","
							End If
							ret &= dtrow.Item(sqlI01010F010.itmSerial_no).ToString
						Next
						If String.IsNullOrEmpty(ret) = True Then
							ret = Me.pValueSerialno
						End If
						Return ret
					End With
				End Using
			End If
			Return Me.pValueSerialno
		Catch ex As Exception
			Throw
		Finally
			arSerialNo.Clear()
			arSerialNo = Nothing
		End Try
	End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 終了処理
    ''' </summary>
    ''' <param name="pReturnValue">戻り値</param>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub EndProc(ByVal pReturnValue As Enum_FormReturn)
        log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 START")

        Try
            If pReturnValue = Enum_FormReturn.CANSEL AndAlso Me.retStrExeFlg <> Enum_FormReturn.OK Then
                'キャンセル命令でOKフラグが立っていない場合
                Me.retStrExeFlg = pReturnValue
            Else
                If pReturnValue = Enum_FormReturn.CANSEL AndAlso Me.retStrExeFlg = Enum_FormReturn.OK Then
                    'キャンセル命令でOKフラグが立っている場合はスルー
                Else
                    'キャンセル命令
                    Me.retStrExeFlg = pReturnValue
                End If
            End If
            '画面クローズ
            Me.AutoValidate = Windows.Forms.AutoValidate.Disable
            Call Me.Close()
        Catch ex As Exception
            Throw
        End Try
    End Sub

#End Region

#Region "オーバーライドメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' F12キーイベント
    ''' </summary>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F12KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キーイベント START")
        Try
            Me.EndProc(Enum_FormReturn.CANSEL)
        Catch ex As Exception
            ErrorProc(ex)
        End Try
        Return True
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面描画
    ''' </summary>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Sub repaint()
        log(clsSysMst.logLevel.DBG, "repaint", "画面描画 START")
        Me.SuspendLayout()
        Dim RowColor As DataGridViewCellStyle = Nothing
        Try
            RowColor = New DataGridViewCellStyle
            '患者情報表示
            If Me.mFrm IsNot Nothing Then

                'グリッドでない部分をセット＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
                If Me.datLMN_BASICINFO IsNot Nothing Then
                    '患者番号表示
                    Me.btn001I01010F010.Text = Me.datLMN_BASICINFO.PATIENT_NO

                    '患者名称表示
                    Me.lbl002I01010F010.Text = Me.datLMN_BASICINFO.PATIENT_NM

                    '管理物情報名表示
                    Me.lbl003I01010F010.Text = Me.datLTI_MNGITEMINFO.MNGITEM_NM

                    '管理物情報（区分１、区分２、病歴番号）
                    Me.lbl006I01010F010.Text = Me.datLTI_MNGITEMINFO.DIV1_NM
                    Me.lbl007I01010F010.Text = Me.datLTI_MNGITEMINFO.DIV2_NM
                    Me.lbl009I01010F010.Text = Me.datLTI_MNGITEMINFO.BYOREKI_NO

                    If String.IsNullOrEmpty(Me.datLTI_MNGITEMINFO.DIV1TITLE) Then
                        Me.lbl006I01010F010.Visible = False
                    End If
                    If String.IsNullOrEmpty(Me.datLTI_MNGITEMINFO.DIV2TITLE) Then
                        Me.lbl007I01010F010.Visible = False
                    End If
                    If String.IsNullOrEmpty(Me.datLTI_MNGITEMINFO.BYOREKITITLE) Then
                        Me.lbl008I01010F010.Visible = False
                        Me.lbl009I01010F010.Visible = False
                    End If
                Else
                    Me.btn001I01010F010.Text = ""
                    Me.lbl002I01010F010.Text = ""
                    Me.lbl003I01010F010.Text = ""
                    Me.lbl006I01010F010.Visible = False
                    Me.lbl007I01010F010.Visible = False
                    Me.lbl008I01010F010.Visible = False
                    Me.lbl009I01010F010.Visible = False
                End If
                '＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊

                'グリッド部分をセット＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
                If Me.dgv004I01010F010.Rows.Count > 0 Then Me.dgv004I01010F010.Rows.Clear()
                Me.dgv004I01010F010.ReadOnly = True
                Me.dgv004I01010F010.AutoGenerateColumns = False

                '貸出情報一覧を表示
                Me.daKasiDai = Me.getLendinfoPatient()
                If Me.daKasiDai IsNot Nothing AndAlso Me.daKasiDai.Rows.Count > 0 Then
                    Me.dgv004I01010F010.DataSource = Me.daKasiDai
                End If
                '＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊

                'グリッド背景色を設定＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
                RowColor.ForeColor = Me.colorFore
                RowColor.SelectionForeColor = Me.colorFore
                '背景色をDefaultに設定
                RowColor.BackColor = Me.colorBack
                RowColor.SelectionBackColor = Me.colorBack

                With Me.dgv004I01010F010
                    For Each dgvRow As DataGridViewRow In .Rows
                        dgvRow.DefaultCellStyle = RowColor.Clone
                    Next
                End With
                '＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
            End If
        Catch ex As Exception
            Throw
        Finally
            Me.ResumeLayout()
            RowColor = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面遷移から戻ってきたときの処理
    ''' </summary>
	''' <remarks>
	''' 2013/12/30 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
        log(clsSysMst.logLevel.DBG, "rcvData", "画面遷移から戻ってきたときの処理 START")
        Dim retIdx As Integer = -1
        Dim retData As clsLMN010 = Nothing
        Dim retDataFlg As clsLMN010_FLG = Nothing
        Dim delFlgPatient As Boolean = False
        Dim updFlgPatient As Boolean = False
        Dim updFlgLend As Boolean = False
        Dim FlgFind As Boolean = False
        Try
            '遷移元の変数を引き取り
            With CType(de, DictionaryEntry)
                Select Case .Key
                    Case GetType(XSP070F010).Name
                        '患者情報からもどるとき
                        If Me.retStrExeFlg <> Enum_FormReturn.OK Then Me.retStrExeFlg = ret
                        If .Value IsNot Nothing AndAlso TypeOf .Value Is clsXSP000F030 AndAlso _
                           CType(.Value, clsXSP000F030).pExeMode <> CStr(clsXSP000F030.Enum_ExeFlg.eNotRun) Then
                            '戻り値変数をインスタンス化
                            retData = New clsLMN010
                            retDataFlg = New clsLMN010_FLG

                            '戻り値変数にセット（共通）
                            retData.PATIENT_NO = CType(.Value, clsXSP000F030).pPatientNo        '患者番号

                            Select Case CType(.Value, clsXSP000F030).pExeMode
                                Case CStr(clsXSP000F030.Enum_ExeFlg.eDel)
                                    '削除されて戻る場合
                                    '戻り値変数にセット（患者削除）
                                    retDataFlg.pExeFlg = clsLMN010_FLG.Enum_process.pPantientDel        '患者削除フラグ

                                    '患者情報削除処理
                                    delFlgPatient = True
                                Case CStr(clsXSP000F030.Enum_ExeFlg.eUpd)
                                    '更新されて戻る場合
                                    updFlgPatient = True

                                    '戻り値変数にセット（患者更新）
                                    retDataFlg.pExeFlg = clsLMN010_FLG.Enum_process.pPantientUpd        '患者更新フラグ
                                    retData.datPATIENT = Me.cliPatient.getPatientOneRec(CType(.Value, clsXSP000F030).pPatientNo)
                                    Me.datLMN_BASICINFO = retData.datPATIENT.Copy
                                    Me.btn001I01010F010.Text = Me.datLMN_BASICINFO.PATIENT_NO       '患者番号
                                    Me.lbl002I01010F010.Text = Me.datLMN_BASICINFO.PATIENT_NM       '氏名
                            End Select
                            '影響クラスに追加する
                            retDataFlg.pArMngItem.Add(retData.Copy)

                            '現在処理されているフラグのSerach
                            For idx As Integer = 0 To Me.retArData.Count - 1
                                If retDataFlg.pExeFlg = CType(Me.retArData(idx), clsLMN010_FLG).pExeFlg Then
                                    '処理済み
                                    retIdx = idx
                                    Exit For
                                End If
                            Next

                            'ローカルに変数を引き取る
                            If retIdx <> -1 Then
                                If updFlgPatient Then
                                    '患者属性を更新する
                                    CType(CType(Me.retArData(retIdx), clsLMN010_FLG).pArMngItem(0), clsLMN010).datPATIENT = retData.datPATIENT.Copy
                                Else
                                    '処理済みのため、影響管理物のみADDする
                                    For Each sDat As clsLMN010 In retDataFlg.pArMngItem
                                        CType(Me.retArData(retIdx), clsLMN010_FLG).pArMngItem.Add(sDat.Copy)
                                    Next
                                End If
                                retIdx = -1
                            Else
                                '未処理のため、フラグクラスをADDする
                                Me.retArData.Add(retDataFlg.Copy)
                            End If
                        End If
                End Select
            End With

            'Keyに遷移先フォームIDが代入されている
            Select Case CType(de, DictionaryEntry).Key
                Case GetType(XSP070F010).Name
                    'メモリ解放
                    If Me.fXSP070F010 IsNot Nothing Then
                        Me.fXSP070F010.Dispose()
                        Me.fXSP070F010 = Nothing
                    End If
            End Select

            '変数がNothingでなければ削除フラグが処理されているので、Nothing判定
            If delFlgPatient Then
                '削除処理されたのであれば、画面を閉じる。
                Call Me.EndProc(Enum_FormReturn.OK)
                Exit Sub
            End If
        Catch ex As Exception
            Throw
        Finally
            '解放(Dispose)
            If retData IsNot Nothing Then retData.Dispose()
            If retDataFlg IsNot Nothing Then retDataFlg.Dispose()

            '解放(Nothing)
            retIdx = Nothing
            retData = Nothing
            retDataFlg = Nothing
        End Try
    End Sub

#End Region

End Class