﻿Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Drawing
Imports XSP
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 受領貸出_継承元フォーム
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights resered.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTAIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class LMN000F010

#Region "変数"

	Private _Title As String = "処理名称"
    Private _HeaderButtonCount As Integer = 2
	Private _dtErrMsg As DataTable							'エラーメッセージ格納用DataTable
	Private fLMN010F100 As LMN010F100
	Private cliLTM_MNGITEMINFO As clsLTM_MNGITEM = Nothing
	Private haLTM_MNGITEMINFO As Hashtable = Nothing
'(A) STR V4-15012-000 004 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
	Private pDiv1 As String
	Private pDiv2 As String
'(A) END V4-15012-000 004 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応

#End Region

#Region "コンスタント"
	'参照モードタイトル
	Public Const CST_TITLE_REF As String = "【参照】"

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' タイトル（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' 2009/11/12 修正 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue("処理名称"), _
	 Description("ヘッダーのタイトルを設定します。")> _
	Public Property Title() As String
		Get
			Return _Title
		End Get
		Set(ByVal value As String)
			If value.Length = 0 Then
				value = "処理名称"
			End If
			_Title = value
			Me.lbl002LMN000F010.Text = _Title
			Me.lbl002LMN000F010.Invalidate()
			Me.pct008LMN000F010.Height = Me.lbl002LMN000F010.Height
			Me.pct008LMN000F010.Width = Me.lbl002LMN000F010.Width
			Me.pct008LMN000F010.Location = New Point(Me.lbl002LMN000F010.Location.X + 3, Me.lbl002LMN000F010.Location.Y + 3)
			Me.pct008LMN000F010.Invalidate()
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダボタン数（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue(2), _
	 Description("ヘッダーのボタン数を設定します。")> _
	Public Property HeaderButtonCount() As Integer
		Get
			Return _HeaderButtonCount
		End Get
		Set(ByVal value As Integer)
			_HeaderButtonCount = value
			Call SetButtonStyle()
		End Set
	End Property

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' 初期化
	''' </summary>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		MyBase.New()
		Call InitializeComponent()
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/01/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN000F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
'(A) STR V4-15012-000 004 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
		If Me.DesignMode = True Then Exit Sub
		log(XCM.clsSysMst.logLevel.NRM, "LMN000F010_Load", "フォームロード START")
'(A) END V4-15012-000 004 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
		Try
			_dtErrMsg = New DataTable								'エラーメッセージ格納用DataTable
'(A) STR V4-15012-000 004 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
			pDiv1 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00118)
			pDiv2 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00119)
'(A) END V4-15012-000 004 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/12/07 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub LMN000F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "LMN000F010_FormClosing", "フォームクローズ START")
		Try
			'変数解放（Dispose）
			If Me._dtErrMsg IsNot Nothing Then Me._dtErrMsg.Dispose()
			If Me.fLMN010F100 IsNot Nothing Then Me.fLMN010F100.Dispose()
			If Me.cliLTM_MNGITEMINFO IsNot Nothing Then Me.cliLTM_MNGITEMINFO.Dispose()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			'変数解放（Nothing）
			Me._Title = Nothing
			Me._HeaderButtonCount = Nothing
			Me._dtErrMsg = Nothing
			Me.fLMN010F100 = Nothing
			Me.cliLTM_MNGITEMINFO = Nothing
			Me.haLTM_MNGITEMINFO = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Handle作成時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub frmBase_HandleCreated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.HandleCreated
		Call SetButtonStyle()
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ボタン表示／非表示切替
	''' </summary>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SetButtonStyle()
		Select Case Me.HeaderButtonCount
			Case 5
				Me.btn007LMN000F010.Visible = True
				Me.btn006LMN000F010.Visible = True
				Me.btn005LMN000F010.Visible = True
				Me.btn004LMN000F010.Visible = True
				Me.btn003LMN000F010.Visible = True
			Case 4
				Me.btn007LMN000F010.Visible = True
				Me.btn006LMN000F010.Visible = True
				Me.btn005LMN000F010.Visible = True
				Me.btn004LMN000F010.Visible = True
				Me.btn003LMN000F010.Visible = False
			Case 3
				Me.btn007LMN000F010.Visible = True
				Me.btn006LMN000F010.Visible = True
				Me.btn005LMN000F010.Visible = True
				Me.btn004LMN000F010.Visible = False
				Me.btn003LMN000F010.Visible = False
			Case 2
				Me.btn007LMN000F010.Visible = True
				Me.btn006LMN000F010.Visible = True
				Me.btn005LMN000F010.Visible = False
				Me.btn004LMN000F010.Visible = False
				Me.btn003LMN000F010.Visible = False
			Case 1
				Me.btn007LMN000F010.Visible = True
				Me.btn006LMN000F010.Visible = False
				Me.btn005LMN000F010.Visible = False
				Me.btn004LMN000F010.Visible = False
				Me.btn003LMN000F010.Visible = False
			Case 0
				Me.btn007LMN000F010.Visible = False
				Me.btn006LMN000F010.Visible = False
				Me.btn005LMN000F010.Visible = False
				Me.btn004LMN000F010.Visible = False
				Me.btn003LMN000F010.Visible = False
		End Select
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' エラーメッセージArray追加
	''' </summary>
	''' <param name="pCode">エラーコード</param>	
	''' <param name="pMngCd">管理物コード</param>
	''' <param name="pPatientNo">患者番号</param>		
	''' <param name="pDiv1_Rnm">区分１略称</param>	
	''' <param name="pDiv2_Rnm">区分２略称</param>	
	''' <param name="pPrm">メッセージ汎用</param>	
	''' <remarks>
	''' 2009/12/07 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub addLMN_ErrList(ByVal pCode As String, ByVal pPatientNo As String, ByVal pMngCd As String, ByVal pDiv1_Rnm As String, ByVal pDiv2_Rnm As String, ByVal ParamArray pPrm() As String)
		log(XCM.clsSysMst.logLevel.DBG, "addLMN_ErrList", "エラーメッセージArray追加 START")
		Dim dtRow As DataRow
		Dim datLtm_Mngitem As datLTM_MNGITEM_OneRec = Nothing
		Try
			'データグリッド初期化
			With Me._dtErrMsg
				If .Columns.Count = 0 Then		'カラムがない場合、設定
					If cliLTM_MNGITEMINFO Is Nothing Then cliLTM_MNGITEMINFO = New clsLTM_MNGITEM
					'表示用
					.Columns.Add(sqlLMN010F100.itmERR_NO, GetType(Integer))
					.Columns.Add(sqlLMN010F100.itmERR_MNGITEM, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_PATIENT, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_DIV1, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_DIV2, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_MSG, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_CD, GetType(String))

					'マスタ情報保持
					.Columns.Add(sqlLMN010F100.itmERR_MNGITEM_CD, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_MNGITEM_NM, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_DIV1TITLE, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_DIV1TITLE_RNM, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_DIV1TEXT_FLG, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_DIV2TITLE, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_DIV2TITLE_RNM, GetType(String))
					.Columns.Add(sqlLMN010F100.itmERR_DIV2TEXT_FLG, GetType(String))
				End If
			End With

			'データ追加
			dtRow = _dtErrMsg.NewRow
			With dtRow
				'表示用
				.Item(sqlLMN010F100.itmERR_NO) = _dtErrMsg.Rows.Count + 1
				.Item(sqlLMN010F100.itmERR_PATIENT) = pPatientNo
				.Item(sqlLMN010F100.itmERR_DIV1) = pDiv1_Rnm
				.Item(sqlLMN010F100.itmERR_DIV2) = pDiv2_Rnm
				.Item(sqlLMN010F100.itmERR_MSG) = Me.getMsgEx(pCode, pPrm)
				.Item(sqlLMN010F100.itmERR_CD) = pCode

				'マスタ情報保持
				datLtm_Mngitem = Me.cliLTM_MNGITEMINFO.getMngItem_OneRec(pMngCd)
                If datLtm_Mngitem IsNot Nothing Then
'(M) STR V4-14048-000 004 20131024 ID)荒川 (貸出管理レベルアップ２次開発　コード、名称桁数変更)
                    '.Item(sqlLMN010F100.itmERR_MNGITEM) = datLtm_Mngitem.MNGITEM_RNM
                    .Item(sqlLMN010F100.itmERR_MNGITEM) = datLtm_Mngitem.MNGITEM_NM
'(M) END V4-14048-000 004 20131024 ID)荒川 (貸出管理レベルアップ２次開発　コード、名称桁数変更)
                    .Item(sqlLMN010F100.itmERR_MNGITEM_CD) = datLtm_Mngitem.MNGITEM_CD
                    .Item(sqlLMN010F100.itmERR_MNGITEM_NM) = datLtm_Mngitem.MNGITEM_NM

                    If Not String.IsNullOrEmpty(datLtm_Mngitem.DIV1TITLE) Then
                        .Item(sqlLMN010F100.itmERR_DIV1TITLE) = datLtm_Mngitem.DIV1TITLE
                        .Item(sqlLMN010F100.itmERR_DIV1TITLE_RNM) = datLtm_Mngitem.DIV1TITLE_RNM
                    Else
'(M) STR V4-15012-000 011 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
						'.Item(sqlLMN010F100.itmERR_DIV1TITLE) = "区分１"
						'.Item(sqlLMN010F100.itmERR_DIV1TITLE_RNM) = "区分１"
						If String.IsNullOrEmpty(pDiv1) = True Then
							.Item(sqlLMN010F100.itmERR_DIV1TITLE) = "区分１"
							.Item(sqlLMN010F100.itmERR_DIV1TITLE_RNM) = "区分１"
						Else
							.Item(sqlLMN010F100.itmERR_DIV1TITLE) = pDiv1
							.Item(sqlLMN010F100.itmERR_DIV1TITLE_RNM) = pDiv1
						End If
'(M) END V4-15012-000 011 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応

					End If

                    .Item(sqlLMN010F100.itmERR_DIV1TEXT_FLG) = datLtm_Mngitem.DIV1TEXT_FLG

                    If Not String.IsNullOrEmpty(datLtm_Mngitem.DIV2TITLE) Then
                        .Item(sqlLMN010F100.itmERR_DIV2TITLE) = datLtm_Mngitem.DIV2TITLE
                        .Item(sqlLMN010F100.itmERR_DIV2TITLE_RNM) = datLtm_Mngitem.DIV2TITLE_RNM
                    Else
'(M) STR V4-15012-000 011 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
						'.Item(sqlLMN010F100.itmERR_DIV2TITLE) = "区分２"
						'.Item(sqlLMN010F100.itmERR_DIV2TITLE_RNM) = "区分２"
						If String.IsNullOrEmpty(pDiv2) = True Then
							.Item(sqlLMN010F100.itmERR_DIV2TITLE) = "区分２"
							.Item(sqlLMN010F100.itmERR_DIV2TITLE_RNM) = "区分２"
						Else
							.Item(sqlLMN010F100.itmERR_DIV2TITLE) = pDiv2
							.Item(sqlLMN010F100.itmERR_DIV2TITLE_RNM) = pDiv2
						End If
'(M) END V4-15012-000 011 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
					End If

                    .Item(sqlLMN010F100.itmERR_DIV2TEXT_FLG) = datLtm_Mngitem.DIV2TEXT_FLG
                Else
                    .Item(sqlLMN010F100.itmERR_MNGITEM_CD) = pMngCd
                    .Item(sqlLMN010F100.itmERR_MNGITEM_NM) = ""
					.Item(sqlLMN010F100.itmERR_DIV1TEXT_FLG) = ""
					.Item(sqlLMN010F100.itmERR_DIV2TEXT_FLG) = ""
'(M) STR V4-15012-000 020 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
					'.Item(sqlLMN010F100.itmERR_DIV1TITLE) = "区分１"
					'.Item(sqlLMN010F100.itmERR_DIV1TITLE_RNM) = "区分１"
					'.Item(sqlLMN010F100.itmERR_DIV2TITLE) = "区分２"
					'.Item(sqlLMN010F100.itmERR_DIV2TITLE_RNM) = "区分２"
					If String.IsNullOrEmpty(pDiv1) = True Then
						.Item(sqlLMN010F100.itmERR_DIV1TITLE) = "区分１"
						.Item(sqlLMN010F100.itmERR_DIV1TITLE_RNM) = "区分１"
					Else
						.Item(sqlLMN010F100.itmERR_DIV1TITLE) = pDiv1
						.Item(sqlLMN010F100.itmERR_DIV1TITLE_RNM) = pDiv1
					End If
					If String.IsNullOrEmpty(pDiv2) = True Then
						.Item(sqlLMN010F100.itmERR_DIV2TITLE) = "区分２"
						.Item(sqlLMN010F100.itmERR_DIV2TITLE_RNM) = "区分２"
					Else
						.Item(sqlLMN010F100.itmERR_DIV2TITLE) = pDiv2
						.Item(sqlLMN010F100.itmERR_DIV2TITLE_RNM) = pDiv2
					End If
'(M) END V4-15012-000 020 2014/03/31 ID)唐渡 貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応

				End If
			End With
			_dtErrMsg.Rows.Add(dtRow)
		Catch ex As Exception
			Throw
		Finally
			dtRow = Nothing
			datLtm_Mngitem = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' エラー画面から戻った時
	''' </summary>
	''' <remarks>
	''' 2009/12/07 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub backLMN_Err()
		log(XCM.clsSysMst.logLevel.DBG, "backLMN_Err", "エラー画面から戻った時 START")
		Try
			Me._dtErrMsg.Clear()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' エラー画面を表示する
	''' </summary>
	''' <remarks>
	''' 2009/12/07 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub nextLMN_ErrForm()
		log(XCM.clsSysMst.logLevel.DBG, "nextLMN_ErrForm", "エラー画面を表示する START")
		Try
			If fLMN010F100 IsNot Nothing Then fLMN010F100.Dispose()
			fLMN010F100 = Nothing
			fLMN010F100 = New LMN010F100(_dtErrMsg)
			nextForm(fLMN010F100)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' エラー件数を返す
	''' </summary>
	''' <returns>エラー件数</returns>
	''' <remarks>
	''' 2009/12/07 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLMN_ErrCount() As Integer
		Try
			Return _dtErrMsg.Rows.Count
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライズメソッド"
#End Region

End Class