﻿Imports XCM
Imports System.Drawing
Imports System.Windows.Forms
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 管理物管理 貸出履歴
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights resered.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTAIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class LMN010F070

#Region "コンスタント"

	Private Const CST_LMN010F080_ID As String = "LMN010F080"
    Private Const CST_XSP070F010_ID As String = "XSP070F010"

#End Region

#Region "変数"

	Private mFrm As frmBase

	Private cliMngItemInfo As clsLTI_MNGITEMINFO
	Private cliPatient As clsXTI_BASICINFO
	Private pLoadFlg As Boolean = True
	Private fLMN010F080 As LMN010F080 = Nothing
	Private fXSP070F010 As XSP070F010 = Nothing
	Private daKasiDai As DataTable = Nothing

	'管理物管理画面からの引数受け取り
	Private pValuePkjid As String = Nothing										'画面間の患者引渡ID
	Private pValueMngcd As String = Nothing										'画面間の管理物ID
	Private pValueSerialno As String = Nothing									'画面間の連番ID
	Private pValueMode As Enum_LMN010F070_Shown									'画面間の画面モード

	'実行フラグ、データ
	Private retArData As ArrayList
	Private retStrExeFlg As Enum_FormReturn = Enum_FormReturn.NONE

	'患者データ共通（管理物管理、貸出履歴、貸出情報、分冊登録）
	Private datLMN_BASICINFO As datXTI_BASICINFO_OneRec = Nothing
	Private datLTI_MNGITEMINFO As datLTI_MNGITEMINFO_Join_OneRec = Nothing

	'選択行の色を取得（OSの設定により変化する為、Load時に取得する）
	Private colorBack As Color = Nothing
	Private colorFore As Color = Nothing
'(A) STR V4-14081-000 004 2013/11/25 ID)荒川 又貸し機能追加
	' 貸出管理の又貸し機能の使用可否
	Private pUseSubLetting As clsConst.Enum_UseSubLetting = clsConst.Enum_UseSubLetting.NonUse
'(A) END V4-14081-000 004 2013/11/25 ID)荒川 又貸し機能追加

	''' ---------------------------------------------
	''' <summary>
	''' 画面表示モード
	''' </summary>	
	''' <remarks>
	''' 2010/03/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_LMN010F070_Shown
		''' ---------------------------------------------   
		''' <summary>
		''' 参照モード
		''' </summary>
		''' <remarks>
		''' 2010/03/12 新規作成 CS)荒川<BR/>
		''' </remarks>
		''' ---------------------------------------------   
		eRefarence = 0
		''' ---------------------------------------------   
		''' <summary>
		''' 登録モード
		''' </summary>
		''' <remarks>
		''' 2010/03/12 新規作成 CS)荒川<BR/>
		''' </remarks>
		''' ---------------------------------------------   
		eIns = 1
	End Enum

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pMode">画面表示モード</param>	
	''' <param name="pPantientNo">患者番号</param>	
	''' <param name="pMngItem">管理物コードp</param>	
	''' <param name="pSerialNo">連番</param>
	''' <param name="pLMN_BASIC">患者情報</param>		
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' 2010/03/12 変更　　 CS)荒川<BR/>	
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pMode As Enum_LMN010F070_Shown, _
				   ByVal pPantientNo As String, ByVal pMngItem As String, ByVal pSerialNo As Integer, _
				   ByVal pLMN_BASIC As datXTI_BASICINFO_OneRec)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'変数引き取り
		Me.pValuePkjid = pPantientNo
		Me.pValueMngcd = pMngItem
		Me.pValueSerialno = pSerialNo
		Me.datLMN_BASICINFO = pLMN_BASIC
		Me.pValueMode = pMode
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN010F070_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(XCM.clsSysMst.logLevel.NRM, "LMN010F070_Load", "画面ロード START")
		Dim retIdx As Integer = -1
		Dim retData As clsLMN010 = Nothing
		Dim retData_Flg As clsLMN010_FLG = Nothing
		Dim cliGridStyle As clsGridStyle = Nothing
		Try
			If pValueMode = Enum_LMN010F070_Shown.eRefarence Then
				'参照モード
				Me.Text = CST_TITLE_REF & Me.Text
			End If
			cliMngItemInfo = New clsLTI_MNGITEMINFO
			cliPatient = New clsXTI_BASICINFO
			daKasiDai = New DataTable
			retArData = New ArrayList
			retData_Flg = New clsLMN010_FLG
			cliGridStyle = New clsGridStyle
			'画面情報引き継ぎ
			Me.mFrm = Me.Owner

			Me.datLTI_MNGITEMINFO = Me.cliMngItemInfo.getMngiteminfoJoinOneRec(Me.pValuePkjid, Me.pValueMngcd, Me.pValueSerialno)

			If Me.datLTI_MNGITEMINFO Is Nothing Then
				showMsg("E0003", "管理物情報が存在しない", "表示", Nothing)
				'現在処理されているフラグのSerach
				For idx As Integer = 0 To Me.retArData.Count - 1
					If CStr(clsLMN010_FLG.Enum_process.pMngDel) = CType(Me.retArData(idx), clsLMN010_FLG).pExeFlg Then
						'処理済み
						retIdx = idx
						Exit For
					End If
				Next

				'処理済みのため、影響管理物のみADDする
				retData_Flg.pExeFlg = CStr(clsLMN010_FLG.Enum_process.pMngDel)
				retData = New clsLMN010
				retData.PATIENT_NO = Me.pValuePkjid
				retData.MNGITEM_CD = Me.pValueMngcd
				retData.SERIAL_NO = Me.pValueSerialno
				retData_Flg.pArMngItem.Add(retData.Copy)

				'ローカルに変数を引き取る
				If retIdx <> -1 Then
					CType(Me.retArData(retIdx), clsLMN010_FLG).pArMngItem.Add(retData.Copy)
				Else
					'未処理のため、フラグクラスをADDする
					Me.retArData.Add(retData_Flg.Copy)
				End If

				'フォームクローズ
				Me.mFrm.setCancelFlg(True)
				Call Me.EndProc(Enum_FormReturn.OK)
				Exit Sub
			End If

			'表示情報の存在チェック
			If Not Me.chkLendInfoData() Then
				showMsg("E0003", "返却済みの貸出情報が存在しない", "貸出履歴表示", Nothing)
				Me.mFrm.setCancelFlg(True)
				Call Me.EndProc(Enum_FormReturn.CANSEL)
				Exit Sub
			End If

			'基本のバックカラーを取得（管理物情報から取得）
			Me.colorBack = Me.dgv004LMN010F070.DefaultCellStyle.BackColor
			Me.colorFore = Me.dgv004LMN010F070.DefaultCellStyle.ForeColor

			cliGridStyle.setGridHeight(Me.dgv004LMN010F070)
'(A) STR V4-14081-000 009 2013/11/25 ID)荒川 又貸し機能追加
			pUseSubLetting = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00115)
			If pUseSubLetting = clsConst.Enum_UseSubLetting.Use Then
			Else
				' 又貸し機能は使用できないようにする
				Me.dgv004LMN010F070.Columns.RemoveAt(Me.c12004LMN010F070.Index)
				Me.dgv004LMN010F070.Columns.RemoveAt(Me.c13004LMN010F070.Index)
			End If
'(A) END V4-14081-000 009 2013/11/25 ID)荒川 又貸し機能追加

			Me.pLoadFlg = False
		Catch ex As Exception
			Me.ErrorProc(ex)
			CType(Me.Owner, frmBase).setCancelFlg(True)
			EndProc(Enum_FormReturn.CANSEL)
		Finally
			retData = Nothing
			retIdx = Nothing
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN010F070_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, "LMN010F070_Shown", "画面表示 START")
		Try
			Call Me.repaint()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 終了ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn007LMN000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007LMN000F010.Click
		log(clsSysMst.logLevel.NRM, "btn007LMN000F010_Click", "終了ボタンクリック START")
		Try
			Call Me.EndProc(Enum_FormReturn.CANSEL)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面クローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN010F070_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "LMN010F070_FormClosing", "画面クローズ START")
		Dim retDictionary As DictionaryEntry = Nothing
		Try
			'遷移もとに返す変数を返す
			retDictionary = New DictionaryEntry(Me.Name, Me.retArData)

			'フォームクローズ設定
			Me.setCloseFlg()
			'２連続で画面を閉じるとフォームが選択されない対応
			Me.mFrm.Select()
			If Me.retStrExeFlg = Enum_FormReturn.OK Then
				'処理済み
				Me.mFrm.backForm(True, retStrExeFlg, retDictionary)
			Else
				'未処理
				Me.mFrm.backForm(False, retStrExeFlg, retDictionary)
			End If

			'クラス変数解放（Dispose）
			If Me.fLMN010F080 IsNot Nothing Then Me.fLMN010F080.Dispose()
			If Me.daKasiDai IsNot Nothing Then Me.daKasiDai.Dispose()
			If Me.cliMngItemInfo IsNot Nothing Then Me.cliMngItemInfo.Dispose()
			If Me.fXSP070F010 IsNot Nothing Then Me.fXSP070F010.Dispose()
			If Me.cliPatient IsNot Nothing Then Me.cliPatient.Dispose()
			If Me.dgv004LMN010F070.DataSource IsNot Nothing Then CType(Me.dgv004LMN010F070.DataSource, DataTable).Dispose()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			retDictionary = Nothing
			'変数解放（Nothing）
			Me.mFrm = Nothing
			Me.cliMngItemInfo = Nothing
			Me.fLMN010F080 = Nothing
			Me.fXSP070F010 = Nothing
			Me.daKasiDai = Nothing
			Me.pLoadFlg = Nothing
			Me.pValuePkjid = Nothing
			Me.pValueMngcd = Nothing
			Me.pValueSerialno = Nothing
			Me.retArData = Nothing
			Me.retStrExeFlg = Nothing
			Me.datLMN_BASICINFO = Nothing
			Me.datLTI_MNGITEMINFO = Nothing
			Me.cliPatient = Nothing
			Me.dgv004LMN010F070.DataSource = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 伝票番号クリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv004LMN010F070_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv004LMN010F070.CellClick
		Dim idxLendItem As Integer = -1
		Dim bmFindGrid As BindingManagerBase = Nothing
		Dim drvFindGrid As DataRowView = Nothing
		Dim drFindGrid As DataRow = Nothing
		Dim pPantientNo As String = Nothing
		Dim pMngItem As String = Nothing
		Dim pSerialNo As String = Nothing
		Dim pLendSerialNo As String = Nothing
		Try
			'伝票番号列のみ処理を実行する。
			If e.ColumnIndex <> 0 Then Exit Sub
			log(clsSysMst.logLevel.NRM, "dgv004LMN010F070_CellClick", "伝票番号クリック START")

			Me.Cursor = Cursors.WaitCursor

			If Me.dgv004LMN010F070 IsNot Nothing AndAlso Me.dgv004LMN010F070.Rows.Count > e.RowIndex AndAlso e.ColumnIndex = 0 Then
				'選択行数を取得
				idxLendItem = Me.getCurrentRow(Me.dgv004LMN010F070)

				'管理物管理が未選択なら異常で処理を返す
				If idxLendItem = -1 Then Exit Sub

				bmFindGrid = Me.dgv004LMN010F070.BindingContext(Me.dgv004LMN010F070.DataSource, Me.dgv004LMN010F070.DataMember)
				drvFindGrid = CType(bmFindGrid.Current, DataRowView)
				drFindGrid = drvFindGrid.Row

				'選択貸出情報の主キーを取得
				With drFindGrid
					pPantientNo = .Item(sqlLMN010F070.itmPatient_no).ToString
					pMngItem = .Item(sqlLMN010F070.itmMngitem_cd).ToString
					pSerialNo = .Item(sqlLMN010F070.itmSerial_no).ToString
					pLendSerialNo = .Item(sqlLMN010F070.itmLendSerial_no).ToString
				End With

				Me.fLMN010F080 = Nothing
				If Me.pValueMode = Enum_LMN010F070_Shown.eIns Then
					Me.fLMN010F080 = New LMN010F080(LMN010F080.Enum_LMN010F080_Show.eIns, _
						  pPantientNo, pMngItem, pSerialNo, pLendSerialNo, Me.datLMN_BASICINFO, Me.datLTI_MNGITEMINFO)
				Else
					Me.fLMN010F080 = New LMN010F080(LMN010F080.Enum_LMN010F080_Show.eReference, _
						  pPantientNo, pMngItem, pSerialNo, pLendSerialNo, Me.datLMN_BASICINFO, Me.datLTI_MNGITEMINFO)
				End If

				'貸出情報画面に遷移する
				Call Me.nextForm(Me.fLMN010F080)
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号クリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>	
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn001LMN010F070_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001LMN010F070.Click
		log(clsSysMst.logLevel.NRM, "btn001LMN010F070_Click", "患者番号クリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.fXSP070F010 = Nothing

			''画面表示モードで患者登録画面を展開するモードを制御
			'If Me.pValueMode = Enum_LMN010F070_Shown.eIns Then
			'	'更新モードで表示する
			'             Me.fXSP070F010 = New XSP070F010(XSP070F010.Enum_XSP070F010.eUpdate, Me.btn001LMN010F070.Text)
			'Else
			'	'参照モードで表示する。
			'             Me.fXSP070F010 = New XSP070F010(XSP070F010.Enum_XSP070F010.eRefarence, Me.btn001LMN010F070.Text)
			'End If
			'参照モードで表示する。
			Me.fXSP070F010 = New XSP070F010(XSP000F030.Enum_XSP000F030_ExeMode.Ref, Me.btn001LMN010F070.Text, , False)
			Call Me.nextForm(Me.fXSP070F010)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報を患者、管理物一件分を取得します（データクラス）
	''' </summary>
	''' <returns>貸出情報を患者、管理物一件分</returns>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendinfoPatient() As DataTable
		log(clsSysMst.logLevel.DBG, "getLendinfoPatient", "貸出情報を患者、管理物一件分を取得 START")

		Dim retData As DataTable = New DataTable
		Dim iRet As Long
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					.setSQLDa(sqlLMN010F070.sqlLMN010F070_LendInfo_Patient)	 'SELECT文設定
					.setParamDa(sqlLMN010F070.prmPATIENTNO, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlLMN010F070.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlLMN010F070.prmSERIAL_NO, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlLMN010F070.prmDIV1, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlLMN010F070.prmDIV2, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlLMN010F070.prmPATIENTNO, Me.pValuePkjid)
					.setValDa(sqlLMN010F070.prmMNGITEM_CD, Me.pValueMngcd)
					.setValDa(sqlLMN010F070.prmSERIAL_NO, Me.pValueSerialno)
					.setValDa(sqlLMN010F070.prmDIV1, CStr(clsConst.Enum_FreeCmb_Flg.LendFreeCmb1))
					.setValDa(sqlLMN010F070.prmDIV2, CStr(clsConst.Enum_FreeCmb_Flg.LendFreeCmb2))
					.execQueryDa(retData)	'値取得
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			iRet = Nothing
		End Try

		'返り値設定
		Return retData

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報存在チェック
	''' </summary>
	''' <returns>表示データが存在するならTrue、存在しないならFalse</returns>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkLendInfoData() As Boolean
		log(clsSysMst.logLevel.DBG, "chkLendInfoData", "貸出情報存在チェック START")

		Dim retData As DataTable = New DataTable
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					.setSQLDa(sqlLMN010F070.sqlLMN010F070_LendInfo_ChkFind)	 'SELECT文設定
					.setParamDa(sqlLMN010F070.prmPATIENTNO, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlLMN010F070.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlLMN010F070.prmSERIAL_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlLMN010F070.prmPATIENTNO, Me.pValuePkjid)
					.setValDa(sqlLMN010F070.prmMNGITEM_CD, Me.pValueMngcd)
					.setValDa(sqlLMN010F070.prmSERIAL_NO, Me.pValueSerialno)
					.execQueryDa(retData)	'値取得
					If retData IsNot Nothing AndAlso retData.Rows.Count > 0 Then
						Return True
					Else
						Return False
					End If
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			If retData IsNot Nothing Then retData.Dispose()
			retData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データグリッドのカレント行を返す（管理物のみ）
	''' </summary>
	''' <returns>カレントインデックス</returns>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getCurrentRow(ByVal dgv As DataGridView) As Integer
		'多回数ロジックを通るため、レスポンス考慮により削除
		'log(clsSysMst.logLevel.DBG, "", "")
		Try
			If dgv.Rows.Count = 0 Then
				Return -1
			Else
				Return dgv.CurrentRow.Index
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <param name="pReturnValue">戻り値</param>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub EndProc(ByVal pReturnValue As Enum_FormReturn)
		log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 START")

		Try
			If pReturnValue = Enum_FormReturn.CANSEL AndAlso Me.retStrExeFlg <> Enum_FormReturn.OK Then
				'キャンセル命令でOKフラグが立っていない場合
				Me.retStrExeFlg = pReturnValue
			Else
				If pReturnValue = Enum_FormReturn.CANSEL AndAlso Me.retStrExeFlg = Enum_FormReturn.OK Then
					'キャンセル命令でOKフラグが立っている場合はスルー
				Else
					'キャンセル命令
					Me.retStrExeFlg = pReturnValue
				End If
			End If
			'画面クローズ
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Call Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' F12キーイベント
	''' </summary>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キーイベント START")
		Try
			Call Me.EndProc(Enum_FormReturn.CANSEL)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面描画
	''' </summary>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面描画 START")
		Me.SuspendLayout()
		Dim RowColor As DataGridViewCellStyle = Nothing
		Try
			RowColor = New DataGridViewCellStyle
			'患者情報表示
			If Me.mFrm IsNot Nothing Then

				'グリッドでない部分をセット＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
				If Me.datLMN_BASICINFO IsNot Nothing Then
					'患者番号表示
					Me.btn001LMN010F070.Text = Me.datLMN_BASICINFO.PATIENT_NO

					'患者名称表示
					Me.lbl002LMN010F070.Text = Me.datLMN_BASICINFO.PATIENT_NM

					'管理物情報名表示
					Me.lbl003LMN010F070.Text = Me.datLTI_MNGITEMINFO.MNGITEM_NM

					'管理物情報（区分１、区分２、病歴番号）
					Me.lbl006LMN010F070.Text = Me.datLTI_MNGITEMINFO.DIV1_NM
					Me.lbl007LMN010F070.Text = Me.datLTI_MNGITEMINFO.DIV2_NM
					Me.lbl009LMN010F070.Text = Me.datLTI_MNGITEMINFO.BYOREKI_NO

					If String.IsNullOrEmpty(Me.datLTI_MNGITEMINFO.DIV1TITLE) Then
						Me.lbl006LMN010F070.Visible = False
					End If
					If String.IsNullOrEmpty(Me.datLTI_MNGITEMINFO.DIV2TITLE) Then
						Me.lbl007LMN010F070.Visible = False
					End If
					If String.IsNullOrEmpty(Me.datLTI_MNGITEMINFO.BYOREKITITLE) Then
						Me.lbl008LMN010F070.Visible = False
						Me.lbl009LMN010F070.Visible = False
					End If
				Else
					Me.btn001LMN010F070.Text = ""
					Me.lbl002LMN010F070.Text = ""
					Me.lbl003LMN010F070.Text = ""
					Me.lbl006LMN010F070.Visible = False
					Me.lbl007LMN010F070.Visible = False
					Me.lbl008LMN010F070.Visible = False
					Me.lbl009LMN010F070.Visible = False
				End If
				'＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊

				'グリッド部分をセット＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
				If Me.daKasiDai.Rows.Count > 0 Then Me.daKasiDai.Rows.Clear()
				If Me.dgv004LMN010F070.Rows.Count > 0 Then Me.dgv004LMN010F070.Rows.Clear()
				Me.dgv004LMN010F070.ReadOnly = True
				Me.dgv004LMN010F070.AutoGenerateColumns = False

				'貸出情報一覧を表示
				Me.daKasiDai = Me.getLendinfoPatient()
				If Me.daKasiDai IsNot Nothing AndAlso Me.daKasiDai.Rows.Count > 0 Then
					Me.dgv004LMN010F070.DataSource = Me.daKasiDai
				End If
				'＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊

				'グリッド背景色を設定＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
				RowColor.ForeColor = Me.colorFore
                RowColor.SelectionForeColor = Me.colorFore
                '背景色をDefaultに設定
                'RowColor.BackColor = Me.colorBack
                'RowColor.SelectionBackColor = Me.colorBack
                '背景色を管理物の背景色に設定
                If Me.datLTI_MNGITEMINFO IsNot Nothing Then
                    If Not String.IsNullOrEmpty(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_R) AndAlso IsNumeric(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_R) AndAlso _
                       Not String.IsNullOrEmpty(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_G) AndAlso IsNumeric(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_G) AndAlso _
                       Not String.IsNullOrEmpty(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_B) AndAlso IsNumeric(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_B) Then
                        RowColor.BackColor = Color.FromArgb(CInt(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_R), _
                                                 CInt(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_G), _
                                                 CInt(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_B))
                        RowColor.SelectionBackColor = Color.FromArgb(CInt(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_R), _
                                                 CInt(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_G), _
                                                 CInt(Me.datLTI_MNGITEMINFO.MNGITEM_COLOR_B))
                    End If
                End If

				With Me.dgv004LMN010F070
					For Each dgvRow As DataGridViewRow In .Rows
						dgvRow.DefaultCellStyle = RowColor.Clone
					Next
				End With
				'＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
			End If
		Catch ex As Exception
			Throw
		Finally
			Me.ResumeLayout()
			RowColor = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面遷移から戻ってきたときの処理
	''' </summary>
	''' <remarks>
	''' 2009/11/12 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "画面遷移から戻ってきたときの処理 START")
		Dim retIdx As Integer = -1
		Dim retData As clsLMN010 = Nothing
		Dim retDataFlg As clsLMN010_FLG = Nothing
		Dim delFlgPatient As Boolean = False
		Dim updFlgPatient As Boolean = False
		Dim updFlgLend As Boolean = False
		Dim FlgFind As Boolean = False
		Try
			'遷移元の変数を引き取り
			With CType(de, DictionaryEntry)
				Select Case .Key
					Case CST_LMN010F080_ID
						If Me.retStrExeFlg <> Enum_FormReturn.OK Then Me.retStrExeFlg = ret
						If .Value IsNot Nothing OrElse TypeOf .Value Is ArrayList Then
							For Each dat As clsLMN010_FLG In CType(.Value, ArrayList)
								'現在処理されているフラグのSerach
								For idx As Integer = 0 To Me.retArData.Count - 1
									If dat.pExeFlg = CType(Me.retArData(idx), clsLMN010_FLG).pExeFlg Then
										'処理済み
										retIdx = idx
										Exit For
									End If
								Next

								'遷移先から患者削除で降りてきた場合
								If dat.pExeFlg = CStr(clsLMN010_FLG.Enum_process.pPantientDel) Then
									delFlgPatient = True
								End If

								'遷移先から患者更新で降りてきた場合
								If dat.pExeFlg = CStr(clsLMN010_FLG.Enum_process.pPantientUpd) Then
									updFlgPatient = True
									Me.datLMN_BASICINFO = CType(dat.pArMngItem(0), clsLMN010).datPATIENT.Copy
									Me.btn001LMN010F070.Text = Me.datLMN_BASICINFO.PATIENT_NO		'患者番号
									Me.lbl002LMN010F070.Text = Me.datLMN_BASICINFO.PATIENT_NM		'氏名
								End If

								'遷移先から貸出情報更新で降りてきた場合
								If dat.pExeFlg = CStr(clsLMN010_FLG.Enum_process.pLendUpd) OrElse _
										dat.pExeFlg = CStr(clsLMN010_FLG.Enum_process.pLendDel) Then
									updFlgLend = True
								End If

								'ローカルに変数を引き取る
								If retIdx <> -1 Then
									If updFlgPatient Then
										'患者属性を更新する
										CType(CType(Me.retArData(retIdx), clsLMN010_FLG).pArMngItem(0), clsLMN010).datPATIENT = _
										 CType(dat.pArMngItem(0), clsLMN010).datPATIENT.Copy
									ElseIf updFlgLend Then
										'貸出情報の連番をAddする
										For Each rDat As clsLMN010 In dat.pArMngItem
											FlgFind = False
											For Each sDat As clsLMN010 In CType(Me.retArData(retIdx), clsLMN010_FLG).pArMngItem
												'同一患者番号、管理物コード、連番の存在をチェック
												If rDat.PATIENT_NO = sDat.PATIENT_NO AndAlso _
												   rDat.MNGITEM_CD = sDat.MNGITEM_CD AndAlso _
												   rDat.SERIAL_NO = sDat.SERIAL_NO Then
													FlgFind = True
													'処理した貸出連番を戻り値用の変数にAddする
													For idx As Integer = 0 To rDat.arLendSerialNo.Count - 1
														If dat.pExeFlg = CStr(clsLMN010_FLG.Enum_process.pLendUpd) Then
															'貸出連番Arrayと貸出情報Arrayの添え字はリンクしている
															'貸出更新できた場合は連番とデータをAddする
															If Not sDat.arLendSerialNo.Contains(rDat.arLendSerialNo(idx)) Then
																sDat.arLendSerialNo.Add(rDat.arLendSerialNo(idx))
																sDat.arLendData.Add(CType(rDat.arLendData(idx), datLTI_LENDINFO_OneRec).Copy)
															Else
																'更新貸出情報を更新
																For sIdx As Integer = 0 To sDat.arLendData.Count - 1
																	With CType(rDat.arLendData(idx), datLTI_LENDINFO_OneRec)
																		If CType(sDat.arLendData(sIdx), datLTI_LENDINFO_OneRec).LENDSERIAL_NO = .LENDSERIAL_NO Then
																			sDat.arLendData(sIdx) = .Copy
																		End If
																	End With
																Next
															End If
														Else
															'貸出削除できた場合は連番のみAddする
															If Not sDat.arLendSerialNo.Contains(rDat.arLendSerialNo(idx)) Then
																sDat.arLendSerialNo.Add(rDat.arLendSerialNo(idx))
															End If
														End If
													Next
												End If
											Next
											'患者番号、管理物コード、連番をキーに存在するレコードが存在しない場合は明細をAddする
											If Not FlgFind Then
												CType(Me.retArData(retIdx), clsLMN010_FLG).pArMngItem.Add(rDat.Copy)
											End If
										Next
									Else
										'処理済みのため、影響管理物のみADDする
										For Each sDat As clsLMN010 In dat.pArMngItem
											CType(Me.retArData(retIdx), clsLMN010_FLG).pArMngItem.Add(sDat.Copy)
										Next
									End If
									retIdx = -1
								Else
									'未処理のため、フラグクラスをADDする
									Me.retArData.Add(dat.Copy)
								End If
							Next
						End If
                    Case CST_XSP070F010_ID
						'患者情報からもどるとき
						If Me.retStrExeFlg <> Enum_FormReturn.OK Then Me.retStrExeFlg = ret
						If .Value IsNot Nothing AndAlso TypeOf .Value Is clsXSP000F030 AndAlso _
						   CType(.Value, clsXSP000F030).pExeMode <> CStr(clsXSP000F030.Enum_ExeFlg.eNotRun) Then
							'戻り値変数をインスタンス化
							retData = New clsLMN010
							retDataFlg = New clsLMN010_FLG

							'戻り値変数にセット（共通）
							retData.PATIENT_NO = CType(.Value, clsXSP000F030).pPatientNo		'患者番号

							Select Case CType(.Value, clsXSP000F030).pExeMode
								Case CStr(clsXSP000F030.Enum_ExeFlg.eDel)
									'削除されて戻る場合
									'戻り値変数にセット（患者削除）
									retDataFlg.pExeFlg = clsLMN010_FLG.Enum_process.pPantientDel		'患者削除フラグ

									'患者情報削除処理
									delFlgPatient = True
								Case CStr(clsXSP000F030.Enum_ExeFlg.eUpd)
									'更新されて戻る場合
									updFlgPatient = True

									'戻り値変数にセット（患者更新）
									retDataFlg.pExeFlg = clsLMN010_FLG.Enum_process.pPantientUpd		'患者更新フラグ
									retData.datPATIENT = Me.cliPatient.getPatientOneRec(CType(.Value, clsXSP000F030).pPatientNo)
									Me.datLMN_BASICINFO = retData.datPATIENT.Copy
									Me.btn001LMN010F070.Text = Me.datLMN_BASICINFO.PATIENT_NO		'患者番号
									Me.lbl002LMN010F070.Text = Me.datLMN_BASICINFO.PATIENT_NM		'氏名
							End Select
							'影響クラスに追加する
							retDataFlg.pArMngItem.Add(retData.Copy)

							'現在処理されているフラグのSerach
							For idx As Integer = 0 To Me.retArData.Count - 1
								If retDataFlg.pExeFlg = CType(Me.retArData(idx), clsLMN010_FLG).pExeFlg Then
									'処理済み
									retIdx = idx
									Exit For
								End If
							Next

							'ローカルに変数を引き取る
							If retIdx <> -1 Then
								If updFlgPatient Then
									'患者属性を更新する
									CType(CType(Me.retArData(retIdx), clsLMN010_FLG).pArMngItem(0), clsLMN010).datPATIENT = retData.datPATIENT.Copy
								Else
									'処理済みのため、影響管理物のみADDする
									For Each sDat As clsLMN010 In retDataFlg.pArMngItem
										CType(Me.retArData(retIdx), clsLMN010_FLG).pArMngItem.Add(sDat.Copy)
									Next
								End If
								retIdx = -1
							Else
								'未処理のため、フラグクラスをADDする
								Me.retArData.Add(retDataFlg.Copy)
							End If
						End If
                End Select
			End With

			'Keyに遷移先フォームIDが代入されている
			Select Case CType(de, DictionaryEntry).Key
				Case CST_LMN010F080_ID
					'メモリ解放
					If Me.fLMN010F080 IsNot Nothing Then
						Me.fLMN010F080.Dispose()
						Me.fLMN010F080 = Nothing
					End If
                Case CST_XSP070F010_ID
                    'メモリ解放
                    If Me.fXSP070F010 IsNot Nothing Then
                        Me.fXSP070F010.Dispose()
                        Me.fXSP070F010 = Nothing
                    End If
            End Select

			'変数がNothingでなければ削除フラグが処理されているので、Nothing判定
			If delFlgPatient Then
				'削除処理されたのであれば、画面を閉じる。
				Call Me.EndProc(Enum_FormReturn.OK)
				Exit Sub
			End If

			'表示情報の存在チェック
			If CType(de, DictionaryEntry).Key = CST_LMN010F080_ID AndAlso Not Me.chkLendInfoData() Then
				'貸出情報から遷移して、表示履歴情報が一件もない場合は、直接診療記録一覧に戻る。
				Call Me.EndProc(Me.retStrExeFlg)
				Exit Sub
			End If
		Catch ex As Exception
			Throw
		Finally
			'解放(Dispose)
			If retData IsNot Nothing Then retData.Dispose()
			If retDataFlg IsNot Nothing Then retDataFlg.Dispose()

			'解放(Nothing)
			retIdx = Nothing
			retData = Nothing
			retDataFlg = Nothing
		End Try
	End Sub

#End Region

End Class