﻿Imports XCM
Imports System.Drawing
Imports System.Windows.Forms
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 管理物管理 貸出準備一覧　修正番号：V4-14056
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights resered.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTAIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class LMN010F120

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 表示条件
	''' </summary>
	''' ---------------------------------------------
	Private Enum Enum_DispType
		''' ---------------------------------------------
		''' <summary>準備</summary>
		''' ---------------------------------------------
		ePrepare = 1
		''' ---------------------------------------------
		''' <summary>予約</summary>
		''' ---------------------------------------------
		eAppointment = 2
		''' ---------------------------------------------
		''' <summary>全て</summary>
		''' ---------------------------------------------
		eAll = 0
	End Enum

#End Region

#Region "変数"

	Private m_Frm As frmBase
	Private m_frmLMN010F130 As LMN010F130 = Nothing

	Private m_cliMngItemInfo As clsLTI_MNGITEMINFO
	Private m_pLoadFlg As Boolean = True
	Private m_daKasiDai As DataTable = Nothing

	Private m_InValueFlg As Boolean = False
	Private m_InValueMngCode As String = Nothing
	Private m_InValuePatientNo As String = Nothing
	Private m_InValueSerialNo As Long = -1

	'遷移元に返す伝票コード
	Private m_OutValueSlipCode As String = Nothing
	Private m_OutValueReturn As Enum_FormReturn = Enum_FormReturn.CANSEL

	Private m_cliGridSort As clsGridSort = Nothing

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>		
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（個別起動モード）
	''' </summary>
	''' <param name="_mngcode">管理物ｺｰﾄﾞ</param>
	''' <param name="_patientno">患者番号</param>
	''' <param name="_serialno">連番</param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(_mngcode As String, _patientno As String, _serialno As Long)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。

		Me.m_InValueFlg = True
		Me.m_InValueMngCode = _mngcode
		Me.m_InValuePatientNo = _patientno
		Me.m_InValueSerialNo = _serialno
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN010F120_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(XCM.clsSysMst.logLevel.NRM, "LMN010F120_Load", "画面ロード START")
		Dim retIdx As Integer = -1
		Dim retData As clsLMN010 = Nothing
		Dim retData_Flg As clsLMN010_FLG = Nothing
		Dim cliGridStyle As clsGridStyle = Nothing
		Try
			Me.m_cliMngItemInfo = New clsLTI_MNGITEMINFO
			Me.m_daKasiDai = New DataTable
			Me.m_cliGridSort = New clsGridSort
			cliGridStyle = New clsGridStyle

			'画面情報引き継ぎ
			Me.m_Frm = Me.Owner

			'ソート順定義
			Me.setGridSortCriteria()

			'グリッドの定義作成
			cliGridStyle.setGridHeight(Me.dgv004LMN010F120)

			Me.m_pLoadFlg = False

		Catch ex As Exception
			Me.ErrorProc(ex)
			CType(Me.Owner, frmBase).setCancelFlg(True)
			Me.EndProc(Enum_FormReturn.CANSEL)
		Finally
			retData = Nothing
			retIdx = Nothing
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN010F120_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, "LMN010F120_Shown", "画面表示 START")
		Try
			Me.repaint()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn007LMN000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007LMN000F010.Click
		log(clsSysMst.logLevel.NRM, "btn007LMN000F010_Click", "閉じるボタンクリック START")
		Try
			Me.EndProc(Enum_FormReturn.CANSEL)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面クローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN010F120_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "LMN010F120_FormClosing", "画面クローズ START")
		Dim retDictionary As DictionaryEntry = Nothing
		Try
			'遷移もとに返す変数を返す
			retDictionary = New DictionaryEntry(Me.Name, Me.m_OutValueSlipCode)

			'フォームクローズ設定
			Me.setCloseFlg()
			'２連続で画面を閉じるとフォームが選択されない対応
			Me.m_Frm.Select()
			Me.m_Frm.backForm(False, Me.m_OutValueReturn, retDictionary)

			'クラス変数解放（Dispose）
			If Me.m_daKasiDai IsNot Nothing Then Me.m_daKasiDai.Dispose()
			If Me.m_cliMngItemInfo IsNot Nothing Then Me.m_cliMngItemInfo.Dispose()
			If Me.dgv004LMN010F120.DataSource IsNot Nothing Then CType(Me.dgv004LMN010F120.DataSource, DataTable).Dispose()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'変数解放（Nothing）
			Me.m_Frm = Nothing
			Me.m_cliMngItemInfo = Nothing
			Me.m_daKasiDai = Nothing
			Me.m_pLoadFlg = Nothing
			Me.dgv004LMN010F120.DataSource = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' グリッドダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv004LMN010F120_CellDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv004LMN010F120.CellDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv004LMN010F120_CellDoubleClick", "グリッドダブルクリック Start")
        Try
            If e.RowIndex = -1 Then Exit Sub
            Me.fncExecEnter()
        Catch ex As Exception
            Me.ErrorProc(ex)
        End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 伝票番号クリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv004LMN010F070_CellClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv004LMN010F120.CellClick
		Dim idxLendItem As Integer = -1
		Dim bmFindGrid As BindingManagerBase = Nothing
		Dim drvFindGrid As DataRowView = Nothing
		Dim drFindGrid As DataRow = Nothing
		Dim pSlipCd As String = Nothing
		Dim pResultDate As Date = Nothing
		Dim pResultName As String = Nothing
		Try
			'伝票番号列のみ処理を実行する。
            If e.ColumnIndex <> 0 Then Exit Sub
            If e.RowIndex = -1 Then Exit Sub
			log(clsSysMst.logLevel.NRM, "dgv004LMN010F070_CellClick", "伝票番号クリック START")

			Me.Cursor = Cursors.WaitCursor

			If Me.dgv004LMN010F120 IsNot Nothing AndAlso Me.dgv004LMN010F120.Rows.Count > e.RowIndex AndAlso e.ColumnIndex = 0 Then
				'選択行数を取得
				idxLendItem = Me.getCurrentRow(Me.dgv004LMN010F120)

				'管理物管理が未選択なら異常で処理を返す
				If idxLendItem = -1 Then Exit Sub

				bmFindGrid = Me.dgv004LMN010F120.BindingContext(Me.dgv004LMN010F120.DataSource, Me.dgv004LMN010F120.DataMember)
				drvFindGrid = CType(bmFindGrid.Current, DataRowView)
				drFindGrid = drvFindGrid.Row

				'選択貸出情報の主キーを取得
				With drFindGrid
					pSlipCd = .Item(sqlLMN010F120.itmSLIP_CD).ToString
					pResultDate = .Item(sqlLMN010F120.itmRESULT_DT).ToString
					pResultName = .Item(sqlLMN010F120.itmRESULTUSER_NAME).ToString
				End With

				Me.m_frmLMN010F130 = Nothing
				Me.m_frmLMN010F130 = New LMN010F130(pSlipCd, pResultDate, pResultName)

				'貸出情報画面に遷移する
				Me.nextForm(Me.m_frmLMN010F130)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' カラムヘッダークリック
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv004LMN010F120_ColumnHeaderMouseClick(sender As System.Object, e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv004LMN010F120.ColumnHeaderMouseClick
		log(clsSysMst.logLevel.NRM, "dgv004LMN010F120_ColumnHeaderMouseClick", "カラムヘッダークリック")
		Try
			If CType(sender, DataGridView).Rows.Count <= 0 Then Exit Sub
			If CType(sender, DataGridView).Columns(e.ColumnIndex).SortMode <> _
			 DataGridViewColumnSortMode.Programmatic Then Exit Sub
			Me.Cursor = Cursors.WaitCursor
			Me.m_cliGridSort.SortRow(sender, CType(sender, DataGridView).Columns(e.ColumnIndex).DataPropertyName, e.ColumnIndex)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示条件変更（準備、予約、すべて）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdoHyoujiJouken_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles rdo001LMN010F120.CheckedChanged, rdo002LMN010F120.CheckedChanged, rdo003LMN010F120.CheckedChanged
		Try
			If TypeOf sender Is RadioButton Then
				If DirectCast(sender, RadioButton).Checked = True Then
					log(clsSysMst.logLevel.NRM, "rdoHyoujiJouken_CheckedChanged", "表示条件変更（準備、予約、すべて）")
					Me.Cursor = Cursors.WaitCursor
					Me.repaint()
				End If
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 確定ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn006LMN000F010_Click(sender As System.Object, e As System.EventArgs) Handles btn006LMN000F010.Click
		log(clsSysMst.logLevel.NRM, "btn006LMN000F010_Click", "確定ボタンクリック START")
		Me.Cursor = Cursors.WaitCursor
		Try
			Me.fncExecEnter()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005LMN000F010_Click(sender As System.Object, e As System.EventArgs) Handles btn005LMN000F010.Click
		log(clsSysMst.logLevel.NRM, "btn005LMN000F010_Click", "削除ボタンクリック START")
		Me.Cursor = Cursors.WaitCursor
		Try
			Me.fncExecDel()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 確定処理
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub fncExecEnter()
		log(clsSysMst.logLevel.DBG, "fncExecEnter", "確定処理 START")
		Dim idxLendItem As Integer = -1
		Dim bmFindGrid As BindingManagerBase = Nothing
		Dim drvFindGrid As DataRowView = Nothing
		Dim drFindGrid As DataRow = Nothing
		Dim pSlipCd As String = Nothing
		Try
			If Me.btn006LMN000F010.Enabled = False Then Exit Sub
			'選択行数を取得
			idxLendItem = Me.getCurrentRow(Me.dgv004LMN010F120)

			'未選択なら異常で処理を返す
			If idxLendItem = -1 Then
				showMsg("E0005")		'対象データがありません。
				Exit Sub
			End If

			bmFindGrid = Me.dgv004LMN010F120.BindingContext(Me.dgv004LMN010F120.DataSource, Me.dgv004LMN010F120.DataMember)
			drvFindGrid = CType(bmFindGrid.Current, DataRowView)
			drFindGrid = drvFindGrid.Row

			'選択貸出情報の主キーを取得
			With drFindGrid
				pSlipCd = .Item(sqlLMN010F120.itmSLIP_CD).ToString
			End With

			Me.m_OutValueSlipCode = pSlipCd
			EndProc(Enum_FormReturn.OK)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 削除処理
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub fncExecDel()
		log(clsSysMst.logLevel.DBG, "fncExecDel", "削除処理 START")
		Dim idxLendItem As Integer = -1
		Dim bmFindGrid As BindingManagerBase = Nothing
		Dim drvFindGrid As DataRowView = Nothing
		Dim drFindGrid As DataRow = Nothing
		Dim pSlipCd As String = Nothing
		Try
			If Me.btn005LMN000F010.Enabled = False Then Exit Sub
			'選択行数を取得
			idxLendItem = Me.getCurrentRow(Me.dgv004LMN010F120)

			'未選択なら異常で処理を返す
			If idxLendItem = -1 Then
				showMsg("E0005")		'対象データがありません。
				Exit Sub
			End If

			If confMsg("Q0005", MessageBoxDefaultButton.Button2, "貸出準備情報を削除", Nothing) = MsgBoxResult.Yes Then
				'”はい”をクリックした場合のみ処理続行する

				bmFindGrid = Me.dgv004LMN010F120.BindingContext(Me.dgv004LMN010F120.DataSource, Me.dgv004LMN010F120.DataMember)
				drvFindGrid = CType(bmFindGrid.Current, DataRowView)
				drFindGrid = drvFindGrid.Row

				'選択貸出情報の主キーを取得
				With drFindGrid
					pSlipCd = .Item(sqlLMN010F120.itmSLIP_CD).ToString
				End With

				'削除処理
				Using db As New clsDB(clsSysMst.ctlConfigData)
					With db
						Try
							'トランザクション開始
							.ctlTran(clsDB.Enum_TranMode.Begin)

							'準備明細情報削除
							.setSQL(sqlLMN010F120.sqlLMN010F120_LendPrepare_Detail_Update)
							.setParam(sqlLMN010F010.prmSLIP_CD, clsDB.Enum_dbType.dbNVarChar)
							.setParam(sqlLMN010F010.prmDEL_FLG, clsDB.Enum_dbType.dbNVarChar)
							.setVal(sqlLMN010F010.prmSLIP_CD, pSlipCd)
							.setVal(sqlLMN010F010.prmDEL_FLG, CType(clsConst.Enum_LendPrepare_DelFlg.DelFlg, String))
							.execNonQuery(False)

							'コミット
							.ctlTran(clsDB.Enum_TranMode.Commit)
						Catch ex As Exception
							If .statTran() = True Then .ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						End Try
					End With
				End Using

				'再描画
				Me.repaint()

			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 準備情報を取得
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getPrepareData() As DataTable
		log(clsSysMst.logLevel.DBG, "getPrepareData", "準備情報を取得 START")

		Dim retData As DataTable = New DataTable
		Dim iRet As Long
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					If Me.m_InValueFlg = True Then
						' 引数あり
						.setSQLDa(sqlLMN010F120.sqlLMN010F120_ONE)	 'SELECT文設定
						.setParamDa(sqlLMN010F120.prmPATIENTNO, clsDB.Enum_dbType.dbNVarChar)
						.setParamDa(sqlLMN010F120.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
						.setParamDa(sqlLMN010F120.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlLMN010F120.prmPATIENTNO, Me.m_InValuePatientNo)
						.setValDa(sqlLMN010F120.prmMNGITEM_CD, Me.m_InValueMngCode)
						.setValDa(sqlLMN010F120.prmSERIAL_NO, Me.m_InValueSerialNo, False)
					Else
						' 全ての情報
						.setSQLDa(sqlLMN010F120.sqlLMN010F120_ALL)	 'SELECT文設定
					End If
					.setParamDa(sqlLMN010F120.prmPREPARETYPE, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlLMN010F120.prmDEL_FLG, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlLMN010F120.prmDISPTYPE, clsDB.Enum_dbType.dbInt)

					.setValDa(sqlLMN010F120.prmPREPARETYPE, clsConst.CST_L_PREPARE_TYPE)
					.setValDa(sqlLMN010F120.prmDEL_FLG, CType(clsConst.Enum_LendPrepare_DelFlg.NoDelFlg, String), False)
					Select Case True
						Case Me.rdo001LMN010F120.Checked = True
							'準備情報のみ
							.setValDa(sqlLMN010F120.prmDISPTYPE, CType(Enum_DispType.ePrepare, Integer), False)
						Case Me.rdo002LMN010F120.Checked = True
							'予約情報のみ
							.setValDa(sqlLMN010F120.prmDISPTYPE, CType(Enum_DispType.eAppointment, Integer), False)
						Case Else
							'全て
							.setValDa(sqlLMN010F120.prmDISPTYPE, CType(Enum_DispType.eAll, Integer), False)
					End Select

					.execQueryDa(retData)	'値取得
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			iRet = Nothing
		End Try

		'返り値設定
		Return retData

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データグリッドのカレント行を返す（管理物のみ）
	''' </summary>
	''' <returns>カレントインデックス</returns>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getCurrentRow(ByVal dgv As DataGridView) As Integer
		'多回数ロジックを通るため、レスポンス考慮により削除
		'log(clsSysMst.logLevel.DBG, "", "")
		Try
			If dgv.Rows.Count = 0 Then
				Return -1
			Else
				Return dgv.CurrentRow.Index
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <param name="pReturnValue">戻り値</param>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub EndProc(ByVal pReturnValue As Enum_FormReturn)
		log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 START")
		Try
			Me.m_OutValueReturn = pReturnValue
			'画面クローズ
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ソート配列設定処理
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setGridSortCriteria()
		log(clsSysMst.logLevel.DBG, "setGridSortCriteria", "ソート配列設定処理")
		Dim arData As ArrayList
		Try
			' 伝票番号
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSLIP_CD, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT1, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT2, clsGridSort.Enum_SortType.SortNone))
			m_cliGridSort.Add(sqlLMN010F120.itmSLIP_CD, arData)

			' 予約日
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT2, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT1, clsGridSort.Enum_SortType.SortNone))
			m_cliGridSort.Add(sqlLMN010F120.itmSORT2, arData)

			' 貸出場所
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmLCT_NM, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT1, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT2, clsGridSort.Enum_SortType.SortNone))
			m_cliGridSort.Add(sqlLMN010F010.itmLCT_NM, arData)

			' 明細数
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmMEISAICNT, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT1, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT2, clsGridSort.Enum_SortType.SortNone))
			m_cliGridSort.Add(sqlLMN010F120.itmMEISAICNT, arData)

			' 処理日
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmRESULT_DT, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT1, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT2, clsGridSort.Enum_SortType.SortNone))
			m_cliGridSort.Add(sqlLMN010F120.itmRESULT_DT, arData)

			' 処理者
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmRESULTUSER_DSPORDER, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmRESULTUSER_CD, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT1, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlLMN010F120.itmSORT2, clsGridSort.Enum_SortType.SortNone))
			m_cliGridSort.Add(sqlLMN010F120.itmRESULTUSER_NAME, arData)
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' F7キーイベント
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F7KeyProc", "F7キーイベント START")
		Try
			Me.fncExecEnter()
			Return True
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F5キーイベント
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F5KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F5KeyProc", "F7キーイベント START")
		Try
			Me.fncExecDel()
			Return True
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F12キーイベント
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キーイベント START")
		Try
			Me.EndProc(Enum_FormReturn.CANSEL)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキー押下
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.NRM, "EnterProc", "ＥＮＴＥＲキー押下 Start")
		Try
			If Me.ActiveControl.Name = Me.dgv004LMN010F120.Name Then
				If Me.dgv004LMN010F120.CurrentCell Is Nothing OrElse Me.dgv004LMN010F120.CurrentCell.ColumnIndex < 0 OrElse Me.dgv004LMN010F120.CurrentCell.RowIndex < 0 Then
					Return MyBase.EnterProc()
				Else
					Me.fncExecEnter()	'確定処理
					Return True
				End If
			Else
				Return MyBase.EnterProc()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面描画
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面描画 START")
		Me.SuspendLayout()
		Dim RowColor As DataGridViewCellStyle = Nothing
		Try
			RowColor = New DataGridViewCellStyle
			'患者情報表示
			If Me.m_Frm IsNot Nothing Then
				'グリッド部分をセット＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
				If Me.m_daKasiDai.Rows.Count > 0 Then Me.m_daKasiDai.Rows.Clear()
				If Me.dgv004LMN010F120.Rows.Count > 0 Then Me.dgv004LMN010F120.Rows.Clear()
				Me.dgv004LMN010F120.ReadOnly = True
				Me.dgv004LMN010F120.AutoGenerateColumns = False

				'貸出情報一覧を表示
				Me.m_daKasiDai = Me.getPrepareData()
				If Me.m_daKasiDai IsNot Nothing AndAlso Me.m_daKasiDai.Rows.Count > 0 Then
					Me.dgv004LMN010F120.DataSource = Me.m_daKasiDai
					Me.btn005LMN000F010.Enabled = True
					Me.btn006LMN000F010.Enabled = True
				Else
					Me.btn005LMN000F010.Enabled = False
					Me.btn006LMN000F010.Enabled = False
				End If
				'＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
			End If
		Catch ex As Exception
			Throw
		Finally
			Me.ResumeLayout()
			RowColor = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面遷移から戻ってきたときの処理
	''' </summary>
	''' <remarks>
	''' 2013/10/21 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "画面遷移から戻ってきたときの処理 START")
		Try
			'遷移元の変数を引き取り
			With CType(de, DictionaryEntry)
				Select Case .Key
					Case Else
						'処理なし
				End Select
			End With

			'Keyに遷移先フォームIDが代入されている
			Select Case CType(de, DictionaryEntry).Key
				Case GetType(LMN010F010).Name
					'メモリ解放
					If Me.m_frmLMN010F130 IsNot Nothing Then
						Me.m_frmLMN010F130.Dispose()
						Me.m_frmLMN010F130 = Nothing
					End If
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class