﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 貸出管理　登録／参照　共通メソッド（新規作成：V4-15005）
''' </summary>
''' <remarks>
''' Copyright 2014 FUJITSU SYSTEMS WEST LIMITED All rights resered.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTAIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsLMNCOMMON

#Region "コンスタント"
#End Region

#Region "変数"
#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 貸出目的に属する全保管場所データリストを取得
    ''' </summary>
    ''' <remarks>
    ''' 2014/02/17 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Function getLendAimKeepLctList() As DataTable
        Dim dtData As New DataTable

        Try
            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                db.setSQLDa(sqlLMN010F010.sql_LendAimMngKeepLct)    'SELECT文設定
                db.execQueryDa(dtData)  '値取得
            End Using
        Catch ex As Exception
            Throw
        End Try
        Return dtData
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 貸出目的コードから保管場所コード、保管場所名、保管場所略称名取得
    ''' </summary>
    ''' <param name="db">共通DB</param>
    ''' <param name="dtLendAimKeepLct">目的別保管場所データテーブル</param>
    ''' <param name="strMngItem_cd">管理物コード</param>
    ''' <param name="strLendAim_cd">貸出目的コード</param>
    ''' <param name="strtKeepLctCd">保管場所コード</param>
    ''' <param name="strtKeepLctNm">保管場所名</param>
    ''' <param name="strtKeepLctRnm">保管場所略称名</param>
    ''' <remarks>
    ''' 2014/02/17 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub getLendAimKeepLctCD(ByVal db As clsDB, _
                             ByVal dtLendAimKeepLct As DataTable, _
                             ByVal strMngItem_cd As String, _
                             ByVal strLendAim_cd As String, _
                             ByRef strtKeepLctCd As String, _
                             ByRef strtKeepLctNm As String, _
                             ByRef strtKeepLctRnm As String)
        Dim cliCom As clsCom
        strtKeepLctCd = ""
        strtKeepLctNm = ""
        strtKeepLctRnm = ""

        Try
            cliCom = New clsCom
            Select Case True
                Case db IsNot Nothing
                    'DBクラスから取得
                    With db
                        Using dtData As New DataTable
                            .setSQLDa(sqlLMNCOMMON.sql_LendAimMngKeepLct_OnRec)    'SELECT文設定
                            '貸出目的コード
                            .setParamDa(sqlLMNCOMMON.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
                            .setParamDa(sqlLMNCOMMON.prmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar)
                            .setValDa(sqlLMNCOMMON.prmMNGITEM_CD, strMngItem_cd)
                            .setValDa(sqlLMNCOMMON.prmLENDAIM_CD, strLendAim_cd)
                            .execQueryDa(dtData)  '値取得

                            If dtData.Rows.Count > 0 Then
                                strtKeepLctCd = dtData.Rows(0)(sqlLMNCOMMON.itmKEEPLCT_CD).ToString
                                strtKeepLctNm = dtData.Rows(0)(sqlLMNCOMMON.itmKEEPLCT_NM).ToString
                                strtKeepLctRnm = dtData.Rows(0)(sqlLMNCOMMON.itmKEEPLCT_RNM).ToString
                            End If
                        End Using
                    End With
                Case dtLendAimKeepLct IsNot Nothing
                    'DataTableクラスから取得
                    Dim strWhere As String = ""
                    strWhere = sqlLMNCOMMON.itmMNGITEM_CD & " = '" & cliCom.getDtItmValue(strMngItem_cd) & "'" & _
                            " AND " & sqlLMNCOMMON.itmLENDAIM_CD & " = '" & cliCom.getDtItmValue(strLendAim_cd) & "'"

                    Dim dr() As DataRow = dtLendAimKeepLct.Select(strWhere)
                    If dr.Length > 0 Then
                        strtKeepLctCd = dr(0)(sqlLMNCOMMON.itmKEEPLCT_CD).ToString
                        strtKeepLctNm = dr(0)(sqlLMNCOMMON.itmKEEPLCT_NM).ToString
                        strtKeepLctRnm = dr(0)(sqlLMNCOMMON.itmKEEPLCT_RNM).ToString
                    End If
                Case Else
            End Select
        Catch ex As Exception
            Throw
        Finally
            '解放処理
            cliCom = Nothing
        End Try
    End Sub

#End Region

End Class
