﻿Imports XSP
Imports XCM
'''---------------------------------------------
''' <summary>
''' 貸出マスタ＿継承元画面処理 ( 修正番号：V4-15007 )
''' </summary>
''' <remarks>
''' Copyright 2014 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class LMS000F020

#Region "変数"

	Protected _cliCom As clsCom = Nothing
	Protected _cliLTM_MNGITEM As clsLTM_MNGITEM = Nothing
	Protected _dtMngItem As DataTable = Nothing

#End Region

#Region "イベント"

	''' ------------------------------------------------------------
	''' <summary>
	''' ロード処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2014/03/13 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ------------------------------------------------------------
	Private Sub LMS000F020_Load(sender As Object, e As System.EventArgs) Handles Me.Load
		If Me.DesignMode = True Then Exit Sub
		log(XCM.clsSysMst.logLevel.NRM, "LMS000F020_Load", "ロード処理")
		Try
			LoadProc()
		Catch ex As Exception
			ErrorProc(ex)
			CancelProc()
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 入力／選択された管理物コードが子供のコードかチェックする
	''' </summary>
	''' <remarks>
	''' 2014/03/05 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkChildren(_mngParentItemCd As String, _mngChildrenItemCd As String) As Boolean
		log(clsSysMst.logLevel.DBG, "chkChildren", "入力／選択された管理物コードが子供のコードかチェックする START")
		Try
			Dim daRow() As DataRow = Nothing
			If String.IsNullOrEmpty(_mngParentItemCd) = False Then
				daRow = Me._dtMngItem.Select(sqlComboCom.itmMNGITEM_CD _
											& "='" _
											& Me.cliCom.getDtItmValue(_mngParentItemCd) & "'")
				Select Case True
					Case daRow Is Nothing : Return False
					Case daRow.Length = 0 : Return False
					Case daRow(0).Item(sqlComboCom.itmMNGITEM_COM_FLG).ToString = CType(clsConst.Enum_MngItem_Com_Flg.ComMng, String)
						'複写元管理物コードが選択されている場合は子供と判定します
						Return True
					Case Else : Return False
				End Select
			End If
			If String.IsNullOrEmpty(_mngChildrenItemCd) = False Then
				daRow = Me._dtMngItem.Select(sqlComboCom.itmMNGITEM_CD _
											& "='" _
											& Me.cliCom.getDtItmValue(_mngChildrenItemCd) & "'")
				Select Case True
					Case daRow Is Nothing : Return False
					Case daRow.Length = 0 : Return False
					Case String.IsNullOrEmpty(daRow(0).Item(sqlComboCom.itmMNGITEM_COPY_CD).ToString) = False
						'複写元管理物コードが選択されている場合は子供と判定します
						Return True
					Case Else : Return False
				End Select
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ------------------------------------------------------------
	''' <summary>
	''' ロード処理（オーバーライドして使用する）
	''' </summary>
	''' <remarks>
	''' 2014/03/13 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ------------------------------------------------------------
	Protected Overridable Sub LoadProc()
		log(XCM.clsSysMst.logLevel.DBG, "LoadProc", "ロード処理（オーバーライドして使用する） START")
		Try
			_cliCom = New clsCom
			_cliLTM_MNGITEM = New clsLTM_MNGITEM
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
