﻿Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Drawing
Imports XSP
''' <summary>
''' 受領貸出_継承元フォーム
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
Public Class LSR000F010

#Region "変数"

	Private _Title As String = "処理名称"
    Private _HeaderButtonCount As Integer = 2

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' タイトル（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' 2009/11/12 修正 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue("処理名称"), _
	 Description("ヘッダーのタイトルを設定します。")> _
	Public Property Title() As String
		Get
			Return _Title
		End Get
		Set(ByVal value As String)
			If value.Length = 0 Then
				value = "処理名称"
			End If
			_Title = value
			Me.lbl002LSR000F010.Text = _Title
			Me.lbl002LSR000F010.Invalidate()
			Me.pct008LSR000F010.Height = Me.lbl002LSR000F010.Height
			Me.pct008LSR000F010.Width = Me.lbl002LSR000F010.Width
			Me.pct008LSR000F010.Location = New Point(Me.lbl002LSR000F010.Location.X + 3, Me.lbl002LSR000F010.Location.Y + 3)
			Me.pct008LSR000F010.Invalidate()
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダボタン数（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue(2), _
	 Description("ヘッダーのボタン数を設定します。")> _
	Public Property HeaderButtonCount() As Integer
		Get
			Return _HeaderButtonCount
		End Get
		Set(ByVal value As Integer)
			_HeaderButtonCount = value
			Call SetButtonStyle()
		End Set
	End Property

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' 初期化
	''' </summary>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		MyBase.New()
		Call InitializeComponent()
	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/12/07 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub LSR000F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "LSR000F010_FormClosing", "フォームクローズ START")
		Try
			'変数解放（Dispose）
        Catch ex As Exception
            ErrorProc(ex)
		Finally
			'変数解放（Nothing）
			Me._Title = Nothing
            Me._HeaderButtonCount = Nothing
        End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Handle作成時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub frmBase_HandleCreated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.HandleCreated
        Call SetButtonStyle()
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ボタン表示／非表示切替
	''' </summary>
	''' <remarks>
	''' 2009/11/05 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SetButtonStyle()
		Select Case Me.HeaderButtonCount
			Case 5
				Me.btn007LSR000F010.Visible = True
				Me.btn006LSR000F010.Visible = True
				Me.btn005LSR000F010.Visible = True
				Me.btn004LSR000F010.Visible = True
				Me.btn003LSR000F010.Visible = True
			Case 4
				Me.btn007LSR000F010.Visible = True
				Me.btn006LSR000F010.Visible = True
				Me.btn005LSR000F010.Visible = True
				Me.btn004LSR000F010.Visible = True
				Me.btn003LSR000F010.Visible = False
			Case 3
				Me.btn007LSR000F010.Visible = True
				Me.btn006LSR000F010.Visible = True
				Me.btn005LSR000F010.Visible = True
				Me.btn004LSR000F010.Visible = False
				Me.btn003LSR000F010.Visible = False
			Case 2
				Me.btn007LSR000F010.Visible = True
				Me.btn006LSR000F010.Visible = True
				Me.btn005LSR000F010.Visible = False
				Me.btn004LSR000F010.Visible = False
				Me.btn003LSR000F010.Visible = False
			Case 1
				Me.btn007LSR000F010.Visible = True
				Me.btn006LSR000F010.Visible = False
				Me.btn005LSR000F010.Visible = False
				Me.btn004LSR000F010.Visible = False
				Me.btn003LSR000F010.Visible = False
			Case 0
				Me.btn007LSR000F010.Visible = False
				Me.btn006LSR000F010.Visible = False
				Me.btn005LSR000F010.Visible = False
				Me.btn004LSR000F010.Visible = False
				Me.btn003LSR000F010.Visible = False
		End Select
	End Sub

#End Region

#Region "オーバーライズメソッド"
#End Region

End Class