﻿Imports System.Reflection
Imports XCM
''' ---------------------------------------------
''' <summary>
''' 貸出管理_統計
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlLST010F010

	Public Const itmSTAFFDIV_CD As String = "STAFFDIV_CD"		'職員部門
	Public Const itmLENDAIM_CD As String = "LENDAIM_CD"			'貸出目的
	Public Const itmISSUE_DT_YM As String = "ISSUE_DT_YM"		'貸出日YM
	Public Const itmBORROWER_CD As String = "BORROWER_CD"		'借用者
	Public Const itmMNGITEM_CD As String = "MNGITEM_CD"			'管理物コード
	Public Const itmSTAFF_CD As String = "STAFF_CD"				'職員（受領者・貸出取扱者・返却取扱者）
	Public Const itmCOUNT As String = "COUNT"					'件数

	Public Const itmSEQ As String = "SEQ"						'連番
	Public Const itmPATIENT_NO As String = "PATIENT_NO"			'患者番号
	Public Const itmMNGITEM_NM As String = "MNGITEM_NM"			'管理物名
	Public Const itmDIV1_CD As String = "DIV1_CD"				'区分１コード
	Public Const itmDIV1_NM As String = "DIV1_NM"				'区分１名
	Public Const itmDIV2_CD As String = "DIV2_CD"				'区分２コード
	Public Const itmDIV2_NM As String = "DIV2_NM"				'区分２名
	Public Const itmBYOREKI_NO As String = "BYOREKI_NO"			'物番号
	Public Const itmSLIP_CD As String = "SLIP_CD"				'伝票コード
	Public Const itmISSUE_DT As String = "ISSUE_DT"				'貸出日
	Public Const itmEXPECTBACK_DT As String = "EXPECTBACK_DT"	'返却予定日
	Public Const itmURGEDBACK_DT As String = "URGEDBACK_DT"		'返却督促日
	Public Const itmBACK_DT As String = "BACK_DT"				'返却日
	Public Const itmTAKER_CD As String = "TAKER_CD"				'帯出者コード
	Public Const itmLENDAIM_NM As String = "LENDAIM_NM"			'貸出目的名
	Public Const itmLENDAIM_RNM As String = "LENDAIM_RNM"		'貸出目的略名
	Public Const itmISSUE_DT_YM_NM As String = "ISSUE_DT_YM_NM"	'貸出日YM表示用
	Public Const itmSTAFFDIV_NM As String = "STAFFDIV_NM"		'職員部門名
	Public Const itmSTAFF_NM As String = "STAFF_NM"				'職員名
	Public Const itmBORROWER_NM As String = "BORROWER_NM"		'借用者名

	Public Const prmMNGITEM_CD As String = "@MNGITEM_CD"		'管理物コード
	Public Const prmISSUE_DT_From As String = "@ISSUE_DT_FROM"	'貸出日From
	Public Const prmISSUE_DT_To As String = "@ISSUE_DT_TO"		'貸出日To
	Public Const prmBASE_DT_From As String = "@BASE_DT_FROM"	'基準日From
	Public Const prmBASE_DT_To As String = "@BASE_DT_TO"		'基準日To

	'固定値検索用
	Public Const itmMNGITEM_RNM As String = "MNGITEM_RNM"
	Public Const itmDSPORDER As String = "DSPORDER"

	'SQLよりの除外する条件文
	Public Const sqlBack_Dt_Null As String = " AND A.BACK_DT IS NULL"

	'件数取得
	Public Const sqlSel_L_DivByPurpose As String = _
	 "SELECT " _
	 & " XTM.STAFFDIV_CD,A.LENDAIM_CD," _
	 & " COUNT(A.PATIENT_NO) AS COUNT " _
	 & "FROM LTI_LENDINFO A" _
	 & " LEFT JOIN XTM_STAFF XTM ON A.BORROWER_CD = XTM.STAFF_CD " _
	 & "WHERE A.MNGITEM_CD = " & prmMNGITEM_CD _
	 & " AND A.ISSUE_DT >= " & prmISSUE_DT_From _
	 & " AND A.ISSUE_DT <= " & prmISSUE_DT_To _
	 & " AND A.BACK_DT IS NULL " _
	 & " GROUP BY XTM.STAFFDIV_CD,A.LENDAIM_CD "

	Public Const sqlSel_L_PurposeByMonth As String = _
	"SELECT " _
	& " LTI_SEL.LENDAIM_CD,LTI_SEL.ISSUE_DT_YM," _
	& " COUNT(LTI_SEL.PATIENT_NO) AS COUNT " _
	& "FROM " _
	& "(SELECT " _
	& " A.PATIENT_NO" _
	& " ,A.LENDAIM_CD" _
	& " ,CASE WHEN A.ISSUE_DT IS NULL THEN ''" _
	& " ELSE LEFT(CONVERT(VARCHAR,A.ISSUE_DT,112),6)" _
	& " END AS ISSUE_DT_YM " _
	& " FROM LTI_LENDINFO A " _
	& " WHERE A.MNGITEM_CD = " & prmMNGITEM_CD _
	& " AND A.ISSUE_DT >= " & prmISSUE_DT_From _
	& " AND A.ISSUE_DT <= " & prmISSUE_DT_To _
	& " AND A.BACK_DT IS NULL " _
	& ") LTI_SEL " _
	& " GROUP BY LTI_SEL.LENDAIM_CD,LTI_SEL.ISSUE_DT_YM"

	Public Const sqlSel_U_DivByMonth As String = _
	"SELECT " _
	& " XTM.STAFFDIV_CD,LTI_SEL.ISSUE_DT_YM," _
	& " COUNT(LTI_SEL.PATIENT_NO) AS COUNT " _
	& "FROM " _
	& "(SELECT " _
	& " A.PATIENT_NO" _
	& " ,A.BORROWER_CD" _
	& " ,CASE WHEN A.ISSUE_DT IS NULL THEN ''" _
	& " ELSE LEFT(CONVERT(VARCHAR,A.ISSUE_DT,112),6)" _
	& " END AS ISSUE_DT_YM" _
	& " FROM LTI_LENDINFO A" _
	& " WHERE A.MNGITEM_CD = " & prmMNGITEM_CD _
	& " AND A.ISSUE_DT >= " & prmISSUE_DT_From _
	& " AND A.ISSUE_DT <= " & prmISSUE_DT_To _
	& " AND A.BACK_DT IS NULL " _
	& ") LTI_SEL" _
	& " LEFT JOIN XTM_STAFF XTM ON LTI_SEL.BORROWER_CD = XTM.STAFF_CD" _
	& " GROUP BY XTM.STAFFDIV_CD,LTI_SEL.ISSUE_DT_YM"

	Public Const sqlSel_U_BorrowerByMonth As String = _
	"SELECT " _
	& " LTI_SEL.BORROWER_CD,LTI_SEL.ISSUE_DT_YM," _
	& " COUNT(LTI_SEL.PATIENT_NO) AS COUNT " _
	& "FROM " _
	& "(SELECT " _
	& " A.PATIENT_NO" _
	& " ,A.BORROWER_CD" _
	& " ,CASE WHEN A.ISSUE_DT IS NULL THEN ''" _
	& " ELSE LEFT(CONVERT(VARCHAR,A.ISSUE_DT,112),6)" _
	& " END AS ISSUE_DT_YM" _
	& " FROM LTI_LENDINFO A" _
	& " WHERE A.MNGITEM_CD = " & prmMNGITEM_CD _
	& " AND A.ISSUE_DT >= " & prmISSUE_DT_From _
	& " AND A.ISSUE_DT <= " & prmISSUE_DT_To _
	& " AND A.BACK_DT IS NULL " _
	& ") LTI_SEL" _
	& " GROUP BY LTI_SEL.BORROWER_CD,LTI_SEL.ISSUE_DT_YM"

	Public Const sqlSel_Stat_OnBusiness_Add As String = _
	"SELECT " _
	& " A.MNGITEM_CD,A.RECIPIENT_CD AS STAFF_CD" _
	& " ,COUNT(MNGITEM_CD) AS COUNT " _
	& "FROM LTI_MNGITEMINFO A " _
	& " WHERE " _
	& " A.FIRSTRECEIVING_DT >= " & prmBASE_DT_From _
	& " AND A.FIRSTRECEIVING_DT <= " & prmBASE_DT_To _
	& " GROUP BY A.MNGITEM_CD,A.RECIPIENT_CD "

	Public Const sqlSel_Stat_OnBusiness_Lend As String = _
	"SELECT " _
	& " A.MNGITEM_CD,A.LENDCLERK_CD AS STAFF_CD" _
	& " ,COUNT(MNGITEM_CD) AS COUNT " _
	& "FROM LTI_LENDINFO A " _
	& " WHERE " _
	& " A.ISSUE_DT >= " & prmBASE_DT_From _
	& " AND A.ISSUE_DT <= " & prmBASE_DT_To _
	& " GROUP BY A.MNGITEM_CD,A.LENDCLERK_CD"

	Public Const sqlSel_Stat_OnBusiness_Return As String = _
	"SELECT " _
	& " A.MNGITEM_CD,A.BACKCLERK_CD AS STAFF_CD" _
	& " ,COUNT(MNGITEM_CD) AS COUNT " _
	& "FROM LTI_LENDINFO A " _
	& " WHERE " _
	& " A.BACK_DT >= " & prmBASE_DT_From _
	& " AND A.BACK_DT <= " & prmBASE_DT_To _
	& " GROUP BY A.MNGITEM_CD,A.BACKCLERK_CD"

	'CSV出力（共通）
	Public Const sqlSelCSV As String = _
	"SELECT " _
	& " ROW_NUMBER() OVER (" _
	& " ORDER BY orderKey" _
	& " ) AS SEQ" _
	& " ,B.PATIENT_NO" _
	& " ,B.MNGITEM_CD" _
	& " ,F.MNGITEM_NM" _
	& " ,B.DIV1_CD" _
	& " ,C.DIV1_NM" _
	& " ,B.DIV2_CD" _
	& " ,D.DIV2_NM" _
	& " ,B.BYOREKI_NO" _
	& " ,A.SLIP_CD" _
	& " ,CASE WHEN A.ISSUE_DT IS NULL THEN ''" _
	& "  ELSE CONVERT(VARCHAR,A.ISSUE_DT,111)" _
	& "  END AS ISSUE_DT" _
	& " ,CASE WHEN A.EXPECTBACK_DT IS NULL THEN ''" _
	& "  ELSE CONVERT(VARCHAR,A.EXPECTBACK_DT,111)" _
	& "  END AS EXPECTBACK_DT" _
	& " ,CASE WHEN A.URGEDBACK_DT IS NULL THEN ''" _
	& "  ELSE CONVERT(VARCHAR,A.URGEDBACK_DT,111)" _
	& "  END AS URGEDBACK_DT" _
	& " ,CASE WHEN A.BACK_DT IS NULL THEN ''" _
	& "  ELSE CONVERT(VARCHAR,A.BACK_DT,111)" _
	& "  END AS BACK_DT" _
	& " ,A.BORROWER_CD" _
	& " ,A.TAKER_CD" _
	& " ,A.LENDAIM_CD" _
	& " ,E.LENDAIM_NM" _
	& " ,E.LENDAIM_RNM" _
	& " ,CASE WHEN A.ISSUE_DT IS NULL THEN ''" _
	& "  ELSE LEFT(CONVERT(VARCHAR,A.ISSUE_DT,112),6)" _
	& "  END AS ISSUE_DT_YM" _
	& " ,CASE WHEN A.ISSUE_DT IS NULL THEN ''" _
	& "  ELSE LEFT(CONVERT(VARCHAR,A.ISSUE_DT,111),7)" _
	& "  END AS ISSUE_DT_YM_NM" _
	& " ,H.STAFFDIV_CD" _
	& " ,H.STAFFDIV_NM" _
	& " ,G.STAFF_NM" _
	& " ,A.BORROWER_NM" _
	& " FROM LTI_LENDINFO A" _
	& " INNER JOIN LTI_MNGITEMINFO B ON A.PATIENT_NO = B.PATIENT_NO" _
	& " AND A.MNGITEM_CD = B.MNGITEM_CD" _
	& " AND A.SERIAL_NO = B.SERIAL_NO" _
	& " LEFT JOIN LTM_DIV1 C ON A.MNGITEM_CD = C.MNGITEM_CD AND B.DIV1_CD = C.DIV1_CD" _
	& " LEFT JOIN LTM_DIV2 D ON A.MNGITEM_CD = D.MNGITEM_CD AND B.DIV2_CD = D.DIV2_CD" _
	& " LEFT JOIN LTM_LENDAIM E ON A.LENDAIM_CD = E.LENDAIM_CD" _
	& " LEFT JOIN LTM_MNGITEM F ON A.MNGITEM_CD = F.MNGITEM_CD" _
	& " LEFT JOIN XTM_STAFF G ON A.BORROWER_CD = G.STAFF_CD" _
	& " LEFT JOIN XTM_STAFFDIV H ON G.STAFFDIV_CD = H.STAFFDIV_CD" _
	& " WHERE A.MNGITEM_CD = " & prmMNGITEM_CD _
	& " AND A.ISSUE_DT >= " & prmISSUE_DT_From _
	& " AND A.ISSUE_DT <= " & prmISSUE_DT_To _
	& " AND A.BACK_DT IS NULL" _
	& " ORDER BY orderKey"

	'置換元キーワード（ORDER BY句）
	Public Const sqlReplaceOrder As String = "ORDER BY orderKey"
	'置換先キーワード（ORDER BY句）
	Public Const sqlOrderL_DivByPurpose As String = "ORDER BY H.DSPORDER, H.STAFFDIV_CD, E.DSPORDER, A.LENDAIM_CD"
	Public Const sqlOrderL_PurposeByMonth As String = "ORDER BY E.DSPORDER, A.LENDAIM_CD, A.ISSUE_DT"
	Public Const sqlOrderU_DivByMonth As String = "ORDER BY H.DSPORDER, H.STAFFDIV_CD, A.ISSUE_DT"
	Public Const sqlOrderU_BorrowerByMonth As String = "ORDER BY G.DSPORDER, A.BORROWER_CD, A.ISSUE_DT"

	'OMITキーワード（ORDER BY句）
	Public Const sqlOmitDSPORDER_STAFFDIV As String = "H.DSPORDER"
	Public Const sqlOmitDSPORDER_LENDAIM As String = "E.DSPORDER"
	Public Const sqlOmitDSPORDER_STAFF As String = "G.DSPORDER"

	'統計定義取得・更新
	Public Const prmDEFINITION_CD As String = "@DEFINITION_CD"				'定義コード
	Public Const prmLEDGERSHEET_TITLE As String = "@LEDGERSHEET_TITLE"		'帳票タイトル
	Public Const prmFILE_NM As String = "@FILE_NM"							'ファイル名
	Public Const prmSHEET_NM As String = "@SHEET_NM"						'シート名
	Public Const prmDSPORDER As String = "@DSPORDER"						'表示順
	Public Const prmZEROLINE_DSP As String = "@ZEROLINE_DSP"				'ゼロ行表示
	Public Const prmRNM_DSP As String = "@RNM_DSP"							'略称表示
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"			'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"					'最終更新日

	Public Const itmDEFINITION_CD As String = "DEFINITION_CD"				'定義コード
	Public Const itmLEDGERSHEET_TITLE As String = "LEDGERSHEET_TITLE"		'帳票タイトル
	Public Const itmFILE_NM As String = "FILE_NM"							'ファイル名
	Public Const itmSHEET_NM As String = "SHEET_NM"							'シート名
	Public Const itmZEROLINE_DSP As String = "ZEROLINE_DSP"					'ゼロ行表示
	Public Const itmRNM_DSP As String = "RNM_DSP"							'略称表示
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"				'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"						'最終更新日

	'統計定義検索用パラメータ
	Public Const prmDEFINITION_CD_DEF As String = "@DEFINITION_CD_DEF"		'検索用定義コード（デフォルト）
	Public Const prmDEFINITION_CD_SAV As String = "@DEFINITION_CD_SAV"		'検索用定義コード（保存値）

	'統計定義検索用（定義コードの語尾）
	Public Const CST_ENDING_LEND_DEFAULT As String = "10"	'初期値
	Public Const CST_ENDING_LEND_SAVE As String = "11"		'保存値

	'統計定義取得
	Public Const sqlSel_Definition_ForLend As String = _
	" SELECT " _
	& "DEFINITION_CD, " _
	& "LEDGERSHEET_TITLE, " _
	& "FILE_NM, " _
	& "SHEET_NM, " _
	& "CASE WHEN DSPORDER IS NULL THEN '' ELSE RTRIM(LTRIM(STR(DSPORDER))) END AS DSPORDER, " _
	& "ZEROLINE_DSP, " _
	& "RNM_DSP, " _
	& "LASTUPDUSER_CD, " _
	& "LASTUPD_DT " _
	& " FROM MTM_STATISTICS_DEFINITION " _
	& " WHERE DEFINITION_CD = " & prmDEFINITION_CD_DEF & " " _
	& " OR DEFINITION_CD = " & prmDEFINITION_CD_SAV & " " _
	& " ORDER BY DEFINITION_CD DESC"

	'統計定義取得（更新前参照用）
	Public Const sqlSel_Definition_Lock As String = _
	" SELECT " _
	& "DEFINITION_CD, " _
	& "LEDGERSHEET_TITLE, " _
	& "FILE_NM, " _
	& "SHEET_NM, " _
	& "CASE WHEN DSPORDER IS NULL THEN '' ELSE RTRIM(LTRIM(STR(DSPORDER))) END AS DSPORDER, " _
	& "ZEROLINE_DSP, " _
	& "RNM_DSP, " _
	& "LASTUPDUSER_CD, " _
	& "LASTUPD_DT " _
	& " FROM MTM_STATISTICS_DEFINITION " & clsSysMst.forUpdate _
	& " WHERE DEFINITION_CD = " & prmDEFINITION_CD & " "

	'統計定義追加
	Public Const sqlIns_Definition_ForLend As String = _
	"INSERT INTO MTM_STATISTICS_DEFINITION" _
	& "(DEFINITION_CD" _
	& ",LEDGERSHEET_TITLE" _
	& ",FILE_NM" _
	& ",SHEET_NM" _
	& ",DSPORDER" _
	& ",ZEROLINE_DSP" _
	& ",RNM_DSP" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& " ) VALUES" _
	& " (" & prmDEFINITION_CD _
	& " ," & prmLEDGERSHEET_TITLE _
	& " ," & prmFILE_NM _
	& " ," & prmSHEET_NM _
	& " ," & prmDSPORDER _
	& " ," & prmZEROLINE_DSP _
	& " ," & prmRNM_DSP _
	& " ," & prmLASTUPDUSER_CD _
	& " ," & prmLASTUPD_DT & ")"

	'統計定義更新
	Public Const sqlUpd_Definition_ForLend As String = _
	"UPDATE MTM_STATISTICS_DEFINITION" _
	& " SET LEDGERSHEET_TITLE=" & prmLEDGERSHEET_TITLE _
	& ",FILE_NM=" & prmFILE_NM _
	& ",SHEET_NM=" & prmSHEET_NM _
	& ",DSPORDER=" & prmDSPORDER _
	& ",ZEROLINE_DSP=" & prmZEROLINE_DSP _
	& ",RNM_DSP=" & prmRNM_DSP _
	& ",LASTUPDUSER_CD=" & prmLASTUPDUSER_CD _
	& ",LASTUPD_DT=" & prmLASTUPD_DT _
	& " WHERE DEFINITION_CD = " & prmDEFINITION_CD & " "

End Class

''' ---------------------------------------------
''' <summary>
''' 統計定義データクラス（貸出管理_統計用）
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datLST010F010_STATISTICS_DEFINITION
	Public DEFINITION_CD As Double = Nothing				'定義コード
	Public LEDGERSHEET_TITLE As String = Nothing			'帳票タイトル
	Public FILE_NM As String = Nothing						'ファイル名
	Public SHEET_NM As String = Nothing						'シート名
	Public DSPORDER As String = Nothing						'表示順（Null対応用）
	Public ZEROLINE_DSP As String = Nothing					'ゼロ行表示
	Public RNM_DSP As String = Nothing						'略称表示
	Public LASTUPDUSER_CD As String = Nothing				'更新者コード
	Public LASTUPD_DT As Date = Nothing						'最終更新日
End Class
