﻿Imports System.ComponentModel
Imports XCM
'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 継承元（チェック系）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX000F020

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' setComboControlの所作
	''' </summary>
	''' <remarks>
	''' 2010/11/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SET_CONTROL As Byte
		''' <summary>
		''' DropWidthを設定
		''' </summary>
		ENUM_LOAD = 0
		''' <summary>
		''' DataSourceを破棄
		''' </summary>
		ENUM_CLEAR = 1
	End Enum



	'フィールド識別名
	Private Const CST_END_DT As String = clsMAXCOMMON.CST_TABLECD_MTI_CH & ".END_DT"						'終了日
	Private Const CST_REG_STATUS_CD As String = clsMAXCOMMON.CST_TABLECD_MTI_CH & ".REG_STATUS_CD"			'登録状況
	Private Const CST_PATIENT_NO_HSP As String = clsMAXCOMMON.CST_TABLECD_MTI_HSP & ".PATIENT_NO"			'患者番号（入退院側）
	Private Const CST_PATIENT_NO_CH As String = clsMAXCOMMON.CST_TABLECD_MTI_CH & ".PATIENT_NO"				'患者番号（科歴側）
	Private Const CST_REG_FINISHED_DT As String = clsMAXCOMMON.CST_TABLECD_MTI_CH & ".REG_FINISHED_DT"		'登録完了日
	Private Const CST_LASTUPD_DT_HSP As String = clsMAXCOMMON.CST_TABLECD_MTI_HSP & ".LASTUPD_DT"			'最終更新日（入退院側）
	Private Const CST_LASTUPD_DT_CH As String = clsMAXCOMMON.CST_TABLECD_MTI_CH & ".LASTUPD_DT"				'最終更新日（科歴側）
	Private Const CST_OUT_HSP_DT As String = clsMAXCOMMON.CST_TABLECD_MTI_HSP & ".OUT_HSP_DT"				'退院日

#End Region

#Region "変数"

	Private _Title As String = "処 理 名 称"

	Protected cancelFlg As Boolean = False												'画面開設中止フラグ

	Private _initRadioBtn() As String = New String() {}									'ラジオボタン初期値

	Protected cliSearch As New XSP.clsSearch											'検索条件生成用クラス

	'前回値保存対象コントロール
	Protected strLastValues() As String

	'入退院歴チェックボックス連動チェックボックス群
	Protected chkObjs_HSP() As XCM.BT_CheckBox

	'科歴チェックボックス連動チェックボックス群
	Protected chkObjs_CH() As XCM.BT_CheckBox

	'病名チェックボックス連動チェックボックス群
	Protected chkObjs_DISEASE() As XCM.BT_CheckBox

	'手術チェックボックス連動チェックボックス群
	Protected chkObjs_OPE() As XCM.BT_CheckBox

	'治療処置チェックボックス連動チェックボックス群
	Protected chkObjs_CARE() As XCM.BT_CheckBox

	'検査チェックボックス連動チェックボックス群
	Protected chkObjs_TEST() As XCM.BT_CheckBox

	'死亡チェックボックス連動チェックボックス群
	Protected chkObjs_DEATH() As XCM.BT_CheckBox

	'開始経路が「紹介」チェックボックス連動チェックボックス群
	Protected chkObjs_STINTRO() As XCM.BT_CheckBox

	'終了経路が「紹介」チェックボックス連動チェックボックス群
	Protected chkObjs_ENINTRO() As XCM.BT_CheckBox

	'病棟チェックボックス連動チェックボックス群
	Protected chkObjs_WARD() As XCM.BT_CheckBox

	'救命救急チェックボックス連動チェックボックス群
	Protected chkObjs_EME() As XCM.BT_CheckBox

	'分娩チェックボックス連動チェックボックス群
	Protected chkObjs_CB() As XCM.BT_CheckBox

	'カウンタラベル群（印刷ボタンと連動するラベル）
	Protected lblObjs_Cnt() As System.Windows.Forms.Label

	'印刷ボタン群
	Protected btnObjs_Prt() As System.Windows.Forms.Button

	'テーブルコード（clsSearch渡し用）
	Protected sTBL_CD As String


	'継承先用共通条件
	'終了日
	'登録状況
	'患者番号
	'完了日
	'更新日
	'退院日
	'患者番号
	'更新日
	Private ReadOnly clsScInpCommon As XSP.datSearchInput() = _
	{
		New XSP.datSearchInput("chk007MAX000F020", clsMAXCOMMON.CST_TABLECD_MTI_CH, CST_END_DT, XSP.clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New XSP.datSearchInput.clsLinkControls() { _
				New XSP.datSearchInput.clsLinkControls("dte008MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cFROM, XCM.clsDB.Enum_dbType.dbDateTime), _
				New XSP.datSearchInput.clsLinkControls("dte010MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cTO, XCM.clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New XSP.datSearchInput("chk011MAX000F020", clsMAXCOMMON.CST_TABLECD_MTI_CH, CST_REG_STATUS_CD, XSP.clsSearch.ENUM_SQL_CTYPE.cNORMAL, _
			New XSP.datSearchInput.clsLinkControls() { _
				New XSP.datSearchInput.clsLinkControls("cmb012MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cNORMAL, XCM.clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New XSP.datSearchInput("chk014MAX000F020", clsMAXCOMMON.CST_TABLECD_MTI_CH, CST_PATIENT_NO_CH, XSP.clsSearch.ENUM_SQL_CTYPE.cNORMAL, _
			New XSP.datSearchInput.clsLinkControls() { _
				New XSP.datSearchInput.clsLinkControls("msk015MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cNORMAL, XCM.clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New XSP.datSearchInput("chk016MAX000F020", clsMAXCOMMON.CST_TABLECD_MTI_CH, CST_REG_FINISHED_DT, XSP.clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New XSP.datSearchInput.clsLinkControls() { _
				New XSP.datSearchInput.clsLinkControls("dte017MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cFROM, XCM.clsDB.Enum_dbType.dbDateTime), _
				New XSP.datSearchInput.clsLinkControls("dte019MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cTO, XCM.clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New XSP.datSearchInput("chk020MAX000F020", clsMAXCOMMON.CST_TABLECD_MTI_CH, CST_LASTUPD_DT_CH, XSP.clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New XSP.datSearchInput.clsLinkControls() { _
				New XSP.datSearchInput.clsLinkControls("dte021MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cFROM, XCM.clsDB.Enum_dbType.dbDateTime), _
				New XSP.datSearchInput.clsLinkControls("dte023MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cTO, XCM.clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New XSP.datSearchInput("chk025MAX000F020", clsMAXCOMMON.CST_TABLECD_MTI_HSP, CST_OUT_HSP_DT, XSP.clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New XSP.datSearchInput.clsLinkControls() { _
				New XSP.datSearchInput.clsLinkControls("dte026MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cFROM, XCM.clsDB.Enum_dbType.dbDateTime), _
				New XSP.datSearchInput.clsLinkControls("dte028MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cTO, XCM.clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New XSP.datSearchInput("chk029MAX000F020", clsMAXCOMMON.CST_TABLECD_MTI_HSP, CST_PATIENT_NO_HSP, XSP.clsSearch.ENUM_SQL_CTYPE.cNORMAL, _
			New XSP.datSearchInput.clsLinkControls() { _
				New XSP.datSearchInput.clsLinkControls("msk030MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cNORMAL, XCM.clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New XSP.datSearchInput("chk031MAX000F020", clsMAXCOMMON.CST_TABLECD_MTI_HSP, CST_LASTUPD_DT_HSP, XSP.clsSearch.ENUM_SEARCH_TYPE.RANGE, _
			New XSP.datSearchInput.clsLinkControls() { _
				New XSP.datSearchInput.clsLinkControls("dte032MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cFROM, XCM.clsDB.Enum_dbType.dbDateTime), _
				New XSP.datSearchInput.clsLinkControls("dte034MAX000F020", XSP.clsSearch.ENUM_SQL_CTYPE.cTO, XCM.clsDB.Enum_dbType.dbDateTime) _
		}) _
	}

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' タイトル（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2009/11/05 新規作成　ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue("処理名称"), _
	 Description("ヘッダーのタイトルを設定します。")> _
	Public Property Title() As String
		Get
			Return _Title
		End Get
		Set(ByVal value As String)
			If value.Length = 0 Then
				value = "処理名称"
			End If
			_Title = value
			Me.lbl002MAX000F020.Text = _Title
			Me.lbl002MAX000F020.Invalidate()
			Me.pct003MAX000F020.Height = Me.lbl002MAX000F020.Height
			Me.pct003MAX000F020.Width = Me.lbl002MAX000F020.Width
			Me.pct003MAX000F020.Location = New Point(Me.lbl002MAX000F020.Location.X + 3, Me.lbl002MAX000F020.Location.Y + 3)
			Me.pct003MAX000F020.Invalidate()
		End Set
	End Property

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 継承元画面（チェック系）＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/16 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX000F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode = True Then
			Exit Sub
		End If
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX000F020_Load", "継承元画面（チェック系）＿初期設定 Start")
		Dim cliComboCom As XSP.clsComboCom	'コンボボックス設定用
		Try
			cliComboCom = New XSP.clsComboCom
			Me._initRadioBtn = {Me.rdo003MAX000F020.Name}

			'登録状況コンボ設定
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				Me.cmb012MAX000F020.DataSource = cliComboCom.getCombo(db, XSP.clsComboCom.Enum_ComboType.Enum_M_RegStatus)
			End Using
			Me.cmb012MAX000F020.setDropDownWidth()

			'検索条件クラスにセット
			Me.cliSearch.addContorl(clsScInpCommon)

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			cliComboCom = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 継承元画面（チェック系）＿閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/16 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX000F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX000F020_FormClosing", "継承元画面（チェック系）＿閉じる Start")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.cliSearch = Nothing
			Me._initRadioBtn = Nothing

			If Me.cmb012MAX000F020.DataSource IsNot Nothing Then
				DirectCast(Me.cmb012MAX000F020.DataSource, DataTable).Dispose()
				Me.cmb012MAX000F020.DataSource = Nothing
			End If
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn004MAX000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004MAX000F020.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn004MAX000F020_Click", "閉じるボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.EndProc()	'終了処理
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' クリアボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn005MAX000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005MAX000F020.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn005MAX000F020_Click", "クリアボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.ClearDsp()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 実行ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn035MAX000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn035MAX000F020.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn035MAX000F020_Click", "実行ボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.SelProc()	'実行処理
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub EndProc()
		log(XCM.clsSysMst.logLevel.DBG, "EndProc", "終了処理 START")
		Try
			'画面クローズ
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 呼出元画面へ遷移
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub FormClosingProc(Optional ByVal repaint As Boolean = False)
		Me.log(XCM.clsSysMst.logLevel.DBG, "FormClosingProc", "呼出元画面へ遷移")
		Dim frm As XCM.frmBase
		Try
			If Me.Owner IsNot Nothing Then
				frm = Me.Owner
				frm.setCloseFlg()
				frm.Select()
				frm.backForm(repaint)
			End If
		Catch ex As Exception
			Throw
		Finally
			frm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索条件入力状態設定
	''' </summary>
	''' <remarks>
	''' 2010/11/16 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SetSearchCondMode()
		Me.log(XCM.clsSysMst.logLevel.DBG, "SetSearchCondMode", "検索条件入力状態設定 Start")
		Try
			'終了日、登録状況、患者番号、完了日、更新日いずれかのチェックが入っている場合、
			'退院日以降の検索条件コントロールは入力不可
			If Me.chk007MAX000F020.Checked = False AndAlso _
			   Me.chk011MAX000F020.Checked = False AndAlso _
			   Me.chk014MAX000F020.Checked = False AndAlso _
			   Me.chk016MAX000F020.Checked = False AndAlso _
			   Me.chk020MAX000F020.Checked = False Then
				Me.grp024MAX000F020.Enabled = True
			Else
				Me.grp024MAX000F020.Enabled = False
			End If

			'退院日、患者番号、登録番号のいずれかのチェックが入っている場合、
			'終了日以降の検索条件コントロールは入力不可
			If Me.chk025MAX000F020.Checked = False AndAlso _
			   Me.chk029MAX000F020.Checked = False AndAlso _
			   Me.chk031MAX000F020.Checked = False Then
				Me.grp006MAX000F020.Enabled = True
			Else
				Me.grp006MAX000F020.Enabled = False
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面開設中止
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/13 新規作成　ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Sub CancelProc()
        Me.log(clsSysMst.logLevel.DBG, "CancelProc", "画面開設中止 Start")
        Try
            Me.cancelFlg = True
            If Me.Owner IsNot Nothing Then
                DirectCast(Me.Owner, frmBase).setCancelFlg(True)
            End If
        Catch ex As Exception
            Throw
        Finally
            '画面終了
            Me.EndProc()
        End Try
    End Sub

#End Region

#Region "オーバーライダブルメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub SelProc()
		'継承先にて処理記述
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常、False:入力値異常</returns>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overridable Function ChkData() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkData", "入力チェック Start")
		Dim ret As Boolean = False
		Try
			'Validatedのチェック
			If Me.ValidateChildren() = True Then
				If Me.chk007MAX000F020.Checked = False AndAlso _
				   Me.chk011MAX000F020.Checked = False AndAlso _
				   Me.chk014MAX000F020.Checked = False AndAlso _
				   Me.chk016MAX000F020.Checked = False AndAlso _
				   Me.chk020MAX000F020.Checked = False AndAlso _
				   Me.chk025MAX000F020.Checked = False AndAlso _
				   Me.chk029MAX000F020.Checked = False AndAlso _
				   Me.chk031MAX000F020.Checked = False Then
					Me.addErrList("E0014", Me.chk007MAX000F020.Name, Me.lbl005MAX000F020.Text, Me.lbl005MAX000F020.Text, Nothing)
				End If

				'チェックされているが、入力されていない項目を走査する
				'科歴条件
				'終了日
				If Me.chk007MAX000F020.Checked = True Then
					If String.IsNullOrEmpty(Me.dte008MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte008MAX000F020.Name, Me.chk007MAX000F020.Text, Me.chk007MAX000F020.Text & "(開始)", Nothing)
					End If
					If String.IsNullOrEmpty(Me.dte010MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte010MAX000F020.Name, Me.chk007MAX000F020.Text, Me.chk007MAX000F020.Text & "(終了)", Nothing)
					End If
				End If
				'登録状況
				If Me.chk011MAX000F020.Checked = True Then
					If String.IsNullOrEmpty(Me.cmb012MAX000F020.Text) = True Then
						Me.addErrList("E0016", Me.cmb012MAX000F020.Name, Me.chk011MAX000F020.Text, Me.chk011MAX000F020.Text, Nothing)
					End If
				End If
				'患者番号
				If Me.chk014MAX000F020.Checked = True Then
					If String.IsNullOrEmpty(Me.msk015MAX000F020.Text) = True Then
						Me.addErrList("E0016", Me.msk015MAX000F020.Name, Me.chk014MAX000F020.Text, Me.chk014MAX000F020.Text, Nothing)
					End If
				End If
				'完了日
				If Me.chk016MAX000F020.Checked = True Then
					If String.IsNullOrEmpty(Me.dte017MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte017MAX000F020.Name, Me.chk016MAX000F020.Text, Me.chk016MAX000F020.Text & "(開始)", Nothing)
					End If
					If String.IsNullOrEmpty(Me.dte019MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte019MAX000F020.Name, Me.chk016MAX000F020.Text, Me.chk016MAX000F020.Text & "(終了)", Nothing)
					End If
				End If
				'更新日
				If Me.chk020MAX000F020.Checked = True Then
					If String.IsNullOrEmpty(Me.dte021MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte021MAX000F020.Name, Me.chk020MAX000F020.Text, Me.chk020MAX000F020.Text & "(開始)", Nothing)
					End If
					If String.IsNullOrEmpty(Me.dte023MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte023MAX000F020.Name, Me.chk020MAX000F020.Text, Me.chk020MAX000F020.Text & "(終了)", Nothing)
					End If
				End If
				'入退院条件
				'退院日
				If Me.chk025MAX000F020.Checked = True Then
					If String.IsNullOrEmpty(Me.dte026MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte026MAX000F020.Name, Me.chk025MAX000F020.Text, Me.chk025MAX000F020.Text & "(開始)", Nothing)
					End If
					If String.IsNullOrEmpty(Me.dte028MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte028MAX000F020.Name, Me.chk025MAX000F020.Text, Me.chk025MAX000F020.Text & "(終了)", Nothing)
					End If
				End If
				'患者番号
				If Me.chk029MAX000F020.Checked = True Then
					If String.IsNullOrEmpty(Me.msk030MAX000F020.Text) = True Then
						Me.addErrList("E0016", Me.msk030MAX000F020.Name, Me.chk029MAX000F020.Text, Me.chk029MAX000F020.Text, Nothing)
					End If
				End If
				'更新日
				If Me.chk031MAX000F020.Checked = True Then
					If String.IsNullOrEmpty(Me.dte032MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte032MAX000F020.Name, Me.chk031MAX000F020.Text, Me.chk031MAX000F020.Text & "(開始)", Nothing)
					End If
					If String.IsNullOrEmpty(Me.dte034MAX000F020.Text) = True Then
                        Me.addErrList("E0016", Me.dte034MAX000F020.Name, Me.chk031MAX000F020.Text, Me.chk031MAX000F020.Text & "(終了)", Nothing)
					End If
				End If
			End If

			'エラーがある場合はエラー画面を表示する
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
			Else
				ret = True
			End If
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コントロールの値をクリア（再帰）
	''' </summary>
	''' <param name="ctl"></param>
	''' <remarks>
	''' 2010/11/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setControl(ByVal ctl As System.Windows.Forms.Control, Optional ByVal type As ENUM_SET_CONTROL = ENUM_SET_CONTROL.ENUM_CLEAR)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setControl", "コントロールの設定（再帰） START")

		Try
			For Each c As System.Windows.Forms.Control In ctl.Controls
				If c.HasChildren = True Then
					' 再帰
					Me.setControl(c, type)
				End If
				Select Case True
					Case TypeOf c Is System.Windows.Forms.Button			'ボタン
						'印刷アイコンを付与
						If type = ENUM_SET_CONTROL.ENUM_LOAD AndAlso
						   String.IsNullOrEmpty(c.Text) AndAlso
						   DirectCast(c, System.Windows.Forms.Button).Image Is Nothing Then
							Dim cliBmp As clsBmp
							Try
								cliBmp = New clsBmp
								With DirectCast(c, System.Windows.Forms.Button)
									.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Print)
									AddHandler .Click, AddressOf Me.PrintButton_Click
									.Enabled = False
								End With
							Catch ex As Exception
								Throw
							Finally
								cliBmp = Nothing
							End Try

						End If
					Case TypeOf c Is System.Windows.Forms.Label				'ラベル

						If Array.IndexOf(Me.lblObjs_Cnt, c) >= 0 Then
							c.Text = String.Empty
						Else
							With DirectCast(c, System.Windows.Forms.Label)
								If .BackColor = Color.FromArgb(255, 255, 192) Then
									c.Text = String.Empty
								End If
							End With
						End If
					Case TypeOf c Is System.Windows.Forms.GroupBox			'グループボックス
					Case TypeOf c Is System.Windows.Forms.TabPage			'タブページ
					Case TypeOf c Is System.Windows.Forms.ListBox			'リストボックス
					Case TypeOf c Is System.Windows.Forms.CheckBox			'チェックボックス
						With DirectCast(c, System.Windows.Forms.CheckBox)
							If type = ENUM_SET_CONTROL.ENUM_LOAD Then
								'チェックイベントの関連付け
								AddHandler .Click, AddressOf Me.CheckBox_Click
							End If
							If c.Parent Is Me.grp004MAX000F020 OrElse
							   c.Parent Is Me.grp006MAX000F020 OrElse
							   c.Parent Is Me.grp024MAX000F020 Then
								.Checked = False
							End If

						End With
					Case TypeOf c Is XCM.BT_Like							'一致条件コントロール
					Case TypeOf c Is System.Windows.Forms.RadioButton		'ラジオボタン
						With DirectCast(c, System.Windows.Forms.RadioButton)
							If Array.IndexOf(Me._initRadioBtn, .Name) >= 0 Then
								'ラジオボタンにはTabでフォーカスしないため、プロパティを設定する
								.Checked = True
								.TabStop = False
							End If
						End With
					Case TypeOf c Is XCM.BT_Date							'日付コントロール
						CType(c, XCM.BT_Date).DateValue = Nothing
					Case TypeOf c Is XCM.BT_MultiComboBox	'マルチカラムコンボ
						With DirectCast(c, XCM.BT_MultiComboBox)
							If type = ENUM_SET_CONTROL.ENUM_LOAD Then
								'DropDownWidthの計算
								.setDropDownWidth()
							End If
							If .DropDownStyle = ComboBoxStyle.DropDownList Then
								If .DataSource IsNot Nothing Then
									If CType(.DataSource, DataTable).Rows.Count > 0 Then
										.SelectedIndex = 0
									Else
										.Text = Nothing
									End If
								Else
									.Text = Nothing
								End If
							Else
								.Text = Nothing
								If .StaffCombo Then
									.Text = Nothing
								End If
							End If
						End With
					Case TypeOf c Is XCM.BT_NumericUpDown					'数値
						DirectCast(c, XCM.BT_NumericUpDown).Value = 0
						c.Text = Nothing
					Case Else												'以外はテキスト入力
						c.Text = Nothing
				End Select
			Next c
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックス値変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/16 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub CheckBox_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
		Me.log(XCM.clsSysMst.logLevel.NRM, "CheckBox_CheckedChanged", "チェックボックス値変更 Start")
		Try
			Me.SetSearchCondMode()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 画面初期化
	''' </summary>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overridable Sub ClearDsp(Optional ByVal type As ENUM_SET_CONTROL = ENUM_SET_CONTROL.ENUM_CLEAR)
		Me.log(XCM.clsSysMst.logLevel.DBG, "ClearDsp", "画面初期化 Start")
		Try
			'画面クリア
			Me.setControl(Me, type)

			'検索条件入力可能
			Me.grp004MAX000F020.Enabled = True

			'検索条件画面入力モード設定
			Me.SetSearchCondMode()

			Me.chk007MAX000F020.Select()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ラベルテキスト変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub Label_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs)
		Me.log(XCM.clsSysMst.logLevel.NRM, "Label_TextChanged", "ラベルテキスト変更 Start")
		Try
			Dim icnt As Integer = 0
			For Each lbltmp As System.Windows.Forms.Label In Me.lblObjs_Cnt
				If lbltmp Is sender = True Then
					'ラベルテキストが無いか「0」の時は押下できない
					If String.IsNullOrEmpty(lbltmp.Text) = False AndAlso _
					   CInt(lbltmp.Text) > 0 Then
						Me.btnObjs_Prt(icnt).Enabled = True
					Else
						Me.btnObjs_Prt(icnt).Enabled = False
					End If
					Exit Sub
				End If
				icnt += 1
			Next lbltmp
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 印刷ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub PrintButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
		Me.log(XCM.clsSysMst.logLevel.NRM, "PrintButton_Click", "印刷ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.PrintReport(sender)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力処理
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overridable Sub PrintReport(ByVal obtn As System.Windows.Forms.Button)
		'継承先にて処理記述
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索条件文字列生成（帳票出力用）
	''' </summary>
	''' <returns>検索条件文字列</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overridable Function GetSearchCondString() As String
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetSearchCondString", "検索条件文字列生成（帳票出力用） Start")
		Dim sCndStr As String = Nothing
		Try
			'終了日にチェックが入っている場合
			If Me.chk007MAX000F020.Checked = True Then
				sCndStr = Me.chk007MAX000F020.Text & "：" _
						  & Me.dte008MAX000F020.Text & Space(1) _
						  & Me.lbl009MAX000F020.Text & Space(1) _
						  & Me.dte010MAX000F020.Text
			End If
			'登録状況にチェックが入っている場合
			If Me.chk011MAX000F020.Checked = True Then
				If String.IsNullOrEmpty(sCndStr) = False Then
					sCndStr &= vbCrLf
				Else
					sCndStr = vbNullString
				End If
				sCndStr &= (Me.chk011MAX000F020.Text & "：" _
							& Me.lbl013MAX000F020.Text)
			End If
			'患者番号（科歴条件側）にチェックが入っている場合
			If Me.chk014MAX000F020.Checked = True Then
				If String.IsNullOrEmpty(sCndStr) = False Then
					sCndStr &= vbCrLf
				Else
					sCndStr = vbNullString
				End If
				sCndStr &= (Me.chk014MAX000F020.Text & "：" _
							& Me.msk015MAX000F020.Text)
			End If
			'完了日にチェックが入っている場合
			If Me.chk016MAX000F020.Checked = True Then
				If String.IsNullOrEmpty(sCndStr) = False Then
					sCndStr &= vbCrLf
				Else
					sCndStr = vbNullString
				End If
				sCndStr &= (Me.chk016MAX000F020.Text & "：" _
							& Me.dte017MAX000F020.Text & Space(1) _
							& Me.lbl018MAX000F020.Text & Space(1) _
							& Me.dte019MAX000F020.Text)
			End If
			'更新日にチェックが入っている場合
			If Me.chk020MAX000F020.Checked = True Then
				If String.IsNullOrEmpty(sCndStr) = False Then
					sCndStr &= vbCrLf
				Else
					sCndStr = vbNullString
				End If
				sCndStr &= (Me.chk020MAX000F020.Text & "：" _
							& Me.dte021MAX000F020.Text & Space(1) _
							& Me.lbl022MAX000F020.Text & Space(1) _
							& Me.dte023MAX000F020.Text)
			End If
			'退院日にチェックが入っている場合
			If Me.chk025MAX000F020.Checked = True Then
				If String.IsNullOrEmpty(sCndStr) = False Then
					sCndStr &= vbCrLf
				Else
					sCndStr = vbNullString
				End If
				sCndStr &= (Me.chk025MAX000F020.Text & "：" _
							& Me.dte026MAX000F020.Text & Space(1) _
							& Me.lbl027MAX000F020.Text & Space(1) _
							& Me.dte028MAX000F020.Text)
			End If
			'患者番号（入退院側側）にチェックが入っている場合
			If Me.chk029MAX000F020.Checked = True Then
				If String.IsNullOrEmpty(sCndStr) = False Then
					sCndStr &= vbCrLf
				Else
					sCndStr = vbNullString
				End If
				sCndStr &= (Me.chk029MAX000F020.Text & "：" _
							& Me.msk030MAX000F020.Text)
			End If
			'更新日にチェックが入っている場合
			If Me.chk031MAX000F020.Checked = True Then
				If String.IsNullOrEmpty(sCndStr) = False Then
					sCndStr &= vbCrLf
				Else
					sCndStr = vbNullString
				End If
				sCndStr &= (Me.chk031MAX000F020.Text & "：" _
							& Me.dte032MAX000F020.Text & Space(1) _
							& Me.lbl033MAX000F020.Text & Space(1) _
							& Me.dte034MAX000F020.Text)
			End If
			Return sCndStr
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による実行
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー押下 Start")
		Try
			Me.Cursor = Cursors.WaitCursor

			' 実行ボタン有効判定
			If Me.btn035MAX000F020.Visible = False OrElse _
				Me.btn035MAX000F020.Enabled = False Then
				Return True
			End If

			If Me.ValidateChildren() = False Then
				'入力値が不正な場合、処理を中断する
				Return True
			End If

			' 実行処理
			Me.SelProc()
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
		Try
			Me.Cursor = Cursors.WaitCursor

			' 閉じるボタン有効判定
			If Me.btn004MAX000F020.Visible = False OrElse _
				Me.btn004MAX000F020.Enabled = False Then
				Return True
			End If

			' 終了処理
			Me.EndProc()
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class