﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 貸出履歴削除
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX040F010

#Region "コンスタント"

	Private Enum Enum_SQLID As Integer
		SQLID_SEL = 1					'削除対象抽出
		SQLID_DEL = 2					'削除
	End Enum

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 貸出履歴削除画面＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX040F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX040F010_Load", "貸出履歴削除画面＿初期設定 Start")
		Try
			Me.rdo002MAX040F010.Checked = True
			Me.num004MAX040F010.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 貸出履歴削除画面＿閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX040F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX040F010_FormClosing", "貸出履歴削除画面＿閉じる Start")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 回数指定削除側ラジオボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdo002MAX040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo002MAX040F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "rdo002MAX040F010_Click", "回数指定削除側ラジオボタンクリック Start")
		Try
			'入力項目クリア
			Me.dte008MAX040F010.DateValue = Nothing
			Me.num011MAX040F010.Text = 0
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 日付指定削除側ラジオボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdo006MAX040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo006MAX040F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "rdo006MAX040F010_Click", "日付指定削除側ラジオボタンクリック Start")
		Try
			'入力項目クリア
			Me.num004MAX040F010.Text = 0
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常、False:入力値異常</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkData() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkData", "入力チェック Start")
		Dim ret As Boolean = False
		Try
			'Validatedのチェック
			If Me.ValidateChildren() = True Then
				'回数指定削除側ラジオボタンがオンの場合
				If Me.rdo002MAX040F010.Checked = True Then
					'回数入力テキストボックス未入力の場合
					If String.IsNullOrEmpty(Me.num004MAX040F010.Text) = True Then
						Me.addErrList("E0016", Me.num004MAX040F010.Name, "回数", "回数", Nothing)
					End If
				End If
				'返却日指定削除ラジオボタンがオンの場合
				If Me.rdo006MAX040F010.Checked = True Then
					'日付入力テキストボックス未入力の場合
					If String.IsNullOrEmpty(Me.dte008MAX040F010.Text) = True Then
						Me.addErrList("E0016", Me.dte008MAX040F010.Name, "返却日", "返却日", Nothing)
					End If
					'回数入力テキストボックス未入力の場合
					If String.IsNullOrEmpty(Me.num011MAX040F010.Text) = True Then
						Me.addErrList("E0016", Me.num011MAX040F010.Name, "回数", "回数", Nothing)
					End If
				End If

				'エラーがある場合はエラー画面を表示する
				If Me.getErrCount() > 0 Then
					Me.nextErrForm()
				Else
					ret = True
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' データ削除処理
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士<BR/>
	''' 2011/08/09 変更　　 FJSK)荒川<BR/>
	''' (M) STR V4-11007-000 000 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	''' (変更前)　Private Sub DelData()
	''' (変更後)　Private Function DelData() As Boolean
	''' </remarks>
	'''---------------------------------------------
	Private Function DelData() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "DelData", "データ削除処理 Start")
		Dim rec As ArrayList = Nothing
'(A) STR V4-11007-000 006 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim ret As Integer = -1
		Dim sql As String = Nothing
		Dim lockPtn As ArrayList = Nothing
		Dim errPtn As ArrayList = Nothing
'(A) END V4-11007-000 006 20110809
		Try
'(D) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			Dim ret As Integer = -1
'			Dim sql As String = Nothing
'(D) END V4-11007-000 004 20110809
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				Try
					rec = New ArrayList()

					'削除対象レコード抽出
					Me.GetSQL(Enum_SQLID.SQLID_SEL, sql)
					db.setSQL(sql)
					Me.SetSQLPara(db, Enum_SQLID.SQLID_SEL)
					ret = db.execQuery(GetType(datMAX040F010_MTI_LEND_Rec), rec, False)
					If ret <= 0 Then
'(M) STR V4-11007-000 006 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'						'対象レコード無しか、異常
'						Exit Sub
						'対象レコード無しで正常とする
						Return True
'(M) END V4-11007-000 006 20110809
					End If

'(A) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					For prcIdx As Integer = 0 To 1
						If prcIdx = 1 Then		'実処理
'(A) END V4-11007-000 004 20110809
							'トランザクション開始
							db.ctlTran(clsDB.Enum_TranMode.Begin)
							'削除用パラメータの設定
							Me.GetSQL(Enum_SQLID.SQLID_DEL, sql)
							db.setSQL(sql)
							db.setParam(sqlMAX040F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
							db.setParam(sqlMAX040F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX040F010.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX040F010.prmLENDITEM_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
							Me.SetSQLPara(db, Enum_SQLID.SQLID_DEL)
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
						End If
'(A) END V4-11007-000 003 20110809

						For Each tmpRow As datMAX040F010_MTI_LEND_Rec In rec
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
							If prcIdx = 1 AndAlso (errPtn Is Nothing OrElse errPtn.IndexOf(tmpRow.PATIENT_NO) = -1) Then		'実処理
'(A) END V4-11007-000 003 20110809
								db.setVal(sqlMAX040F010.prmPATIENT_NO, tmpRow.PATIENT_NO)
								db.setVal(sqlMAX040F010.prmHSP_HISTORY_NO, tmpRow.HSP_HISTORY_NO, False)
								db.setVal(sqlMAX040F010.prmCH_NO, tmpRow.CH_NO, False)
								db.setVal(sqlMAX040F010.prmLENDITEM_CD, tmpRow.LENDITEM_CD)

								ret = db.execNonQuery(False)

								If ret = -1 Then
									'更新異常
									'ロールバック処理
									db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'									Exit Sub
									Return False
'(M) END V4-11007-000 004 20110809
								End If
'(A) STR V4-11007-000 008 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
							Else
								If prcIdx = 1 Then Continue For
								If lockPtn Is Nothing Then lockPtn = New ArrayList
								If lockPtn.IndexOf(tmpRow.PATIENT_NO) <> -1 Then Continue For
								lockPtn.Add(tmpRow.PATIENT_NO)
							End If
'(A) END V4-11007-000 008 20110809
						Next tmpRow

'(A) STR V4-11007-000 011 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
						'排他チェック
						If prcIdx = 0 Then
							If Me.rdo002MAX040F010.Checked = True Then
								errPtn = Me.chkStartStatus(lockPtn.ToArray, Me.num004MAX040F010.Name, "処理中")
							Else
								errPtn = Me.chkStartStatus(lockPtn.ToArray, Me.dte008MAX040F010.Name, "処理中")
							End If
						End If
					Next
'(A) END V4-11007-000 011 20110809
					'トランザクションコミット処理
					db.ctlTran(clsDB.Enum_TranMode.Commit)
'(A) STR V4-11007-000 009 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'エラーがあった場合はエラー画面を表示する→rcvData()
					If Me.getErrCount > 0 Then
						Me.nextErrForm(CST_RUNPROC_NAME)
						Return False
					End If

					Return True
'(A) END V4-11007-000 009 20110809
				Catch ex As Exception
					Throw
				Finally
					'ロールバック処理
					If db.statTran() = True Then
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
					End If
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			If rec IsNot Nothing Then rec.Clear()
			rec = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="prcId">
	''' 1:削除対象抽出
	''' 2:削除
	''' </param>
	''' <param name="sql">SQL文格納用</param>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetSQL(ByVal prcId As Integer, ByRef sql As String)
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetSQL", "SQL文作成 Start")
		Try
			Select Case prcId
				Case Enum_SQLID.SQLID_SEL
					'削除対象抽出
					Select Case True
						Case Me.rdo002MAX040F010.Checked
							'回数指定
							sql = sqlMAX040F010.sqlSel_MTI_LEND_CND1
						Case Me.rdo006MAX040F010.Checked
							'日付・回数指定
							sql = sqlMAX040F010.sqlSel_MTI_LEND_CND2
						Case Else
					End Select
				Case Enum_SQLID.SQLID_DEL
					'削除
					Select Case True
						Case Me.rdo002MAX040F010.Checked
							'回数指定
							sql = sqlMAX040F010.sqlDel_MTI_LEND_CND1
						Case Me.rdo006MAX040F010.Checked
							'日付・回数指定
							sql = sqlMAX040F010.sqlDel_MTI_LEND_CND2
						Case Else
					End Select
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQLパラメータ設定
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="prcId">
	''' 1:抽出
	''' 2:削除
	''' </param>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SetSQLPara(ByRef db As XCM.clsDB, ByVal prcId As Integer)
		Me.log(XCM.clsSysMst.logLevel.DBG, "SetSQLPara", "SQLパラメータ設定 Start")
		Try
			Select Case prcId
				Case Enum_SQLID.SQLID_SEL
					'削除対象抽出
					Select Case True
						Case Me.rdo002MAX040F010.Checked
							'回数指定
							db.setParam(sqlMAX040F010.prmTIMES, XCM.clsDB.Enum_dbType.dbInt)
							db.setVal(sqlMAX040F010.prmTIMES, Me.num004MAX040F010.Text)
						Case Me.rdo006MAX040F010.Checked
							'日付・回数指定
							db.setParam(sqlMAX040F010.prmBACK_DT, XCM.clsDB.Enum_dbType.dbDateTime)
							db.setVal(sqlMAX040F010.prmBACK_DT, Me.dte008MAX040F010.Text)
							db.setParam(sqlMAX040F010.prmTIMES, XCM.clsDB.Enum_dbType.dbInt)
							db.setVal(sqlMAX040F010.prmTIMES, Me.num011MAX040F010.Text)
						Case Else
					End Select
				Case Enum_SQLID.SQLID_DEL
					'削除
					Select Case True
						Case Me.rdo002MAX040F010.Checked
							'回数指定
							db.setParam(sqlMAX040F010.prmTIMES, XCM.clsDB.Enum_dbType.dbInt)
							db.setVal(sqlMAX040F010.prmTIMES, Me.num004MAX040F010.Text)
						Case Me.rdo006MAX040F010.Checked
							'日付・回数指定
							db.setParam(sqlMAX040F010.prmBACK_DT, XCM.clsDB.Enum_dbType.dbDateTime)
							db.setVal(sqlMAX040F010.prmBACK_DT, Me.dte008MAX040F010.Text)
							db.setParam(sqlMAX040F010.prmTIMES, XCM.clsDB.Enum_dbType.dbInt)
							db.setVal(sqlMAX040F010.prmTIMES, Me.num011MAX040F010.Text)
						Case Else
					End Select
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' フォーカス移動
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MoveFocus()
		Me.log(XCM.clsSysMst.logLevel.DBG, "MoveFocus", "フォーカス移動 Start")
		Try
			'フォーカス移動
			Select Case True
				Case Me.rdo002MAX040F010.Checked
					Me.num004MAX040F010.Select()
				Case Me.rdo006MAX040F010.Checked
					Me.dte008MAX040F010.Select()
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' 削除処理
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub UpdProc()
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdProc", "削除処理 Start")
		Try
			If Me.ChkData() = False Then						'入力チェック
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then		'登録系の起動を確認
'(D) END V4-11007-000 003 20110809
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'ElseIf Me.confMsg("Q0005", System.Windows.Forms.MessageBoxDefaultButton.Button2, "削除", Nothing) <> MsgBoxResult.Ok Then '「削除しますか?」
			ElseIf Me.confMsg("Q0005", System.Windows.Forms.MessageBoxDefaultButton.Button2, "削除", Nothing) <> MsgBoxResult.Yes Then '「削除しますか?」
'(M) END V4-12053-000 004 2012/12/14 ID
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then		'登録系の起動を再確認
'(D) END V4-11007-000 003 20110809
			Else
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'				Me.DelData()									'データ削除処理
				If Me.DelData() = True Then									 'データ削除処理
'(M) END V4-11007-000 004 20110809
					Me.MoveFocus()									'フォーカス移動
					Me.showMsg("I0006", "削除", Nothing)			'終了メッセージ出力
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
				End If
'(A) END V4-11007-000 003 20110809
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-11007-000 027 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	'''---------------------------------------------
	''' <summary>
	''' 戻り処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2011/06/29 新規作成 荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Sub rcvData(ret As XCM.frmBase.Enum_FormReturn, de As System.Collections.DictionaryEntry)
		Me.log(XCM.clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "戻り処理 Start")
		Try
			Select Case de.Key.ToString
				Case CST_XCM020F010_CD
					'エラー画面から戻った場合はﾒｯｾｰｼﾞを表示する
					If de.Value IsNot Nothing AndAlso de.Value.ToString = CST_RUNPROC_NAME Then
						Me.showMsg("I0006", "削除", Nothing)			'終了メッセージ出力
					End If
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-11007-000 027 20110809
#End Region

End Class
