﻿Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 医療費明細情報削除
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX060F010

#Region "コンスタント"

	Private Enum Enum_SQLID As Integer
		SQLID_SEL = 1								'検索系
		SQLID_DEL = 2								'削除系
	End Enum

	Private Enum Enum_SQLSUBID As Integer
		SQLSUBID_DETAIL_CLR = 1						'医療費明細情報クリア
		SQLSUBID_DETAIL_CPY_WORK = 2				'医療費明細情報ワークテーブルへ
		SQLSUBID_GET_MTI_HSP = 3					'入退院歴情報取得
		SQLSUBID_GET_MTI_CH = 4						'科歴情報取得
		SQLSUBID_GET_MTW_MED_COST_INFO = 5			'医療費明細情報ワーク取得
		SQLSUBID_UPD_MTW_MED_COST_INFO = 6			'医療費明細情報ワーク更新
		SQLSUBID_DEL_MTW_MED_COST_INFO_NOREL = 7	'対象外の医療費明細ワーク削除
		SQLSUBID_DEL_MTI_MED_COST_PRE_HSP = 8		'医療費情報削除（準備、入退院単位）
		SQLSUBID_DEL_MTI_MED_COST_PRE_CH = 9		'医療費情報削除（準備、科歴単位）
		SQLSUBID_INS_MTI_MED_COST_HSP = 10			'医療費情報作成（入退院単位）
		SQLSUBID_INS_MTI_MED_COST_CH = 11			'医療費情報作成（科歴単位）
		SQLSUBID_DEL_MTI_MED_COST_ZERO_HSP = 12		'医療費情報削除（医療費無し、入退院単位）
		SQLSUBID_DEL_MTI_MED_COST_ZERO_CH = 13		'医療費情報削除（医療費無し、科歴単位）
		SQLSUBID_GET_MTM_MED_COST_ITM = 14			'医療費項目マスタ取得
		SQLSUBID_SEL_MTI_HSP_COST = 15				'入退院情報の医療費更新用情報取得
		SQLSUBID_SEL_MTI_CH_COST = 16				'科歴情報の医療費更新用情報取得
		SQLSUBID_UPD_MTI_HSP_COST = 17				'入退院情報の医療費更新
		SQLSUBID_UPD_MTI_CH_COST = 18				'科歴情報の医療費更新
		SQLSUBID_UPD_MIT_HSP_COST_FR_CH = 19		'科歴情報から入退院情報を更新
		SQLSUBID_DEL_WRK = 20						'ワークテーブルの削除
		SQLSUBID_DEL_DETAIL = 21					'明細の削除
	End Enum

	Private Enum Enum_PRCID As Integer
		PRCID_SEL = 1								'検索
		PRCID_DEL = 2								'削除
	End Enum

	Private Enum Enum_GRIDCOLUMN As Integer
		COLUMN_CHECK = 0
		COLUMN_PATIENT_NO = 1
		COLUMN_MED_COST_DATE = 3
		COLUMN_MED_SERIAL_NO = 4
	End Enum

	Private Const CST_TABLECD_MTI_MED_COST_DETAILS As String = "MTI_MED_COST_DETAILS"						'医療費明細テーブル
	Private Const CST_DATA_CAPTURE_DT As String = CST_TABLECD_MTI_MED_COST_DETAILS & ".DATA_CAPTURE_DT"		'データ取込日
	Private Const CST_MED_COST_DATE As String = CST_TABLECD_MTI_MED_COST_DETAILS & ".MED_COST_DATE"			'日付
	Private Const CST_PATIENT_NO As String = CST_TABLECD_MTI_MED_COST_DETAILS & ".PATIENT_NO"				'患者番号
	Private Const CST_MNG_NO As String = CST_TABLECD_MTI_MED_COST_DETAILS & ".MNG_NO"						'管理番号

#End Region

#Region "変数"

	Private cliGridStyle As XSP.clsGridStyle	'グリッドスタイルクラス
	Private cliGridSort As XSP.clsGridSort		'グリッドソート
	Protected cliSearch As XSP.clsSearch		'検索条件生成用クラス

	Private strENV0012 As String				'動作環境（医療費の登録方法）

	'データ取込日
	'日付
	'患者番号
	'管理番号
	Private ReadOnly clsScInpCommon As XSP.datSearchInput() = _
	{
	New XSP.datSearchInput("chk003MAX060F010", CST_TABLECD_MTI_MED_COST_DETAILS, CST_DATA_CAPTURE_DT, XSP.clsSearch.ENUM_SEARCH_TYPE.RANGE, _
	 New XSP.datSearchInput.clsLinkControls() { _
	  New XSP.datSearchInput.clsLinkControls("dte004MAX060F010", XSP.clsSearch.ENUM_SQL_CTYPE.cFROM, XCM.clsDB.Enum_dbType.dbDateTime), _
	  New XSP.datSearchInput.clsLinkControls("dte006MAX060F010", XSP.clsSearch.ENUM_SQL_CTYPE.cTO, XCM.clsDB.Enum_dbType.dbDateTime) _
	 }) _
	 , New XSP.datSearchInput("chk007MAX060F010", CST_TABLECD_MTI_MED_COST_DETAILS, CST_MED_COST_DATE, XSP.clsSearch.ENUM_SEARCH_TYPE.RANGE, _
	 New XSP.datSearchInput.clsLinkControls() { _
	  New XSP.datSearchInput.clsLinkControls("dte008MAX060F010", XSP.clsSearch.ENUM_SQL_CTYPE.cFROM, XCM.clsDB.Enum_dbType.dbDateTime), _
	  New XSP.datSearchInput.clsLinkControls("dte010MAX060F010", XSP.clsSearch.ENUM_SQL_CTYPE.cTO, XCM.clsDB.Enum_dbType.dbDateTime) _
	 }) _
	 , New XSP.datSearchInput("chk011MAX060F010", CST_TABLECD_MTI_MED_COST_DETAILS, CST_PATIENT_NO, XSP.clsSearch.ENUM_SEARCH_TYPE.RANGE, _
	 New XSP.datSearchInput.clsLinkControls() { _
	  New XSP.datSearchInput.clsLinkControls("msk012MAX060F010", XSP.clsSearch.ENUM_SQL_CTYPE.cFROM, XCM.clsDB.Enum_dbType.dbNVarChar), _
	  New XSP.datSearchInput.clsLinkControls("msk014MAX060F010", XSP.clsSearch.ENUM_SQL_CTYPE.cTO, XCM.clsDB.Enum_dbType.dbNVarChar) _
	 }) _
	 , New XSP.datSearchInput("chk015MAX060F010", CST_TABLECD_MTI_MED_COST_DETAILS, CST_MNG_NO, XSP.clsSearch.ENUM_SEARCH_TYPE.RANGE, _
	 New XSP.datSearchInput.clsLinkControls() { _
	  New XSP.datSearchInput.clsLinkControls("num016MAX060F010", XSP.clsSearch.ENUM_SQL_CTYPE.cFROM, XCM.clsDB.Enum_dbType.dbInt), _
	  New XSP.datSearchInput.clsLinkControls("num018MAX060F010", XSP.clsSearch.ENUM_SQL_CTYPE.cTO, XCM.clsDB.Enum_dbType.dbInt) _
	 }) _
	}

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 医療費明細情報削除画面＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX060F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX060F010_Load", "医療費明細情報削除画面＿初期設定 Start")
		Try
			Me.cliGridSort = New XSP.clsGridSort()	'グリッドソート
			Me.cliSearch = New XSP.clsSearch()		'検索条件生成用クラス
			Me.cliSearch.addContorl(clsScInpCommon)	'検索条件クラスにセット

			'動作環境の取得
			Me.strENV0012 = XCM.clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012)

			'データグリッド設定
			Me.cliGridStyle = New XSP.clsGridStyle
			Me.cliGridStyle.setGridHeight(Me.dgv030MAX060F010)
			Me.dgv030MAX060F010.AutoGenerateColumns = False
			Me.dgv030MAX060F010.DataSource = Nothing

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 医療費明細情報削除画面＿閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX060F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX060F010_FormClosing", "医療費明細情報削除画面＿閉じる Start")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'メモリ解放
			Me.cliGridStyle = Nothing
			Me.cliGridSort = Nothing
			If Me.cliSearch IsNot Nothing Then Me.cliSearch.Dispose()
			Me.cliSearch = Nothing
			Me.strENV0012 = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号From＿フォーカス移動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub msk012MAX060F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk012MAX060F010.Validated
		Me.log(XCM.clsSysMst.logLevel.NRM, "msk012MAX060F010_Validated", "患者番号From＿フォーカス移動 Start")
		Try
			'Toが空であれば、自身の値をセット
			If Me.msk014MAX060F010.Text.Length = 0 Then
				Me.msk014MAX060F010.Text = sender.text
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 管理番号From＿フォーカス移動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub num016MAX060F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles num016MAX060F010.Validated
		Me.log(XCM.clsSysMst.logLevel.NRM, "txt016MAX060F010_Validated", "管理番号From＿フォーカス移動 Start")
		Try
			'Toが空であれば、自身の値をセット
			If Me.num018MAX060F010.Text.Length = 0 Then
				Me.num018MAX060F010.Text = sender.text
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn019MAX060F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn019MAX060F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn019MAX060F010_Click", "検索ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'検索処理
			Me.SelProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn024MAX060F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn024MAX060F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn024MAX060F010_Click", "削除ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'検索処理
			Me.UpdProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' クリアボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn023MAX060F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn023MAX060F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn023MAX060F010_Click", "クリアボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'クリア処理
			Me.ClearInput()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 全選択ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn021MAX060F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn021MAX060F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn021MAX060F010_Click", "全選択ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'チェック処理
			Me.DataGridCheck(True)
			Me.DataGridCheckCounter()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 全解除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn022MAX060F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn022MAX060F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn022MAX060F010_Click", "全解除ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'チェック処理
			Me.DataGridCheck(False)
			Me.DataGridCheckCounter()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックス編集
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub dgv030MAX060F010_CellContentClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv030MAX060F010.CellContentClick
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "チェックボックス編集 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If e.RowIndex < 0 OrElse e.ColumnIndex < 0 Then Return
			With DirectCast(sender, DataGridView)
				Select Case True
					Case TypeOf .Columns(e.ColumnIndex) Is DataGridViewCheckBoxColumn				'チェックボックス列
						.CommitEdit(DataGridViewDataErrorContexts.Commit)							'	変更内容をコミット
						Me.DataGridCheckCounter()													'	件数表示
				End Select
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリットマウスアップ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/01/12 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv030MAX060F010_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles dgv030MAX060F010.MouseUp
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "グリットマウスアップ START")	'イベント発生が多いのでDBGにしておく
		Try
			With DirectCast(sender, DataGridView)
				If .Rows.Count = 0 Then Return
				If TypeOf .Columns(.CurrentCell.ColumnIndex) Is DataGridViewCheckBoxColumn AndAlso
				   .IsCurrentCellDirty Then															'チェックボックス列 かつ 編集済みであれば
					.CommitEdit(DataGridViewDataErrorContexts.Commit)								'	変更内容をコミット
					Me.DataGridCheckCounter()														'	件数表示
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データグリッドヘッダクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv030MAX060F010_ColumnHeaderMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv030MAX060F010.ColumnHeaderMouseClick
		log(clsSysMst.logLevel.NRM, "dgv030MAX060F010_ColumnHeaderMouseClick", "データグリッドヘッダクリック START")
		Dim arSort As ArrayList = Nothing
		Try
			Me.Cursor = Cursors.WaitCursor

			With Me.dgv030MAX060F010
				If e.ColumnIndex > 0 AndAlso .Columns(e.ColumnIndex).DataPropertyName <> sqlMAX060F010.itmSELECTED Then
					'ソート
					Me.cliGridSort.Clear()
					'指定列
					arSort = New ArrayList
					arSort.Add(New DictionaryEntry(.Columns(e.ColumnIndex).DataPropertyName, clsGridSort.Enum_SortType.SortNone))
					Me.cliGridSort.Add(.Columns(e.ColumnIndex).Name, arSort)
					Me.cliGridSort.SortRow(Me.dgv030MAX060F010, .Columns(e.ColumnIndex).Name, e.ColumnIndex)
					'グリッドの先頭行をセレクト
					If .Rows.Count > 0 Then
						.CurrentCell = .Rows(0).Cells(0)									'現在のセルを最上左に設定
						.FirstDisplayedScrollingRowIndex = 0								'先頭行を可視する
						.Select()															'フォーカス移動
					End If
				End If
			End With

		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			If arSort IsNot Nothing Then arSort.Clear()
			arSort = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データグリッドフォーカス移動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv030MAX060F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv030MAX060F010.Validated
		Me.log(XCM.clsSysMst.logLevel.NRM, "dgv030MAX060F010_Validated", "データグリッドフォーカス移動 Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'チェック数カウント
			Me.DataGridCheckCounter()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常、False:入力値異常</returns>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkData() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkData", "入力チェック Start")
		Dim ret As Boolean = False
		Try
			'Validatedのチェック
			If Me.ValidateChildren() = True Then
				'検索条件のチェック
				If Me.chk003MAX060F010.Checked = False AndAlso _
				   Me.chk007MAX060F010.Checked = False AndAlso _
				   Me.chk011MAX060F010.Checked = False AndAlso _
				   Me.chk015MAX060F010.Checked = False Then
					Me.addErrList("E0014", Me.chk003MAX060F010.Name, Me.lbl002MAX060F010.Text, Me.lbl002MAX060F010.Text, Nothing)
				End If

				If Me.chk003MAX060F010.Checked = True Then
					'データ取込日が未入力の場合
					If String.IsNullOrEmpty(Me.dte004MAX060F010.Text) = True Then
						Me.addErrList("E0016", Me.dte004MAX060F010.Name, Me.chk003MAX060F010.Text, Me.chk003MAX060F010.Text & "(開始)", Nothing)
					End If
					If String.IsNullOrEmpty(Me.dte006MAX060F010.Text) = True Then
						Me.addErrList("E0016", Me.dte006MAX060F010.Name, Me.chk003MAX060F010.Text, Me.chk003MAX060F010.Text & "(終了)", Nothing)
					End If
					'データ取込日From～Toが逆の場合
					'If String.IsNullOrEmpty(Me.dte004MAX060F010.Text) = False AndAlso _
					'	String.IsNullOrEmpty(Me.dte006MAX060F010.Text) = False AndAlso _
					'	Me.dte004MAX060F010.Text > Me.dte006MAX060F010.Text Then
					'	Me.addErrList("E0006", Me.dte006MAX060F010.Name, Me.chk003MAX060F010.Text, Me.chk003MAX060F010.Text, Nothing)
					'End If
				End If

				If Me.chk007MAX060F010.Checked = True Then
					'対象日付が未入力の場合
					If String.IsNullOrEmpty(Me.dte008MAX060F010.Text) = True Then
						Me.addErrList("E0016", Me.dte008MAX060F010.Name, Me.chk007MAX060F010.Text, Me.chk007MAX060F010.Text & "(開始)", Nothing)
					End If
					If String.IsNullOrEmpty(Me.dte010MAX060F010.Text) = True Then
						Me.addErrList("E0016", Me.dte010MAX060F010.Name, Me.chk007MAX060F010.Text, Me.chk007MAX060F010.Text & "(終了)", Nothing)
					End If
					'対象日付From～Toが逆の場合
					'If String.IsNullOrEmpty(Me.dte008MAX060F010.Text) = False AndAlso _
					'	String.IsNullOrEmpty(Me.dte010MAX060F010.Text) = False AndAlso _
					'	Me.dte008MAX060F010.Text > Me.dte010MAX060F010.Text Then
					'	Me.addErrList("E0006", Me.dte010MAX060F010.Name, Me.chk007MAX060F010.Text, Me.chk007MAX060F010.Text, Nothing)
					'End If
				End If

				If Me.chk011MAX060F010.Checked = True Then
					'患者番号が未入力の場合
					If String.IsNullOrEmpty(Me.msk012MAX060F010.Text) = True Then
						Me.addErrList("E0016", Me.msk012MAX060F010.Name, Me.chk011MAX060F010.Text, Me.chk011MAX060F010.Text & "(開始)", Nothing)
					End If
					If String.IsNullOrEmpty(Me.msk014MAX060F010.Text) = True Then
						Me.addErrList("E0016", Me.msk014MAX060F010.Name, Me.chk011MAX060F010.Text, Me.chk011MAX060F010.Text & "(終了)", Nothing)
					End If
					'患者番号From～Toが逆の場合
					'If String.IsNullOrEmpty(Me.msk012MAX060F010.Text) = False AndAlso _
					'	String.IsNullOrEmpty(Me.msk014MAX060F010.Text) = False AndAlso _
					'	Me.msk012MAX060F010.Text > Me.msk014MAX060F010.Text Then
					'	Me.addErrList("E0006", Me.msk014MAX060F010.Name, Me.chk011MAX060F010.Text, Me.chk011MAX060F010.Text, Nothing)
					'End If
				End If

				If Me.chk015MAX060F010.Checked = True Then
					'管理番号が未入力の場合
					If String.IsNullOrEmpty(Me.num016MAX060F010.Text) = True Then
						Me.addErrList("E0016", Me.num016MAX060F010.Name, Me.chk015MAX060F010.Text, Me.chk015MAX060F010.Text & "(開始)", Nothing)
					End If
					If String.IsNullOrEmpty(Me.num018MAX060F010.Text) = True Then
						Me.addErrList("E0016", Me.num018MAX060F010.Name, Me.chk015MAX060F010.Text, Me.chk015MAX060F010.Text & "(終了)", Nothing)
					End If
					'管理番号From～Toが逆の場合
					'If String.IsNullOrEmpty(Me.txt016MAX060F010.Text) = False AndAlso _
					'	String.IsNullOrEmpty(Me.txt018MAX060F010.Text) = False AndAlso _
					'	Me.txt016MAX060F010.Text > Me.txt018MAX060F010.Text Then
					'	Me.addErrList("E0006", Me.txt018MAX060F010.Name, Me.chk015MAX060F010.Text, Me.chk015MAX060F010.Text, Nothing)
					'End If
				End If
			End If

			'エラーがある場合はエラー画面を表示する
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
			Else
				ret = True
			End If
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' データ検索処理
	''' </summary>
	''' <param name="dat">検索結果</param>
	''' <returns>取得レコード件数</returns>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function SelData(ByRef dat As DataTable) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "SelData", "データ検索処理 Start")
		Dim cnt As Integer = -1
		Try
			Dim sql As String = Nothing
			Dim ret As Integer = -1

			'検索データ取得
			Me.GetSQL(sql, Enum_SQLID.SQLID_SEL, Nothing)
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				db.setSQLDa(sql)
				'パラメータ設定
				Me.cliSearch.setDbParamDa(db, CST_TABLECD_MTI_MED_COST_DETAILS)				'画面条件
				db.setParamDa(sqlMAX060F010.prmSELECTED, clsDB.Enum_dbType.dbInt)			'選択チェック
				db.setValDa(sqlMAX060F010.prmSELECTED, clsConst.Enum_Chk.ChkOff, False)
				db.execQueryDa(dat)

				'データ取得件数セット
				cnt = dat.Rows.Count
				Return cnt
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return cnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' データ削除処理
	''' </summary>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' 2011/08/09 変更　　 FJSK)荒川<BR/>
	''' (M) STR V4-11007-000 000 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	''' (変更前)　Private Sub DelData()
	''' (変更後)　Private Function DelData() As Boolean
	''' </remarks>
	'''---------------------------------------------
	Private Function DelData() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "DelData", "データ削除処理 Start")
		Dim alPatNo As ArrayList = Nothing
'(A) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim ret As Integer = -1
		Dim sql As String = Nothing
		Dim errPtn As ArrayList = Nothing
'(A) END V4-11007-000 005 20110809
		Try
'(D) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			Dim ret As Integer = -1
'			Dim sql As String = Nothing
'(D) END V4-11007-000 004 20110809
			alPatNo = New ArrayList

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				Try
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)
'(A) STR V4-11007-000 007 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'データグリッドでチェックされている患者番号を抽出
					Me.GetPatnoAry(alPatNo)

					'排他チェック
					errPtn = Me.chkStartStatus(alPatNo.ToArray, Me.btn024MAX060F010.Name, "処理中")
'(A) END V4-11007-000 007 20110809
					'データグリッドでチェックされた明細の医療費データをクリアする
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If Me.ClearDetailData(db) = False Then
					If Me.ClearDetailData(db, errPtn) = False Then
'(M) END V4-11007-000 004 20110809
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'						Exit Sub
						Return True
'(M) END V4-11007-000 004 20110809
					End If
'(D) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					'データグリッドでチェックされている患者番号を抽出
'					Me.GetPatnoAry(alPatNo)
'(D) END V4-11007-000 004 20110809
					'患者番号分ループ
					For Each strPatNo As String In alPatNo
'(A) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
						'エラー対象になっていたら処理しない
						If errPtn Is Nothing OrElse errPtn.IndexOf(strPatNo) <> -1 Then Continue For
'(A) END V4-11007-000 004 20110809
						'対象レコードをワークテーブルへインサート
						If Me.CopyDetailData(db, strPatNo) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'							Exit Sub
							Return True
'(M) END V4-11007-000 004 20110809
						End If

						''医療費明細情報の関連付け処理
						If Me.DetailRelationship(db, strPatNo) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'							Exit Sub
							Return True
'(M) END V4-11007-000 004 20110809
						End If

						'対象外の医療費明細ワークレコード削除
						If Me.DelDetailDataNoRel(db, strPatNo) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'							Exit Sub
							Return True
'(M) END V4-11007-000 004 20110809
						End If

						'医療費情報削除（準備）
						If Me.DelMedCostPre(db, strPatNo) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'							Exit Sub
							Return True
'(M) END V4-11007-000 004 20110809
						End If

						'医療費情報算出
						If Me.CalcMedCost(db, strPatNo) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'							Exit Sub
							Return True
'(M) END V4-11007-000 004 20110809
						End If

						'医療費情報削除（医療費なしのもの）
						If Me.DelMedCostZero(db, strPatNo) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'							Exit Sub
							Return True
'(M) END V4-11007-000 004 20110809
						End If

						'医療費合計、医療費数の更新
						If Me.UpdateMedCost(db, strPatNo) = False Then
							'更新異常
							'ロールバック処理
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'							Exit Sub
							Return True
'(M) END V4-11007-000 004 20110809
						End If
					Next strPatNo

					'ワークテーブルの削除
					If Me.DelWrk(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'						Exit Sub
						Return True
'(M) END V4-11007-000 004 20110809
					End If

					'データグリッドでチェックされた明細の医療費データを削除する
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If Me.DelDetail(db) = False Then
					If Me.DelDetail(db, errPtn) = False Then
'(M) END V4-11007-000 004 20110809
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'						Exit Sub
						Return True
'(M) END V4-11007-000 004 20110809
					End If

					'トランザクションコミット処理
					db.ctlTran(clsDB.Enum_TranMode.Commit)
'(A) STR V4-11007-000 009 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'エラーがあった場合はエラー画面を表示する→rcvData()
					If Me.getErrCount > 0 Then
						Me.nextErrForm(CST_RUNPROC_NAME)
						Return False
					End If

					Return True
'(A) END V4-11007-000 009 20110809
				Catch ex As Exception
					Throw
				Finally
					'ロールバック処理
					If db.statTran() = True Then
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
					End If
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			If alPatNo IsNot Nothing Then alPatNo.Clear()
			alPatNo = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' データグリッドで選択された明細の医療費データをクリア
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' 2011/08/09 変更　　 FJSK)荒川<BR/>
	''' (M) STR V4-11007-000 000 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	''' (変更前)　Private Function ClearDetailData(ByRef db As XCM.clsDB) As Boolean
	''' (変更後)　Private Function ClearDetailData(ByRef db As XCM.clsDB, errPtn As ArrayList) As Boolean
	''' </remarks>
	'''---------------------------------------------
	Private Function ClearDetailData(ByRef db As XCM.clsDB, errPtn As ArrayList) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "ClearDetailData", "データグリッドで選択された明細の医療費データをクリア Start")
		Dim blnRtn As Boolean = False
		Try
			Dim sql As String = Nothing
			Dim ret As Integer = 0
			'データグリッド明細数分ループ
			For i As Integer = 0 To Me.dgv030MAX060F010.Rows.Count - 1
				Dim tmpRow As System.Windows.Forms.DataGridViewRow = Me.dgv030MAX060F010.Rows(i)
'(M) STR V4-11007-000 007 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'				If tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).Value = True OrElse _
'				   tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).GetEditedFormattedValue(i, DataGridViewDataErrorContexts.Formatting) = True Then
				If (tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).Value = True OrElse _
					tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).GetEditedFormattedValue(i, DataGridViewDataErrorContexts.Formatting) = True) AndAlso _
				   (errPtn Is Nothing OrElse errPtn.IndexOf(tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_PATIENT_NO).Value) = -1) Then
'(M) END V4-11007-000 007 20110809
					'キー項目を取得
					Dim strPatNo As String = tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_PATIENT_NO).Value
					Dim strDat As String = tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_MED_COST_DATE).Value
					Dim intSrlNo As Integer = tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_MED_SERIAL_NO).Value

					Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_DETAIL_CLR)
					db.setSQL(sql)
					db.setParam(sqlMAX060F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX060F010.prmMED_COST_DATE, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX060F010.prmSERIAL_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX060F010.prmPATIENT_NO, strPatNo)
					db.setVal(sqlMAX060F010.prmMED_COST_DATE, strDat)
					db.setVal(sqlMAX060F010.prmSERIAL_NO, intSrlNo, False)
					ret = db.execNonQuery(False)
					If ret = -1 Then
						'異常処理
						Return blnRtn
					End If
				End If
			Next i
			blnRtn = True
		Catch ex As Exception
			Throw
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 医療費明細レコードをワークへコピー
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function CopyDetailData(ByRef db As XCM.clsDB, ByVal strPatNo As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "CopyDetailData", "医療費明細レコードをワークへコピー Start")
		Dim blnRtn As Boolean = False
		Try
			Dim sql As String = Nothing
			Dim ret As Integer = 0
			Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_DETAIL_CPY_WORK)
			db.setSQL(sql)
			db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX060F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX060F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
			db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			db.setVal(sqlMAX060F010.prmPATIENT_NO, strPatNo)
			db.setVal(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX060F010.prmLASTUPD_DT, DateTime.Now())
			ret = db.execNonQuery(False)
			If ret = -1 Then
				'異常処理
				Return blnRtn
			End If
			blnRtn = True
		Catch ex As Exception
			Throw
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 医療費明細の関連付け
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function DetailRelationship(ByRef db As XCM.clsDB, ByVal strPatNo As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "DetailRelationship", "医療費明細の関連付け Start")
		Dim blnRtn As Boolean = False
		Dim datMst As ArrayList = Nothing
		Dim datWrk As ArrayList = Nothing
		Try
			datMst = New ArrayList
			datWrk = New ArrayList

			Dim ret As Integer = -1
			Dim sql As String = Nothing
			Dim strDatFrom As String = Nothing
			Dim strDatTo As String = Nothing

			'医療費の登録方法によって関連付け方法分岐する
			Select Case Me.strENV0012
				'入院単位で算出
				Case XCM.clsConst.Enum_MedCostInput.HspNoDetail, _
				  XCM.clsConst.Enum_MedCostInput.HspDetail
					'入退院情報取得
					Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_GET_MTI_HSP)
					db.setSQL(sql)
					db.setParam(sqlMAX060F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX060F010.prmPATIENT_NO, strPatNo)
					ret = db.execQuery(GetType(datMAX060F010_CHECKDATMST_HSP_Rec), datMst, False)
					If ret = -1 Then
						'異常処理
						Return blnRtn
					End If

					'科歴単位で算出
				Case XCM.clsConst.Enum_MedCostInput.NoInput, _
				  XCM.clsConst.Enum_MedCostInput.HspDeptNoDetail, _
				  XCM.clsConst.Enum_MedCostInput.HspDeptDetail
					Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_GET_MTI_CH)
					db.setSQL(sql)
					db.setParam(sqlMAX060F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX060F010.prmPATIENT_NO, strPatNo)
					ret = db.execQuery(GetType(datMAX060F010_CHECKDATMST_CH_Rec), datMst, False)
					If ret = -1 Then
						'異常処理
						Return blnRtn
					End If

				Case Else
			End Select

			'TR_医療費明細情報レコードの取得
			Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_GET_MTW_MED_COST_INFO)
			db.setSQL(sql)
			db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX060F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			db.setVal(sqlMAX060F010.prmPATIENT_NO, strPatNo)
			ret = db.execQuery(GetType(datMAX060F010_CHECKDATWRK_Rec), datWrk, False)
			If ret = -1 Then
				'異常処理
				Return blnRtn
			End If

			'医療費明細レコードの関連付け処理
			For idxWrk As Integer = 0 To datWrk.Count - 1
				With DirectCast(datWrk.Item(idxWrk), datMAX060F010_CHECKDATWRK_Rec)
					Dim tmpDat As String = .MED_COST_DATE
					Dim tmpSrlNo As Integer = .SERIAL_NO
					Dim tmpPatNo As String = .PATIENT_NO
					Dim tmpHstNo As Integer = 0
					Dim tmpChNo As Integer = 0
					Dim tmpStartDat As Date = Nothing
					Dim tmpEndDat As Date = Nothing

					For idxMst As Integer = 0 To datMst.Count - 1
						Select Case True
							Case TypeOf (datMst.Item(idxMst)) Is datMAX060F010_CHECKDATMST_HSP_Rec
								'入退院歴情報から取得
								With DirectCast(datMst.Item(idxMst), datMAX060F010_CHECKDATMST_HSP_Rec)
									'キー項目、日付の取得
									tmpPatNo = .PATIENT_NO
									tmpHstNo = .HSP_HISTORY_NO
									tmpChNo = .CH_NO
									tmpStartDat = .HSP_DT
									tmpEndDat = .OUT_HSP_DT
								End With
							Case TypeOf (datMst.Item(idxMst)) Is datMAX060F010_CHECKDATMST_CH_Rec
								'科歴情報から取得
								With DirectCast(datMst.Item(idxMst), datMAX060F010_CHECKDATMST_CH_Rec)
									'キー項目、日付の取得
									tmpPatNo = .PATIENT_NO
									tmpHstNo = .HSP_HISTORY_NO
									tmpChNo = .CH_NO
									tmpStartDat = .START_DT
									tmpEndDat = .END_DT
								End With
							Case Else
						End Select

						'日付の比較
						If (tmpEndDat = Nothing AndAlso _
						 Date.Compare(tmpDat, tmpStartDat) >= 0) OrElse _
						 (Date.Compare(tmpDat, tmpStartDat) >= 0 AndAlso _
						 Date.Compare(tmpDat, tmpEndDat) <= 0) Then
							'当該情報の範囲内に含める
							'対象テーブルの更新
							Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_UPD_MTW_MED_COST_INFO)
							db.setSQL(sql)
							db.setParam(sqlMAX060F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX060F010.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
							db.setParam(sqlMAX060F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
							db.setParam(sqlMAX060F010.prmMED_COST_DATE, XCM.clsDB.Enum_dbType.dbDateTime)
							db.setParam(sqlMAX060F010.prmSERIAL_NO, XCM.clsDB.Enum_dbType.dbInt)
							db.setVal(sqlMAX060F010.prmHSP_HISTORY_NO, tmpHstNo, False)
							db.setVal(sqlMAX060F010.prmCH_NO, tmpChNo, False)
							db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
							db.setVal(sqlMAX060F010.prmPATIENT_NO, tmpPatNo)
							db.setVal(sqlMAX060F010.prmMED_COST_DATE, tmpDat)
							db.setVal(sqlMAX060F010.prmSERIAL_NO, tmpSrlNo, False)
							ret = db.execNonQuery(False)
							If ret = -1 Then
								'異常処理
								Return blnRtn
							End If
							Exit For
						End If
					Next idxMst
				End With
			Next idxWrk
			blnRtn = True
		Catch ex As Exception
			Throw
		Finally
			If datMst IsNot Nothing Then datMst.Clear()
			datMst = Nothing
			If datWrk IsNot Nothing Then datWrk.Clear()
			datWrk = Nothing
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 対象外の医療費明細ワーク削除
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="strPatNo">患者番号</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function DelDetailDataNoRel(ByRef db As XCM.clsDB, ByVal strPatNo As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "DelDetailDataNoRel", "対象外の医療費明細ワーク削除 Start")
		Dim blnRtn As Boolean = False
		Try
			Dim sql As String = Nothing
			Dim ret As Integer = 0
			Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_DEL_MTW_MED_COST_INFO_NOREL)
			db.setSQL(sql)
			db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			ret = db.execNonQuery(False)
			If ret = -1 Then
				'異常処理
				Return blnRtn
			End If
			blnRtn = True
		Catch ex As Exception
			Throw
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 医療費情報の削除（準備）
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="strPatNo">患者番号</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function DelMedCostPre(ByRef db As XCM.clsDB, ByVal strPatNo As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "DelMedCostPre", "医療費の削除（準備） Start")
		Dim blnRtn As Boolean = False
		Try
			Dim sql As String = Nothing
			Dim ret As Integer = 0
			'再計算のため、対応する医療費情報を削除
			Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_DEL_MTI_MED_COST_PRE_HSP)
			db.setSQL(sql)
			db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			ret = db.execNonQuery(False)
			If ret = -1 Then
				'異常処理
				Return blnRtn
			End If

			'科歴単位の場合、対応する科歴番号分も削除する
			If Me.strENV0012 = XCM.clsConst.Enum_MedCostInput.NoInput OrElse _
			   Me.strENV0012 = XCM.clsConst.Enum_MedCostInput.HspDeptNoDetail OrElse _
			   Me.strENV0012 = XCM.clsConst.Enum_MedCostInput.HspDeptDetail Then
				Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_DEL_MTI_MED_COST_PRE_CH)
				db.setSQL(sql)
				db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				ret = db.execNonQuery(False)
				If ret = -1 Then
					'異常処理
					Return blnRtn
				End If
			End If
			blnRtn = True
		Catch ex As Exception
			Throw
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 医療費情報計算
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="strPatNo">患者番号</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function CalcMedCost(ByRef db As XCM.clsDB, ByVal strPatNo As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "CalcMedCost", "医療費情報計算 Start")
		Dim blnRtn As Boolean = False
		Try
			Dim sql As String = Nothing
			Dim ret As Integer = 0

			'医療費情報を再計算
			Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_INS_MTI_MED_COST_HSP)
			db.setSQL(sql)
			db.setParam(sqlMAX060F010.prmDATA_CAPTURE_DT, XCM.clsDB.Enum_dbType.dbDateTime)
			db.setParam(sqlMAX060F010.prmNEW_REG_DT, XCM.clsDB.Enum_dbType.dbDateTime)
			db.setParam(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX060F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
			db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX060F010.prmDATA_CAPTURE_DT, DateTime.Now())
			db.setVal(sqlMAX060F010.prmNEW_REG_DT, DateTime.Now())
			db.setVal(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX060F010.prmLASTUPD_DT, DateTime.Now())
			db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			ret = db.execNonQuery(False)
			If ret = -1 Then
				'異常処理
				Return blnRtn
			End If

			'科歴単位の場合、科歴番号が'0'のレコードも追加する
			If Me.strENV0012 = XCM.clsConst.Enum_MedCostInput.NoInput OrElse _
			   Me.strENV0012 = XCM.clsConst.Enum_MedCostInput.HspDeptNoDetail OrElse _
			   Me.strENV0012 = XCM.clsConst.Enum_MedCostInput.HspDeptDetail Then
				Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_INS_MTI_MED_COST_CH)
				db.setSQL(sql)
				db.setParam(sqlMAX060F010.prmDATA_CAPTURE_DT, XCM.clsDB.Enum_dbType.dbDateTime)
				db.setParam(sqlMAX060F010.prmNEW_REG_DT, XCM.clsDB.Enum_dbType.dbDateTime)
				db.setParam(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParam(sqlMAX060F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
				db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setVal(sqlMAX060F010.prmDATA_CAPTURE_DT, DateTime.Now())
				db.setVal(sqlMAX060F010.prmNEW_REG_DT, DateTime.Now())
				db.setVal(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
				db.setVal(sqlMAX060F010.prmLASTUPD_DT, DateTime.Now())
				db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				ret = db.execNonQuery(False)
				If ret = -1 Then
					'異常処理
					Return blnRtn
				End If
			End If
			blnRtn = True
		Catch ex As Exception
			Throw
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 医療費情報の削除（医療費無しのもの）
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="strPatNo">患者番号</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function DelMedCostZero(ByRef db As XCM.clsDB, ByVal strPatNo As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "DelMedCostZero", "医療費情報の削除（医療費無しのもの） Start")
		Dim blnRtn As Boolean = False
		Try
			Dim sql As String = Nothing
			Dim ret As Integer = 0

			'医療費なしの医療費情報を削除
			Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_DEL_MTI_MED_COST_ZERO_HSP)
			db.setSQL(sql)
			db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			ret = db.execNonQuery(False)
			If ret = -1 Then
				'異常処理
				Return blnRtn
			End If

			'対応する科歴番号分も削除する
			Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_DEL_MTI_MED_COST_ZERO_CH)
			db.setSQL(sql)
			db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			ret = db.execNonQuery(False)
			If ret = -1 Then
				'異常処理
				Return blnRtn
			End If
			blnRtn = True
		Catch ex As Exception
			Throw
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 医療費合計、医療費数の更新
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function UpdateMedCost(ByRef db As XCM.clsDB, ByVal strPatNo As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdateMedCost", "医療費合計、医療費数の更新 Start")
		Dim blnRtn As Boolean = False
		Dim dat As ArrayList = Nothing
		Try
			dat = New ArrayList
			Dim ret As Integer = -1
			Dim sql As String = Nothing

			'医療費の登録方法によって処理が分岐する
			Select Case Me.strENV0012
				'入院単位で算出
				Case XCM.clsConst.Enum_MedCostInput.HspNoDetail, _
				  XCM.clsConst.Enum_MedCostInput.HspDetail
					'入退院情報への医療費合計、医療費数取得
					Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_SEL_MTI_HSP_COST)
					db.setSQL(sql)
					db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					ret = db.execQuery(GetType(datMAX060F010_TOTALCOST_Rec), dat, False)
					If ret = -1 Then
						'異常処理
						Return blnRtn
					End If

					'入退院情報の医療費合計、医療費数更新
					For idx As Integer = 0 To dat.Count - 1
						Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_UPD_MTI_HSP_COST)
						db.setSQL(sql)
						With DirectCast(dat.Item(idx), datMAX060F010_TOTALCOST_Rec)
							db.setParam(sqlMAX060F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
							db.setParam(sqlMAX060F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX060F010.prmTOTAL_MED_COST, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX060F010.prmMED_COST_COUNT, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX060F010.prmDATA_CAPTURE_DT, XCM.clsDB.Enum_dbType.dbDateTime)
							db.setParam(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
							db.setParam(sqlMAX060F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
							db.setVal(sqlMAX060F010.prmPATIENT_NO, .PATIENT_NO)
							db.setVal(sqlMAX060F010.prmHSP_HISTORY_NO, .HSP_HISTORY_NO, False)
							db.setVal(sqlMAX060F010.prmTOTAL_MED_COST, .COST, False)
							db.setVal(sqlMAX060F010.prmMED_COST_COUNT, .CNT, False)
							db.setVal(sqlMAX060F010.prmDATA_CAPTURE_DT, DateTime.Now())
							db.setVal(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
							db.setVal(sqlMAX060F010.prmLASTUPD_DT, DateTime.Now())
						End With
						ret = db.execNonQuery(False)
						If ret = -1 Then
							'異常処理
							Return blnRtn
						End If
					Next idx

					'科歴単位で算出
				Case XCM.clsConst.Enum_MedCostInput.NoInput, _
				  XCM.clsConst.Enum_MedCostInput.HspDeptNoDetail, _
				  XCM.clsConst.Enum_MedCostInput.HspDeptDetail
					'科歴情報への医療費合計、医療費数取得
					Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_SEL_MTI_CH_COST)
					db.setSQL(sql)
					db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					ret = db.execQuery(GetType(datMAX060F010_TOTALCOST_Rec), dat, False)
					If ret = -1 Then
						'異常処理
						Return blnRtn
					End If

					'科歴情報の医療費合計、医療費数更新
					For idx As Integer = 0 To dat.Count - 1
						Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_UPD_MTI_CH_COST)
						db.setSQL(sql)
						With DirectCast(dat.Item(idx), datMAX060F010_TOTALCOST_Rec)
							db.setParam(sqlMAX060F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
							db.setParam(sqlMAX060F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX060F010.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX060F010.prmTOTAL_MED_COST, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX060F010.prmMED_COST_COUNT, XCM.clsDB.Enum_dbType.dbInt)
							db.setParam(sqlMAX060F010.prmDATA_CAPTURE_DT, XCM.clsDB.Enum_dbType.dbDateTime)
							db.setParam(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
							db.setParam(sqlMAX060F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
							db.setVal(sqlMAX060F010.prmPATIENT_NO, .PATIENT_NO)
							db.setVal(sqlMAX060F010.prmHSP_HISTORY_NO, .HSP_HISTORY_NO, False)
							db.setVal(sqlMAX060F010.prmCH_NO, .CH_NO, False)
							db.setVal(sqlMAX060F010.prmTOTAL_MED_COST, .COST, False)
							db.setVal(sqlMAX060F010.prmMED_COST_COUNT, .CNT, False)
							db.setVal(sqlMAX060F010.prmDATA_CAPTURE_DT, DateTime.Now())
							db.setVal(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
							db.setVal(sqlMAX060F010.prmLASTUPD_DT, DateTime.Now())
						End With
						ret = db.execNonQuery(False)
						If ret = -1 Then
							'異常処理
							Return blnRtn
						End If
					Next idx

					'科歴情報から入退院情報の医療費合計を更新
					Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_UPD_MIT_HSP_COST_FR_CH)
					db.setSQL(sql)
					db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX060F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX060F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX060F010.prmLASTUPD_DT, DateTime.Now())
					db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					ret = db.execNonQuery(False)
					If ret = -1 Then
						'異常処理
						Return blnRtn
					End If

				Case Else
			End Select
			blnRtn = True
		Catch ex As Exception
			Throw
		Finally
			If dat IsNot Nothing Then dat.Clear()
			dat = Nothing
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' ワークテーブルの削除
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function DelWrk(ByRef db As XCM.clsDB) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "DelWrk", "ワークテーブルの削除 Start")
		Dim blnRtn As Boolean = False
		Try
			Dim sql As String = Nothing
			Dim ret As Integer = 0

			'ワークテーブルを削除
			Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_DEL_WRK)
			db.setSQL(sql)
			db.setParam(sqlMAX060F010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX060F010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			ret = db.execNonQuery(False)
			If ret = -1 Then
				'異常処理
				Return blnRtn
			End If
			blnRtn = True
		Catch ex As Exception
			Throw
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' チェックした明細情報の削除
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' 2011/08/09 変更　　 FJSK)荒川<BR/>
	''' (M) STR V4-11007-000 000 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	''' (変更前)　Private Function DelDetail(ByRef db As XCM.clsDB) As Boolean
	''' (変更後)　Private Function DelDetail(ByRef db As XCM.clsDB, errPtn As ArrayList) As Boolean
	''' </remarks>
	'''---------------------------------------------
	Private Function DelDetail(ByRef db As XCM.clsDB, errPtn As ArrayList) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "DelDetail", "チェックした明細情報の削除 Start")
		Dim blnRtn As Boolean = False
		Try
			Dim sql As String = Nothing
			Dim ret As Integer = 0
			'データグリッド明細数分ループ
			For i As Integer = 0 To Me.dgv030MAX060F010.Rows.Count - 1
				Dim tmpRow As System.Windows.Forms.DataGridViewRow = Me.dgv030MAX060F010.Rows(i)
'(M) STR V4-11007-000 017 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'				If tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).Value = True OrElse _
'				   tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).GetEditedFormattedValue(i, DataGridViewDataErrorContexts.Formatting) = True Then
'					'キー項目を取得
'					Dim strPatNo As String = tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_PATIENT_NO).Value
'					Dim strDat As String = tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_MED_COST_DATE).Value
'					Dim intSrlNo As Integer = tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_MED_SERIAL_NO).Value
				With tmpRow
					If (.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).Value = True OrElse _
					   .Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).GetEditedFormattedValue(i, DataGridViewDataErrorContexts.Formatting) = True) AndAlso _
					   (errPtn Is Nothing OrElse errPtn.IndexOf(.Cells.Item(Enum_GRIDCOLUMN.COLUMN_PATIENT_NO).Value) = -1) Then

						'キー項目を取得
						Dim strPatNo As String = .Cells.Item(Enum_GRIDCOLUMN.COLUMN_PATIENT_NO).Value
						Dim strDat As String = .Cells.Item(Enum_GRIDCOLUMN.COLUMN_MED_COST_DATE).Value
						Dim intSrlNo As Integer = .Cells.Item(Enum_GRIDCOLUMN.COLUMN_MED_SERIAL_NO).Value
'(M) END V4-11007-000 017 20110809

						Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_DEL_DETAIL)
						db.setSQL(sql)
						db.setParam(sqlMAX060F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
						db.setParam(sqlMAX060F010.prmMED_COST_DATE, XCM.clsDB.Enum_dbType.dbDateTime)
						db.setParam(sqlMAX060F010.prmSERIAL_NO, XCM.clsDB.Enum_dbType.dbInt)
						db.setVal(sqlMAX060F010.prmPATIENT_NO, strPatNo)
						db.setVal(sqlMAX060F010.prmMED_COST_DATE, strDat)
						db.setVal(sqlMAX060F010.prmSERIAL_NO, intSrlNo, False)
						ret = db.execNonQuery(False)
						If ret = -1 Then
							'異常処理
							Return blnRtn
						End If
					End If
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
				End With
'(A) END V4-11007-000 003 20110809
			Next i
			blnRtn = True
		Catch ex As Exception
			Throw
		End Try
		Return blnRtn
	End Function

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="prcId">
	''' 1:検索
	''' 2:削除
	''' （Enum_SQLID値）
	''' </param>
	''' <param name="subFlg">
	''' オプションフラグ
	''' 削除系処理のSQLID
	''' （Enum_SQLSUBID値）
	''' </param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetSQL(ByRef sql As String, ByVal prcId As Integer, ByVal subFlg As Integer)
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetSQL", "SQL文作成 Start")
		Try
			'Const strWHERE As String = " WHERE "
			'Const strAND As String = " AND "
			Dim strCnd As String = Nothing

			Select Case prcId
				'検索
				Case Enum_SQLID.SQLID_SEL
					'選択系SQL
					sql = String.Format(sqlMAX060F010.sqlSel_MTI_MED_COST_DETAILS, Me.cliSearch.getSqlWhere(CST_TABLECD_MTI_MED_COST_DETAILS, True))

					'削除
				Case Enum_SQLID.SQLID_DEL
					'削除処理系SQL
					Select Case subFlg
						Case Enum_SQLSUBID.SQLSUBID_DETAIL_CLR
							'データグリッドで選択された明細の医療費データをクリア
							sql = sqlMAX060F010.sqlUpd_MTI_MED_COST_DETAILS_PRE1
						Case Enum_SQLSUBID.SQLSUBID_DETAIL_CPY_WORK
							'医療費明細データをワークテーブルへコピー
							sql = sqlMAX060F010.sqlIns_MTW_MED_COST_INFO
						Case Enum_SQLSUBID.SQLSUBID_GET_MTI_HSP
							'対象の入退院歴情報を取得
							sql = sqlMAX060F010.sqlSel_MTI_HSP
						Case Enum_SQLSUBID.SQLSUBID_GET_MTI_CH
							'対象の科歴情報を取得
							sql = sqlMAX060F010.sqlSel_MTI_CH
						Case Enum_SQLSUBID.SQLSUBID_GET_MTW_MED_COST_INFO
							'TR_医療費明細情報を取得
							sql = sqlMAX060F010.sqlSel_MTW_MED_COST_INFO
						Case Enum_SQLSUBID.SQLSUBID_UPD_MTW_MED_COST_INFO
							'TR_医療費明細情報を更新
							sql = sqlMAX060F010.sqlUpd_MTW_MED_COST_INFO
						Case Enum_SQLSUBID.SQLSUBID_DEL_MTW_MED_COST_INFO_NOREL
							'対象外のTR_医療費明細情報レコード削除
							sql = sqlMAX060F010.sqlDel_MTW_MED_COST_INFO
						Case Enum_SQLSUBID.SQLSUBID_DEL_MTI_MED_COST_PRE_HSP
							'医療費情報削除（準備、入退院単位）
							sql = sqlMAX060F010.sqlDel_MTI_MED_COST_1
						Case Enum_SQLSUBID.SQLSUBID_DEL_MTI_MED_COST_PRE_CH
							'医療費情報削除（準備、科歴単位）
							sql = sqlMAX060F010.sqlDel_MTI_MED_COST_2
						Case Enum_SQLSUBID.SQLSUBID_INS_MTI_MED_COST_HSP
							'医療費情報作成（入退院単位）
							sql = sqlMAX060F010.sqlIns_MTI_MED_COST_1
						Case Enum_SQLSUBID.SQLSUBID_INS_MTI_MED_COST_CH
							'医療費情報作成（科歴単位）
							sql = sqlMAX060F010.sqlIns_MTI_MED_COST_2
						Case Enum_SQLSUBID.SQLSUBID_DEL_MTI_MED_COST_ZERO_HSP
							'医療費情報削除（医療費無し、入退院単位）
							sql = sqlMAX060F010.sqlDel_MTI_MED_COST_AT0_1
						Case Enum_SQLSUBID.SQLSUBID_DEL_MTI_MED_COST_ZERO_CH
							'医療費情報削除（医療費無し、科歴単位）
							sql = sqlMAX060F010.sqlDel_MTI_MED_COST_AT0_2
						Case Enum_SQLSUBID.SQLSUBID_GET_MTM_MED_COST_ITM
							'医療費項目マスタ取得
							sql = sqlMAX060F010.sqlSel_MTM_MED_COST_ITM
						Case Enum_SQLSUBID.SQLSUBID_SEL_MTI_HSP_COST
							'入退院情報の医療費更新
							Dim sqlSub As String = Nothing
							'SQL部分文字列取得
							Me.GetSubSQL(sqlSub)
							sql = sqlMAX060F010.sqlSel_MTI_HSP_SUM_PART1
							sql &= sqlSub
							sql &= sqlMAX060F010.sqlSel_MTI_HSP_SUM_PART2
						Case Enum_SQLSUBID.SQLSUBID_SEL_MTI_CH_COST
							'科歴情報の医療費更新
							Dim sqlSub As String = Nothing
							'SQL部分文字列取得
							Me.GetSubSQL(sqlSub)
							sql = sqlMAX060F010.sqlSel_MTI_CH_SUM_PART1
							sql &= sqlSub
							sql &= sqlMAX060F010.sqlSel_MTI_CH_SUM_PART2
						Case Enum_SQLSUBID.SQLSUBID_UPD_MTI_HSP_COST
							'入退院情報の医療費更新
							sql = sqlMAX060F010.sqlUpd_MTI_HSP
						Case Enum_SQLSUBID.SQLSUBID_UPD_MTI_CH_COST
							'科歴情報の医療費更新
							sql = sqlMAX060F010.sqlUpd_MTI_CH
						Case Enum_SQLSUBID.SQLSUBID_UPD_MIT_HSP_COST_FR_CH
							'科歴情報から入退院情報医療費、医療費数更新
							sql = sqlMAX060F010.sqlUpd_MTI_HSP_SUM
						Case Enum_SQLSUBID.SQLSUBID_DEL_WRK
							'ワークテーブル削除
							sql = sqlMAX060F010.sqlDel_MTW_MED_COST_INFO_ALL
						Case Enum_SQLSUBID.SQLSUBID_DEL_DETAIL
							'選択明細削除
							sql = sqlMAX060F010.sqlDel_MTI_MED_COST_DETAILS
						Case Else
					End Select

				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成（補助版）
	''' （医療費合計算出補助）
	''' </summary>
	''' <param name="sql">SQL文格納用</param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetSubSQL(ByRef sql As String)
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetSQL", "SQL文作成（補助版） Start")
		Dim dat As ArrayList = Nothing
		Try
			dat = New ArrayList
			'医療費項目マスタを参照し、合計額算出部のSQLを生成する
			Dim ret As Integer = -1
			Using tmpDb As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				Me.GetSQL(sql, Enum_SQLID.SQLID_DEL, Enum_SQLSUBID.SQLSUBID_GET_MTM_MED_COST_ITM)
				tmpDb.setSQL(sql)
				tmpDb.setParam(sqlMAX060F010.prmTOTAL_OBJECT_FLG, XCM.clsDB.Enum_dbType.dbInt)
				tmpDb.setVal(sqlMAX060F010.prmTOTAL_OBJECT_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn, False)
				ret = tmpDb.execQuery(GetType(datMAX060F010_MTM_MED_COST_ITM_Rec), dat, False)
				If ret = -1 Then
					'異常処理
					Exit Sub
				End If

				'合計算出用SQL生成
				If dat.Count > 0 Then
					sql = Nothing
					For idx As Integer = 0 To dat.Count - 1
						Dim strCd As String = DirectCast(dat.Item(idx), datMAX060F010_MTM_MED_COST_ITM_Rec).MED_COST_CD
						If idx > 0 Then
							sql &= sqlMAX060F010.sqlCND_COST_PLUS
						End If
						sql &= sqlMAX060F010.sqlCND_COST_LEFT _
						 & strCd _
						 & sqlMAX060F010.sqlCND_COST_RIGHT
					Next idx
				Else
					'合計額は0
					sql = sqlMAX060F010.sqlCND_COST_ZERO
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			If dat IsNot Nothing Then dat.Clear()
			dat = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データグリッドで選択された患者番号を取得
	''' </summary>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetPatnoAry(ByRef alPatNo As ArrayList)
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetPatnoAry", "データグリッドで選択された患者番号を取得 Start")
		Try
			'データグリッド明細数分ループ
			For i As Integer = 0 To Me.dgv030MAX060F010.Rows.Count - 1
				Dim tmpRow As System.Windows.Forms.DataGridViewRow = Me.dgv030MAX060F010.Rows(i)
				If tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).Value = True OrElse _
				   tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).GetEditedFormattedValue(i, DataGridViewDataErrorContexts.Formatting) = True Then
					'キー項目を取得
					Dim strPatNo As String = tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_PATIENT_NO).Value
					If alPatNo.IndexOf(strPatNo) < 0 Then
						alPatNo.Add(strPatNo)
					End If
				End If
			Next i
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 初期画面表示
	''' </summary>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub ClearInput()
		Me.log(XCM.clsSysMst.logLevel.DBG, "ClearInput", "入力項目クリア Start")
		Try
			'入力項目のクリア、操作可能コントロールの調整
			Me.dgv030MAX060F010.DataSource = Nothing
			'Me.chk003MAX060F010.Checked = False
			'Me.chk007MAX060F010.Checked = False
			'Me.chk011MAX060F010.Checked = False
			'Me.chk015MAX060F010.Checked = False
			'Me.dte004MAX060F010.DateValue = Nothing
			'Me.dte006MAX060F010.DateValue = Nothing
			'Me.dte008MAX060F010.DateValue = Nothing
			'Me.dte010MAX060F010.DateValue = Nothing
			'Me.msk012MAX060F010.Text = Nothing
			'Me.msk014MAX060F010.Text = Nothing
			'Me.txt016MAX060F010.Text = Nothing
			'Me.txt018MAX060F010.Text = Nothing
			Me.lbl026MAX060F010.Text = Nothing
			Me.lbl028MAX060F010.Text = Nothing

			'Me.pnl001MAX060F010.Enabled = True
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データグリッド一括チェック処理
	''' </summary>
	''' <param name="flg">
	''' True:チェック付ける
	''' False:チェックはずす
	''' </param>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub DataGridCheck(ByVal flg As Boolean)
		Me.log(XCM.clsSysMst.logLevel.DBG, "DataGridCheck", "データグリッド一括チェック処理 Start")
		Try
			If Me.dgv030MAX060F010.DataSource Is Nothing = False Then
				For Each tmpRow As System.Windows.Forms.DataGridViewRow In Me.dgv030MAX060F010.Rows
					tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).Value = flg
				Next tmpRow
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データグリッド一括チェック数カウント処理
	''' </summary>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub DataGridCheckCounter()
		Me.log(XCM.clsSysMst.logLevel.DBG, "DataGridCheckCounter", "データグリッド一括チェック数カウント処理 Start")
		Try
			Dim cnt As Integer = 0
			If Me.dgv030MAX060F010.DataSource Is Nothing = False AndAlso _
			   Me.dgv030MAX060F010.Rows.Count > 0 Then
				For i As Integer = 0 To Me.dgv030MAX060F010.Rows.Count - 1
					Dim tmpRow As System.Windows.Forms.DataGridViewRow = Me.dgv030MAX060F010.Rows(i)
					If tmpRow.Cells.Item(Enum_GRIDCOLUMN.COLUMN_CHECK).GetEditedFormattedValue(i, DataGridViewDataErrorContexts.Formatting) = True Then
						cnt += 1
					End If
				Next i
				'件数ラベルに反映
				Me.lbl026MAX060F010.Text = cnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データグリッドに一覧データセット
	''' </summary>
	''' <remarks>
	''' 2011/02/03 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setDataGridView()
		Me.log(XCM.clsSysMst.logLevel.DBG, "setDataGridView", "データグリッドに一覧データセット Start")
		Try
			Dim cnt As Integer = 0
			'画面クリア
			Me.ClearInput()
			Using dat As New DataTable()
				'検索実行
				cnt = Me.SelData(dat)
				If cnt = -1 Then
					'異常
					Exit Sub
				End If
				If cnt > 0 Then
					'明細部表示設定
					Me.dgv030MAX060F010.DataSource = dat
					Me.lbl026MAX060F010.Text = 0
					Me.lbl028MAX060F010.Text = cnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
					'一覧にフォーカス
					Me.dgv030MAX060F010.Select()
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

'(A) STR V4-11007-000 025 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	'''---------------------------------------------
	''' <summary>
	''' 戻り処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2011/06/29 新規作成 荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Sub rcvData(ret As XCM.frmBase.Enum_FormReturn, de As System.Collections.DictionaryEntry)
		Me.log(XCM.clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "戻り処理 Start")
		Try
			Select Case de.Key
				Case CST_XCM020F010_CD
					'エラー画面から戻った場合はﾒｯｾｰｼﾞを表示する
					If de.Value IsNot Nothing AndAlso de.Value.ToString = CST_RUNPROC_NAME Then
						Me.showMsg("I0006", "削除", Nothing)			'終了メッセージ出力
					End If
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-11007-000 025 20110809

	'''---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub SelProc()
		Me.log(XCM.clsSysMst.logLevel.DBG, "SelProc", "検索処理 Start")
		Try
			If Me.ChkData() = True Then
				'検索条件設定
				Me.cliSearch.getSearch(Me)
				'対象データを一覧表示
				Me.setDataGridView()
				If Me.dgv030MAX060F010.RowCount = 0 Then
					'検索結果が無い場合
					Me.showMsg("I0001", "検索", Nothing)
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 削除処理
	''' </summary>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub UpdProc()
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdProc", "削除処理 Start")
		Try
			'チェック数再カウント
			Me.DataGridCheckCounter()

			If String.IsNullOrEmpty(Me.lbl026MAX060F010.Text) = True OrElse Me.lbl026MAX060F010.Text = "0" Then
				Me.showMsg("E0014", "対象", Nothing)			'対象が選択されていません。
'(D) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then		'登録系の起動を確認
'																'「削除しますか?」のメッセージを表示
'(D) END V4-11007-000 004 20110809
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'ElseIf Me.confMsg("Q0005", System.Windows.Forms.MessageBoxDefaultButton.Button2, "削除", Nothing) <> MsgBoxResult.Ok Then
			ElseIf Me.confMsg("Q0005", System.Windows.Forms.MessageBoxDefaultButton.Button2, "削除", Nothing) <> MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
			'ElseIf Me.chkStartStatusRegSys() = True Then		'登録系の起動を再確認
'(D) END V4-11007-000 003 20110809
			Else
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'				Me.DelData()									'データ削除処理
				If Me.DelData() = True Then	'データ削除処理
'(M) END V4-11007-000 004 20110809
					Me.showMsg("I0006", "削除", Nothing)			'終了メッセージ出力
					'再検索
					'Me.SelProc()
					Me.setDataGridView()
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
				End If
'(A) END V4-11007-000 003 20110809
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' Ｆ５キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F5KeyProc() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "F5KeyProc", "Ｆ５キー押下処理 Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'削除処理
			Me.UpdProc()
			Return True
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１１キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F11KeyProc() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "F11KeyProc", "Ｆ１１キー押下処理 Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'検索処理
			Me.SelProc()
			Return True
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class