﻿Imports System.Windows.Forms
Imports System.ComponentModel
Imports System.Drawing
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 患者番号変更処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX090F010

#Region "コンスタント"

	'遷移先固定ID
	Private Const CST_SHOW_XSP010F010_ID1 As String = "XSP010F010_1"
	Private Const CST_SHOW_XSP010F010_ID2 As String = "XSP010F010_2"

#End Region

#Region "変数"

	Private cliXSP010F010 As XSP.XSP010F010		'患者検索画面フォーム

	Private plPATIENT_NO_Bfr As String			'患者番号バッファ（統合前側）
	Private plPATIENT_NO_Aft As String			'患者番号バッファ（統合後側）

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 患者番号統合画面＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX090F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX090F010_Load", "患者番号統合画面＿初期設定 Start")
		Try
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号統合画面＿閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX090F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX090F010_FormClosing", "患者番号統合画面＿閉じる Start")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'メモリ解放
			Me.cliXSP010F010 = Nothing
			Me.plPATIENT_NO_Bfr = Nothing
			Me.plPATIENT_NO_Aft = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 統合元患者番号ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn001MAX090F010_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn001MAX090F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn001MAX090F010_Click", "統合元患者番号ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.cliXSP010F010 = New XSP.XSP010F010(CST_SHOW_XSP010F010_ID1, Me.msk002MAX090F010.Name, XSP010F010.Enum_XSP010F010_Prd.prdM)
			Me.nextForm(Me.cliXSP010F010)
			Me.msk002MAX090F010.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 統合先患者番号ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn005MAX090F010_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn005MAX090F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn005MAX090F010_Click", "統合先患者番号ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.cliXSP010F010 = New XSP.XSP010F010(CST_SHOW_XSP010F010_ID2, Me.msk006MAX090F010.Name, XSP010F010.Enum_XSP010F010_Prd.prdM)
			Me.nextForm(Me.cliXSP010F010)
			Me.msk006MAX090F010.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号（統合前）テキストボックスフォーカス
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub msk002MAX090F010_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk002MAX090F010.GotFocus
		Me.log(XCM.clsSysMst.logLevel.NRM, "msk002MAX090F010_GotFocus", "患者番号（統合前）テキストボックスフォーカス Start")
		Try
			'患者番号一時記録
			Me.plPATIENT_NO_Bfr = sender.Text
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号（統合前）テキストボックスフォーカス移動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub msk002MAX090F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk002MAX090F010.Validated
		Me.log(XCM.clsSysMst.logLevel.NRM, "msk002MAX090F010_Validated", "患者番号（統合前）テキストボックスフォーカス移動 Start")
		Try
			'患者番号が以前と異なる場合、患者番号に対応する患者名を取得する
			Dim tmp As String = Nothing

			If Me.plPATIENT_NO_Bfr <> sender.Text Then
				tmp = Me.GetPatientName(sender)
				Me.lbl003MAX090F010.Text = tmp
			End If

			'患者番号一時記録
			Me.plPATIENT_NO_Bfr = sender.Text
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号（統合後）テキストボックスフォーカス
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub msk006MAX090F010_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk006MAX090F010.GotFocus
		Me.log(XCM.clsSysMst.logLevel.NRM, "msk006MAX090F010_GotFocus", "患者番号（統合後）テキストボックスフォーカス Start")
		Try
			'患者番号一時記録
			Me.plPATIENT_NO_Aft = sender.Text
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号（統合後）テキストボックスフォーカス移動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub msk006MAX090F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk006MAX090F010.Validated
		Me.log(XCM.clsSysMst.logLevel.NRM, "msk006MAX090F010_Validated", "患者番号（統合後）テキストボックスフォーカス移動 Start")
		Try
			'患者番号が以前と異なる場合、患者番号に対応する患者名を取得する
			Dim tmp As String = Nothing

			If Me.plPATIENT_NO_Aft <> sender.Text Then
				tmp = Me.GetPatientName(sender)
				Me.lbl007MAX090F010.Text = tmp
			End If

			'患者番号一時記録
			Me.plPATIENT_NO_Aft = sender.Text
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常、False:入力値異常</returns>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkData() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkData", "入力チェック Start")
		Dim ret As Boolean = False
		Try
			'Validatedのチェック
			If Me.ValidateChildren() = True Then
				'患者番号の必須チェック
				If String.IsNullOrEmpty(Me.msk002MAX090F010.Text) = True Then
					Me.addErrList("E0016", Me.msk002MAX090F010.Name, Me.btn001MAX090F010.Text, Me.btn001MAX090F010.Text, Nothing)
				Else
					'存在チェック
					If String.IsNullOrEmpty(Me.lbl003MAX090F010.Text) = True Then
						Me.addErrList("E0015", Me.msk002MAX090F010.Name, Me.btn001MAX090F010.Text, Me.btn001MAX090F010.Text, Nothing)
					End If
				End If
				'新患者番号の必須チェック
				If String.IsNullOrEmpty(Me.msk006MAX090F010.Text) = True Then
					Me.addErrList("E0016", Me.msk006MAX090F010.Name, Me.btn005MAX090F010.Text, Me.btn005MAX090F010.Text, Nothing)
				Else
					'新患者番号の存在チェック
					If String.IsNullOrEmpty(Me.lbl007MAX090F010.Text) = True Then
						Me.addErrList("E0015", Me.msk006MAX090F010.Name, Me.btn005MAX090F010.Text, Me.btn005MAX090F010.Text, Nothing)
					End If
				End If
				'患者番号が同じ
				If Me.msk002MAX090F010.Text = Me.msk006MAX090F010.Text Then
					Me.addErrList("E0021", Me.msk002MAX090F010.Name, "患者番号", "同じ患者番号", Nothing)
				End If
				'患者の死亡チェック
				If Me.ChkDead(Me.msk002MAX090F010.Text) = 1 AndAlso _
				   Me.ChkDead(Me.msk006MAX090F010.Text) = 1 Then
					Me.addErrList("E0003", Me.msk002MAX090F010.Name, "患者番号", "両方とも死亡情報がある", "統合", Nothing)
				End If
				'DPC情報チェック
				If Me.ChkDPC(Me.msk002MAX090F010.Text, Me.msk006MAX090F010.Text) > 0 Then
					Me.addErrList("E0003", Me.msk002MAX090F010.Name, "患者番号", "両方とも同じDPC情報がある", "統合", Nothing)
				End If

				'エラーがある場合はエラー画面を表示する
				If Me.getErrCount() > 0 Then
					Me.nextErrForm()
				Else
					ret = True
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' データ更新処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub UpdData()
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdData", "データ更新処理 Start")
		Try
			Dim ret As Integer = -1

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				Try
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)

					'入退院歴番号の更新（事前処理）
					If Me.Upd_HSP_HISTORY_NO_PRE(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'統合先患者の基本情報更新
					'統合先の患者に存在しない情報を、統合元の患者情報で更新する
					If Me.Upd_NEW_XTI_BASICINFO(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'統合元患者情報の基本情報削除処理
					If Me.Del_XTI_BASICINFO(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'統合元の貸出物情報を削除する
					If Me.Del_MTI_LENDITM(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If
					'統合元の貸出情報を削除する
					If Me.Del_MTI_LEND(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'対象テーブルの統合元患者番号を統合先患者番号に更新
					If Me.Upd_PATNO(db, Me.msk002MAX090F010.Text, Me.msk006MAX090F010.Text) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'統合元患者の医療費明細情報連番を再採番する
					If Me.Upd_COST_SERIAL(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'入退院歴番号を再採番する
					If Me.Upd_NEW_HSP_HISTORY_NO(db, Me.msk006MAX090F010.Text) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'統合元の貸出物情報、貸出情報を削除する
					If Me.Del_MTI_LENDITM(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If
					If Me.Del_MTI_LEND(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'貸出管理 管理物情報、貸出情報の患者番号を変更
					If Me.Upd_LTI_LEND(db) = False Then
						'更新異常
						'ロールバック処理
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Exit Sub
					End If

					'トランザクションコミット処理
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					Throw
				Finally
					'ロールバック処理
					If db.statTran() = True Then
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
					End If
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 入退院歴番号を更新する（事前処理）
	''' 退院済、入院中の患者番号を暫定的に10001からの連番で更新する
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <returns>True：更新成功、False:異常</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Upd_HSP_HISTORY_NO_PRE(ByRef db As XCM.clsDB) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Upd_HSP_HISTORY_NO_PRE", "入退院歴番号を更新する（事前処理） Start")
		Dim ret As Boolean = False
		Dim rec As ArrayList
		Try
			Dim newNo As Integer = 10001
			Dim recCnt As Integer = -1
			For mode As Integer = 0 To 1
				rec = New ArrayList
				'入退院情報取得（modeが0：退院済み、1：入院中）
				recCnt = Me.GetMTI_HSP(db, Me.msk002MAX090F010.Text, Me.msk006MAX090F010.Text, mode, rec)
				If recCnt = -1 Then
					'異常
					Return ret
				End If

				'入退院歴番号を更新
				For Each tmpRow As datMAX090F010_GET_MTI_HSP_Rec In rec
					'キー項目を取得（患者番号、入退院歴番号）
					Dim patNo As String = tmpRow.PATIENT_NO
					Dim hstNo As Integer = tmpRow.HSP_HISTORY_NO

					'対象テーブルで入退院歴番号を置き換え
					recCnt = Me.Upd_HSP_HISTORY_NO(db, patNo, hstNo, newNo)
					Select Case recCnt
						Case -1
							'更新異常
							Return ret
						Case Is > 0
							'入退院歴番号カウントアップ
							newNo += 1
						Case Else
					End Select
				Next tmpRow
			Next mode
			ret = True
		Catch ex As Exception
			Throw
		Finally
			rec = Nothing
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 統合先の基本情報が存在しない場合、統合元の基本情報で更新する
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <returns>True：更新成功、False:異常</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Upd_NEW_XTI_BASICINFO(ByRef db As XCM.clsDB) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Upd_NEW_XTI_BASICINFO", "統合先の基本情報が存在しない場合、統合元の基本情報で更新する Start")
		Dim ret As Boolean = False
		Dim datOld As DataTable = Nothing
		Dim datNew As DataTable = Nothing
		Try
			datOld = New DataTable
			datNew = New DataTable

			Using cliBas As New XCM.clsXTI_BASICINFO()
				'統合元患者情報、統合先患者情報を取得する
				datOld = cliBas.getPatientOneRecDa(Me.msk002MAX090F010.Text)
				datNew = cliBas.getPatientOneRecDa(Me.msk006MAX090F010.Text)

				If datOld.Rows.Count > 0 AndAlso _
				   datNew.Rows.Count > 0 Then
					'パラメータセット
					db.setSQL(sqlMAX090F010.sqlUPD_XTI_BASICINFO)
					db.setParam(sqlMAX090F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPATIENT_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPATIENT_KNM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPREVIOUS1_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPREVIOUS1_KNM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPREVIOUS2_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPREVIOUS2_KNM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmGENDER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmBIRTH_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX090F010.prmBLOODTYPE_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmRH_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmBLOOD_TRAN_CHK, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmRELATION_PATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmSMOKING_CHK, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmSMOKING_START_AGE, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX090F010.prmSMOKING_END_AGE, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX090F010.prmSMOKING_COUNT, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX090F010.prmSMOKING_AGE, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX090F010.prmDRINKING_CHK, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPREGNANCY_CHK, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPREGNANCY_COUNT, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX090F010.prmCB_CHK, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmCB_COUNT, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX090F010.prmMENARCHE_AGE, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX090F010.prmMENOPAUSE_AGE, XCM.clsDB.Enum_dbType.dbInt)
					db.setParam(sqlMAX090F010.prmREMARKS, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmFIRSTHSPVST_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX090F010.prmLASTHSPVST_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX090F010.prmLASTDEPT_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmLASTLEFTHSP_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX090F010.prmNATIONALITY_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmDOMICILE_ADDRESS_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmDOMICILE_ADDRESS, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmCONTACT_PATIENT_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmCONTACT_RELATION, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmCONTACT_ZIP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmCONTACT_TELNUMBER, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmCONTACT_ADDRESS, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmNEW_REG_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX090F010.prmDATA_CAPTURE_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX080F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX080F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbNVarChar)

					'値セット
					db.setVal(sqlMAX090F010.prmPATIENT_NO, Me.msk006MAX090F010.Text)
					'下記項目については、統合元情報が空でない場合、統合先へ上書きする
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmPATIENT_NM, sqlMAX090F010.itmPATIENT_NM)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmPATIENT_KNM, sqlMAX090F010.itmPATIENT_KNM)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmPREVIOUS1_NM, sqlMAX090F010.itmPREVIOUS1_NM)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmPREVIOUS1_KNM, sqlMAX090F010.itmPREVIOUS1_KNM)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmPREVIOUS2_NM, sqlMAX090F010.itmPREVIOUS2_NM)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmPREVIOUS2_KNM, sqlMAX090F010.itmPREVIOUS2_KNM)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmGENDER_CD, sqlMAX090F010.itmGENDER_CD)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmBIRTH_DT, sqlMAX090F010.itmBIRTH_DT)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmBLOODTYPE_CD, sqlMAX090F010.itmBLOODTYPE_CD)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmRH_CD, sqlMAX090F010.itmRH_CD)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmRELATION_PATIENT_NO, sqlMAX090F010.itmRELATION_PATIENT_NO)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmSMOKING_START_AGE, sqlMAX090F010.itmSMOKING_START_AGE)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmSMOKING_END_AGE, sqlMAX090F010.itmSMOKING_END_AGE)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmSMOKING_COUNT, sqlMAX090F010.itmSMOKING_COUNT)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmSMOKING_AGE, sqlMAX090F010.itmSMOKING_AGE)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmPREGNANCY_COUNT, sqlMAX090F010.itmPREGNANCY_COUNT)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmCB_COUNT, sqlMAX090F010.itmCB_COUNT)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmMENARCHE_AGE, sqlMAX090F010.itmMENARCHE_AGE)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmMENOPAUSE_AGE, sqlMAX090F010.itmMENOPAUSE_AGE)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmREMARKS, sqlMAX090F010.itmREMARKS)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmNATIONALITY_CD, sqlMAX090F010.itmNATIONALITY_CD)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmDOMICILE_ADDRESS_CD, sqlMAX090F010.itmDOMICILE_ADDRESS_CD)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmDOMICILE_ADDRESS, sqlMAX090F010.itmDOMICILE_ADDRESS)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmCONTACT_PATIENT_NM, sqlMAX090F010.itmCONTACT_PATIENT_NM)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmCONTACT_RELATION, sqlMAX090F010.itmCONTACT_RELATION)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmCONTACT_ZIP_CD, sqlMAX090F010.itmCONTACT_ZIP_CD)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmCONTACT_TELNUMBER, sqlMAX090F010.itmCONTACT_TELNUMBER)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmCONTACT_ADDRESS, sqlMAX090F010.itmCONTACT_ADDRESS)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmNEW_REG_DT, sqlMAX090F010.itmNEW_REG_DT)
					Me.SetValue(db, datOld, datNew, sqlMAX090F010.prmDATA_CAPTURE_DT, sqlMAX090F010.itmDATA_CAPTURE_DT)

					'下記項目については、上記の項目とは上書き条件が異なる
					'輸血歴有無コード
					If String.IsNullOrEmpty(datOld.Rows(0).Item(sqlMAX090F010.itmBLOOD_TRAN_CHK).ToString) = True OrElse _
					   datOld.Rows(0).Item(sqlMAX090F010.itmBLOOD_TRAN_CHK).ToString = XCM.clsConst.Enum_Chk.ChkOff Then
						db.setVal(sqlMAX090F010.prmBLOOD_TRAN_CHK, datNew.Rows(0).Item(sqlMAX090F010.itmBLOOD_TRAN_CHK).ToString)
					Else
						db.setVal(sqlMAX090F010.prmBLOOD_TRAN_CHK, datOld.Rows(0).Item(sqlMAX090F010.itmBLOOD_TRAN_CHK).ToString)
					End If
					'喫煙歴有無コード
					If String.IsNullOrEmpty(datOld.Rows(0).Item(sqlMAX090F010.itmSMOKING_CHK).ToString) = True OrElse _
					   datOld.Rows(0).Item(sqlMAX090F010.itmSMOKING_CHK).ToString = XCM.clsConst.Enum_Chk.ChkOff Then
						db.setVal(sqlMAX090F010.prmSMOKING_CHK, datNew.Rows(0).Item(sqlMAX090F010.itmSMOKING_CHK).ToString)
					Else
						db.setVal(sqlMAX090F010.prmSMOKING_CHK, datOld.Rows(0).Item(sqlMAX090F010.itmSMOKING_CHK).ToString)
					End If
					'飲酒有無コード
					If String.IsNullOrEmpty(datOld.Rows(0).Item(sqlMAX090F010.itmDRINKING_CHK).ToString) = True OrElse _
					   datOld.Rows(0).Item(sqlMAX090F010.itmDRINKING_CHK).ToString = XCM.clsConst.Enum_Chk.ChkOff Then
						db.setVal(sqlMAX090F010.prmDRINKING_CHK, datNew.Rows(0).Item(sqlMAX090F010.itmDRINKING_CHK).ToString)
					Else
						db.setVal(sqlMAX090F010.prmDRINKING_CHK, datOld.Rows(0).Item(sqlMAX090F010.itmDRINKING_CHK).ToString)
					End If
					'妊娠歴有無コード
					If String.IsNullOrEmpty(datOld.Rows(0).Item(sqlMAX090F010.itmPREGNANCY_CHK).ToString) = True OrElse _
					   datOld.Rows(0).Item(sqlMAX090F010.itmPREGNANCY_CHK).ToString = XCM.clsConst.Enum_Chk.ChkOff Then
						db.setVal(sqlMAX090F010.prmPREGNANCY_CHK, datNew.Rows(0).Item(sqlMAX090F010.itmPREGNANCY_CHK).ToString)
					Else
						db.setVal(sqlMAX090F010.prmPREGNANCY_CHK, datOld.Rows(0).Item(sqlMAX090F010.itmPREGNANCY_CHK).ToString)
					End If
					'出産歴有無コード
					If String.IsNullOrEmpty(datOld.Rows(0).Item(sqlMAX090F010.itmCB_CHK).ToString) = True OrElse _
					   datOld.Rows(0).Item(sqlMAX090F010.itmCB_CHK).ToString = XCM.clsConst.Enum_Chk.ChkOff Then
						db.setVal(sqlMAX090F010.prmCB_CHK, datNew.Rows(0).Item(sqlMAX090F010.itmCB_CHK).ToString)
					Else
						db.setVal(sqlMAX090F010.prmCB_CHK, datOld.Rows(0).Item(sqlMAX090F010.itmCB_CHK).ToString)
					End If
					'初回来院日
					If String.IsNullOrEmpty(datOld.Rows(0).Item(sqlMAX090F010.itmFIRSTHSPVST_DT).ToString) = True OrElse _
					   (String.IsNullOrEmpty(datNew.Rows(0).Item(sqlMAX090F010.itmFIRSTHSPVST_DT).ToString) = False AndAlso _
						Date.Compare(datOld.Rows(0).Item(sqlMAX090F010.itmFIRSTHSPVST_DT).ToString, datNew.Rows(0).Item(sqlMAX090F010.itmFIRSTHSPVST_DT).ToString) > 0) Then
						db.setVal(sqlMAX090F010.prmFIRSTHSPVST_DT, datNew.Rows(0).Item(sqlMAX090F010.itmFIRSTHSPVST_DT).ToString)
					Else
						db.setVal(sqlMAX090F010.prmFIRSTHSPVST_DT, datOld.Rows(0).Item(sqlMAX090F010.itmFIRSTHSPVST_DT).ToString)
					End If
					'最終来院日
					If String.IsNullOrEmpty(datOld.Rows(0).Item(sqlMAX090F010.itmLASTHSPVST_DT).ToString) = True OrElse _
					   (String.IsNullOrEmpty(datNew.Rows(0).Item(sqlMAX090F010.itmLASTHSPVST_DT).ToString) = False AndAlso _
						Date.Compare(datOld.Rows(0).Item(sqlMAX090F010.itmLASTHSPVST_DT).ToString, datNew.Rows(0).Item(sqlMAX090F010.itmLASTHSPVST_DT).ToString) < 0) Then
						db.setVal(sqlMAX090F010.prmLASTHSPVST_DT, datNew.Rows(0).Item(sqlMAX090F010.itmLASTHSPVST_DT).ToString)
					Else
						db.setVal(sqlMAX090F010.prmLASTHSPVST_DT, datOld.Rows(0).Item(sqlMAX090F010.itmLASTHSPVST_DT).ToString)
					End If
					'最終退院日
					If String.IsNullOrEmpty(datOld.Rows(0).Item(sqlMAX090F010.itmLASTLEFTHSP_DT).ToString) = True OrElse _
					   (String.IsNullOrEmpty(datNew.Rows(0).Item(sqlMAX090F010.itmLASTLEFTHSP_DT).ToString) = False AndAlso _
						Date.Compare(datOld.Rows(0).Item(sqlMAX090F010.itmLASTLEFTHSP_DT).ToString, datNew.Rows(0).Item(sqlMAX090F010.itmLASTLEFTHSP_DT).ToString) < 0) Then
						db.setVal(sqlMAX090F010.prmLASTLEFTHSP_DT, datNew.Rows(0).Item(sqlMAX090F010.itmLASTLEFTHSP_DT).ToString)
						'最終受診科コード
						db.setVal(sqlMAX090F010.prmLASTDEPT_CD, datNew.Rows(0).Item(sqlMAX090F010.itmLASTDEPT_CD).ToString)
					Else
						db.setVal(sqlMAX090F010.prmLASTLEFTHSP_DT, datOld.Rows(0).Item(sqlMAX090F010.itmLASTLEFTHSP_DT).ToString)
						'最終受診科コード
						db.setVal(sqlMAX090F010.prmLASTDEPT_CD, datOld.Rows(0).Item(sqlMAX090F010.itmLASTDEPT_CD).ToString)
					End If
					db.setVal(sqlMAX080F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX080F010.prmLASTUPD_DT, DateTime.Now())

					Dim recCnt As Integer = db.execNonQuery(False)
					If recCnt = -1 Then
						'更新異常
						Return ret
					End If
				End If
			End Using
			ret = True
		Catch ex As Exception
			Throw
		Finally
			If datOld IsNot Nothing Then datOld.Dispose()
			datOld = Nothing
			If datNew IsNot Nothing Then datNew.Dispose()
			datNew = Nothing
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 統合元患者情報の基本情報削除処理
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <returns>True：更新成功、False:異常</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Del_XTI_BASICINFO(ByRef db As XCM.clsDB) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Del_XTI_BASICINFO", "統合元患者情報の基本情報削除処理 Start")
		Dim ret As Boolean = False
		Try
			db.setSQL(sqlMAX090F010.sqlDEL_XTI_BASICINFO)
			db.setParam(sqlMAX090F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO, Me.msk002MAX090F010.Text)
			Dim recCnt As Integer = db.execNonQuery(False)
			If recCnt < 1 Then
				'更新異常
				Return ret
			End If
			ret = True
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 統合元患者情報の患者単位の貸出物情報を削除
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <returns>True：更新成功、False:異常</returns>
	''' <remarks>
	''' 2011/02/07 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Del_MTI_LENDITM(ByRef db As XCM.clsDB) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Del_MTI_LENDITM", "統合元患者情報の患者単位の貸出物情報を削除 Start")
		Dim ret As Boolean = False
		Try
			db.setSQL(sqlMAX090F010.sqlDel_MTI_LENDITM)
			db.setParam(sqlMAX090F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO, Me.msk002MAX090F010.Text)
			Dim recCnt As Integer = db.execNonQuery(False)
			If recCnt = -1 Then
				'更新異常
				Return ret
			End If
			ret = True
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 統合元患者情報の患者単位の貸出情報を削除
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <returns>True：更新成功、False:異常</returns>
	''' <remarks>
	''' 2011/02/07 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Del_MTI_LEND(ByRef db As XCM.clsDB) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Del_MTI_LEND", "統合元患者情報の患者単位の貸出情報を削除 Start")
		Dim ret As Boolean = False
		Try
			db.setSQL(sqlMAX090F010.sqlDel_MTI_LEND)
			db.setParam(sqlMAX090F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO, Me.msk002MAX090F010.Text)
			Dim recCnt As Integer = db.execNonQuery(False)
			If recCnt = -1 Then
				'更新異常
				Return ret
			End If
			ret = True
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 貸出管理 管理物情報、貸出情報の統合
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <returns>True：更新成功、False:異常</returns>
	''' <remarks>
	''' 2011/02/07 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Upd_LTI_LEND(ByRef db As XCM.clsDB) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Upd_LTI_LEND", "貸出管理 管理物情報、貸出情報の統合 Start")
		Dim ret As Boolean = False
		Dim recLendCnt As Integer
		Dim recLendItmCnt As Integer
		Try
			'貸出情報
			db.setSQL(sqlMAX090F010.sqlUpd_LTI_LENDINFO)
			db.setParam(sqlMAX090F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO_BFR, Me.msk002MAX090F010.Text)
			db.setVal(sqlMAX090F010.prmPATIENT_NO_AFT, Me.msk006MAX090F010.Text)
			recLendCnt = db.execNonQuery(False)
			If recLendCnt = -1 Then
				'更新異常
				Return ret
			End If

			'管理物情報
			db.setSQL(sqlMAX090F010.sqlUpd_LTI_MNGITEMINFO)
			db.setParam(sqlMAX090F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO_BFR, Me.msk002MAX090F010.Text)
			db.setVal(sqlMAX090F010.prmPATIENT_NO_AFT, Me.msk006MAX090F010.Text)
			recLendItmCnt = db.execNonQuery(False)
			If recLendItmCnt = -1 Then
				'更新異常
				Return ret
			End If


			ret = True
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 統合元患者の医療費明細連番を更新する
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <returns>True：更新成功、False:異常</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Upd_COST_SERIAL(ByRef db As XCM.clsDB) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Upd_COST_SERIAL", "統合元患者の医療費明細連番を更新する Start")
		Dim ret As Boolean = False
		Dim rec As ArrayList = Nothing
		Dim rec2 As ArrayList = Nothing
		Try
			rec = New ArrayList
			Dim recCnt As Integer = -1
			'統合元患者の医療費明細情報を取得
			db.setSQL(sqlMAX090F010.sqlSel_MTI_MED_COST_DETAILS)
			db.setParam(sqlMAX090F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO, Me.msk002MAX090F010.Text)
			recCnt = db.execQuery(GetType(datMAX090F010_GET_MTW_MED_COST_INFO_Rec), rec, False)
			If recCnt = -1 Then
				'更新異常
				Return ret
			End If

			'統合元患者の医療費明細連番を更新
			Dim tmpDat As Date = Nothing
			Dim idx As Integer = 0
			For Each tmpRow As datMAX090F010_GET_MTW_MED_COST_INFO_Rec In rec
				If tmpDat <> tmpRow.MED_COST_DATE Then
					tmpDat = tmpRow.MED_COST_DATE
					idx = 0
					rec2 = New ArrayList

					'統合先患者の同一日明細情報連番のMAX値を取得
					tmpDat = tmpRow.MED_COST_DATE
					db.setSQL(sqlMAX090F010.sqlSel_MTI_MED_COST_DETAILS_MAX_SERIAL_NO)
					db.setParam(sqlMAX090F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmMED_COST_DATE, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX090F010.prmPATIENT_NO, Me.msk006MAX090F010.Text)
					db.setVal(sqlMAX090F010.prmMED_COST_DATE, tmpDat)
					recCnt = db.execQuery(GetType(datMAX090F010_GET_MTW_MED_COST_INFO_Rec), rec2, False)
					If recCnt = -1 Then
						'更新異常
						Return ret
					End If

					'連番MAX値を取得
					If rec2.Count > 0 Then
						idx = DirectCast(rec2.Item(0), datMAX090F010_GET_MTW_MED_COST_INFO_Rec).SERIAL_NO
					End If
				End If

				'統合元患者の連番を更新する
				idx += 1

				'パラメータ設定、更新処理
				recCnt = Me.Upd_SERIALNO(db, _
											Me.msk002MAX090F010.Text, Me.msk006MAX090F010.Text, _
											tmpRow.MED_COST_DATE, _
											tmpRow.SERIAL_NO, idx)
				If recCnt = -1 Then
					'更新異常
					Return ret
				End If
			Next tmpRow
			ret = True
		Catch ex As Exception
			Throw
		Finally
			If rec IsNot Nothing Then rec.Clear()
			rec = Nothing
			If rec2 IsNot Nothing Then rec2.Clear()
			rec2 = Nothing
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 入退院歴番号を更新する
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNo">患者番号</param>
	''' <returns>True：更新成功、False:異常</returns>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Upd_NEW_HSP_HISTORY_NO(ByRef db As XCM.clsDB, _
											ByVal patNo As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Upd_NEW_HSP_HISTORY_NO", "入退院歴番号を更新する Start")
		Dim ret As Boolean = False
		Try
			Dim sts As Integer = -1

			'各テーブルの入退院歴番号を更新する
			db.setSQL(sqlMAX090F010.sqlUpd_MTI_HSP_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CH_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_WARD_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_DOCTOR_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_MED_COST_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_ASST1_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_ASST2_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_OTHER_DEPT_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_DISEASE_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_OPE_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_OPE_DOCTOR_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_TEST_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CARE_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_EMERGENCY_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CB_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CB_CHILD_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CB_SB_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_PATH_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_LENDITM_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_LEND_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_DPC_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_INSPECT_HSP_HISTORY_NO_NEW_AFT)
			sts = Me.SetUpdParam(db, patNo)
			If sts = -1 Then
				'更新異常
				Return ret
			End If
			ret = True
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 指定した番号での入退院歴番号更新
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNo">患者番号</param>
	''' <param name="hstNoOld">現在の入退院歴番号</param>
	''' <param name="hstNoNew">新しい入退院歴番号</param>
	''' <returns>0以上：取得レコード件数、-1:異常</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Upd_HSP_HISTORY_NO(ByRef db As XCM.clsDB, _
										ByVal patNo As String, _
										ByVal hstNoOld As Integer, _
										ByVal hstNoNew As Integer) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "Upd_HSP_HISTORY_NO", "指定した番号での入退院歴番号更新 Start")
		Dim cnt As Integer = 0
		Try
			Dim sts As Integer = -1
			'各テーブルの入退院歴番号を更新する
			db.setSQL(sqlMAX090F010.sqlUpd_MTI_HSP_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CH_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_WARD_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_DOCTOR_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_MED_COST_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_ASST1_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_ASST2_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_OTHER_DEPT_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_DISEASE_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_OPE_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_OPE_DOCTOR_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_TEST_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CARE_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_EMERGENCY_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CB_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CB_CHILD_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CB_SB_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_PATH_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_LENDITM_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_LEND_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_DPC_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select

			db.setSQL(sqlMAX090F010.sqlUpd_MTI_INSPECT_HSP_HISTORY_NO_NEW)
			sts = Me.SetUpdParamChgHstNo(db, patNo, hstNoOld, hstNoNew)
			Select Case sts
				Case -1
					Return sts
				Case Is >= 0
					cnt += sts
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
		Return cnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブル更新時パラメータセット
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNo">患者番号</param>
	''' <returns>更新レコード数（-1:更新異常）</returns>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function SetUpdParam(ByRef db As XCM.clsDB, _
								 ByVal patNo As String) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "SetUpdParam", "テーブル更新時パラメータセット Start")
		Dim cnt As Integer = -1
		Try
			'パラメータセットし、SQL実行
			db.setParam(sqlMAX090F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO, patNo)
			db.setVal(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX090F010.prmLASTUPD_DT, DateTime.Now())
			cnt = db.execNonQuery(False)
		Catch ex As Exception
			Throw
		End Try
		Return cnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブル更新時パラメータセット（患者番号新旧）
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNoNew">新患者番号</param>
	''' <param name="patNoOld">旧患者番号</param>
	''' <returns>更新レコード数（-1:更新異常）</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function SetUpdParamChgPatNo(ByRef db As XCM.clsDB, _
										 ByVal patNoOld As String, _
										 ByVal patNoNew As String) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "SetUpdParamChgPatNo", "テーブル更新時パラメータセット（患者番号新旧） Start")
		Dim cnt As Integer = -1
		Try
			'パラメータセットし、SQL実行
			'パラメータ設定、更新処理
			db.setParam(sqlMAX090F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO_AFT, patNoNew)
			db.setVal(sqlMAX090F010.prmPATIENT_NO_BFR, patNoOld)
			db.setVal(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX090F010.prmLASTUPD_DT, DateTime.Now())
			cnt = db.execNonQuery(False)
		Catch ex As Exception
			Throw
		End Try
		Return cnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブル更新時パラメータセット（入退院歴番号新旧）
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNo">患者番号</param>
	''' <param name="hstNoNew">旧入退院歴番号</param>
	''' <param name="hstNoOld">新入退院歴番号</param>
	''' <returns>更新レコード数（-1:更新異常）</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function SetUpdParamChgHstNo(ByRef db As XCM.clsDB, _
										 ByVal patNo As String, _
										 ByVal hstNoOld As String, _
										 ByVal hstNoNew As String) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "SetUpdParamChgHstNo", "テーブル更新時パラメータセット（入退院歴番号新旧） Start")
		Dim cnt As Integer = -1
		Try
			'パラメータセットし、SQL実行
			'パラメータ設定、更新処理
			' 新しい入退院歴番号でレコードを更新する
			db.setParam(sqlMAX090F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmHSP_HISTORY_NO_OLD, XCM.clsDB.Enum_dbType.dbInt)
			db.setParam(sqlMAX090F010.prmHSP_HISTORY_NO_NEW, XCM.clsDB.Enum_dbType.dbInt)
			db.setParam(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO, patNo)
			db.setVal(sqlMAX090F010.prmHSP_HISTORY_NO_OLD, hstNoOld)
			db.setVal(sqlMAX090F010.prmHSP_HISTORY_NO_NEW, hstNoNew)
			db.setVal(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX090F010.prmLASTUPD_DT, DateTime.Now())
			cnt = db.execNonQuery(False)
		Catch ex As Exception
			Throw
		End Try
		Return cnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 医療費明細連番の更新
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNoOld">統合元患者番号</param>
	''' <param name="patNoNew">統合先患者番号</param>
	''' <param name="dat">対象日</param>
	''' <param name="serNoNew">旧連番</param>
	''' <param name="serNoOld">新連番</param>
	''' <returns>0以上：更新レコード件数、-1:異常</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Upd_SERIALNO(ByRef db As XCM.clsDB, _
								  ByVal patNoOld As String, _
								  ByVal patNoNew As String, _
								  ByVal dat As Date,
								  ByVal serNoOld As Integer, _
								  ByVal serNoNew As Integer) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "Upd_SERIALNO", "医療費明細連番の更新 Start")
		Dim flg As Integer = -1
		Try
			'パラメータ設定、更新処理
			db.setSQL(sqlMAX090F010.sqlUpd_MTI_MED_COST_DETAILS_SERIAL_NO)
			db.setParam(sqlMAX090F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmSERIAL_NO_NEW, XCM.clsDB.Enum_dbType.dbInt)
			db.setParam(sqlMAX090F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmMED_COST_DATE, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmSERIAL_NO_OLD, XCM.clsDB.Enum_dbType.dbInt)
			db.setParam(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX090F010.prmPATIENT_NO_AFT, patNoNew)
			db.setVal(sqlMAX090F010.prmSERIAL_NO_NEW, serNoNew)
			db.setVal(sqlMAX090F010.prmPATIENT_NO_BFR, patNoOld)
			db.setVal(sqlMAX090F010.prmMED_COST_DATE, dat)
			db.setVal(sqlMAX090F010.prmSERIAL_NO_OLD, serNoOld)
			db.setVal(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX090F010.prmLASTUPD_DT, DateTime.Now())
			flg = db.execNonQuery(False)
		Catch ex As Exception
			Throw
		End Try

		Return flg
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 基本情報の統合元患者番号を統合先患者番号に置き換え
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNoOld">統合元患者番号</param>
	''' <param name="patNoNew">統合先患者番号</param>
	''' <returns>True：成功、False:異常</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function Upd_PATNO(ByRef db As XCM.clsDB, _
							   ByVal patNoOld As String, _
							   ByVal patNoNew As String) As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "Upd_PATNO", "基本情報の統合元患者番号を統合先患者番号に置き換え Start")
		Dim sts As Boolean = False
		Try
			Dim ret As Integer = -1

			'対象テーブルの患者番号更新
			'（患者番号がキー項目のテーブル）
			db.setSQL(sqlMAX090F010.sqlUpd_PATIENT_NO_NEW)
			ret = Me.SetUpdParamChgPatNo(db, patNoOld, patNoNew)
			If ret = -1 Then
				'更新異常
				Return ret
			End If

			'対象テーブルの患者番号更新
			'（キー項目ではない患者番号を持つテーブル）
			'統合元患者番号を統合先患者番号に置き換え
			db.setSQL(sqlMAX090F010.sqlUpd_XTI_BASICINFO_2)
			ret = Me.SetUpdParamChgPatNo(db, patNoOld, patNoNew)
			If ret = -1 Then
				'更新異常
				Return ret
			End If

			'統合元患者番号を統合先患者番号に置き換え
			db.setSQL(sqlMAX090F010.sqlUpd_MTI_CB_CHILD_2)
			ret = Me.SetUpdParamChgPatNo(db, patNoOld, patNoNew)
			If ret = -1 Then
				'更新異常
				Return ret
			End If
			sts = True
		Catch ex As Exception
			Throw
		End Try
		Return sts
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 統合元・統合先患者番号での入退院情報取得
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="patNoOld">統合元患者番号</param>
	''' <param name="patNoNew">統合先患者番号</param>
	''' <param name="mode">0:退院済み、1:入院中</param>
	''' <param name="rec">取得レコード</param>
	''' <returns>0以上：取得レコード件数、-1:異常</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_HSP(ByRef db As XCM.clsDB, _
								ByVal patNoOld As String, _
								ByVal patNoNew As String, _
								ByVal mode As Integer, _
								ByRef rec As ArrayList) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_HSP", "入退院情報取得 Start")
		Dim cnt As Integer = -1
		Try
			Select Case mode
				Case 0	'退院済み
					'退院済みの入退院情報取得
					db.setSQL(sqlMAX090F010.sqlSEL_FOR_UPD_OUT)
					db.setParam(sqlMAX090F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX090F010.prmPATIENT_NO_BFR, patNoOld)
					db.setVal(sqlMAX090F010.prmPATIENT_NO_AFT, patNoNew)
					cnt = db.execQuery(GetType(datMAX090F010_GET_MTI_HSP_Rec), rec, False)

				Case 1	'入院中
					'入院中の入退院情報取得
					db.setSQL(sqlMAX090F010.sqlSEL_FOR_UPD_NOOUT)
					db.setParam(sqlMAX090F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX090F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX090F010.prmPATIENT_NO_BFR, patNoOld)
					db.setVal(sqlMAX090F010.prmPATIENT_NO_AFT, patNoNew)
					cnt = db.execQuery(GetType(datMAX090F010_GET_MTI_HSP_Rec), rec, False)

				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try

		Return cnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' DB項目セット（基本情報更新用）
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <param name="basOld">統合元患者情報</param>
	''' <param name="basNew">統合先患者情報</param>
	''' <param name="prm">上書き対象のDBパラメータ名</param>
	''' <param name="clm">上書き対象のDBカラム名</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SetValue(ByRef db As XCM.clsDB, _
						 ByVal basOld As DataTable, _
						 ByVal basNew As DataTable, _
						 ByVal prm As String, _
						 ByVal clm As String)
		Me.log(XCM.clsSysMst.logLevel.DBG, "SetValue", "DB項目セット Start")
		Try
			If String.IsNullOrEmpty(basNew.Rows(0).Item(clm).ToString) = True AndAlso _
			   String.IsNullOrEmpty(basOld.Rows(0).Item(clm).ToString) = False Then
				db.setVal(prm, basOld.Rows(0).Item(clm).ToString)
			Else
				db.setVal(prm, basNew.Rows(0).Item(clm).ToString)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 死亡チェック
	''' </summary>
	''' <param name="patNo">患者番号</param>
	''' <returns>0:生存、0以上:死亡、-1:異常</returns>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkDead(ByVal patNo As String) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkDead", "死亡チェック Start")
		Dim flg As Integer = -1
		Dim rec As ArrayList = Nothing
		Try
			rec = New ArrayList
			Dim ret As Integer
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'TI_死亡情報をチェック
				db.setSQL(sqlMAX090F010.sqlCHK_MTI_DEATH)
				db.setParam(sqlMAX090F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setVal(sqlMAX090F010.prmPATIENT_NO, patNo)
				ret = db.execQuery(GetType(datMAX090F010_CHKDEAD_Rec), rec)
				If ret = -1 Then
					'異常
					Exit Function
				End If

				'レコードが存在する場合は死亡
				flg = rec.Count
			End Using
		Catch ex As Exception
			Throw
		Finally
			If rec IsNot Nothing Then rec.Clear()
			rec = Nothing
		End Try

		Return flg
	End Function

	'''---------------------------------------------
	''' <summary>
	''' DPC情報チェック
	''' </summary>
	''' <param name="patNoAft">統合元患者番号</param>
	''' <param name="patNoBfr">統合先患者番号</param>
	''' <returns>0:情報なし、0以上:情報あり、-1:異常</returns>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkDPC(ByVal patNoBfr As String, ByVal patNoAft As String) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkDPC", "DPC情報チェック Start")
		Dim flg As Integer = -1
		Dim rec As ArrayList = Nothing
		Try
			rec = New ArrayList
			Dim ret As Integer
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'TI_DPC情報をチェック
				db.setSQL(sqlMAX090F010.sqlCHK_MTI_DPC)
				db.setParam(sqlMAX090F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParam(sqlMAX090F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setVal(sqlMAX090F010.prmPATIENT_NO_BFR, patNoBfr)
				db.setVal(sqlMAX090F010.prmPATIENT_NO_AFT, patNoAft)
				ret = db.execQuery(GetType(datMAX090F010_CHKDPC_Rec), rec)
				If ret = -1 Then
					'異常
					Exit Function
				End If

				'レコードが存在する場合はDPC情報あり
				flg = rec.Count
			End Using
		Catch ex As Exception
			Throw
		Finally
			If rec IsNot Nothing Then rec.Clear()
			rec = Nothing
		End Try

		Return flg
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 入力項目クリア
	''' </summary>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub ClearInput()
		Me.log(XCM.clsSysMst.logLevel.DBG, "ClearInput", "入力項目クリア Start")
		Try
			'患者番号、新患者番号、各患者氏名のクリア
			Me.msk002MAX090F010.Text = Nothing
			Me.lbl003MAX090F010.Text = Nothing
			Me.msk006MAX090F010.Text = Nothing
			Me.lbl007MAX090F010.Text = Nothing
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 患者番号に対応する氏名取得
	''' </summary>
	''' <param name="prTxtCtrl">患者番号取得対象テキストボックス</param>
	''' <returns>患者氏名</returns>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Function GetPatientName(ByVal prTxtCtrl As XCM.BT_Mask) As String
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetPatientName", "患者番号に対応する氏名取得 Start")
		Dim retTxt As String = Nothing
		Try
			Using cliBas As New XCM.clsXTI_BASICINFO()
				Dim datTmp As DataTable

				'患者情報が存在する場合、ラベルに名称を表示する
				datTmp = cliBas.getPatientOneRecDa(prTxtCtrl.Text)
				If datTmp.Rows.Count > 0 Then
					retTxt = datTmp.Rows(0).Item(sqlMAX090F010.itmPATIENT_NM).ToString
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try

		Return retTxt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 患者更新可チェック
	''' </summary>
	''' <returns>0:更新不可、1:更新可、それ以外:異常</returns>
	''' <remarks>
	''' 2010/11/12 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkUsePatient() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkUsePatient", "患者更新可チェック Start")
		Dim sts As Integer = -1
		Dim dat As DataTable = Nothing
		Dim arPtn As ArrayList = Nothing
		Try
			dat = New DataTable
			arPtn = New ArrayList
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'基本情報、分娩子情報をチェックする
				db.setSQLDa(sqlMAX090F010.sqlSel_USE_PATIENT)
				db.setParamDa(sqlMAX090F010.prmPATIENT_NO_BFR, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlMAX090F010.prmPATIENT_NO_AFT, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMAX090F010.prmPATIENT_NO_BFR, Me.msk002MAX090F010.Text)
				db.setValDa(sqlMAX090F010.prmPATIENT_NO_AFT, Me.msk006MAX090F010.Text)
				db.execQueryDa(dat)

				'対象となる患者番号取得
				If dat.Rows.Count > 0 Then
					For Each tmpRow As DataRow In dat.Rows
						arPtn.Add(tmpRow.Item(sqlMAX090F010.itmPATIENT_NO))
					Next tmpRow

					'患者が更新可能かチェックする
					If Me.chkStartStatus(arPtn.ToArray) = True Then
						sts = 0	'更新不可
					Else
						sts = 1	'更新可
					End If
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			If dat IsNot Nothing Then dat.Dispose()
			dat = Nothing
			If arPtn IsNot Nothing Then arPtn.Clear()
			arPtn = Nothing
		End Try
		Return sts
	End Function

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/10/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub UpdProc()
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			'入力チェック
			If Me.ChkData() = True Then
				'「更新しますか?」のメッセージを表示
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
				'If Me.confMsg("Q0005", System.Windows.Forms.MessageBoxButtons.OKCancel, System.Windows.Forms.MessageBoxDefaultButton.Button2, "患者番号を統合", Nothing) = MsgBoxResult.Ok Then
				If Me.confMsg("Q0005", System.Windows.Forms.MessageBoxButtons.YesNo, System.Windows.Forms.MessageBoxDefaultButton.Button2, "患者番号を統合", Nothing) = MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
					'患者更新可チェック
					Select Case Me.ChkUsePatient
						Case 0
							'更新不可メッセージ
							Me.showMsg("E0019", "患者番号統合", Nothing)
						Case 1
							'データ更新処理
							Me.UpdData()

							'事後処理
							Me.ClearInput()		'入力項目クリア
							Me.showMsg("I0006", "患者番号統合", Nothing)	'終了メッセージ出力
						Case Else
					End Select
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/11/09 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		Me.log(XCM.clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 Start")
		Try
			' 患者検索画面より戻ってきたとき
			If ret = Enum_FormReturn.OK Then
				Dim tmpStr As String = Nothing
				Select Case de.Key.ToString
					Case CST_SHOW_XSP010F010_ID1
						Me.msk002MAX090F010.Text = de.Value.PATIENT_NO
						tmpStr = Me.GetPatientName(Me.msk002MAX090F010)
						Me.lbl003MAX090F010.Text = tmpStr

					Case CST_SHOW_XSP010F010_ID2
						Me.msk006MAX090F010.Text = de.Value.PATIENT_NO
						tmpStr = Me.GetPatientName(Me.msk006MAX090F010)
						Me.lbl007MAX090F010.Text = tmpStr

					Case Else
				End Select
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "F1KeyProc", "Ｆ１キー押下処理 Start")
		Try
			Me.Cursor = Cursors.WaitCursor

			'患者番号入力項目にフォーカスがある場合のみ有効
			If TypeOf Me.ActiveControl Is XCM.BT_Mask Then
				Select Case True
					Case Me.ActiveControl Is Me.msk002MAX090F010
						'患者検索画面
						Me.cliXSP010F010 = New XSP.XSP010F010(CST_SHOW_XSP010F010_ID1, Me.msk002MAX090F010.Name, XSP010F010.Enum_XSP010F010_Prd.prdM)

					Case Me.ActiveControl Is Me.msk006MAX090F010
						'患者検索画面
						Me.cliXSP010F010 = New XSP.XSP010F010(CST_SHOW_XSP010F010_ID2, Me.msk006MAX090F010.Name, XSP010F010.Enum_XSP010F010_Prd.prdM)

					Case Else
				End Select
				'遷移先フォームに設定
				Me.nextForm(Me.cliXSP010F010)
			End If
			Return True
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class
