﻿Imports System.Windows.Forms
Imports System.ComponentModel
Imports System.Drawing
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 職員変更処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX100F010

#Region "コンスタント"

	Private Enum Enum_UPDID As Integer
		UPDID_MTI_HSP = 1				'更新対象テーブル：TI_入退院情報
		UPDID_MTI_CH_1 = 2				'更新対象テーブル：TI_科歴情報（医師コード）
		UPDID_MTI_CH_2 = 3				'更新対象テーブル：TI_科歴情報（登録者コード）
		UPDID_MTI_DOCTOR = 4			'更新対象テーブル：TI_医師情報
		UPDID_MTI_OPE_DOCTOR = 5		'更新対象テーブル：TI_手術医師情報
		UPDID_MTI_PATH = 6				'更新対象テーブル：TI_パス情報
		UPDID_MTI_INSPECT = 7			'更新対象テーブル：TI_監査情報
		UPDID_MTI_LEND_1 = 8			'更新対象テーブル：TK_貸出情報（借用者コード）
		UPDID_MTI_LEND_2 = 9			'更新対象テーブル：TK_貸出情報（帯出者コード）
		UPDID_MTI_LEND_3 = 10			'更新対象テーブル：TK_貸出情報（貸出取扱者コード）
		UPDID_MTI_LEND_4 = 11			'更新対象テーブル：TK_貸出情報（返却取扱者コード）
		UPDID_MTI_LENDITM_1 = 12		'更新対象テーブル：TK_貸出物情報（カルテ受領者コード）
		UPDID_MTI_LENDITM_2 = 13		'更新対象テーブル：TK_貸出物情報（サマリ作成者コード）
		UPDID_LTI_MNGITEMINFO_1 = 14	'更新対象テーブル：LTI_管理物情報（医師コード）
		UPDID_LTI_MNGITEMINFO_2 = 15	'更新対象テーブル：LTI_管理物情報（受領者コード）
		UPDID_LTI_LENDINFO_1 = 16		'更新対象テーブル：LTI_貸出情報（借用者コード）
		UPDID_LTI_LENDINFO_2 = 17		'更新対象テーブル：LTI_貸出情報（帯出者コード）
		UPDID_LTI_LENDINFO_3 = 18		'更新対象テーブル：LTI_貸出情報（貸出取扱者コード）
		UPDID_LTI_LENDINFO_4 = 19		'更新対象テーブル：LTI_貸出情報（返却者コード）
		UPDID_LTI_LENDINFO_5 = 20		'更新対象テーブル：LTI_貸出情報（返却取扱者コード）
	End Enum

#End Region

#Region "変数"

	Private cliSTAFF As XSP.clsStaff				'職員検索画面フォーム
	Private cliXTM_STAFF As XSP.clsXTM_STAFF		'現職員コンボ用

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 職員変更画面＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX100F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX100F010_Load", "職員変更画面＿初期設定 Start")
		Dim cliComboCom As XSP.clsComboCom	'コンボボックス設定用
		Dim dat As DataTable = Nothing
		Try
			cliComboCom = New XSP.clsComboCom
			'コンボボックスの設定
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				dat = cliComboCom.getCombo(db, XSP.clsComboCom.Enum_ComboType.Enum_X_Staff)
			End Using

			'現職員コンボ設定
			Me.cmb012MAX100F010.DataSource = dat.Copy
			Me.cmb012MAX100F010.setDropDownWidth()

			'変更後職員コンボ設定
			Me.cmb016MAX100F010.DataSource = dat.Copy
			Me.cmb016MAX100F010.setDropDownWidth()

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			If dat IsNot Nothing Then dat.Dispose()
			dat = Nothing
			cliComboCom = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 職員変更画面＿閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX100F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX100F010_FormClosing", "職員変更画面＿閉じる Start")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'メモリ解放
			Me.cliSTAFF = Nothing
			Me.cliXTM_STAFF = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 現職員ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn011MAX100F010_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn011MAX100F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn011MAX100F010_Click", "現職員ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'患者検索画面
			Me.cliSTAFF = New XSP.clsStaff

			'患者検索画面を表示
			Me.cliSTAFF.dspStaffForm(Me, Me.cmb012MAX100F010.Name, Me.lbl013MAX100F010.Name, XSP.clsStaff.Enum_DspMode.eReference, Me.cmb012MAX100F010.DoctorFlg)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 変更後職員ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn015MAX100F010_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn015MAX100F010.Click
		Me.log(XCM.clsSysMst.logLevel.NRM, "btn015MAX100F010_Click", "変更後職員ボタンクリック Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'患者検索画面
			Me.cliSTAFF = New XSP.clsStaff

			'患者検索画面を表示
			Me.cliSTAFF.dspStaffForm(Me, Me.cmb016MAX100F010.Name, Me.lbl017MAX100F010.Name, XSP.clsStaff.Enum_DspMode.eReference, Me.cmb016MAX100F010.DoctorFlg)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常、False:入力値異常</returns>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkData() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChkData", "入力チェック Start")
		Dim ret As Boolean = False
		Try
			'Validatedのチェック
			If Me.ValidateChildren() = True Then
				'現職員コード、変更後職員コードの必須チェック
				If String.IsNullOrEmpty(Me.cmb012MAX100F010.Text) = True Then
					Me.addErrList("E0016", Me.cmb012MAX100F010.Name, "現職員コード", "現職員コード", Nothing)
				End If
				If String.IsNullOrEmpty(Me.cmb016MAX100F010.Text) = True Then
					Me.addErrList("E0016", Me.cmb016MAX100F010.Name, "変更後職員コード", "変更後職員コード", Nothing)
				End If

				'現職員コード、変更後職員コードの存在チェック
				If String.IsNullOrEmpty(Me.cmb012MAX100F010.Text) = False AndAlso _
				   String.IsNullOrEmpty(Me.lbl013MAX100F010.Text) = True Then
					Me.addErrList("E0015", Me.cmb012MAX100F010.Name, "現職員コード", "現職員コード", Nothing)
				End If
				If String.IsNullOrEmpty(Me.cmb016MAX100F010.Text) = False AndAlso _
				   String.IsNullOrEmpty(Me.lbl017MAX100F010.Text) = True Then
					Me.addErrList("E0015", Me.cmb016MAX100F010.Name, "変更後職員コード", "変更後職員コード", Nothing)
				End If

				'現職員コードと、変更後職員コードが同じ
				If String.IsNullOrEmpty(Me.cmb012MAX100F010.Text) = False AndAlso _
				   String.IsNullOrEmpty(Me.lbl013MAX100F010.Text) = False AndAlso _
				   String.IsNullOrEmpty(Me.cmb016MAX100F010.Text) = False AndAlso _
				   String.IsNullOrEmpty(Me.lbl017MAX100F010.Text) = False Then
					If Me.cmb012MAX100F010.Text = Me.cmb016MAX100F010.Text Then
						Me.addErrList("E0031", Me.cmb012MAX100F010.Name, "現職員コード", "現職員コードと変更後職員コード", "同じ", Nothing)
					End If
				End If

				'エラーがある場合はエラー画面を表示する
				If Me.getErrCount() > 0 Then
					Me.nextErrForm()
				Else
					ret = True
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function

	'''---------------------------------------------
	''' <summary>
	''' データ更新処理
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士<BR/>
	''' 2011/08/10 変更　　 FJSK)荒川<BR/>
	''' (M) STR V4-11007-000 000 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	''' (変更前)　Private Sub UpdData()
	''' (変更後)　Private Function UpdData() As Boolean
	''' </remarks>
	'''---------------------------------------------
	Private Function UpdData() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdData", "データ更新処理 Start")
'(A) STR V4-11007-000 006 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim arData As ArrayList = Nothing
		Dim updPtn As ArrayList = Nothing
		Dim errPtn As ArrayList = Nothing
		Dim sqlRep As String = String.Empty
'(A) END V4-11007-000 006 20110810
		Try
			Dim ret As Integer = -1
			Dim sql() As String = Nothing
'(A) STR V4-11007-000 006 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
			Dim tbl() As String = Nothing

			''更新対象一覧取得
			updPtn = New ArrayList
'(A) END V4-11007-000 006 20110810

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				Try
'(D) STR V4-11007-000 004 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					'各テーブルのSQL文作成
'					Me.GetSQL(sql)
'(D) END V4-11007-000 004 20110810
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)

'(A) STR V4-11007-000 029 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					For procidx As Integer = 0 To 1
						'各テーブルのSQL文作成
						Me.GetSQL(sql, tbl, (procidx = 0))

						If procidx = 1 Then
							'排他チェック
							errPtn = Me.chkStartStatus(updPtn.ToArray, Me.btn005MAX000F010.Name, "処理中")

							If errPtn IsNot Nothing Then
								For errPtnIdx As Integer = 0 To errPtn.Count - 1
									'前処理
									Select Case True
										Case errPtnIdx = 0
											sqlRep &= " AND NOT {0}." & sqlMAX070F010.itmPATIENT_NO & " IN("
										Case errPtnIdx > 0
											sqlRep &= ","
									End Select

									'エラー対象の患者を非更新対象に（IN句を構成する）
									'パラメータクエリだと限界があるので。。（確か1024だったかな。。）
									sqlRep &= "'" & errPtn(errPtnIdx).ToString & "'"

									'後処理
									If errPtnIdx = errPtn.Count - 1 Then sqlRep &= ")"
								Next
							End If
						End If
'(A) END V4-11007-000 029 20110810

						'各テーブルの更新
						For i As Integer = 1 To sql.Length - 1
'(M) STR V4-11007-000 004 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'							db.setSQL(sql(i))
							db.setSQL(sql(i) & String.Format(sqlRep, tbl(i)))
'(M) END V4-11007-000 004 20110810
							Me.SetUpdPara(db)
'(A) STR V4-11007-000 012 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
							If procidx = 0 Then
								If arData IsNot Nothing Then arData = Nothing
								If arData Is Nothing Then arData = New ArrayList
								db.execQuery(GetType(datMAX100F010_PATIENT_NO), arData)
								For Each dat As datMAX100F010_PATIENT_NO In arData
									If updPtn.IndexOf(dat.PATIENT_NO) = -1 Then
										updPtn.Add(dat.PATIENT_NO)
									End If
								Next
							Else
'(A) END V4-11007-000 012 20110810
								ret = db.execNonQuery(False)
								If ret = -1 Then
									'更新異常
									'ロールバック処理
									db.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-11007-000 004 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'									Exit Sub
									Return False
'(M) END V4-11007-000 004 20110810
								End If
'(A) STR V4-11007-000 003 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
							End If
'(A) END V4-11007-000 003 20110810
						Next i
'(A) STR V4-11007-000 003 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					Next
'(A) END V4-11007-000 003 20110810

					'トランザクションコミット処理
					db.ctlTran(clsDB.Enum_TranMode.Commit)
'(A) STR V4-11007-000 009 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					If Me.getErrCount > 0 Then
						Me.nextErrForm(CST_RUNPROC_NAME)
						Return False
					End If

					'正常処理
					Return True
'(A) END V4-11007-000 009 20110810
				Catch ex As Exception
					Throw
				Finally
					'ロールバック処理
					If db.statTran() = True Then
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
					End If
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="sql">SQL文格納用配列</param>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)福士<BR/>
	''' 2011/08/10 変更　　 FJSK)荒川<BR/>
	''' (M) STR V4-11007-000 000 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	''' (変更前)　Private Sub GetSQL(ByRef sql() As String)
	''' (変更後)　Private Sub GetSQL(ByRef sql() As String, ByRef tbl() As String, chkFlg As Boolean)
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetSQL(ByRef sql() As String, ByRef tbl() As String, chkFlg As Boolean)
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetSQL", "SQL文作成 Start")
		ReDim sql(System.Enum.GetNames(GetType(Enum_UPDID)).Length)
'(A) STR V4-11007-000 003 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		ReDim tbl(System.Enum.GetNames(GetType(Enum_UPDID)).Length)
'(A) END V4-11007-000 003 20110810
		Try
			'ベースSQLの格納
'(A) STR V4-11007-000 024 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
			If chkFlg = True Then
				sql(Enum_UPDID.UPDID_MTI_HSP) = sqlMAX100F010.sqlSel_MTI_HSP_CHK
				sql(Enum_UPDID.UPDID_MTI_CH_1) = sqlMAX100F010.sqlSel_MTI_CH_CHK
				sql(Enum_UPDID.UPDID_MTI_CH_2) = sqlMAX100F010.sqlSel_MTI_CH_CHK
				sql(Enum_UPDID.UPDID_MTI_DOCTOR) = sqlMAX100F010.sqlSel_MTI_DOCTOR_CHK
				sql(Enum_UPDID.UPDID_MTI_OPE_DOCTOR) = sqlMAX100F010.sqlSel_MTI_OPE_DOCTOR_CHK
				sql(Enum_UPDID.UPDID_MTI_PATH) = sqlMAX100F010.sqlSel_MTI_PATH_CHK
				sql(Enum_UPDID.UPDID_MTI_INSPECT) = sqlMAX100F010.sqlSel_MTI_INSPECT_CHK
				sql(Enum_UPDID.UPDID_MTI_LEND_1) = sqlMAX100F010.sqlSel_MTI_LEND_CHK
				sql(Enum_UPDID.UPDID_MTI_LEND_2) = sqlMAX100F010.sqlSel_MTI_LEND_CHK
				sql(Enum_UPDID.UPDID_MTI_LEND_3) = sqlMAX100F010.sqlSel_MTI_LEND_CHK
				sql(Enum_UPDID.UPDID_MTI_LEND_4) = sqlMAX100F010.sqlSel_MTI_LEND_CHK
				sql(Enum_UPDID.UPDID_MTI_LENDITM_1) = sqlMAX100F010.sqlSel_MTI_LENDITM_CHK
				sql(Enum_UPDID.UPDID_MTI_LENDITM_2) = sqlMAX100F010.sqlSel_MTI_LENDITM_CHK
				sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_1) = sqlMAX100F010.sqlSel_LTI_MNGITEMINFO_CHK
				sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_2) = sqlMAX100F010.sqlSel_LTI_MNGITEMINFO_CHK
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_1) = sqlMAX100F010.sqlSel_LTI_LENDINFO_CHK
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_2) = sqlMAX100F010.sqlSel_LTI_LENDINFO_CHK
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_3) = sqlMAX100F010.sqlSel_LTI_LENDINFO_CHK
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_4) = sqlMAX100F010.sqlSel_LTI_LENDINFO_CHK
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_5) = sqlMAX100F010.sqlSel_LTI_LENDINFO_CHK
			Else
'(A) END V4-11007-000 024 20110810
				sql(Enum_UPDID.UPDID_MTI_HSP) = sqlMAX100F010.sqlUpd_MTI_HSP_BAS
				sql(Enum_UPDID.UPDID_MTI_CH_1) = sqlMAX100F010.sqlUpd_MTI_CH_DR_BAS
				sql(Enum_UPDID.UPDID_MTI_CH_2) = sqlMAX100F010.sqlUpd_MTI_CH_RG_BAS
				sql(Enum_UPDID.UPDID_MTI_DOCTOR) = sqlMAX100F010.sqlUpd_MTI_DOCTOR_DR_BAS
				sql(Enum_UPDID.UPDID_MTI_OPE_DOCTOR) = sqlMAX100F010.sqlUpd_MTI_OPE_DOCTOR_DR_BAS
				sql(Enum_UPDID.UPDID_MTI_PATH) = sqlMAX100F010.sqlUpd_MTI_PATH_DR_BAS
				sql(Enum_UPDID.UPDID_MTI_INSPECT) = sqlMAX100F010.sqlUpd_MTI_INSPECT_DR_BAS
				sql(Enum_UPDID.UPDID_MTI_LEND_1) = sqlMAX100F010.sqlUpd_MTI_LEND_BR_BAS
				sql(Enum_UPDID.UPDID_MTI_LEND_2) = sqlMAX100F010.sqlUpd_MTI_LEND_TK_BAS
				sql(Enum_UPDID.UPDID_MTI_LEND_3) = sqlMAX100F010.sqlUpd_MTI_LEND_LC_BAS
				sql(Enum_UPDID.UPDID_MTI_LEND_4) = sqlMAX100F010.sqlUpd_MTI_LEND_BC_BAS
				sql(Enum_UPDID.UPDID_MTI_LENDITM_1) = sqlMAX100F010.sqlUpd_MTI_LENDITM_RR_BAS
				sql(Enum_UPDID.UPDID_MTI_LENDITM_2) = sqlMAX100F010.sqlUpd_MTI_LENDITM_SM_BAS
				sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_1) = sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_DR_BAS
				sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_2) = sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_RC_BAS
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_1) = sqlMAX100F010.sqlUpd_LTI_LENDINFO_BC_BAS
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_2) = sqlMAX100F010.sqlUpd_LTI_LENDINFO_TK_BAS
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_3) = sqlMAX100F010.sqlUpd_LTI_LENDINFO_LC_BAS
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_4) = sqlMAX100F010.sqlUpd_LTI_LENDINFO_PB_BAS
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_5) = sqlMAX100F010.sqlUpd_LTI_LENDINFO_BK_BAS
'(A) STR V4-11007-000 024 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
			End If

			tbl(Enum_UPDID.UPDID_MTI_HSP) = sqlMAX100F010.sqlTbl_MTI_HSP
			tbl(Enum_UPDID.UPDID_MTI_CH_1) = sqlMAX100F010.sqlTbl_MTI_CH
			tbl(Enum_UPDID.UPDID_MTI_CH_2) = sqlMAX100F010.sqlTbl_MTI_CH
			tbl(Enum_UPDID.UPDID_MTI_DOCTOR) = sqlMAX100F010.sqlTbl_MTI_DOCTOR
			tbl(Enum_UPDID.UPDID_MTI_OPE_DOCTOR) = sqlMAX100F010.sqlTbl_MTI_OPE_DOCTOR
			tbl(Enum_UPDID.UPDID_MTI_PATH) = sqlMAX100F010.sqlTbl_MTI_PATH
			tbl(Enum_UPDID.UPDID_MTI_INSPECT) = sqlMAX100F010.sqlTbl_MTI_INSPECT
			tbl(Enum_UPDID.UPDID_MTI_LEND_1) = sqlMAX100F010.sqlTbl_MTI_LEND
			tbl(Enum_UPDID.UPDID_MTI_LEND_2) = sqlMAX100F010.sqlTbl_MTI_LEND
			tbl(Enum_UPDID.UPDID_MTI_LEND_3) = sqlMAX100F010.sqlTbl_MTI_LEND
			tbl(Enum_UPDID.UPDID_MTI_LEND_4) = sqlMAX100F010.sqlTbl_MTI_LEND
			tbl(Enum_UPDID.UPDID_MTI_LENDITM_1) = sqlMAX100F010.sqlTbl_MTI_LENDITM
			tbl(Enum_UPDID.UPDID_MTI_LENDITM_2) = sqlMAX100F010.sqlTbl_MTI_LENDITM
			tbl(Enum_UPDID.UPDID_LTI_MNGITEMINFO_1) = sqlMAX100F010.sqlTbl_LTI_MNGITEMINFO
			tbl(Enum_UPDID.UPDID_LTI_MNGITEMINFO_2) = sqlMAX100F010.sqlTbl_LTI_MNGITEMINFO
			tbl(Enum_UPDID.UPDID_LTI_LENDINFO_1) = sqlMAX100F010.sqlTbl_LTI_LENDINFO
			tbl(Enum_UPDID.UPDID_LTI_LENDINFO_2) = sqlMAX100F010.sqlTbl_LTI_LENDINFO
			tbl(Enum_UPDID.UPDID_LTI_LENDINFO_3) = sqlMAX100F010.sqlTbl_LTI_LENDINFO
			tbl(Enum_UPDID.UPDID_LTI_LENDINFO_4) = sqlMAX100F010.sqlTbl_LTI_LENDINFO
			tbl(Enum_UPDID.UPDID_LTI_LENDINFO_5) = sqlMAX100F010.sqlTbl_LTI_LENDINFO
'(A) END V4-11007-000 024 20110810

			'更新条件文作成
			sql(Enum_UPDID.UPDID_MTI_HSP) &= sqlMAX100F010.sqlUpd_MTI_HSP_CND

			If Me.chk003MAX100F010.Checked = True OrElse _
			   Me.chk007MAX100F010.Checked = True Then
				'日付条件ありの場合
'(A) STR V4-11007-000 023 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
				If chkFlg = True Then
					sql(Enum_UPDID.UPDID_MTI_CH_1) &= sqlMAX100F010.sqlUpd_MTI_CH_DR_CND3
					sql(Enum_UPDID.UPDID_MTI_CH_2) &= sqlMAX100F010.sqlUpd_MTI_CH_RG_CND3
					sql(Enum_UPDID.UPDID_MTI_DOCTOR) &= sqlMAX100F010.sqlUpd_MTI_DOCTOR_DR_CND3
					sql(Enum_UPDID.UPDID_MTI_OPE_DOCTOR) &= sqlMAX100F010.sqlUpd_MTI_OPE_DOCTOR_DR_CND3
					sql(Enum_UPDID.UPDID_MTI_PATH) &= sqlMAX100F010.sqlUpd_MTI_PATH_DR_CND3
					sql(Enum_UPDID.UPDID_MTI_INSPECT) &= sqlMAX100F010.sqlUpd_MTI_INSPECT_DR_CND3
					sql(Enum_UPDID.UPDID_MTI_LEND_1) &= sqlMAX100F010.sqlUpd_MTI_LEND_BR_CND3
					sql(Enum_UPDID.UPDID_MTI_LEND_2) &= sqlMAX100F010.sqlUpd_MTI_LEND_TK_CND3
					sql(Enum_UPDID.UPDID_MTI_LEND_3) &= sqlMAX100F010.sqlUpd_MTI_LEND_LC_CND3
					sql(Enum_UPDID.UPDID_MTI_LEND_4) &= sqlMAX100F010.sqlUpd_MTI_LEND_BC_CND3
					sql(Enum_UPDID.UPDID_MTI_LENDITM_1) &= sqlMAX100F010.sqlUpd_MTI_LENDITM_RR_CND3
					sql(Enum_UPDID.UPDID_MTI_LENDITM_2) &= sqlMAX100F010.sqlUpd_MTI_LENDITM_SM_CND3
					sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_1) &= sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_DR_CND3_1
					sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_2) &= sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_RC_CND3_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_1) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_BC_CND3_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_2) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_TK_CND3_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_3) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_LC_CND3_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_4) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_PB_CND3_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_5) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_BK_CND3_1
				Else
'(A) END V4-11007-000 023 20110810
					sql(Enum_UPDID.UPDID_MTI_CH_1) &= sqlMAX100F010.sqlUpd_MTI_CH_DR_CND2
					sql(Enum_UPDID.UPDID_MTI_CH_2) &= sqlMAX100F010.sqlUpd_MTI_CH_RG_CND2
					sql(Enum_UPDID.UPDID_MTI_DOCTOR) &= sqlMAX100F010.sqlUpd_MTI_DOCTOR_DR_CND2
					sql(Enum_UPDID.UPDID_MTI_OPE_DOCTOR) &= sqlMAX100F010.sqlUpd_MTI_OPE_DOCTOR_DR_CND2
					sql(Enum_UPDID.UPDID_MTI_PATH) &= sqlMAX100F010.sqlUpd_MTI_PATH_DR_CND2
					sql(Enum_UPDID.UPDID_MTI_INSPECT) &= sqlMAX100F010.sqlUpd_MTI_INSPECT_DR_CND2
					sql(Enum_UPDID.UPDID_MTI_LEND_1) &= sqlMAX100F010.sqlUpd_MTI_LEND_BR_CND2
					sql(Enum_UPDID.UPDID_MTI_LEND_2) &= sqlMAX100F010.sqlUpd_MTI_LEND_TK_CND2
					sql(Enum_UPDID.UPDID_MTI_LEND_3) &= sqlMAX100F010.sqlUpd_MTI_LEND_LC_CND2
					sql(Enum_UPDID.UPDID_MTI_LEND_4) &= sqlMAX100F010.sqlUpd_MTI_LEND_BC_CND2
					sql(Enum_UPDID.UPDID_MTI_LENDITM_1) &= sqlMAX100F010.sqlUpd_MTI_LENDITM_RR_CND2
					sql(Enum_UPDID.UPDID_MTI_LENDITM_2) &= sqlMAX100F010.sqlUpd_MTI_LENDITM_SM_CND2
					sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_1) &= sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_DR_CND2_1
					sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_2) &= sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_RC_CND2_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_1) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_BC_CND2_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_2) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_TK_CND2_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_3) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_LC_CND2_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_4) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_PB_CND2_1
					sql(Enum_UPDID.UPDID_LTI_LENDINFO_5) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_BK_CND2_1
'(A) STR V4-11007-000 003 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
				End If
'(A) END V4-11007-000 003 20110810

				'日付範囲指定のSQL文作成
				'入院日チェックボックスがオンの場合
				If Me.chk003MAX100F010.Checked = True Then
					'どちらにも入力がない場合
					If String.IsNullOrEmpty(Me.dte004MAX100F010.Text) = True AndAlso _
					   String.IsNullOrEmpty(Me.dte006MAX100F010.Text) = True Then
						For Each str As String In System.Enum.GetNames(GetType(Enum_UPDID))
							Dim obj As Enum_UPDID = DirectCast(System.Enum.Parse(GetType(Enum_UPDID), str), Enum_UPDID)

							sql(CInt(obj) - 1) &= sqlMAX100F010.sqlUpd_DATE_HSPDT_NO_FRM_TO
						Next str
					End If
					'両方に入力がある場合
					If String.IsNullOrEmpty(Me.dte004MAX100F010.Text) = False AndAlso _
					   String.IsNullOrEmpty(Me.dte006MAX100F010.Text) = False Then
						For Each str As String In System.Enum.GetNames(GetType(Enum_UPDID))
							Dim obj As Enum_UPDID = DirectCast(System.Enum.Parse(GetType(Enum_UPDID), str), Enum_UPDID)

							sql(CInt(obj) - 1) &= sqlMAX100F010.sqlUpd_DATE_HSPDT_FRM_TO
						Next str
					End If
					'Fromのみに入力がある場合
					If String.IsNullOrEmpty(Me.dte004MAX100F010.Text) = False AndAlso _
					   String.IsNullOrEmpty(Me.dte006MAX100F010.Text) = True Then
						For Each str As String In System.Enum.GetNames(GetType(Enum_UPDID))
							Dim obj As Enum_UPDID = DirectCast(System.Enum.Parse(GetType(Enum_UPDID), str), Enum_UPDID)

							sql(CInt(obj) - 1) &= sqlMAX100F010.sqlUpd_DATE_HSPDT_FRM
						Next str
					End If
					'Toのみに入力がある場合
					If String.IsNullOrEmpty(Me.dte004MAX100F010.Text) = True AndAlso _
					   String.IsNullOrEmpty(Me.dte006MAX100F010.Text) = False Then
						For Each str As String In System.Enum.GetNames(GetType(Enum_UPDID))
							Dim obj As Enum_UPDID = DirectCast(System.Enum.Parse(GetType(Enum_UPDID), str), Enum_UPDID)

							sql(CInt(obj) - 1) &= sqlMAX100F010.sqlUpd_DATE_HSPDT_TO
						Next str
					End If
				End If

				'退院日チェックボックスがオンの場合
				If Me.chk007MAX100F010.Checked = True Then
					'どちらにも入力がない場合
					If String.IsNullOrEmpty(Me.dte008MAX100F010.Text) = True AndAlso _
					   String.IsNullOrEmpty(Me.dte010MAX100F010.Text) = True Then
						For Each str As String In System.Enum.GetNames(GetType(Enum_UPDID))
							Dim obj As Enum_UPDID = DirectCast(System.Enum.Parse(GetType(Enum_UPDID), str), Enum_UPDID)

							sql(CInt(obj) - 1) &= sqlMAX100F010.sqlUpd_DATE_OUTDT_NO_FRM_TO
						Next str
					End If
					'両方に入力がある場合
					If String.IsNullOrEmpty(Me.dte008MAX100F010.Text) = False AndAlso _
					   String.IsNullOrEmpty(Me.dte010MAX100F010.Text) = False Then
						For Each str As String In System.Enum.GetNames(GetType(Enum_UPDID))
							Dim obj As Enum_UPDID = DirectCast(System.Enum.Parse(GetType(Enum_UPDID), str), Enum_UPDID)

							sql(CInt(obj) - 1) &= sqlMAX100F010.sqlUpd_DATE_OUTDT_FRM_TO
						Next str
					End If
					'Fromのみに入力がある場合
					If String.IsNullOrEmpty(Me.dte008MAX100F010.Text) = False AndAlso _
					   String.IsNullOrEmpty(Me.dte010MAX100F010.Text) = True Then
						For Each str As String In System.Enum.GetNames(GetType(Enum_UPDID))
							Dim obj As Enum_UPDID = DirectCast(System.Enum.Parse(GetType(Enum_UPDID), str), Enum_UPDID)

							sql(CInt(obj) - 1) &= sqlMAX100F010.sqlUpd_DATE_OUTDT_FRM
						Next str
					End If
					'Toのみに入力がある場合
					If String.IsNullOrEmpty(Me.dte008MAX100F010.Text) = True AndAlso _
					   String.IsNullOrEmpty(Me.dte010MAX100F010.Text) = False Then
						For Each str As String In System.Enum.GetNames(GetType(Enum_UPDID))
							Dim obj As Enum_UPDID = DirectCast(System.Enum.Parse(GetType(Enum_UPDID), str), Enum_UPDID)

							sql(CInt(obj) - 1) &= sqlMAX100F010.sqlUpd_DATE_OUTDT_TO
						Next str
					End If
				End If

				'LTI_○○情報のSQLのみ特殊なため、ここで後半部を結合
				sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_1) &= sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_DR_CND2_2
				sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_2) &= sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_RC_CND2_2
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_1) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_BC_CND2_2
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_2) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_TK_CND2_2
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_3) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_LC_CND2_2
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_4) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_PB_CND2_2
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_5) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_BK_CND2_2
			Else
				'日付条件なしの場合
				sql(Enum_UPDID.UPDID_MTI_CH_1) &= sqlMAX100F010.sqlUpd_MTI_CH_DR_CND
				sql(Enum_UPDID.UPDID_MTI_CH_2) &= sqlMAX100F010.sqlUpd_MTI_CH_RG_CND
				sql(Enum_UPDID.UPDID_MTI_DOCTOR) &= sqlMAX100F010.sqlUpd_MTI_DOCTOR_DR_CND
				sql(Enum_UPDID.UPDID_MTI_OPE_DOCTOR) &= sqlMAX100F010.sqlUpd_MTI_OPE_DOCTOR_DR_CND
				sql(Enum_UPDID.UPDID_MTI_PATH) &= sqlMAX100F010.sqlUpd_MTI_PATH_DR_CND
				sql(Enum_UPDID.UPDID_MTI_INSPECT) &= sqlMAX100F010.sqlUpd_MTI_INSPECT_DR_CND
				sql(Enum_UPDID.UPDID_MTI_LEND_1) &= sqlMAX100F010.sqlUpd_MTI_LEND_BR_CND
				sql(Enum_UPDID.UPDID_MTI_LEND_2) &= sqlMAX100F010.sqlUpd_MTI_LEND_TK_CND
				sql(Enum_UPDID.UPDID_MTI_LEND_3) &= sqlMAX100F010.sqlUpd_MTI_LEND_LC_CND
				sql(Enum_UPDID.UPDID_MTI_LEND_4) &= sqlMAX100F010.sqlUpd_MTI_LEND_BC_CND
				sql(Enum_UPDID.UPDID_MTI_LENDITM_1) &= sqlMAX100F010.sqlUpd_MTI_LENDITM_RR_CND
				sql(Enum_UPDID.UPDID_MTI_LENDITM_2) &= sqlMAX100F010.sqlUpd_MTI_LENDITM_SM_CND
				sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_1) &= sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_DR_CND
				sql(Enum_UPDID.UPDID_LTI_MNGITEMINFO_2) &= sqlMAX100F010.sqlUpd_LTI_MNGITEMINFO_RC_CND
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_1) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_BC_CND
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_2) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_TK_CND
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_3) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_LC_CND
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_4) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_PB_CND
				sql(Enum_UPDID.UPDID_LTI_LENDINFO_5) &= sqlMAX100F010.sqlUpd_LTI_LENDINFO_BK_CND
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 更新用SQLパラメータ設定
	''' </summary>
	''' <param name="db">DB取得クラス</param>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SetUpdPara(ByRef db As XCM.clsDB)
		Me.log(XCM.clsSysMst.logLevel.DBG, "SetUpdPara", "更新用SQLパラメータ設定 Start")
		Dim cliCom As XSP.clsCom
		Try
			cliCom = New XSP.clsCom
			Dim strAry() As String
			'基本パラメータの設定
			db.setParam(sqlMAX100F010.prmSTAFF_CD_Bfr, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX100F010.prmSTAFF_CD_Aft, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX090F010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setVal(sqlMAX100F010.prmSTAFF_CD_Bfr, Me.cmb012MAX100F010.Text)
			db.setVal(sqlMAX100F010.prmSTAFF_CD_Aft, Me.cmb016MAX100F010.Text)
			db.setVal(sqlMAX090F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX090F010.prmLASTUPD_DT, DateTime.Now())

			'日付範囲指定をしている場合のパラメータ設定
			If Me.chk003MAX100F010.Checked = True Then
				'両方に入力がある場合
				If String.IsNullOrEmpty(Me.dte004MAX100F010.Text) = False AndAlso _
				   String.IsNullOrEmpty(Me.dte006MAX100F010.Text) = False Then
					strAry = cliCom.getFromToValue(Me.dte004MAX100F010.Text, Me.dte006MAX100F010.Text)
					db.setParam(sqlMAX100F010.prmHSP_DT_Frm, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX100F010.prmHSP_DT_To, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX100F010.prmHSP_DT_Frm, strAry(0))
					db.setVal(sqlMAX100F010.prmHSP_DT_To, strAry(1))
				End If
				'Fromのみに入力がある場合
				If String.IsNullOrEmpty(Me.dte004MAX100F010.Text) = False AndAlso _
				   String.IsNullOrEmpty(Me.dte006MAX100F010.Text) = True Then
					db.setParam(sqlMAX100F010.prmHSP_DT_Frm, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX100F010.prmHSP_DT_Frm, Me.dte004MAX100F010.Text)
				End If
				'Toのみに入力がある場合
				If String.IsNullOrEmpty(Me.dte004MAX100F010.Text) = True AndAlso _
				   String.IsNullOrEmpty(Me.dte006MAX100F010.Text) = False Then
					db.setParam(sqlMAX100F010.prmHSP_DT_To, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX100F010.prmHSP_DT_To, Me.dte006MAX100F010.Text)
				End If
			End If

			'退院日チェックボックスがオンの場合
			If Me.chk007MAX100F010.Checked = True Then
				'両方に入力がある場合
				If String.IsNullOrEmpty(Me.dte008MAX100F010.Text) = False AndAlso _
				   String.IsNullOrEmpty(Me.dte010MAX100F010.Text) = False Then
					strAry = cliCom.getFromToValue(Me.dte008MAX100F010.Text, Me.dte010MAX100F010.Text)
					db.setParam(sqlMAX100F010.prmOUT_HSP_DT_Frm, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX100F010.prmOUT_HSP_DT_To, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX100F010.prmOUT_HSP_DT_Frm, strAry(0))
					db.setVal(sqlMAX100F010.prmOUT_HSP_DT_To, strAry(1))
				End If
				'Fromのみに入力がある場合
				If String.IsNullOrEmpty(Me.dte008MAX100F010.Text) = False AndAlso _
				   String.IsNullOrEmpty(Me.dte010MAX100F010.Text) = True Then
					db.setParam(sqlMAX100F010.prmOUT_HSP_DT_Frm, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX100F010.prmOUT_HSP_DT_Frm, Me.dte008MAX100F010.Text)
				End If
				'Toのみに入力がある場合
				If String.IsNullOrEmpty(Me.dte008MAX100F010.Text) = True AndAlso _
				   String.IsNullOrEmpty(Me.dte010MAX100F010.Text) = False Then
					db.setParam(sqlMAX100F010.prmOUT_HSP_DT_To, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX100F010.prmOUT_HSP_DT_To, Me.dte010MAX100F010.Text)
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 入力項目クリア
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub ClearInput()
		Me.log(XCM.clsSysMst.logLevel.DBG, "ClearInput", "入力項目クリア Start")
		Try
			'全入力項目クリア
			Me.chk003MAX100F010.Checked = False
			Me.chk007MAX100F010.Checked = False
			Me.cmb012MAX100F010.Text = Nothing
			Me.cmb016MAX100F010.Text = Nothing
			Me.dte004MAX100F010.DateValue = Nothing
			Me.dte006MAX100F010.DateValue = Nothing
			Me.dte008MAX100F010.DateValue = Nothing
			Me.dte010MAX100F010.DateValue = Nothing
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"
'(A) STR V4-11007-000 025 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	'''---------------------------------------------
	''' <summary>
	''' 戻り処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2011/06/29 新規作成 荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Sub rcvData(ret As XCM.frmBase.Enum_FormReturn, de As System.Collections.DictionaryEntry)
		Me.log(XCM.clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "戻り処理 Start")
		Try
			Select Case de.Key
				Case CST_XCM020F010_CD
					'エラー画面から戻った場合はﾒｯｾｰｼﾞを表示する
					If de.Value IsNot Nothing AndAlso de.Value.ToString = CST_RUNPROC_NAME Then
						Me.showMsg("I0006", "職員変更", Nothing)			'メッセージの表示
					End If
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-11007-000 025 20110810

	'''---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub UpdProc()
		Me.log(XCM.clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			'入力チェック
			If Me.ChkData() = False Then
'(D) STR V4-11007-000 003 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then			'登録系の起動を確認
'(D) END V4-11007-000 003 20110810
'																	'「更新しますか?」のメッセージを表示
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'ElseIf Me.confMsg("Q0005", System.Windows.Forms.MessageBoxDefaultButton.Button2, "職員を変更", Nothing) <> MsgBoxResult.Ok Then
			ElseIf Me.confMsg("Q0005", System.Windows.Forms.MessageBoxDefaultButton.Button2, "職員を変更", Nothing) <> MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
'(D) STR V4-11007-000 003 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then			'登録系の起動を再確認
'(D) END V4-11007-000 003 20110810
			Else
'(M) STR V4-11007-000 004 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'				Me.UpdData()										'データ更新処理
				If Me.UpdData() = True Then							'データ更新処理
'(M) END V4-11007-000 004 20110810
					Me.ClearInput()									'入力項目クリア
					Me.showMsg("I0006", "職員変更", Nothing)		'メッセージの表示
'(A) STR V4-11007-000 003 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
				End If
'(A) END V4-11007-000 003 20110810
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 職員コンボＦ１キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2011/02/08 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function StaffFormProc() As Boolean
		Me.log(XCM.clsSysMst.logLevel.DBG, "StaffFormProc", "職員コンボＦ１キー押下処理 Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'患者検索画面
			Me.cliSTAFF = New XSP.clsStaff()
			'患者検索画面を表示
			Me.cliSTAFF.dspStaffForm(Me, Me.ActiveControl.Name, DirectCast(Me.ActiveControl, XCM.BT_MultiComboBox).LinkControl, XSP.clsStaff.Enum_DspMode.eReference, DirectCast(Me.ActiveControl, XCM.BT_MultiComboBox).DoctorFlg)
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class
