﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 論理チェック（論理チェック対象一覧）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Friend Class sqlMAX030R020

#Region "パラメータ"

	Public Const prmFIXED_CD As String = "@FIXED_CD"								'固定コード
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"							'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"					'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"										'科歴番号

	Public Const prmHOST_NM As String = "@HOST_NM"									'ホスト名
	Public Const prmBYOREKI_NO As String = "@BYOREKI_NO"							'病歴番号
	Public Const prmEND_DT As String = "@END_DT"									'終了日
	Public Const prmPATIENT_NM As String = "@PATIENT_NM"							'患者氏名
	Public Const prmDEPT_CD As String = "@DEPT_CD"									'診療科コード
	Public Const prmDOCTOR_CD As String = "@DOCTOR_CD"								'医師コード
	Public Const prmCODE As String = "@CODE"										'コード
	Public Const prmRECORD_MNGSTATUS_CD As String = "@RECORD_MNGSTATUS_CD "			'カルテ管理状況コード
	Public Const prmREG_PERSON_CD As String = "@REG_PERSON_CD"						'登録者コード
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"					'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"							'更新日

#End Region

#Region "取得項目"

	Public Const itmCOUNTER As String = "COUNTER"									'件数
	Public Const itmPATIENT_NO As String = "PATIENT_NO"								'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"						'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"										'科歴番号
	Public Const itmHSP_DT As String = "HSP_DT"										'入院日
	Public Const itmOUT_HSP_DT As String = "OUT_HSP_DT"								'退院日
	Public Const itmSTART_DT As String = "START_DT"									'開始日
	Public Const itmEND_DT As String = "END_DT"										'終了日
	Public Const itmOPE_DT As String = "OPE_DT"										'手術日
	Public Const itmPRE_OPE_DAYS As String = "PRE_OPE_DAYS"							'術前日数
	Public Const itmAFTER_OPE_DAYS As String = "AFTER_OPE_DAYS"						'術後日数
	Public Const itmWARD_START_DT As String = "WARD_START_DT"						'病棟開始日
	Public Const itmWARD_END_DT As String = "WARD_END_DT"							'病棟終了日

	Public Const itmBYOREKI_NO As String = "BYOREKI_NO"								'病歴番号
	Public Const itmPATIENT_NM As String = "PATIENT_NM"								'患者氏名
	Public Const itmDEPT_CD As String = "DEPT_CD"									'診療科コード
	Public Const itmDOCTOR_CD As String = "DOCTOR_CD"								'医師コード

#End Region

#Region "科歴情報取得用"

	''' <summary>
	''' 開始経路が転科のとき転科元の科歴が存在しないデータ件数チェック比較元データ取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK1_SUB1 As String = _
		" SELECT " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		MTI_CH.START_DT, " _
		& "		MTI_CH.END_DT, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD " _
		& "	FROM " _
		& "		MTI_HSP " _
		& "			LEFT JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_HSP.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "			LEFT JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_HSP.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTM_HSP_CNL " _
		& "			ON " _
		& "				MTI_CH.START_CNL_CD = MTM_HSP_CNL.HSP_CNL_CD " _
		& "				AND " _
		& "				MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD & " " _
		& "	{0}"

	''' <summary>
	''' 開始経路が転科のとき転科元の科歴が存在しないデータ件数チェック用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK1_SUB2 As String = _
		" SELECT " _
		& "		MTI_CH.START_DT, " _
		& "		MTI_CH.END_DT " _
		& "	FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_CNL " _
		& "			ON " _
		& "				MTI_CH.END_CNL_CD = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD " _
		& "				AND " _
		& "				MTM_OUT_HSP_CNL.FIXED_CD = " & prmFIXED_CD & " " _
		& "	WHERE " _
		& "		MTI_CH.PATIENT_NO = " & prmPATIENT_NO _
		& "		AND " _
		& "		MTI_CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
		& "		AND " _
		& "		MTI_CH.CH_NO < " & prmCH_NO & " "

	''' <summary>
	''' 終了経路が転科のとき転科先の科歴が存在しないデータ件数チェック比較元データ取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK2_SUB1 As String = _
		" SELECT " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		MTI_CH.START_DT, " _
		& "		MTI_CH.END_DT, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD " _
		& "	FROM " _
		& "		MTI_HSP " _
		& "			LEFT JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_HSP.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "			LEFT JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_HSP.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_CNL " _
		& "			ON " _
		& "				MTI_CH.END_CNL_CD = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD " _
		& "				AND " _
		& "				MTM_OUT_HSP_CNL.FIXED_CD = " & prmFIXED_CD & " " _
		& "	{0}"

	''' <summary>
	''' 終了経路が転科のとき転科先の科歴が存在しないデータ件数チェック用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK2_SUB2 As String = _
		" SELECT " _
		& "		MTI_CH.START_DT, " _
		& "		MTI_CH.END_DT " _
		& "	FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTM_HSP_CNL " _
		& "			ON " _
		& "				MTI_CH.START_CNL_CD = MTM_HSP_CNL.HSP_CNL_CD " _
		& "				AND " _
		& "				MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD & " " _
		& "	WHERE " _
		& "		MTI_CH.PATIENT_NO = " & prmPATIENT_NO _
		& "		AND " _
		& "		MTI_CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
		& "		AND " _
		& "		MTI_CH.CH_NO > " & prmCH_NO & " "

	''' <summary>
	''' 開始日が入院科歴の開始日より過去のデータ件数チェック用（帳票出力用）
	''' </summary>
	Public Const sqlIns_MTI_CH_CHK3_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "	WHERE " _
		& "		MTI_CH.START_DT < MTI_HSP.HSP_DT " _
		& "		{0}"

	''' <summary>
	''' 終了日が入院科歴の終了日より未来のデータ件数チェック用（帳票出力用）
	''' </summary>
	Public Const sqlIns_MTI_CH_CHK4_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "	WHERE " _
		& "		MTI_CH.END_DT > MTI_HSP.OUT_HSP_DT " _
		& "		{0}"

	''' <summary>
	''' ORDER BY句 タイプ１（科歴情報用）
	''' </summary>
	Public Const sqlSel_MTI_CH_ORD1 As String = _
		" ORDER BY " _
		& "		MTI_CH.CH_NO "

	''' <summary>
	''' ORDER BY句 タイプ２（科歴情報用）
	''' </summary>
	Public Const sqlSel_MTI_CH_ORD2 As String = _
		" ORDER BY " _
		& "		MTI_CH.CH_NO DESC "

#End Region

#Region "手術情報件数取得用"

	''' <summary>
	''' 手術開始日が科開始日より過去のデータ件数チェック用
	''' [手術実施日登録可能範囲] = [1(入院日～退院日)]の場合（帳票出力用）
	''' </summary>
	Public Const sqlIns_MTI_OPE_CHK1_PTN1_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT DISTINCT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_OPE " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_OPE.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_OPE.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CH.CH_NO = MTI_OPE.CH_NO " _
		& "	 WHERE " _
		& "		DATEADD(dd, -1, MTI_HSP.HSP_DT) > MTI_OPE.OPE_DT " _
		& "		{0}"

	''' <summary>
	''' 手術開始日が科開始日より過去のデータ件数チェック用
	''' [手術実施日登録可能範囲] = [0(開始日～終了日)]の場合
	''' </summary>
	Public Const sqlIns_MTI_OPE_CHK1_PTN2_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT DISTINCT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_OPE " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_OPE.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_OPE.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CH.CH_NO = MTI_OPE.CH_NO " _
		& " WHERE " _
		& "		DATEADD(dd, -1, MTI_CH.START_DT) > MTI_OPE.OPE_DT " _
		& "		{0}"

	''' <summary>
	''' 手術終了日が科終了日より未来のデータ件数チェック用（帳票印刷用）
	''' [手術実施日登録可能範囲] = [1(入院日～退院日)]の場合
	''' </summary>
	Public Const sqlIns_MTI_OPE_CHK2_PTN1_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT DISTINCT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_OPE " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_OPE.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_OPE.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CH.CH_NO = MTI_OPE.CH_NO " _
		& " WHERE " _
		& "		MTI_HSP.OUT_HSP_DT < MTI_OPE.END_DT " _
		& "		{0}"

	''' <summary>
	''' 手術終了日が科終了日より未来のデータ件数チェック用（帳票印刷用）
	''' [手術実施日登録可能範囲] = [0(開始日～終了日)]の場合
	''' </summary>
	Public Const sqlIns_MTI_OPE_CHK2_PTN2_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT DISTINCT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_OPE " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_OPE.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_OPE.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CH.CH_NO = MTI_OPE.CH_NO " _
		& " WHERE " _
		& "		MTI_CH.END_DT < MTI_OPE.END_DT " _
		& "		{0}"

	''' <summary>
	''' 術前日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のデータ件数取得用
	''' および
	''' 術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のデータ件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK3_CHK4 As String = _
		" SELECT " _
		& "		MTI_OPE.OPE_DT, " _
		& "		MTI_OPE.END_DT, " _
		& "		MTI_OPE.PRE_OPE_DAYS, " _
		& "		MTI_OPE.AFTER_OPE_DAYS " _
		& "	FROM " _
		& "		MTI_OPE " _
		& "			LEFT JOIN " _
		& "				MTM_OPE_DIV " _
		& "			ON " _
		& "				MTI_OPE.OPE_DIV = MTM_OPE_DIV.OPE_DIV_CD " _
		& "	WHERE " _
		& "		MTI_OPE.PATIENT_NO = " & prmPATIENT_NO _
		& "		AND " _
		& "		MTI_OPE.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
		& "		AND " _
		& "		MTI_OPE.CH_NO = " & prmCH_NO _
		& "		AND " _
		& "		MTM_OPE_DIV.FIXED_CD2 IS NOT NULL "

#End Region

#Region "病棟情報件数取得用"

	''' <summary>
	''' 病棟開始日が科開始日より過去のデータ件数チェック用（帳票印刷用）
	''' </summary>
	Public Const sqlIns_MTI_WARD_CHK1_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT DISTINCT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_WARD " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_WARD.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_WARD.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_WARD.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_WARD.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_WARD.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_WARD.CH_NO = MTI_CH.CH_NO " _
		& "	 WHERE " _
		& "		MTI_WARD.WARD_START_DT < MTI_CH.START_DT " _
		& "		{0}"

	''' <summary>
	''' 病棟終了日が科終了日より未来のデータ件数チェック用（帳票印刷用）
	''' </summary>
	Public Const sqlIns_MTI_WARD_CHK2_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT DISTINCT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_WARD " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_WARD.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_WARD.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_WARD.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_WARD.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_WARD.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_WARD.CH_NO = MTI_CH.CH_NO " _
		& "	 WHERE " _
		& "		MTI_WARD.WARD_END_DT > MTI_CH.END_DT " _
		& "		{0}"

	''' <summary>
	''' 病棟開始日が前の病棟終了日より過去のデータ件数チェック用
	''' および
	''' 科歴内での病棟の前後関係
	''' </summary>
	Public Const sqlSel_MTI_WARD_CHK3_CHK5 As String = _
		" SELECT " _
		& "		MTI_WARD.WARD_START_DT, " _
		& "		MTI_WARD.WARD_END_DT " _
		& "	FROM " _
		& "		MTI_WARD " _
		& "	WHERE " _
		& "		MTI_WARD.PATIENT_NO = " & prmPATIENT_NO _
		& "		AND " _
		& "		MTI_WARD.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
		& "		AND " _
		& "		MTI_WARD.CH_NO = " & prmCH_NO _
		& "	ORDER BY MTI_WARD.WARD_SERIAL_NO "

	''' <summary>
	''' 病棟開始日が病棟終了日より過去のデータ件数チェック用（帳票印刷用）
	''' </summary>
	Public Const sqlIns_MTI_WARD_CHK4_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT DISTINCT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_WARD " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_WARD.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_WARD.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_WARD.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_WARD.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_WARD.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_WARD.CH_NO = MTI_CH.CH_NO " _
		& "	 WHERE " _
		& "		MTI_WARD.WARD_START_DT > MTI_WARD.WARD_END_DT " _
		& "		{0}"

#End Region

#Region "救命救急情報件数取得用"

	''' <summary>
	''' 救命救急入室日が科開始日より過去のデータ件数チェック用（帳票出力用）
	''' </summary>
	Public Const sqlIns_MTI_EMERGENCY_CHK1_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT DISTINCT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_EMERGENCY " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_EMERGENCY.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_EMERGENCY.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_EMERGENCY.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_EMERGENCY.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_EMERGENCY.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_EMERGENCY.CH_NO = MTI_CH.CH_NO " _
		& "	 WHERE " _
		& "		MTI_EMERGENCY.ENTERING_DT < MTI_CH.START_DT " _
		& "		{0}"

	''' <summary>
	''' 救命救急退室日が科終了日より未来のデータ件数チェック用（帳票出力用）
	''' </summary>
	Public Const sqlIns_MTI_EMERGENCY_CHK2_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT DISTINCT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	 FROM " _
		& "		MTI_EMERGENCY " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_EMERGENCY.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_EMERGENCY.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_EMERGENCY.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_EMERGENCY.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& " 			MTI_EMERGENCY.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_EMERGENCY.CH_NO = MTI_CH.CH_NO " _
		& "	 WHERE " _
		& "		MTI_EMERGENCY.LEAVING_DT > MTI_CH.END_DT " _
		& "		{0}"

#End Region

#Region "分娩情報件数取得用"

	''' <summary>
	''' 分娩日が科開始日より過去のデータ件数取得用（帳票出力用）
	''' </summary>
	Public Const sqlIns_MTI_CB_CHK1_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CB " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CB.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CB.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CB.CH_NO = MTI_CH.CH_NO " _
		& "	WHERE " _
		& "		MTI_CB.CB_DT < MTI_CH.START_DT " _
		& "		{0}"

		''' <summary>
	''' 分娩日が入院日より過去のデータ件数取得用（帳票出力用）
	''' </summary>
	Public Const sqlIns_MTI_CB_CHK3_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CB " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CB.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CB.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CB.CH_NO = MTI_CH.CH_NO " _
		& "	WHERE " _
		& "		MTI_CB.CB_DT < MTI_HSP.HSP_DT " _
		& "		{0}"

	''' <summary>
	''' 分娩日が科終了日より未来のデータ件数取得用（帳票印刷用）
	''' </summary>
	Public Const sqlIns_MTI_CB_CHK2_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CB " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CB.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CB.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CB.CH_NO = MTI_CH.CH_NO " _
		& "	WHERE " _
		& "		MTI_CB.CB_DT > MTI_CH.END_DT " _
		& "		{0}"

	''' <summary>
	''' 分娩日が退院日より未来のデータ件数取得用（帳票印刷用）
	''' </summary>
	Public Const sqlIns_MTI_CB_CHK4_PRT As String = _
		" INSERT INTO " _
		& "		MTW_CHK_OBJECT " _
		& " SELECT " _
		& prmHOST_NM & ", " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		NULL, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD, " _
		& "		MTI_CH.END_DT, " _
		& "		NULL, NULL, " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& "	FROM " _
		& "		MTI_CB " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CB.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_CB.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CB.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CB.CH_NO = MTI_CH.CH_NO " _
		& "	WHERE " _
		& "		MTI_CB.CB_DT > MTI_HSP.OUT_HSP_DT " _
		& "		{0}"

#End Region

#Region "その他（データ取得用）"

	''' <summary>
	''' チェック用参照元データ取得用SQL（複数で共用）
	''' </summary>
	Public Const sqlSel_GET_BASE As String = _
		" SELECT " _
		& "		MTI_HSP.PATIENT_NO, " _
		& "		XTI_BASICINFO.PATIENT_NM, " _
		& "		MTI_HSP.HSP_HISTORY_NO, " _
		& "		MTI_CH.CH_NO, " _
		& "		MTI_HSP.HSP_DT, " _
		& "		MTI_HSP.OUT_HSP_DT, " _
		& "		MTI_CH.START_DT, " _
		& "		MTI_CH.END_DT, " _
		& "		MTI_HSP.BYOREKI_NO, " _
		& "		MTI_HSP.DEPT_CD, " _
		& "		MTI_HSP.DOCTOR_CD " _
		& "	FROM " _
		& "		MTI_HSP " _
		& "			LEFT JOIN " _
		& "				XTI_BASICINFO " _
		& "			ON " _
		& "				MTI_HSP.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "			LEFT JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_HSP.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "				AND " _
		& "				MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO " _
		& "	{0}"

#End Region

#Region "帳票出力用ワークテーブル操作用"

	''' <summary>
	''' TW_チェック対象一覧テーブルデータ削除用
	''' </summary>
	Public Const sqlDel_MTW_CHK_OBJECT As String = _
		" DELETE " _
		& "	FROM " _
		& "		MTW_CHK_OBJECT " _
		& " WHERE " _
		& "		HOST_NM = " & prmHOST_NM

	''' <summary>
	''' TW_チェック対象一覧テーブルデータ件数確認用
	''' </summary>
	Public Const sqlSel_MTW_CHK_OBJECT As String = _
		" SELECT " _
		& "		COUNT(*) AS COUNTER " _
		& "	FROM " _
		& "		MTW_CHK_OBJECT " _
		& " WHERE " _
		& "		HOST_NM = " & prmHOST_NM

	''' <summary>
	''' TW_チェック対象一覧テーブルデータ挿入用
	''' </summary>
	Public Const sqlIns_MTW_CHK_OBJECT As String = _
		" INSERT " _
		& "	INTO " _
		& "		MTW_CHK_OBJECT " _
		& "	VALUES ( " _
		& prmHOST_NM & ", " _
		& prmPATIENT_NO & ", " _
		& prmHSP_HISTORY_NO & ", " _
		& prmCH_NO & ", " _
		& prmPATIENT_NM & ", " _
		& prmBYOREKI_NO & ", " _
		& prmCODE & ", " _
		& prmDEPT_CD & ", " _
		& prmDOCTOR_CD & ", " _
		& prmEND_DT & ", " _
		& prmRECORD_MNGSTATUS_CD & ", " _
		& prmREG_PERSON_CD & ", " _
		& prmLASTUPDUSER_CD & ", " _
		& prmLASTUPD_DT _
		& ") "

#End Region

End Class