﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 診療圏変更
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Friend NotInheritable Class sqlMAX070F010

#Region "パラメータ"

    Public Const prmAREA_CD As String = "@AREA_CD"                          '診療圏コード
    Public Const prmAREA_CD_Bfr As String = "@AREA_CD_Bfr"                  '診療圏コード（変更前）
    Public Const prmAREA_CD_Aft As String = "@AREA_CD_Aft"                  '診療圏コード（変更後）
    Public Const prmZIP_CD_Frm As String = "@ZIP_CD_Frm"                    '郵便番号（From）
    Public Const prmZIP_CD_To As String = "@ZIP_CD_To"                      '郵便番号（To）
    Public Const prmEND_DT_Frm As String = "@END_DT_Frm"                    '終了日（From）
	Public Const prmEND_DT_To As String = "@END_DT_To"						'終了日（To）
'(A) STR V4-11007-000 003 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	Public Const prmPATIENT_NO_XXX As String = "@PATIENT_NO{0}"				'患者番号汎用
'(A) END V4-11007-000 003 20110810

    Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"            '更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"					'最終更新日

'(A) STR V4-11007-000 003 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	Public Const itmPATIENT_NO As String = "PATIENT_NO"						'アイテム）患者番号
'(A) END V4-11007-000 003 20110810
#End Region

#Region "部分ＳＱＬ（共通用）"

	Private Const sqlCND_LASTUPD As String = _
		"       LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT

	Public Const sqlCND_AREA As String = _
		" WHERE MTI_CH.AREA_CD = " & prmAREA_CD

	Public Const sqlCND_ZIP1 As String = _
		" WHERE MTI_CH.ZIP_CD " _
		& " BETWEEN " & prmZIP_CD_Frm _
		& "     AND " _
		& prmZIP_CD_To

	Public Const sqlCND_ZIP2 As String = _
		" WHERE MTI_CH.ZIP_CD IS NOT NULL "

	Public Const sqlCND_END_DT As String = _
		" AND MTI_CH.END_DT " _
		& " BETWEEN " & prmEND_DT_Frm _
		& "     AND " _
		& prmEND_DT_To

#End Region

#Region "科歴情報取得用"

    ''' <summary>
    ''' TI_科歴情報取得用
    ''' </summary>
	Public Const sqlSel_MTI_CH As String = _
		" SELECT " _
		& "     MTI_CH.PATIENT_NO, " _
		& "     MTI_CH.HSP_HISTORY_NO, " _
		& "     MTI_CH.CH_NO, " _
		& "     MTI_CH.BYOREKI_NO, " _
		& "     XTI_BASICINFO.PATIENT_NM, " _
		& "     MTI_CH.START_DT, " _
		& "     MTI_CH.END_DT, " _
		& "     MTM_DEPT.DEPT_NM, " _
		& "     MTI_CH.AREA_CD, " _
		& "     MTM_AREA.AREA_NM, " _
		& "     MTI_CH.ZIP_CD, " _
		& "     MTI_CH.ADDRESS_NM " _
		& " FROM MTI_CH " _
		& "     LEFT JOIN XTI_BASICINFO " _
		& "         ON MTI_CH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
		& "     LEFT JOIN MTM_DEPT " _
		& "         ON MTI_CH.DEPT_CD = MTM_DEPT.DEPT_CD " _
		& "     LEFT JOIN MTM_AREA " _
		& "         ON MTI_CH.AREA_CD = MTM_AREA.AREA_CD "

'(A) STR V4-11007-000 011 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	''' <summary>
	''' TI_科歴情報取得用（排他用）
	''' </summary>
	Public Const sqlSel_MTI_CH_Check As String = _
		" SELECT " _
		& " DISTINCT    MTI_CH.PATIENT_NO " _
		& " FROM MTI_CH " _
		& "     LEFT JOIN MTM_AREA " _
		& "         ON MTI_CH.AREA_CD = MTM_AREA.AREA_CD "
'(A) END V4-11007-000 011 20110810
#End Region

#Region "科歴情報更新用"

	Private Const sqlUpd_MTI_CH_BS As String = _
		" UPDATE MTI_CH " _
		& " SET " _
		& "     MTI_CH.AREA_CD = " & prmAREA_CD_Aft & ", " _
		& sqlCND_LASTUPD
		
'(M) STR V4-11007-000 016 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'    ''' <summary>
'    ''' TI_科歴情報更新用（診療圏選択）
'    ''' </summary>
'	Public Const sqlUpd_MTI_CH_CND1 As String = _
'		sqlUpd_MTI_CH_BS _
'		& " WHERE " _
'		& "     MTI_CH.AREA_CD = " & prmAREA_CD_Bfr
    ''' <summary>
    ''' TI_科歴情報更新用（診療圏選択）
    ''' </summary>
	Public Const sqlUpd_MTI_CH_CND1 As String = _
		sqlUpd_MTI_CH_BS _
		& " WHERE " _
		& "     MTI_CH.AREA_CD = " & prmAREA_CD_Bfr _
		& " {0}"
'(M) END V4-11007-000 016 20110810

'(M) STR V4-11007-000 021 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'    ''' <summary>
'    ''' TI_科歴情報更新用（郵便番号選択）
'    ''' </summary>
'	Public Const sqlUpd_MTI_CH_CND2 As String = _
'		sqlUpd_MTI_CH_BS _
'		& " WHERE " _
'		& "     MTI_CH.ZIP_CD " _
'		& "         BETWEEN " & prmZIP_CD_Frm _
'		& "         AND " & prmZIP_CD_To
    ''' <summary>
    ''' TI_科歴情報更新用（郵便番号選択）
    ''' </summary>
	Public Const sqlUpd_MTI_CH_CND2 As String = _
		sqlUpd_MTI_CH_BS _
		& " WHERE " _
		& "     MTI_CH.ZIP_CD " _
		& "         BETWEEN " & prmZIP_CD_Frm _
		& "         AND " & prmZIP_CD_To _
		& " {0}"
'(M) END V4-11007-000 021 20110810

'(M) STR V4-11007-000 049 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'     ''' <summary>
'    ''' TI_科歴情報更新用（住所マスタ参照）
'    ''' </summary>
'	Public Const sqlUpd_MTI_CH_CND3 As String = _
'		" UPDATE MTI_CH " _
'		& " SET " _
'		& "     MTI_CH.AREA_CD = MTM_ADDRESS.AREA_CD, " _
'		& sqlCND_LASTUPD _
'		& " FROM MTI_CH " _
'		& "     INNER JOIN " _
'		& "         (SELECT " _
'		& "             MTM_ADDRESS.ZIP_CD," _
'		& "             MTM_ADDRESS.AREA_CD " _
'		& "          FROM MTM_ADDRESS " _
'		& "          WHERE " _
'		& "             MTM_ADDRESS.ZIP_CD IS NOT NULL " _
'		& "          GROUP BY " _
'		& "             MTM_ADDRESS.ZIP_CD, " _
'		& "             MTM_ADDRESS.AREA_CD) AS MTM_ADDRESS " _
'		& "     ON " _
'		& "         MTI_CH.ZIP_CD = MTM_ADDRESS.ZIP_CD " _
'		& " WHERE " _
'		& "     MTI_CH.AREA_CD <> MTM_ADDRESS.AREA_CD "
'(M) STR V4-15026-000 049 2014/05/22 ID)鈴木 課題№409 診療圏コードがNullの場合に更新出来ない対応
'	''' <summary>
'	''' TI_科歴情報更新用（住所マスタ参照）
'	''' </summary>
'	Public Const sqlUpd_MTI_CH_CND3 As String = _
'		" UPDATE MTI_CH " _
'		& " SET " _
'		& "     MTI_CH.AREA_CD = MTM_ADDRESS.AREA_CD, " _
'		& sqlCND_LASTUPD _
'		& " FROM MTI_CH " _
'		& "     INNER JOIN " _
'		& "         (SELECT " _
'		& "             MTM_ADDRESS.ZIP_CD," _
'		& "             MTM_ADDRESS.AREA_CD " _
'		& "          FROM MTM_ADDRESS " _
'		& "          WHERE " _
'		& "             MTM_ADDRESS.ZIP_CD IS NOT NULL " _
'		& "          GROUP BY " _
'		& "             MTM_ADDRESS.ZIP_CD, " _
'		& "             MTM_ADDRESS.AREA_CD) AS MTM_ADDRESS " _
'		& "     ON " _
'		& "         MTI_CH.ZIP_CD = MTM_ADDRESS.ZIP_CD " _
'		& " WHERE " _
'		& "     MTI_CH.AREA_CD <> MTM_ADDRESS.AREA_CD " _
'		& " {0}"
	''' <summary>
    ''' TI_科歴情報更新用（住所マスタ参照）
    ''' </summary>
	Public Const sqlUpd_MTI_CH_CND3 As String = _
		" UPDATE MTI_CH " _
		& " SET " _
		& "     MTI_CH.AREA_CD = MTM_ADDRESS.AREA_CD, " _
		& sqlCND_LASTUPD _
		& " FROM MTI_CH " _
		& "     INNER JOIN " _
		& "         (SELECT " _
		& "             MTM_ADDRESS.ZIP_CD," _
		& "             MTM_ADDRESS.AREA_CD " _
		& "          FROM MTM_ADDRESS " _
		& "          WHERE " _
		& "             MTM_ADDRESS.ZIP_CD IS NOT NULL " _
		& "          GROUP BY " _
		& "             MTM_ADDRESS.ZIP_CD, " _
		& "             MTM_ADDRESS.AREA_CD) AS MTM_ADDRESS " _
		& "     ON " _
		& "         MTI_CH.ZIP_CD = MTM_ADDRESS.ZIP_CD " _
		& " WHERE MTI_CH.ZIP_CD IS NOT NULL " _
		& " {0}"
'(M) END V4-15026-000 049 2014/05/22 ID)鈴木 課題№409 診療圏コードがNullの場合に更新出来ない対応
'(M) END V4-11007-000 049 20110810
#End Region

End Class
