﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 患者番号変更
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Friend NotInheritable Class sqlMAX080F010

#Region "パラメータ"

	Public Const prmPATIENT_NO_BFR As String = "@PATIENT_NO_BFR"	'患者番号（変更前）
	Public Const prmPATIENT_NO_AFT As String = "@PATIENT_NO_AFT"	'患者番号（変更後）
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"	'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"			'最終更新日

#End Region

#Region "取得項目"

	Public Const itmPATIENT_NO As String = "PATIENT_NO"				'患者番号
	Public Const itmPATIENT_NM As String = "PATIENT_NM"				'氏名

#End Region

#Region "使用中患者確認用"

	Public Const sqlSel_USE_PATIENT As String = _
		"SELECT DISTINCT " _
		& "		AL.PATIENT_NO " _
		& " FROM " _
		& "		( " _
		& "		SELECT " _
		& "			PATIENT_NO " _
		& "		FROM " _
		& "			XTI_BASICINFO " _
		& "		WHERE " _
		& "			(PATIENT_NO = " & prmPATIENT_NO_BFR _
		& "			 OR " _
		& "			 PATIENT_NO = " & prmPATIENT_NO_AFT & ") " _
		& "		OR	" _
		& "			(RELATION_PATIENT_NO = " & prmPATIENT_NO_BFR _
		& "		 	 OR " _
		& "			 RELATION_PATIENT_NO = " & prmPATIENT_NO_AFT & ") " _
		& "		UNION " _
		& "		SELECT " _
		& "			PATIENT_NO " _
		& "		FROM " _
		& "			MTI_CB_CHILD " _
		& "		WHERE " _
		& "			(CHD_PATIENT_NO = " & prmPATIENT_NO_BFR _
		& "			 OR " _
		& "			 CHD_PATIENT_NO = " & prmPATIENT_NO_AFT & ") " _
		& "		) AS AL "

#End Region

#Region "既に存在する新患者番号のレコードを削除する"

	''' <summary>
	''' TI_基本情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_XTI_BASICINFO As String = _
		"DELETE " _
		& "  FROM XTI_BASICINFO " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_入退院情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_HSP As String = _
		"DELETE " _
		& "  FROM MTI_HSP " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_科歴情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_CH As String = _
		"DELETE " _
		& "  FROM MTI_CH " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_死亡情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_DEATH As String = _
		"DELETE " _
		& "  FROM MTI_DEATH " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_病棟情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_WARD As String = _
		"DELETE " _
		& "  FROM MTI_WARD " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_医師情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_DOCTOR As String = _
		"DELETE " _
		& "  FROM MTI_DOCTOR " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_医療費情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_MED_COST As String = _
		"DELETE " _
		& "  FROM MTI_MED_COST " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_救命救急情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_EMERGENCY As String = _
		"DELETE " _
		& "  FROM MTI_EMERGENCY " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_対診科情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_OTHER_DEPT As String = _
		"DELETE " _
		& "  FROM MTI_OTHER_DEPT " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_病名情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_DISEASE As String = _
		"DELETE " _
		& "  FROM MTI_DISEASE " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_手術情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_OPE As String = _
		"DELETE " _
		& "  FROM MTI_OPE " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_手術医師情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_OPE_DOCTOR As String = _
		"DELETE " _
		& "  FROM MTI_OPE_DOCTOR " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_検査情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_TEST As String = _
		"DELETE " _
		& "  FROM MTI_TEST " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_治療処置情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_CARE As String = _
		"DELETE " _
		& "  FROM MTI_CARE " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_補足項目１情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_ASST1 As String = _
		"DELETE " _
		& "  FROM MTI_ASST1 " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_補足項目２情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_ASST2 As String = _
		"DELETE " _
		& "  FROM MTI_ASST2 " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_分娩情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_CB As String = _
		"DELETE " _
		& "  FROM MTI_CB " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_分娩子情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_CB_CHILD As String = _
		"DELETE " _
		& "  FROM MTI_CB_CHILD " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_分娩子流死産情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_CB_SB As String = _
		"DELETE " _
		& "  FROM MTI_CB_SB " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_パス情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_PATH As String = _
		"DELETE " _
		& "  FROM MTI_PATH " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TK_貸出物情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_LENDITM As String = _
		"DELETE " _
		& "  FROM MTI_LENDITM " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TK_貸出情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_LEND As String = _
		"DELETE " _
		& "  FROM MTI_LEND " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TZ_医療費明細情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_MED_COST_DETAILS As String = _
		"DELETE " _
		& "  FROM MTI_MED_COST_DETAILS " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TI_DPC情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_DPC As String = _
		"DELETE " _
		& "  FROM MTI_DPC " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' TK_監査情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_MTI_INSPECT As String = _
		"DELETE " _
		& "  FROM MTI_INSPECT " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' LTI_管理物情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_LTI_MNGITEMINFO As String = _
		"DELETE " _
		& "  FROM LTI_MNGITEMINFO " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

	''' <summary>
	''' LTI_貸出情報テーブルから、既に存在する新患者番号のレコードを削除する
	''' </summary>
	Public Const sqlDel_LTI_LENDINFO As String = _
		"DELETE " _
		& "  FROM LTI_LENDINFO " _
		& "  WHERE PATIENT_NO = " & prmPATIENT_NO_AFT

#End Region

#Region "旧患者番号を新患者番号に置き換える（キー項目）"

	''' <summary>
	''' TI_基本情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_XTI_BASICINFO As String = _
		"UPDATE XTI_BASICINFO " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_入退院情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_HSP As String = _
		"UPDATE MTI_HSP " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_科歴情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CH As String = _
		"UPDATE MTI_CH " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_死亡情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DEATH As String = _
		"UPDATE MTI_DEATH " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_病棟情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_WARD As String = _
		"UPDATE MTI_WARD " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_医師情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DOCTOR As String = _
		"UPDATE MTI_DOCTOR " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_医療費情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_MED_COST As String = _
		"UPDATE MTI_MED_COST " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_救命救急情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_EMERGENCY As String = _
		"UPDATE MTI_EMERGENCY " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_対診科情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_OTHER_DEPT As String = _
		"UPDATE MTI_OTHER_DEPT " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_病名情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DISEASE As String = _
		"UPDATE MTI_DISEASE " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_手術情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_OPE As String = _
		"UPDATE MTI_OPE " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_手術医師情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_OPE_DOCTOR As String = _
		"UPDATE MTI_OPE_DOCTOR " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_検査情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_TEST As String = _
		"UPDATE MTI_TEST " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_治療処置情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CARE As String = _
		"UPDATE MTI_CARE " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_補足項目１情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_ASST1 As String = _
		"UPDATE MTI_ASST1 " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_補足項目２情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_ASST2 As String = _
		"UPDATE MTI_ASST2 " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_分娩情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CB As String = _
		"UPDATE MTI_CB " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_分娩子情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CB_CHILD As String = _
		"UPDATE MTI_CB_CHILD " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_分娩子流死産情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CB_SB As String = _
		"UPDATE MTI_CB_SB " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_パス情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_PATH As String = _
		"UPDATE MTI_PATH " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TK_貸出物情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_LENDITM As String = _
		"UPDATE MTI_LENDITM " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TK_貸出情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_LEND As String = _
		"UPDATE MTI_LEND " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TZ_医療費明細情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_MED_COST_DETAILS As String = _
		"UPDATE MTI_MED_COST_DETAILS " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TI_DPC情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DPC As String = _
		"UPDATE MTI_DPC " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' TK_監査情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_INSPECT As String = _
		"UPDATE MTI_INSPECT " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' LTI_管理物情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_LTI_MNGITEMINFO As String = _
		"UPDATE LTI_MNGITEMINFO " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' LTI_貸出情報テーブルで新患者番号に置き換える
	''' </summary>
	Public Const sqlUpd_LTI_LENDINFO As String = _
		"UPDATE LTI_LENDINFO " _
		& " SET PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

#End Region

#Region "旧患者番号を新患者番号に置き換える（キー項目以外）"

	''' <summary>
	''' 患者番号更新処理前の行ロック（TI_基本情報）
	''' ※インデックス項目では無いため、テーブルロックになることに注意！
	''' </summary>
	Public Const sqlSEL4UPD_XTI_BASICINFO As String = _
		"SELECT PATIENT_NO " _
		& " FROM XTI_BASICINFO " _
		& XCM.clsSysMst.forUpdate _
		& " WHERE RELATION_PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' 関連患者番号の更新（TI_基本情報）
	''' </summary>
	Public Const sqlUpd_XTI_BASICINFO_2 As String = _
		"UPDATE XTI_BASICINFO " _
		& " SET RELATION_PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& " WHERE RELATION_PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' 患者番号更新処理前の行ロック（TI_分娩子情報）
	''' ※インデックス項目では無いため、テーブルロックになることに注意！
	''' </summary>
	Public Const sqlSEL4UPD_MTI_CB_CHILD As String = _
		"SELECT PATIENT_NO " _
		& "  FROM MTI_CB_CHILD " _
		& XCM.clsSysMst.forUpdate _
		& "  WHERE CHD_PATIENT_NO = " & prmPATIENT_NO_BFR

	''' <summary>
	''' 関連患者番号の更新（TI_分娩子情報）
	''' </summary>
	Public Const sqlUpd_MTI_CB_CHILD_2 As String = _
		"UPDATE MTI_CB_CHILD " _
		& "  SET CHD_PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& "	    LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
		& "	    LASTUPD_DT = " & prmLASTUPD_DT _
		& "  WHERE CHD_PATIENT_NO = " & prmPATIENT_NO_BFR

#End Region

End Class
